<?php

namespace Modules\Autenticacion\Http\Controllers;

use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Usuarios\Entities\Usuario;

class AutenticacionController extends Controller
{

    public function verificar(Request $request)
    {
        if (! $request->hasValidSignature()) {
            abort(401);
        }
        $usuario = Usuario::find($request->id);
        if(!isset($usuario->id) && hash_equals($request->hash,sha1($usuario->email))){
            return redirect()->route('public.home')->with('alert_error','No pudimos verificar que eras tú');
        }
        if(isset($usuario->email_verified_at)){
            return redirect()->route('public.home')->with('alert_success','Tu cuenta ya ha sido verificada');
        }
        $usuario->update(['email_verified_at' => Carbon::now(),'activo' => 1]);
        return redirect()->route('public.home')->with('alert_success','Tu cuenta ha sido verificada correctamente');
    }
}
