<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* Route::prefix('autenticacion')->group(function() {
    Route::get('/', 'AutenticacionController@index');
}); */

Route::group(['middleware' => ['web']], function() {

    Route::get('usuarios/login',               'Auth\LoginController@showLoginForm')->name('login');
    Route::post('usuarios/login',              'Auth\LoginController@login'); 
    Route::post('usuarios/loginEmpresa',       'Auth\LoginController@loginEmpresa')->name('loginEmpresa');
    Route::post('usuarios/loginCandidato',     'Auth\LoginController@loginCandidato')->name('loginCandidato');
    Route::post('usuarios/loginReclutamiento', 'Auth\LoginController@loginReclutamiento')->name('loginReclutamiento'); 
    Route::post('usuarios/logout',             'Auth\LoginController@logout')->name('logout');


    // Route::get('register', 'Auth\RegisterController@showRegistrationForm')->name('register');
    // Route::post('register', 'Auth\RegisterController@register');


    Route::get('password/reset',               'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
    Route::post('password/email',              'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
    Route::get('password/reset/{token}',       'Auth\ResetPasswordController@showResetForm')->name('password.reset');
    Route::post('password/reset',              'Auth\ResetPasswordController@reset')->name('password.update');


    // Route::get('password/confirm', 'Auth\ConfirmPasswordController@showConfirmForm')->name('password.confirm');
    // Route::post('password/confirm', 'Auth\ConfirmPasswordController@confirm');


    // Route::get('email/verify', 'Auth\VerificationController@show')->name('verification.notice');
    // Route::get('email/verify/{id}/{hash}', 'Auth\VerificationController@verify')->name('verification.verify');
    // Route::post('email/resend', 'Auth\VerificationController@resend')->name('verification.resend');

    Route::get('email/verify',                 'AutenticacionController@verificar')->name('public.usuario.verificar');
});
