<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddCvToCandidatosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('candidatos', function (Blueprint $table) {
            $table->string('cv')->nullable();
            $table->string('fotografia')->nullable();
            $table->date('fecha_nacimiento')->nullable();
            $table->string('lugar_nacimiento')->nullable();
            $table->string('edad')->nullable();
            $table->unsignedBigInteger('genero')->nullable();
            $table->integer('pretension_salarial')->nullable();
            $table->string('nit')->nullable();
            $table->string('telefono_fijo')->nullable();
            $table->string('telefono_celular')->nullable();
            $table->unsignedBigInteger('profesion')->nullable();
            $table->integer('anios_experiencia')->nullable();
            $table->string('area_experiencia')->nullable();
            $table->string('dpi')->nullable();
            $table->text('direccion')->nullable();
            $table->unsignedBigInteger('pais')->nullable();
            $table->unsignedBigInteger('departamento')->nullable();
            $table->unsignedBigInteger('municipio')->nullable();
            $table->integer('zona')->nullable();
            $table->string('direccion_otros')->nullable();
            $table->string('igss')->nullable();
            $table->unsignedBigInteger('tipo_licencia')->nullable();
            $table->string('otro_tipo_licencia')->nullable();
            $table->string('licencia')->nullable();
            $table->unsignedBigInteger('estado_civil')->nullable();
            $table->string('nacionalidad')->nullable();
            $table->string('datos_conyugue')->nullable();
            $table->unsignedBigInteger('hijos')->nullable();
            $table->string('edad_hijos')->nullable();
            $table->text('datos_padre')->nullable();
            $table->text('datos_madre')->nullable();
            $table->unsignedBigInteger('hermanos')->nullable();
            $table->string('info_hermanos')->nullable();
            $table->boolean('estudia')->nullable();
            $table->string('carrera')->nullable();
            $table->string('establecimineto')->nullable();
            $table->string('horario')->nullable();

            $table->foreign('genero')->references('id')->on('dropdowns');
            $table->foreign('profesion')->references('id')->on('dropdowns');
            $table->foreign('pais')->references('id')->on('dropdowns');
            $table->foreign('departamento')->references('id')->on('dropdowns');
            $table->foreign('municipio')->references('id')->on('dropdowns');
            $table->foreign('tipo_licencia')->references('id')->on('dropdowns');
            $table->foreign('estado_civil')->references('id')->on('dropdowns');
            $table->foreign('hijos')->references('id')->on('dropdowns');
            $table->foreign('hermanos')->references('id')->on('dropdowns');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('candidatos', function (Blueprint $table) {

            $table->dropForeign(['genero']);
            $table->dropForeign(['profesion']);
            $table->dropForeign(['pais']);
            $table->dropForeign(['departamento']);
            $table->dropForeign(['municipio']);
            $table->dropForeign(['tipo_licencia']);
            $table->dropForeign(['estado_civil']);
            $table->dropForeign(['hijos']);
            $table->dropForeign(['hermanos']);

            $table->dropColumn('cv');
            $table->dropColumn('fotografia');
            $table->dropColumn('fecha_nacimiento');
            $table->dropColumn('lugar_nacimiento');
            $table->dropColumn('edad');
            $table->dropColumn('genero');
            $table->dropColumn('pretension_salarial');
            $table->dropColumn('nit');
            $table->dropColumn('telefono_fijo');
            $table->dropColumn('telefono_celular');
            $table->dropColumn('profesion');
            $table->dropColumn('anios_experiencia');
            $table->dropColumn('area_experiencia');
            $table->dropColumn('dpi');
            $table->dropColumn('direccion');
            $table->dropColumn('pais');
            $table->dropColumn('departamento');
            $table->dropColumn('municipio');
            $table->dropColumn('zona');
            $table->dropColumn('direccion_otros');
            $table->dropColumn('igss');
            $table->dropColumn('tipo_licencia');
            $table->dropColumn('otro_tipo_licencia');
            $table->dropColumn('licencia');
            $table->dropColumn('estado_civil');
            $table->dropColumn('nacionalidad');
            $table->dropColumn('datos_conyugue');
            $table->dropColumn('hijos');
            $table->dropColumn('edad_hijos');
            $table->dropColumn('datos_padre');
            $table->dropColumn('datos_madre');
            $table->dropColumn('hermanos');
            $table->dropColumn('info_hermanos');
            $table->dropColumn('estudia');
            $table->dropColumn('carrera');
            $table->dropColumn('establecimineto');
            $table->dropColumn('horario');
            
        });
    }
}
