<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCandidatoOtrosDatosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('candidato_otros_datos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->unsignedBigInteger('impedimento_fisico')->nullable();
            $table->unsignedBigInteger('toma_medicamentos')->nullable();
            $table->unsignedBigInteger('bebe_fuma')->nullable();
            $table->unsignedBigInteger('enfermo_de_gravedad')->nullable();
            $table->unsignedBigInteger('complexion_fisica')->nullable();
            $table->unsignedBigInteger('casa_propia')->nullable();
            $table->unsignedBigInteger('alquila')->nullable();
            $table->unsignedBigInteger('otros_ingresos')->nullable();
            $table->unsignedBigInteger('posee_vehiculo')->nullable();
            $table->unsignedBigInteger('posee_deudas')->nullable();
            $table->unsignedBigInteger('como_se_entero')->nullable();
            $table->string('impedimento')->nullable();
            $table->string('bebe_fuma_especifique')->nullable();
            $table->string('enfermo_de_gravedad_especifique')->nullable();
            $table->double('estatura',8,2)->nullable();
            $table->double('peso',8,2)->nullable();
            $table->string('religion')->nullable();
            $table->string('otros_especifiques')->nullable();
            $table->integer('anios_viviendo')->nullable();
            $table->double('monto',8,2)->nullable();
            $table->string('marca')->nullable();
            $table->string('modelo')->nullable();
            $table->string('posee_deudas_especifique')->nullable();
            $table->string('actividades')->nullable();

            $table->foreign('candidato_id')->references('id')->on('candidatos');
            $table->foreign('impedimento_fisico')->references('id')->on('dropdowns');
            $table->foreign('toma_medicamentos')->references('id')->on('dropdowns');
            $table->foreign('bebe_fuma')->references('id')->on('dropdowns');
            $table->foreign('enfermo_de_gravedad')->references('id')->on('dropdowns');
            $table->foreign('complexion_fisica')->references('id')->on('dropdowns');
            $table->foreign('casa_propia')->references('id')->on('dropdowns');
            $table->foreign('alquila')->references('id')->on('dropdowns');
            $table->foreign('otros_ingresos')->references('id')->on('dropdowns');
            $table->foreign('posee_vehiculo')->references('id')->on('dropdowns');
            $table->foreign('posee_deudas')->references('id')->on('dropdowns');
            $table->foreign('como_se_entero')->references('id')->on('dropdowns');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('candidato_otros_datos', function (Blueprint $table) {
            $table->dropForeign(['candidato_id']);
            $table->dropForeign(['impedimento_fisico']);
            $table->dropForeign(['toma_medicamentos']);
            $table->dropForeign(['bebe_fuma']);
            $table->dropForeign(['enfermo_de_gravedad']);
            $table->dropForeign(['complexion_fisica']);
            $table->dropForeign(['casa_propia']);
            $table->dropForeign(['alquila']);
            $table->dropForeign(['otros_ingresos']);
            $table->dropForeign(['posee_vehiculo']);
            $table->dropForeign(['posee_deudas']);
            $table->dropForeign(['como_se_entero']);
        });
        Schema::dropIfExists('candidato_otros_datos');
    }
}
