<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCandidatoExperienciasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('candidato_experiencias', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->string('empresa');
            $table->string('telefono')->nullable();
            $table->double('ultimo_salario',10,2)->nullable();
            $table->string('puesto')->nullable();
            $table->string('area')->nullable();
            $table->string('razon_retiro')->nullable();
            $table->date('inicio_labores')->nullable();
            $table->date('finalizo_labores')->nullable();
            $table->string('jefe_inmediato')->nullable();
            $table->string('puesto_jefe_inmediato')->nullable();
            $table->string('telefono_jefe_inmediato')->nullable();
            $table->text('funciones_principales')->nullable();
            $table->unsignedBigInteger('contacto_supervisor')->nullable();
            $table->string('contacto_supervisor_especifique')->nullable();
            $table->foreign('contacto_supervisor')->references('id')->on('dropdowns');
            $table->foreign('candidato_id')->references('id')->on('candidatos');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        
        Schema::table('candidato_experiencias', function (Blueprint $table) {
            $table->dropForeign(['candidato_id']);
            $table->dropForeign(['contacto_supervisor']);
        });
        Schema::dropIfExists('candidato_experiencias');
    }
}
