<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCandidatoEstudiosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('candidato_estudios', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->unsignedBigInteger('primaria')->nullable();
            $table->string('anio_graduacion_primaria')->nullable();
            $table->string('institucion_primaria')->nullable();
            $table->unsignedBigInteger('basicos')->nullable();
            $table->string('anio_graduacion_basicos')->nullable();
            $table->string('institucion_basicos')->nullable();
            $table->string('titulo_basicos')->nullable();
            $table->unsignedBigInteger('diversificado')->nullable();
            $table->string('anio_graduacion_diversificado')->nullable();
            $table->string('institucion_diversificado')->nullable();
            $table->unsignedBigInteger('carrera_tecnica')->nullable();
            $table->string('anio_graduacion_carrera_tecnica')->nullable();
            $table->string('institucion_carrera_tecnica')->nullable();
            $table->string('titulo_carrera_tecnica')->nullable();
            $table->unsignedBigInteger('estudios_univeristarios')->nullable();
            $table->string('anio_graduacion_estudios_univeristarios')->nullable();
            $table->string('institucion_estudios_univeristarios')->nullable();
            $table->string('titulo_estudios_univeristarios')->nullable();
            $table->unsignedBigInteger('graduado_universitario')->nullable();
            $table->string('anio_graduacion_graduado_universitario')->nullable();
            $table->string('institucion_graduado_universitario')->nullable();
            $table->string('titulo_graduado_universitario')->nullable();
            $table->unsignedBigInteger('maestria')->nullable();
            $table->string('anio_graduacion_maestria')->nullable();
            $table->string('institucion_maestria')->nullable();
            $table->string('titulo_maestria')->nullable();
            $table->unsignedBigInteger('doctorado')->nullable();
            $table->string('anio_graduacion_doctorado')->nullable();
            $table->string('institucion_doctorado')->nullable();
            $table->string('titulo_doctorado')->nullable();
            $table->text('otros_estudios')->nullable();
            $table->foreign('candidato_id')->references('id')->on('candidatos');
            $table->foreign('primaria')->references('id')->on('dropdowns');
            $table->foreign('basicos')->references('id')->on('dropdowns');
            $table->foreign('diversificado')->references('id')->on('dropdowns');
            $table->foreign('carrera_tecnica')->references('id')->on('dropdowns');
            $table->foreign('estudios_univeristarios')->references('id')->on('dropdowns');
            $table->foreign('graduado_universitario')->references('id')->on('dropdowns');
            $table->foreign('maestria')->references('id')->on('dropdowns');
            $table->foreign('doctorado')->references('id')->on('dropdowns');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('candidato_estudios');
    }
}
