<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCandidatoHabilidadesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('candidato_habilidades', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->unsignedBigInteger('mecanografia')->nullable();
            $table->unsignedBigInteger('taquigrafia')->nullable();
            $table->unsignedBigInteger('archivo')->nullable();
            $table->unsignedBigInteger('computacion')->nullable();
            $table->unsignedBigInteger('reposteria')->nullable();
            $table->unsignedBigInteger('cocina')->nullable();
            $table->unsignedBigInteger('enfermeria')->nullable();
            $table->unsignedBigInteger('programacion')->nullable();
            $table->unsignedBigInteger('internet')->nullable();
            $table->unsignedBigInteger('otros_conocimientos_tecnicos')->nullable();
            $table->string('otros_conocimientos_tecnicos_especifique')->nullable();
            $table->unsignedBigInteger('ingles')->nullable();
            $table->unsignedBigInteger('ingles_lee')->nullable();
            $table->unsignedBigInteger('ingles_escribe')->nullable();
            $table->unsignedBigInteger('ingles_habla')->nullable();
            $table->unsignedBigInteger('aleman')->nullable();
            $table->unsignedBigInteger('aleman_lee')->nullable();
            $table->unsignedBigInteger('aleman_escribe')->nullable();
            $table->unsignedBigInteger('aleman_habla')->nullable();
            $table->unsignedBigInteger('mandarin')->nullable();
            $table->unsignedBigInteger('mandarin_lee')->nullable();
            $table->unsignedBigInteger('mandarin_escribe')->nullable();
            $table->unsignedBigInteger('mandarin_habla')->nullable();
            $table->unsignedBigInteger('otro')->nullable();
            $table->unsignedBigInteger('otro_lee')->nullable();
            $table->unsignedBigInteger('otro_escribe')->nullable();
            $table->unsignedBigInteger('otro_habla')->nullable();
            $table->unsignedBigInteger('licencia_vehiculo_liviano')->nullable();
            $table->unsignedBigInteger('licencia_vehiculo_liviano_tipo')->nullable();
            $table->unsignedBigInteger('licencia_moto')->nullable();


            $table->foreign('candidato_id')->references('id')->on('candidatos');
            $table->foreign('mecanografia')->references('id')->on('dropdowns');
            $table->foreign('taquigrafia')->references('id')->on('dropdowns');
            $table->foreign('archivo')->references('id')->on('dropdowns');
            $table->foreign('computacion')->references('id')->on('dropdowns');
            $table->foreign('reposteria')->references('id')->on('dropdowns');
            $table->foreign('cocina')->references('id')->on('dropdowns');
            $table->foreign('enfermeria')->references('id')->on('dropdowns');
            $table->foreign('programacion')->references('id')->on('dropdowns');
            $table->foreign('internet')->references('id')->on('dropdowns');
            $table->foreign('otros_conocimientos_tecnicos')->references('id')->on('dropdowns');
            $table->foreign('ingles')->references('id')->on('dropdowns');
            $table->foreign('ingles_lee')->references('id')->on('dropdowns');
            $table->foreign('ingles_escribe')->references('id')->on('dropdowns');
            $table->foreign('ingles_habla')->references('id')->on('dropdowns');
            $table->foreign('aleman')->references('id')->on('dropdowns');
            $table->foreign('aleman_lee')->references('id')->on('dropdowns');
            $table->foreign('aleman_escribe')->references('id')->on('dropdowns');
            $table->foreign('aleman_habla')->references('id')->on('dropdowns');
            $table->foreign('mandarin')->references('id')->on('dropdowns');
            $table->foreign('mandarin_lee')->references('id')->on('dropdowns');
            $table->foreign('mandarin_escribe')->references('id')->on('dropdowns');
            $table->foreign('mandarin_habla')->references('id')->on('dropdowns');
            $table->foreign('otro')->references('id')->on('dropdowns');
            $table->foreign('otro_lee')->references('id')->on('dropdowns');
            $table->foreign('otro_escribe')->references('id')->on('dropdowns');
            $table->foreign('otro_habla')->references('id')->on('dropdowns');
            $table->foreign('licencia_vehiculo_liviano')->references('id')->on('dropdowns');
            $table->foreign('licencia_vehiculo_liviano_tipo')->references('id')->on('dropdowns');
            $table->foreign('licencia_moto')->references('id')->on('dropdowns');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('candidato_habilidades', function (Blueprint $table) {
            
            $table->dropForeign(['candidato_id']);
            $table->dropForeign(['mecanografia']);
            $table->dropForeign(['taquigrafia']);
            $table->dropForeign(['archivo']);
            $table->dropForeign(['computacion']);
            $table->dropForeign(['reposteria']);
            $table->dropForeign(['cocina']);
            $table->dropForeign(['enfermeria']);
            $table->dropForeign(['programacion']);
            $table->dropForeign(['internet']);
            $table->dropForeign(['otros_conocimientos_tecnicos']);
            $table->dropForeign(['ingles']);
            $table->dropForeign(['ingles_lee']);
            $table->dropForeign(['ingles_escribe']);
            $table->dropForeign(['ingles_habla']);
            $table->dropForeign(['aleman']);
            $table->dropForeign(['aleman_lee']);
            $table->dropForeign(['aleman_escribe']);
            $table->dropForeign(['aleman_habla']);
            $table->dropForeign(['mandarin']);
            $table->dropForeign(['mandarin_lee']);
            $table->dropForeign(['mandarin_escribe']);
            $table->dropForeign(['mandarin_habla']);
            $table->dropForeign(['otro']);
            $table->dropForeign(['otro_lee']);
            $table->dropForeign(['otro_escribe']);
            $table->dropForeign(['otro_habla']);
            $table->dropForeign(['licencia_vehiculo_liviano']);
            $table->dropForeign(['licencia_vehiculo_liviano_tipo']);
            $table->dropForeign(['licencia_moto']);
        });
        Schema::dropIfExists('candidato_habilidades');
    }
}
