<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class AplicarEmpresaEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato, $empleo, $empresa, $empleo_candidato)
    {
        $this->candidato        = $candidato;
        $this->empleo           = $empleo;
        $this->empresa          = $empresa;
        $this->empleo_candidato = $empleo_candidato;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato        = $this->candidato;
        $empleo           = $this->empleo;
        $empresa          = $this->empresa;
        $empleo_candidato = $this->empleo_candidato;
     
        return $this->subject('Aplicaron a la plaza - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.empresacv')
            ->attach('storage/uploads/docs/'.$candidato->cv, [
                'as' => 'cv_candidato.pdf',
            ])
            ->with(compact('candidato','empleo','empresa','empleo_candidato')); 
    }
}
