<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class BoletinBajasEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidatos)
    {
        $this->candidatos = $candidatos;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidatos        = $this->candidatos;
     
        return $this->subject('Bajas del boletin de vacantes del mes '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.boletin_bajas')
            ->with(compact('candidatos'));
    }
}