<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class BoletinPlazasEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato, $empleos)
    {
        $this->candidato        = $candidato;
        $this->empleos           = $empleos;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato        = $this->candidato;
        $empleos           = $this->empleos;
     
        return $this->subject('Boletin Semanal de Empleos Miscorp S.A al '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.boletin_plazas')
            ->with(compact('candidato','empleos')); 
    }
}