<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Support\Facades\URL;

class CandidatoCreated extends Mailable
{
    use Queueable, SerializesModels;

    protected $candidato;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato)
    {
        $this->candidato    = $candidato;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato    = $this->candidato;
        $url = URL::temporarySignedRoute('public.usuario.verificar',now()->addMinutes(60),[
            'id' => $candidato->usuario->id,
            'hash' => sha1($candidato->email),
        ]);
        return $this->subject('Candidato creado - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.created')
            ->with(compact('candidato','url'));
    }
}
