<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class EntrevistaEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato, $empleo_candidato, $empresa)
    {
        $this->candidato         = $candidato;
        //$this->empleo            = $empleo;
        $this->empleo_candidato  = $empleo_candidato;
        $this->empresa           = $empresa;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato    = $this->candidato;
        //$empleo    = $this->empleo;
        $empleo_candidato = $this->empleo_candidato;
        $empresa = $this->empresa;
     
        return $this->subject('Entrevista - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.entrevista')
            ->with(compact('candidato','empleo_candidato','empresa'));
    }
}
