<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class PerfilIncompletoEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato, $porcentaje)
    {
        $this->candidato        = $candidato;
        $this->porcentaje       = $porcentaje;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato        = $this->candidato;
        $porcentaje       = $this->porcentaje;
     
        return $this->subject('Completa tu perfil al 100% '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.perfil_incompleto')
            ->with(compact('candidato','porcentaje')); 
    }
}