<?php

namespace Modules\Candidatos\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class PruebasEmail extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($candidato, $empleo)
    {
        $this->candidato    = $candidato;
        $this->empleo       = $empleo;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $candidato    = $this->candidato;
        $empleo    = $this->empleo;
     
        return $this->subject('Acceso para pruebas psicométricas y entrevista - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('candidatos::mail.candidatos.pruebas')
            ->with(compact('candidato','empleo'));
    }
}
