<?php

namespace Modules\Candidatos\Entities;

use Illuminate\Database\Eloquent\Model;

class CandidatoExperiencia extends Model
{
    protected $fillable = [
        'candidato_id',
        'empresa',
        'telefono',
        'ultimo_salario',
        'puesto',
        'area',
        'razon_retiro',
        'inicio_labores',
        'finalizo_labores',
        'jefe_inmediato',
        'puesto_jefe_inmediato',
        'telefono_jefe_inmediato',
        'funciones_principales',
        'contacto_supervisor',
        'contacto_supervisor_especifique',
        
        'nombre_puesto_referencia',
        'puesto_jefe_inmediato_referencia',
        'tiempo_laboro_referencia',
        'fortalezas_debilidades_referencia',
        'actitud_candidato_referencia',
        'realciones_interpersonales_referencia',
        'contrataria_de_nuevo_referencia',
        'confiable_referencia',
        'funciones_referencia',
        'desempeno_referencia',
        'llamada_atenciona_referencia',
        'observacion_referencia',
        'trabajo_actual',
    ];
    protected $dates = [
        'inicio_labores',
        'finalizo_labores'
    ];
    protected $casts = [
        'inicio_labores' => 'date'
    ];
    public function candidato()
    {
        return $this->belongsTo(\Modules\Candidatos\Entities\Candidato::class,'candidato_id','id');
    }
}
