<?php

namespace Modules\Candidatos\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CandidatoRegistroStoreRequest extends FormRequest
{

    public function __construct()
    {
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombre'                => 'required',
            'apellido'              => 'required',
            'email'                 => 'required|email|unique:usuarios,email',
            'password'              => [
                'required',
                'confirmed',
                'min:8',
            ],
            'password_confirmation' => [
                'required',
                'same:password',
            ],
            'aceptar'               => 'required',
            'g-recaptcha-response'  => 'recaptcha'
        ];
    }

}
