<?php

namespace Modules\Candidatos\Http\Requests\Privado;

use Illuminate\Foundation\Http\FormRequest;

class CandidatoPersonalesRequest extends FormRequest
{

    public function __construct()
    {
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'nombre'                => 'required',
            'apellido'                => 'required',
            'email'                 => 'required|email|unique:usuarios,email,' . $this->usuario_id,
            'password'              => [
                'nullable',
                'confirmed',
                'min:8',
            ],
            'password_confirmation' => [
                'nullable',
                'same:password',
            ],
            'fecha_nacimiento' => 'required',
            'lugar_nacimiento' => 'nullable',
            'edad' => 'nullable',
            'genero' => 'nullable',
            'pretension_salarial' => 'nullable',
            'nit' => 'nullable',
            'telefono_fijo' => 'nullable',
            'telefono_celular' => 'nullable',
            'profesion' => 'nullable',
            'anios_experiencia' => 'nullable',
            'area_experiencia' => 'nullable',
            'dpi' => 'required',
            'direccion' => 'required',
            'pais' => 'required',
            'departamento' => 'required',
            'municipio' => 'required',
            'zona' => 'required',
            'direccion_otros' => 'nullable',
            'igss' => 'nullable',
            'tipo_licencia' => 'nullable',
            'otro_tipo_licencia' => 'nullable',
            'licencia' => 'nullable',
            'estado_civil' => 'nullable',
            'nacionalidad' => 'nullable',
            'datos_conyugue' => 'nullable',
            'hijos' => 'nullable',
            'edad_hijos' => 'nullable',
            'datos_padre' => 'nullable',
            'datos_madre' => 'nullable',
            'hermanos' => 'nullable',
            'info_hermanos' => 'nullable',
            'estudia' => 'nullable',
            'carrera' => 'nullable',
            'establecimineto' => 'nullable',
            'horario' => 'nullable',
        ];
    }

}
