<?php

namespace Modules\Candidatos\Observers;

use App;
use Mail;
use Auth;
use Modules\Candidatos\Entities\Candidato;
use Modules\Candidatos\Emails\CandidatoCreated;
use Modules\Candidatos\Emails\CandidatoUpdated;

/**
 * retrieved, creating, created, updating, updated, saving, saved, deleting, deleted, restoring, restored
 */
class CandidatosObserver
{
    /**
     * Listen to the Candidato created event.
     *
     * @param  Candidato  $candidato
     * @return void
     */
    public function created(Candidato $candidato)
    {
        if (App::runningInConsole()) return;

        Mail::to($candidato->email)->send(new CandidatoCreated($candidato));
    }

    /**
     * Listen to the Candidato updating event.
     *
     * @param  Candidato  $candidato
     * @return void
     */
    public function updating(Candidato $candidato)
    {
        // $previousStatus = Candidato::find($candidato->id);
        // session(['cajaverde.user.previous' => $previousStatus->getAttributes()]);
    }


    /**
     * Listen to the Candidato updated event.
     *
     * @param  Candidato  $candidato
     * @return void
     */
    public function updated(Candidato $candidato)
    {
        if (App::runningInConsole()) return;

        // $loggeduser = Auth::user();

        // $crud = session('cajaverde.user.update', false);
        // if(!$crud) return;

        // $previousStatus = session('cajaverde.user.previous');

        // session(['cajaverde.user.update' => false]);
        // session(['cajaverde.user.previous' => false]);

        // Mail::to(getAdminMail())->send(new CandidatoUpdated($loggeduser, $candidato));
    }
}
