@php
$edit = isset($candidato);

@endphp

<div class="card-body">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="nombre">Nombre</label>
                {!! Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]) !!}
                @if ($errors->has('nombre'))
                <span class="has-error">{{ $errors->first('nombre') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="apellido">Apellido</label>
                {!! Form::text('apellido', null, ['class' => 'form-control'.($errors->has('apellido') ? ' is-invalid' : ''), 'placeholder' => 'Apellido', 'required' => true ]) !!}
                @if ($errors->has('apellido'))
                <span class="has-error">{{ $errors->first('apellido') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="email">Correo electrónico</label>
                {!! Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]) !!}
                @if ($errors->has('email'))
                <span class="has-error">{{ $errors->first('email') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password">Contraseña</label>
                {!! Form::password('password', [
                    'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Contraseña',
                    'required' => ($edit ? false : true) ,
                    ]) !!}
                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                @if ($errors->has('password'))
                <span class="has-error">{{ $errors->first('password') }}</span>
                @endif 
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password_confirmation">Confirmar contraseña</label>
                {!! Form::password('password_confirmation', [
                    'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Confirmar contraseña',
                    'required' => ($edit ? false : true)
                    ]) !!}
                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                @if ($errors->has('password_confirmation'))
                <span class="has-error">{{ $errors->first('password_confirmation') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            @hasrole('Super Admin')
            <div class="form-group">
                <div class="form-check">
                    {!! Form::radio('activo', 1, ($edit ? $candidato->usuario->activo : null), ['class' => 'form-check-input', 'id' => 'activeCheck1']) !!}
                    <label class="form-check-label" for="activeCheck1">Activo</label>
                </div>
                <div class="form-check">
                    {!! Form::radio('activo', 0, ($edit ? !$candidato->usuario->activo : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']) !!}
                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                </div>
                @if ($errors->has('activo'))
                <span class="has-error">{{ $errors->first('activo') }}</span>
                @endif
            </div>
            @endrole
        </div>
    </div>
    {!! Form::hidden('id', null) !!}
    {!! Form::hidden('usuario_id', null) !!}
</div>
<!-- /.card-body -->
