@component('mail::message')

<div class="container">
    <div class="row">
        <div class="col-12 col-lg-6">
          <img src='{{asset("/img/Miscorp.svg")}}' alt="">
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <h4>Señor(a):</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            {{$candidato->nombre}} {{$candidato->apellido}}
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <p>
                A continuación puede encontrar las nuevas plazas publicadas en <a
                    href="https://miscorpsa.com/empleos#empleos-candidato">www.miscorpsa.com</a> hasta la última semana:
            </p>
        </div>
    </div>
    @if($empleos != null)
        @foreach($empleos as $empleo)
        <div class="row">
            <div class="col-12">
                <div class="form-cita">
                    <div class="row">
                        <div class="col px-5 py-3">
                            <p><span><strong>{{$empleo->plaza}}</strong></span></p>
                        </div>
                    </div>
                    <ul>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><strong>Empresa:</strong> {{$empleo->empresa}}</span></li>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><strong>Fecha de publicación:</strong> {{$empleo->fecha_publicacion->format('d-m-Y')}}</span></li>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><strong>Salario:</strong> Q{{number_format($empleo->sueldo,2)}}</span></li>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><strong>Departamento:</strong> {{getDropdownValue($empleo->pais)}}, {{getDropdownValue($empleo->departamento)}}</span></li>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><strong>Jornada:</strong> {{getDropdownValue($empleo->jornada)}}</span></li>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col px-5 py-3">
                                <li><span><a href="{{route('public.empleos.show',$empleo->id)}}">Leer más</a></span></li>
                            </div>
                        </div>
                    </ul>
                </div>
            </div>
        </div>
        @endforeach
    @endif
    <div class="row">
        <div class="col-12">
            <img src='{{asset("/img/firma_correos.gif")}}' alt=""> 
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <p style="text-align: center;"><small>En cumplimiento de lo dispuesto en la Protección de Datos, para el ejercicio de sus derechos de acceso, 
                rectificación, cancelación y oposición al tratamiento de sus datos personales, contenidos en nuestras 
                condiciones de protección de datos, solamente tiene que responder a este e-mail indicando su email en el 
                asunto. Si desea darse de baja también puede hacer clic <a href="{{route('public.baja.boletin',$candidato->id)}}">aquí.</a></small></p>
        </div>
    </div>
</div>

@endcomponent