@component('mail::message')

<style>
.bg-success {
  background-color: #38c172 !important;
}

@-webkit-keyframes progress-bar-stripes {
  from {
    background-position: 1rem 0;
  }
  to {
    background-position: 0 0;
  }
}

@keyframes progress-bar-stripes {
  from {
    background-position: 1rem 0;
  }
  to {
    background-position: 0 0;
  }
}

.progress {
  display: -ms-flexbox;
  display: flex;
  height: 1rem;
  overflow: hidden;
  font-size: 0.75rem;
  background-color: #e9ecef;
  border-radius: 0.25rem;
  box-shadow: inset 0 0.1rem 0.1rem rgba(0, 0, 0, 0.1);
}

.progress-bar {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
  flex-direction: column;
  -ms-flex-pack: center;
  justify-content: center;
  color: #ffffff;
  text-align: center;
  white-space: nowrap;
  background-color: #007bff;
  transition: width 0.6s ease;
}

@media (prefers-reduced-motion: reduce) {
  .progress-bar {
    transition: none;
  }
}

.progress-bar-striped {
  background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
  background-size: 1rem 1rem;
}

.progress-bar-animated {
  -webkit-animation: progress-bar-stripes 1s linear infinite;
  animation: progress-bar-stripes 1s linear infinite;
}

@media (prefers-reduced-motion: reduce) {
  .progress-bar-animated {
    -webkit-animation: none;
    animation: none;
  }
}
</style>

<div class="container">
    <div class="row">
        <div class="col-12 col-lg-6">
          <img src='{{asset("/img/Miscorp.svg")}}' alt="">
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <h4>Señor(a):</h4>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            {{$candidato->nombre}} {{$candidato->apellido}}
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-12">
            <p>
                Hemos notado que tu perfil aún no se ha completado al 100%, por lo que te pedimos ingreses con tu usuario y contraseña en el enlace <a
                href="https://miscorpsa.com/empleos">www.miscorpsa.com</a> y actualices la infomación que tienes pendiente en cada sección.
            </p>
            <p>
                Recuerda que es un requisito indispensable para que puedas aplicar a cualquier plaza que te encuentres interesado.
            </p>
            <b>% de tu perfil</b>
            <div class="progress">
                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" aria-valuenow="{{$porcentaje}}" aria-valuemin="0" aria-valuemax="100" style="width: {{$porcentaje}}%;">{{$porcentaje}}%</div>
            </div>
            <div class="row">
                <div class="col-3">
                @component('mail::button', ['url' => 'http://miscorpsa.com/empleos'])
                    Completar mi perfil
                @endcomponent
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <img src='{{asset("/img/firma_correos.gif")}}' alt=""> 
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <p style="text-align: center;"><small>En cumplimiento de lo dispuesto en la Protección de Datos, para el ejercicio de sus 
              derechos de acceso, rectificación, cancelación y oposición al tratamiento de sus datos personales, contenidos en 
              nuestras condiciones de protección de datos, para darte de baja del boletín solamente debes enviar un correo electrónico a 
              <a href="bajasboletin@miscorpsa.com">bajasboletin@miscorpsa.com</a></small></p>
        </div>
    </div>
</div>

@endcomponent