@extends('layouts.public')

@section('title','Perfil - Candidato')

@section('headlinks')
@endsection

@section('content')
<main id="page-estudios">
    <section id="page-estudios">
        <div class="container">
            <div class="row mensaje-gracias">
                <div class="col-12 col-lg-9">
                    <h3><strong>Estudios</strong></h3>
                </div>
                <div class="col-12 col-lg-3">
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.perfil',['candidato' => $candidato])}}">Regresar Al Perfil</a>
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.habilidades',['candidato' => $candidato])}}">Continuar</a>
                </div>
            </div>
            <div class="row referencias p-5">
                <div class="col">
                    {{ Form::model($candidato->estudios()->first(), ['route' => ['private.candidatos.estudios.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12"> 
                                <h5>Primaria</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Primaria</label>{!! Form::select('primaria', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('primaria') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'primaria'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_primaria', null, ['class' => 'form-control'.($errors->has('anio_graduacion_primaria') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_primaria' ]) !!}</div>
                            <div class="col-12 col-lg-6 form-group"><label>Institución</label>{!! Form::text('institucion_primaria', null, ['class' => 'form-control'.($errors->has('institucion_primaria') ? ' is-invalid' : ''), 'id' => 'institucion_primaria' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Básicos</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Básicos</label>{!! Form::select('basicos', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('basicos') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'basicos'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_basicos', null, ['class' => 'form-control'.($errors->has('anio_graduacion_basicos') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_basicos' ]) !!}</div>
                            <div class="col-12 col-lg-6 form-group"><label>Institución</label>{!! Form::text('institucion_basicos', null, ['class' => 'form-control'.($errors->has('institucion_basicos') ? ' is-invalid' : ''), 'id' => 'institucion_basicos' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Diversificado</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Diversificado</label>{!! Form::select('diversificado', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('diversificado') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'diversificado'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_diversificado', null, ['class' => 'form-control'.($errors->has('anio_graduacion_diversificado') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_diversificado' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_diversificado', null, ['class' => 'form-control'.($errors->has('institucion_diversificado') ? ' is-invalid' : ''), 'id' => 'institucion_diversificado' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Título</label>{!! Form::text('titulo_basicos', null, ['class' => 'form-control'.($errors->has('titulo_basicos') ? ' is-invalid' : ''), 'id' => 'titulo_diversificado' ]) !!}</div>                       
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Carrera técnica</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Carrera técnica</label>{!! Form::select('carrera_tecnica', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('carrera_tecnica') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'carrera_tecnica'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_carrera_tecnica', null, ['class' => 'form-control'.($errors->has('anio_graduacion_carrera_tecnica') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_carrera_tecnica' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_carrera_tecnica', null, ['class' => 'form-control'.($errors->has('institucion_carrera_tecnica') ? ' is-invalid' : ''), 'id' => 'institucion_carrera_tecnica' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Título</label>{!! Form::text('titulo_carrera_tecnica', null, ['class' => 'form-control'.($errors->has('titulo_carrera_tecnica') ? ' is-invalid' : ''), 'id' => 'titulo_carrera_tecnica' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Estudios universitarios</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Estudios universitarios</label>{!! Form::select('estudios_univeristarios', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('estudios_univeristarios') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'estudios_univeristarios'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Finalización</label>{!! Form::number('anio_graduacion_estudios_univeristarios', null, ['class' => 'form-control'.($errors->has('anio_graduacion_estudios_univeristarios') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_estudios_univeristarios' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_estudios_univeristarios', null, ['class' => 'form-control'.($errors->has('institucion_estudios_univeristarios') ? ' is-invalid' : ''), 'id' => 'institucion_estudios_univeristarios' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Carrera Universitaria</label>{!! Form::text('titulo_estudios_univeristarios', null, ['class' => 'form-control'.($errors->has('titulo_estudios_univeristarios') ? ' is-invalid' : ''), 'id' => 'carrera_estudios_universitarios' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Graduado universitario</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Graduado universitario</label>{!! Form::select('graduado_universitario', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('graduado_universitario') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'graduado_universitario'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_graduado_universitario', null, ['class' => 'form-control'.($errors->has('anio_graduacion_graduado_universitario') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_graduado_universitario' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_graduado_universitario', null, ['class' => 'form-control'.($errors->has('institucion_graduado_universitario') ? ' is-invalid' : ''), 'id' => 'institucion_graduado_universitario' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Título</label>{!! Form::text('titulo_graduado_universitario', null, ['class' => 'form-control'.($errors->has('titulo_graduado_universitario') ? ' is-invalid' : ''), 'id' => 'titulo_graduado_universitario' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Maestría</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Maestría</label>{!! Form::select('maestria', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('maestria') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'maestria'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_maestria', null, ['class' => 'form-control'.($errors->has('anio_graduacion_maestria') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_maestria' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_maestria', null, ['class' => 'form-control'.($errors->has('institucion_maestria') ? ' is-invalid' : ''), 'id' => 'institucion_maestria' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Título</label>{!! Form::text('titulo_maestria', null, ['class' => 'form-control'.($errors->has('titulo_maestria') ? ' is-invalid' : ''), 'id' => 'titulo_maestria' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Doctorado</h5>
                            </div>
                            <div class="col-12 col-lg-3 form-group"><label>Doctorado</label>{!! Form::select('doctorado', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('doctorado') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'doctorado'  ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Año de Graduación</label>{!! Form::number('anio_graduacion_doctorado', null, ['class' => 'form-control'.($errors->has('anio_graduacion_doctorado') ? ' is-invalid' : ''), 'id' => 'anio_graduacion_doctorado' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Institución</label>{!! Form::text('institucion_doctorado', null, ['class' => 'form-control'.($errors->has('institucion_doctorado') ? ' is-invalid' : ''), 'id' => 'institucion_doctorado' ]) !!}</div>
                            <div class="col-12 col-lg-3 form-group"><label>Título</label>{!! Form::text('titulo_doctorado', null, ['class' => 'form-control'.($errors->has('titulo_doctorado') ? ' is-invalid' : ''), 'id' => 'titulo_doctorado' ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Otros estudios / Cursos recibidos</h5>
                            </div>
                            <div class="col-12 form-group"><label>Otros estudios</label>{!! Form::textarea('otros_estudios', null, ['class' => 'form-control'.($errors->has('otros_estudios') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        </div>
                        <div class="form-row justify-content-end align-items-center">
                            <div class="col-12 col-lg-2 form-group"><button type="submit" class="btn btn-warning btn-block">Añadir</button></div>
                        </div>
                        {!! Form::hidden('candidato_id',$candidato->id) !!}
                        {!! Form::close() !!}
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>

    $("#primaria").change(function() {

    if( $("#primaria").val()=="376" || $("#primaria").val()=="" ){
        $( "#anio_graduacion_primaria" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("anio_graduacion_primaria").value = null;  
        $( "#institucion_primaria" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("institucion_primaria").value = null; 
    }else {
        $( "#anio_graduacion_primaria" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_primaria" ).prop( "required", true ).prop("disabled", false);  
    }         
    });

    $("#basicos").change(function() {

    if( $("#basicos").val()=="376" || $("#basicos").val()=="" ){
        $( "#anio_graduacion_basicos" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("anio_graduacion_basicos").value = null; 
        $( "#institucion_basicos" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("institucion_basicos").value = null; 
    }else {
        $( "#anio_graduacion_basicos" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_basicos" ).prop( "required", true ).prop("disabled", false);
    }         
    });

    $("#diversificado").change(function() {

    if( $("#diversificado").val()=="376" || $("#diversificado").val()=="" ){
        $( "#anio_graduacion_diversificado" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("anio_graduacion_diversificado").value = null;  
        $( "#institucion_diversificado" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("institucion_diversificado").value = null;  
        $( "#titulo_diversificado" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("titulo_diversificado").value = null;
    }else {
        $( "#anio_graduacion_diversificado" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_diversificado" ).prop( "required", true ).prop("disabled", false); 
        $( "#titulo_diversificado" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#carrera_tecnica").change(function() {

    if( $("#carrera_tecnica").val()=="376" || $("#carrera_tecnica").val()=="" ){
        $( "#anio_graduacion_carrera_tecnica" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("anio_graduacion_carrera_tecnica").value = null;
        $( "#institucion_carrera_tecnica" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("institucion_carrera_tecnica").value = null;
        $( "#titulo_carrera_tecnica" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("titulo_carrera_tecnica").value = null; 
    }else {
        $( "#anio_graduacion_carrera_tecnica" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_carrera_tecnica" ).prop( "required", true ).prop("disabled", false); 
        $( "#titulo_carrera_tecnica" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#estudios_univeristarios").change(function() {

    if( $("#estudios_univeristarios").val()=="376" || $("#estudios_univeristarios").val()=="" ){
        $( "#anio_graduacion_estudios_univeristarios" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("anio_graduacion_estudios_univeristarios").value = null; 
        $( "#institucion_estudios_univeristarios" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("institucion_estudios_univeristarios").value = null;  
        $( "#carrera_estudios_universitarios" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("carrera_estudios_universitarios").value = null; 
    }else {
        $( "#anio_graduacion_estudios_univeristarios" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_estudios_univeristarios" ).prop( "required", true ).prop("disabled", false); 
        $( "#carrera_estudios_universitarios" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#graduado_universitario").change(function() {

    if( $("#graduado_universitario").val()=="376" || $("#graduado_universitario").val()=="" ){
        $( "#anio_graduacion_graduado_universitario" ).prop( "required", false ).prop("disabled", true);
        document.getElementById("anio_graduacion_graduado_universitario").value = null;   
        $( "#institucion_graduado_universitario" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("institucion_graduado_universitario").value = null;   
        $( "#titulo_graduado_universitario" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("titulo_graduado_universitario").value = null;   
    }else {
        $( "#anio_graduacion_graduado_universitario" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_graduado_universitario" ).prop( "required", true ).prop("disabled", false); 
        $( "#titulo_graduado_universitario" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#maestria").change(function() {

    if( $("#maestria").val()=="376" || $("#maestria").val()=="" ){
        $( "#anio_graduacion_maestria" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("anio_graduacion_maestria").value = null;   
        $( "#institucion_maestria" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("institucion_maestria").value = null;   
        $( "#titulo_maestria" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("titulo_maestria").value = null;    
    }else {
        $( "#anio_graduacion_maestria" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_maestria" ).prop( "required", true ).prop("disabled", false); 
        $( "#titulo_maestria" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#doctorado").change(function() {

    if( $("#doctorado").val()=="376" || $("#doctorado").val()=="" ){
        $( "#anio_graduacion_doctorado" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("anio_graduacion_doctorado").value = null;     
        $( "#institucion_doctorado" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("institucion_doctorado").value = null;  
        $( "#titulo_doctorado" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("titulo_doctorado").value = null;    
    }else {
        $( "#anio_graduacion_doctorado" ).prop( "required", true ).prop("disabled", false); 
        $( "#institucion_doctorado" ).prop( "required", true ).prop("disabled", false); 
        $( "#titulo_doctorado" ).prop( "required", true ).prop("disabled", false); 
    }         
    });

    $("#primaria").trigger("change");
    $("#basicos").trigger("change");
    $("#diversificado").trigger("change");
    $("#carrera_tecnica").trigger("change");
    $("#estudios_univeristarios").trigger("change");
    $("#graduado_universitario").trigger("change");
    $("#maestria").trigger("change");
    $("#doctorado").trigger("change");

</script>
@endsection