@extends('layouts.public')

@section('title','Perfil - Candidato')

@section('headlinks')
@endsection

@section('content')
<main id="page-experiencia-labora">
    <section id="page-base">
        <div class="container">
            <div class="row mensaje-gracias mb-4">
                <div class="col-12 col-lg-9">
                    <h3>Experiencia <strong>Laboral</strong></h3>* 3 referencias como máximo.
                </div>
                <div class="col-12 col-lg-3">
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.perfil',['candidato' => $candidato])}}">Regresar Al Perfil</a>
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.referencia',['candidato' => $candidato])}}">Continuar</a>
                </div>
            </div>
            <div class="row mensaje-gracias">
                <div class="col">
                    <div>
                        <ul class="nav nav-pills">
                            @foreach ($candidato->experiencia()->get() as $count => $experiencia)
                            {{-- <li class="nav-item"><a class="nav-link {{ $count == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-{{$experiencia->id}}">{{$experiencia->empresa}}</a></li> --}}
                            @if($count == 0)
                                <li class="nav-item"><a class="nav-link {{ $count == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-{{$experiencia->id}}">Empresa A</a></li>
                            @elseif ($count == 1)
                                <li class="nav-item"><a class="nav-link {{ $count == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-{{$experiencia->id}}">Empresa B</a></li>
                            @elseif ($count == 2)    
                                <li class="nav-item"><a class="nav-link {{ $count == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-{{$experiencia->id}}">Empresa C</a></li> 
                            @endif
                            @endforeach
                            @if($candidato->experiencia()->count() >= 3)
                            {{-- <li class="nav-item"><a class="nav-link inactive" role="tab" data-toggle="pill" href="" hidden>Empresa</a></li> --}}
                            @elseif ($candidato->experiencia()->count() == 0)
                                <li class="nav-item"><a class="nav-link {{$candidato->experiencia()->count() == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-nuevo">Empresa A</a></li>
                            @elseif ($candidato->experiencia()->count() == 1)    
                                <li class="nav-item"><a class="nav-link {{$candidato->experiencia()->count() == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-nuevo">Empresa B</a></li>
                            @elseif ($candidato->experiencia()->count() == 2)    
                                <li class="nav-item"><a class="nav-link {{$candidato->experiencia()->count() == 0 ? 'active' : '' }}" role="tab" data-toggle="pill" href="#tab-nuevo">Empresa C</a></li>    
                            @endif
                        </ul>
                        <div class="tab-content py-5 px-3">
                            @foreach ($candidato->experiencia()->get() as $count => $experiencia)
                            <div class="tab-pane fade {{ $count == 0 ? 'show active' : 'fade' }}" role="tabpanel" id="tab-{{$experiencia->id}}">
                                <div class="row">
                                    <div class="col">
                                        {{ Form::model($experiencia, ['route' => ['private.candidatos.experiencia.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                                            @include('candidatos::privado.forms.experiencia',['experiencia' => $experiencia])
                                        {!! Form::hidden('candidato_id',$candidato->id) !!}
                                        {!! Form::hidden('id', null) !!}
                                        {!! Form::close() !!}
                                    </div>
                                </div>
                            </div>
                            @endforeach
                            <div class="tab-pane {{$candidato->experiencia()->count() == 0 ? 'show active' : 'fade' }}" role="tabpanel" id="tab-nuevo">
                                <div class="row">
                                    <div class="col">
                                        {{ Form::open(['route' => ['private.candidatos.experiencia.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                                            @include('candidatos::privado.forms.experiencia')
                                        {!! Form::hidden('candidato_id',$candidato->id) !!}
                                        {!! Form::hidden('id', null) !!}
                                        {!! Form::close() !!}
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>

    $("#contacto_supervisor").change(function() {

    if( $("#contacto_supervisor").val()=="376" || $("#contacto_supervisor").val()=="" ){
        $( "#contacto_supervisor_especifique" ).prop( "required", true ).prop("disabled", false); 
    }else {
        $( "#contacto_supervisor_especifique" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("contacto_supervisor_especifique").value = null; 
    }         
    });

    $("#trabajo_actual").change(function() {

    if( $("#trabajo_actual").val()=="376" || $("#trabajo_actual").val()=="" ){
        $( "#finalizacion_labores" ).prop( "required", true ).prop("disabled", false);
        $( "#razon_retiro" ).prop( "required", true ).prop("disabled", false); 
    }else {
        $( "#finalizacion_labores" ).prop( "required", false ).prop("disabled", true);
        $( "#razon_retiro" ).prop( "required", false ).prop("disabled", true);
        document.getElementById("finalizacion_labores").value = null; 
        document.getElementById("razon_retiro").value = null; 
    }         
    });

    $("#contacto_supervisor").trigger("change"); 
    $("#trabajo_actual").trigger("change"); 

</script>
@endsection