@extends('layouts.public')

@section('title','Perfil - Candidato')

@section('headlinks')
@endsection

@section('content')
<main id="page-perfil-candidato">
    <section id="Info-multi-candidato">
        <div class="container">
            <div class="row mensaje-gracias mb-4">
                <div class="col-12">
                    <div class="bg-warning px-3 py-1 alert alert-warning alert-dismissible fade show" role="alert">
                    <span><strong>¡ALERTA!</strong> Para poder aplicar al empleo de su interés su "ESTADO DEL PERFIL" debe estar al 100%, por lo que debe llenar las áreas que encontrará en la parte de abajo de esta ventana.</span>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                </div>
            </div>
            @hasrole('Base de datos|Reclutamiento')
            <div class="col-6 col-lg-2 py-2"><a class="btn btn-primary btn-block" href="{{route('staff.database.perfil.candidato',$candidato->id)}}" type="button">Regresar</a></div>
            @endhasrole
            <div class="row desc-multi">
                <div class="col-12 col-lg-3 text-center image">
                    <img class="img-fluid {{$candidato->archivo_informe?'border-10':''}}" src="{{asset('storage/uploads/images/'.$candidato->fotografia)}}"> 
                    {{ Form::model($candidato, ['route' => ['private.candidatos.file.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH','enctype'=>'multipart/form-data']) }}
                    <input type="file" name="fotografia" onchange="form.submit()" id="fotografia" hidden>
                    <button class="btn btn-warning btn-block mb-3" type="button" id="subir-fotografia">
                        <strong>Cambiar fotografía</strong>
                    </button>
                    <p><strong>ID: {{$candidato->id}}</strong></p>
                    {!! Form::hidden('candidato_id',$candidato->id) !!}
                    {!! Form::close() !!}
                    {{-- <div class="bg-danger">
                        <p>La fotografía ayuda a tener una mejor visibilidad para su perfil.</p>
                    </div> --}}
                </div>
                <div class="col-12 col-lg-9">
                    <div class="row">
                        <div class="col-12 col-lg-7">
                            <h1> {{$candidato->nombre_completo}}</h1>
                            <h4>{{isset($candidato->profesion)?$candidato->profesion:''}}</h4>
                        </div>
                        <div class="col-12 col-lg-5">
                            <div class="row">
                                <div class="col-12 col-lg-6 pb-3">
                                    {{ Form::model($candidato, ['route' => ['private.candidatos.file.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH','enctype'=>'multipart/form-data']) }}
                                        <input type="file" name="cv" onchange="form.submit()" id="cv" hidden>
                                        @if(isset($candidato->cv))
                                        <button class="btn btn-warning btn-block" type="button" id="subir-cv">Editar CV</button>
                                        @else
                                        <button class="btn btn-warning btn-block" type="button" id="subir-cv">Subir CV</button>
                                        @endif
                                    {!! Form::hidden('candidato_id',$candidato->id) !!} 
                                    {!! Form::close() !!} 
                                    
                                </div>
                                <div class="col-12 col-lg-6 pb-3">
                                    {{ Form::model($candidato, ['route' => ['private.candidatos.file.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH','enctype'=>'multipart/form-data']) }}
                                        <input type="file" name="video" onchange="form.submit()" id="video" hidden>
                                        @if(isset($candidato->video))
                                        <button class="btn btn-success btn-block" type="button" id="subir-video">Editar Vídeo</button>
                                        @else
                                        <button class="btn btn-success btn-block" type="button" id="subir-video">Subir Vídeo</button>.
                                        @endif
                                    {!! Form::hidden('candidato_id',$candidato->id) !!}
                                    {!! Form::close() !!} 
                                </div>
                                <div class="col-12 col-lg-6 pb-3">
                                    @if( isset($candidato->cv) )
                                        <a class="btn btn-warning btn-block" target="_blank" type="button" href="{{asset('storage/uploads/docs/'.$candidato->cv)}}">Ver CV</a>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-6 pb-3">
                                    @if(isset($candidato->video))
                                        <a class="btn btn-success btn-block" target="_blank" data-toggle="modal" data-target="#video-candidato" type="button" href="#">Ver video</a>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <p>Descripción breve de quién eres:</p>
                            {{ Form::model($candidato, ['route' => ['private.candidatos.descripcion.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                                <div class="form-row">
                                    <div class="col">
                                    {!! Form::textarea('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''),'rows' => 4, 'placeholder' => '', 'required' => true ]) !!}
                                    </div>
                                </div>
                                <div class="form-row justify-content-end align-items-center pt-4">
                                    <div class="col-12 col-lg-2 form-group"><button type="submit" class="btn btn-warning btn-block">Añadir</button></div>
                                </div>
                            {!! Form::hidden('usuario_id',$candidato->usuario_id) !!}
                            {!! Form::close() !!}
                        </div>
                    </div>
                    
                </div>
            </div>
            <div class="row align-items-start p-4">
                <div class="col-12 col-lg-3">
                    <h6><strong>ESTADO DEL PERFIL</strong></h6>
                    <div class="row activo">
                        <div class="col-2"><i class="far fa-dot-circle rounded-circle"></i></div>
                        <div class="col-10">
                            <p>Activo desde el {{ isset($candidato->created_at)?$candidato->created_at->format('d-m-Y'):'' }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-7">
                    <div class="row">
                        <div class="col-12 text-center pb-4">
                            <div class="progress">
                                <div class="progress-bar progress-bar-striped progress-bar-animated bg-success" aria-valuenow="{{$porcentaje}}" aria-valuemin="0" aria-valuemax="100" style="width: {{$porcentaje}}%;">{{$porcentaje}}%</div>
                            </div>
                        </div>
                        <div class="col-12 text-center">
                            <p>Actualización desde el {{ isset($candidato->updated_at)?$candidato->updated_at->format('d-m-Y'):'' }}</p>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-2">
                    <a href="/empleos#empleos-candidato" class="btn btn-secondary btn-block">
                        Aplicar a empleo
                    </a>
                </div>
            </div>
        </div>
    </section>
    <section id="actualizacion-datos">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div role="tablist" id="accordion-datos-actualizar">
                        <div class="card">
                            <div class="card-header bg-primary" role="tab">
                                <h5 class="float-left mb-0">
                                    Datos personales
                                </h5>
                                <div>
                                    <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.personales',['candidato' => $candidato])}}">Actualizar</a> 
                                    <a data-toggle="collapse" aria-expanded="true" aria-controls="accordion-datos-actualizar .item-1" href="#accordion-datos-actualizar .item-1" class="btn btn-success float-right mr-3" role="button" href="{{route('private.candidatos.personales')}}">Ver</a>
                                </div>
                            </div>
                            <div class="collapse show item-1" role="tabpanel" data-parent="#accordion-datos-actualizar">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-12 col-lg-6">
                                            <ul>
                                                <li><strong>Nombre Completo:</strong>  {{$candidato->nombre_completo}}</li>
                                                <li><strong>Fecha de Nacimiento:</strong> {{isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->format('d-m-Y'):''}} </li>
                                                <li><strong>Lugar de Nacimiento:</strong> {{$candidato->lugar_nacimiento}} </li>
                                                <li><strong>Edad:</strong> {{isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age.' años':''}}</li>
                                                <li><strong>DPI:</strong> {{$candidato->dpi}} </li>
                                                <li><strong>Género:</strong> {{getDropdownValue($candidato->genero)}} </li>
                                                <li><strong>Pretensión Salarial:</strong> Q{{number_format($candidato->pretension_salarial,2)}} </li>
                                                <li><strong>Nit:</strong> {{$candidato->nit}} </li>
                                                <li><strong>Teléfono Fijo:</strong> {{isset($candidato->telefono_fijo)?$candidato->telefono_fijo:''}} </li>
                                                <li><strong>Teléfono Celular:</strong> {{$candidato->telefono_celular}} </li>
                                                <li><strong>Profesión:</strong> {{ isset($candidato->profesion)?$candidato->profesion:''}} </li>
                                                <li><strong>Años de Experiencia:</strong> {{$candidato->anios_experiencia}} </li>
                                                <li><strong>Área de Experiencia:</strong> {{$candidato->area_experiencia}} </li>
                                                <li><strong>Dirección:</strong> {{$candidato->direccion}} </li>
                                                <li><strong>País:</strong> {{getDropdownValue($candidato->pais)}} </li>
                                                <li><strong>Departamento:</strong> {{getDropdownValue($candidato->departamento)}} </li>
                                                <li><strong>Municipio:</strong> {{getDropdownValue($candidato->municipio)}} </li>
                                                <li><strong>Zona:</strong> {{$candidato->zona}} </li>
                                                {{-- <li><strong>Dirección:</strong> {{$candidato->direccion_otros}} </li> --}}
                                                <li><strong>IGSS:</strong> {{$candidato->igss}} </li>
                                                <li><strong>Estado Civil:</strong> {{getDropdownValue($candidato->estado_civil)}} </li>
                                                <li><strong>Nacionalidad:</strong> {{$candidato->nacionalidad}} </li>
                                            </ul>
                                        </div>
                                        <div class="col-12 col-lg-6">
                                            <ul>
                                                <li><strong>Datos del Cónyugue:</strong> {{$candidato->datos_conyugue}} </li>
                                                <li><strong>Edad del Cónyugue:</strong> {{$candidato->edad_conyugue}} años</li>
                                                <li><strong>Ocupación del Cónyugue:</strong> {{$candidato->ocupacion_conyugue}} </li>
                                                <li><strong>Hijos:</strong> {{getDropdownValue($candidato->hijos)}} </li>
                                                <li><strong>Edad Hijos:</strong> {{$candidato->edad_hijos}} </li>
                                                <li><strong>Datos del Padre:</strong> {{$candidato->datos_padre}} </li>
                                                <li><strong>Ocupación del padre:</strong> {{$candidato->ocupacion_padre}} </li>
                                                <li><strong>Datos de la Madre:</strong> {{$candidato->datos_madre}} </li>
                                                <li><strong>Ocupación de la madre:</strong> {{$candidato->ocupacion_madre}} </li>
                                                <li><strong>Hermanos:</strong> {{getDropdownValue($candidato->hermanos)}} </li>
                                                <li><strong>Ocupación de los Hermanos:</strong> {{$candidato->ocupacion_hermanos}} </li>
                                                <li><strong>Estudia:</strong> {{getDropdownValue($candidato->estudia)}} </li>
                                                <li><strong>Carrera:</strong> {{$candidato->carrera}} </li>
                                                <li><strong>Establecimiento:</strong> {{$candidato->establecimineto}} </li>
                                                <li><strong>Horario:</strong> {{$candidato->horario}} </li>
                                                <li><strong>Licencia:</strong> {{getDropdownValue($candidato->tipo_licencia)}} </li>
                                                <li><strong>Número de Licencia:</strong> {{$candidato->licencia}} </li>
                                                <li><strong>¿Posee otro tipo de licencia?</strong> {{$candidato->otro_tipo_licencia}} </li> 
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-header bg-primary" role="tab">
                                <h5 class="float-left mb-0">
                                    Otros datos
                                </h5>
                                <div>
                                    <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.otros',['candidato' => $candidato])}}">Actualizar</a>
                                    <a data-toggle="collapse" aria-expanded="false" aria-controls="accordion-datos-actualizar .item-2" href="#accordion-datos-actualizar .item-2" class="btn btn-success float-right mr-3">Ver</a>
                                </div>
                            </div>
                            <div class="collapse item-2" role="tabpanel" data-parent="#accordion-datos-actualizar">
                                <div class="card-body">
                                    @php
                                        $otros_datos = $candidato->otros()->first();
                                    @endphp
                                    @isset($otros_datos)
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Impedimento Físico:</b> {{getDropdownValue($otros_datos->impedimento_fisico)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Impedimento:</b> {{$otros_datos->impedimento}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Toma Medicamentos:</b> {{getDropdownValue($otros_datos->toma_medicamentos)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Bebe o fuma?</b> {{getDropdownValue($otros_datos->bebe_fuma)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Especifique:</b> {{$otros_datos->bebe_fuma_especifique}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Ha estado enfermo de gravedad los últimos dos años?</b> {{getDropdownValue($otros_datos->enfermo_de_gravedad)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Especifique:</b> {{$otros_datos->enfermo_de_gravedad_especifique}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Complexión física:</b> {{getDropdownValue($otros_datos->complexion_fisica)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Estatura (cm):</b> {{$otros_datos->estatura}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Peso (lbs):</b> {{$otros_datos->peso}} </p>
                                        </div>
                                        {{-- <div class="col-md-3">
                                            <p><b>Religion:</b> {{$otros_datos->religion}} </p>
                                        </div> --}}
                                        <div class="col-md-3">
                                            <p><b>¿Tiene casa propia?</b> {{getDropdownValue($otros_datos->casa_propia)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>¿Alquila?</b> {{getDropdownValue($otros_datos->alquila)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Otros Especifique:</b> {{$otros_datos->otros_especifiques}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Cuánto tiempo tiene de vivir en esa dirección? (en años):</b> {{$otros_datos->anios_viviendo}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Posee otros ingresos?</b> {{getDropdownValue($otros_datos->otros_ingresos)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>¿Monto? (Q):</b> {{$otros_datos->monto}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Posee Vehículo?</b> {{getDropdownValue($otros_datos->posee_vehiculo)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Marca:</b> {{$otros_datos->marca}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Modelo:</b> {{$otros_datos->modelo}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>¿Posee Deudas?</b> {{getDropdownValue($otros_datos->posee_deudas)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Especifique:</b> {{$otros_datos->posee_deudas_especifique}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Realiza otras actividades deportivas, religiosas o culturales?</b> {{$otros_datos->actividades}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>¿Cómo se entero de la plaza y/o quién lo refirió?</b> {{getDropdownValue($otros_datos->como_se_entero)}} </p>
                                        </div>
                                    </div>
                                    @endisset
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-header bg-primary" role="tab">
                                <h5 class="float-left mb-0">
                                    Experiencia laboral
                                </h5>
                                <div>
                                    <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.experiencia',['candidato' => $candidato])}}">Actualizar</a>
                                    <a data-toggle="collapse" aria-expanded="false" aria-controls="accordion-datos-actualizar .item-3" href="#accordion-datos-actualizar .item-3" class="btn btn-success float-right mr-3">Ver</a>
                                </div>
                            </div>
                            <div class="collapse item-3" role="tabpanel" data-parent="#accordion-datos-actualizar">
                                <div class="card-body">
                                    @foreach ($candidato->experiencia()->get() as $experiencia)
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Empresa:</b> {{$experiencia->empresa}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Teléfono:</b> {{$experiencia->telefono}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Último Salario:</b> Q {{number_format($experiencia->ultimo_salario,2)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Puesto:</b> {{$experiencia->puesto}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Área:</b> {{$experiencia->area}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Razón de Retiro:</b> {{$experiencia->razon_retiro}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Inicio de Labores:</b> {{isset($experiencia->inicio_labores)?$experiencia->inicio_labores->format('d-m-Y'):''}} </p>
                                        </div>
                                        <div class="col-md-3">
                                             <p><b>Finalización de Labores:</b> {{isset($experiencia->finalizo_labores)?$experiencia->finalizo_labores->format('d-m-Y'):''}}</p> 
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Jefe Inmediato:</b> {{$experiencia->jefe_inmediato}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Puesto de Jefe Inmediato:</b> {{$experiencia->puesto_jefe_inmediato}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Teléfono de Jefe Inmediato:</b> {{$experiencia->telefono_jefe_inmediato}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Contactar Supervisor:</b> {{getDropdownValue($experiencia->contacto_supervisor)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Especifique:</b> {{$experiencia->contacto_supervisor_especifique}} </p>
                                        </div>
                                        <div class="col-md-6">
                                            <p><b>Funciones Principales:</b> {{$experiencia->funciones_principales}} </p>
                                        </div>
                                    </div>
                                    <hr>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-header bg-primary" role="tab">
                                <h5 class="float-left mb-0">
                                    Referencias personales
                                </h5>
                                <div>
                                    <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.referencia',['candidato' => $candidato])}}">Actualizar</a>
                                    <a data-toggle="collapse" aria-expanded="false" aria-controls="accordion-datos-actualizar .item-4" href="#accordion-datos-actualizar .item-4" class="btn btn-success float-right mr-3">Ver</a>
                                </div>
                            </div>
                            <div class="collapse item-4" role="tabpanel" data-parent="#accordion-datos-actualizar">
                                <div class="card-body">
                                    @foreach ($candidato->referencia()->get() as $referencia)
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Nombre:</b> {{$referencia->nombre}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Teléfono:</b> {{$referencia->telefono}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Relación:</b> {{$referencia->relacion}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Cargo:</b> {{$referencia->cargo}} </p>
                                        </div>
                                    </div>
                                    @endforeach
                                </div>
                            </div>
                        </div>
                        <div class="card">
                            <div class="card-header bg-primary" role="tab">
                                <h5 class="float-left mb-0">
                                    Estudios
                                </h5>
                                <div>
                                    <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.estudios',['candidato' => $candidato])}}">Actualizar</a>
                                    <a data-toggle="collapse" aria-expanded="false" aria-controls="accordion-datos-actualizar .item-5" href="#accordion-datos-actualizar .item-5" class="btn btn-success float-right mr-3">Ver</a>
                                </div>
                            </div>
                            <div
                                class="collapse item-5" role="tabpanel" data-parent="#accordion-datos-actualizar">
                                <div class="card-body">
                                    @php
                                        $estudios = $candidato->estudios()->first();
                                    @endphp
                                    @isset($estudios)
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Primaria:</b> {{getDropdownValue($estudios->primaria)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_primaria)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_primaria)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Básicos:</b> {{getDropdownValue($estudios->basicos)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_basicos)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_basicos)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Diversificado:</b> {{getDropdownValue($estudios->diversificado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_diversificado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_diversificado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_basicos)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Carrera técnica:</b> {{getDropdownValue($estudios->carrera_tecnica)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_carrera_tecnica)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_carrera_tecnica)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_carrera_tecnica)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Estudios universitarios:</b> {{getDropdownValue($estudios->estudios_univeristarios)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_estudios_univeristarios)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_estudios_univeristarios)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_estudios_univeristarios)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Graduado universitario:</b> {{getDropdownValue($estudios->graduado_universitario)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_graduado_universitario)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_graduado_universitario)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_graduado_universitario)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Maestría:</b> {{getDropdownValue($estudios->maestria)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_maestria)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_maestria)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_maestria)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-3">
                                            <p><b>Doctorado:</b> {{getDropdownValue($estudios->doctorado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Año de Graduación:</b> {{($estudios->anio_graduacion_doctorado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Instituto:</b> {{($estudios->institucion_doctorado)}} </p>
                                        </div>
                                        <div class="col-md-3">
                                            <p><b>Título Obtenido:</b> {{($estudios->titulo_doctorado)}} </p>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <p><b>Otros Estudios:</b> {{$estudios->otros_estudios}} </p>
                                        </div>
                                    </div>
                                    @endisset
                                </div>
                        </div>
                    </div>
                    <div class="card">
                        <div class="card-header bg-primary" role="tab">
                            <h5 class="float-left mb-0">
                                Habilidades específicas
                            </h5>
                            <div>
                                <a class="btn btn-warning float-right" role="button" href="{{route('private.candidatos.habilidades',['candidato' => $candidato])}}">Actualizar</a>
                                <a data-toggle="collapse" aria-expanded="false" aria-controls="accordion-datos-actualizar .item-6" href="#accordion-datos-actualizar .item-6" class="btn btn-success float-right mr-3">Ver</a>
                            </div>
                        </div>
                        <div class="collapse item-6" role="tabpanel" data-parent="#accordion-datos-actualizar">
                            <div class="card-body">
                                @php
                                    $habilidades = $candidato->habilidades()->first();
                                @endphp
                                @isset($habilidades)
                                {{-- <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Mecanografía:</b> {{getDropdownValue($habilidades->mecanografia)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Taquigrafía:</b> {{getDropdownValue($habilidades->taquigrafia)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Archivo</b> {{getDropdownValue($habilidades->archivo)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Computación</b> {{getDropdownValue($habilidades->computacion)}}</p>
                                    </div>
                                </div> --}}
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Repostería:</b> {{getDropdownValue($habilidades->reposteria)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Cocina:</b> {{getDropdownValue($habilidades->cocina)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Enfermería:</b> {{getDropdownValue($habilidades->enfermeria)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Programación:</b> {{getDropdownValue($habilidades->programacion)}}</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Internet:</b> {{getDropdownValue($habilidades->internet)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Otros conocimientos técnicos:</b> {{getDropdownValue($habilidades->otros_conocimientos_tecnicos)}}</p>
                                    </div>
                                    <div class="col-md-6">
                                        <p><b>Especifique:</b> {{$habilidades->otros_conocimientos_tecnicos_especifique}} </p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Inglés:</b> {{getDropdownValue($habilidades->ingles)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Lee:</b> {{getDropdownValue($habilidades->ingles_lee)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Escribe</b> {{getDropdownValue($habilidades->ingles_escribe)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Habla</b> {{getDropdownValue($habilidades->ingles_habla)}}</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Alemán:</b> {{getDropdownValue($habilidades->aleman)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Lee:</b> {{getDropdownValue($habilidades->aleman_lee)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Escribe</b> {{getDropdownValue($habilidades->aleman_escribe)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Habla</b> {{getDropdownValue($habilidades->aleman_habla)}}</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Mandarín:</b> {{getDropdownValue($habilidades->mandarin)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Lee:</b> {{getDropdownValue($habilidades->mandarin_lee)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Escribe</b> {{getDropdownValue($habilidades->mandarin_escribe)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Habla</b> {{getDropdownValue($habilidades->mandarin_habla)}}</p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Otro:</b> {{getDropdownValue($habilidades->otro)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Lee:</b> {{getDropdownValue($habilidades->otro_lee)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Escribe</b> {{getDropdownValue($habilidades->otro_escribe)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Habla</b> {{getDropdownValue($habilidades->otro_habla)}}</p>
                                    </div>
                                </div>
                                {{-- <div class="row">
                                    <div class="col-md-3">
                                        <p><b>Licencia de vehículo liviano:</b> {{getDropdownValue($habilidades->licencia_vehiculo_liviano)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Tipo de licencia:</b> {{getDropdownValue($habilidades->licencia_vehiculo_liviano_tipo)}}</p>
                                    </div>
                                    <div class="col-md-3">
                                        <p><b>Licencia de moto:</b> {{getDropdownValue($habilidades->licencia_moto)}}</p>
                                    </div>
                                </div> --}}
                                @endisset
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
    
    <div id="video-candidato" class="modal" tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Vídeo del Candidato</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    
                <video width="100%" height="400px" controls>
                    <source src="{{asset('storage/uploads/videos/'.$candidato->video)}}" type="video/mp4">
                </video>
                </div>
            </div>
        </div>
    </div>
    
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>
    $('#subir-cv').click(function(){
        $('#cv').click();
    });

    $('#subir-fotografia').click(function(){
        $('#fotografia').click();
    });

    $('#subir-video').click(function(){
        $('#video').click();
    });
</script> 
@endsection
