@extends('layouts.public')

@section('title','Perfil - Candidato')

@section('headlinks')
@endsection

@section('content')
<main id="page-datos-personales">
    <section id="form-datos">
        <div class="container">
            <div class="row mensaje-gracias">
                <div class="col-12 col-lg-9">
                    <h3>Datos <strong>Personales</strong></h3>
                </div>
                <div class="col-12 col-lg-3">
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.perfil',['candidato' => $candidato])}}">Regresar Al Perfil</a>
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.otros',['candidato' => $candidato])}}">Continuar</a>
                </div>
            </div>
            {{ Form::model($candidato, ['route' => ['private.candidatos.personales.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
            <div class="row">
                <div class="col">
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>Profesión</label>{!! Form::text('profesion', null, ['class' => 'form-control'.($errors->has('profesion') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Años de experiencia</label>{!! Form::number('anios_experiencia', null, ['class' => 'form-control'.($errors->has('anios_experiencia') ? ' is-invalid' : ''), 'placeholder' => '0', 'required' => false, 'min' => 0 ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Área de Experiencia</label>{!! Form::text('area_experiencia', null, ['class' => 'form-control'.($errors->has('area_experiencia') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Pretensión Salarial (Q)</label>{!! Form::number('pretension_salarial', null, ['class' => 'form-control'.($errors->has('pretension_salarial') ? ' is-invalid' : ''), 'placeholder' => '0', 'required' => false, 'min' => 0 ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-6 form-group"><label>*Nombres</label>{!! Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]) !!}</div>
                        <div class="col-12 col-lg-6 form-group"><label>*Apellidos</label>{!! Form::text('apellido', null, ['class' => 'form-control'.($errors->has('apellido') ? ' is-invalid' : ''), 'placeholder' => 'Apellido', 'required' => true ]) !!}</div>
                        {{-- <div class="col-12 col-lg-4 form-group"><label>Apellido de casada</label>{!! Form::text('apellido_casada', null, ['class' => 'form-control'.($errors->has('apellido_casada') ? ' is-invalid' : ''), 'placeholder' => 'Apellido casada', 'required' => false ]) !!}</div> --}}
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>*Fecha de Nacimiento</label>{!! Form::date('fecha_nacimiento', $candidato->fecha_nacimiento, ['class' => 'form-control'.($errors->has('fecha_nacimiento') ? ' is-invalid' : ''), 'placeholder' => 'dd/mm/aaaa', 'required' => true ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Edad</label>{!! Form::number('edad', isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age:'', ['class' => 'form-control'.($errors->has('edad') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false, 'min' => 0, 'id' => 'edad', 'readonly' => 'true' ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Lugar de Nacimiento</label>{!! Form::text('lugar_nacimiento', null, ['class' => 'form-control'.($errors->has('lugar_nacimiento') ? ' is-invalid' : ''), 'placeholder' => 'Lugar de Nacimiento', 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Nacionalidad</label>{!! Form::text('nacionalidad', null, ['class' => 'form-control'.($errors->has('nacionalidad') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>Género</label>{!! Form::select('genero', getDropdown('Genero'), null, ['class' => 'form-control custom-select'.($errors->has('genero') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => ''  ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>*DPI<br></label>{!! Form::text('dpi', null, ['class' => 'form-control'.($errors->has('dpi') ? ' is-invalid' : ''), 'required' => true ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>NIT</label>{!! Form::text('nit', null, ['class' => 'form-control'.($errors->has('nit') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>*Número de Afiliación al IGSS</label>{!! Form::text('igss', null, ['class' => 'form-control'.($errors->has('igss') ? ' is-invalid' : ''), 'required' => true ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-4 form-group"><label>Teléfono Fijo</label>{!! Form::tel('telefono_fijo', null, ['class' => 'form-control'.($errors->has('telefono_fijo') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '' ]) !!}</div>
                        <div class="col-12 col-lg-4 form-group"><label>Teléfono Celular</label>{!! Form::tel('telefono_celular', null, ['class' => 'form-control'.($errors->has('telefono_celular') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '' ]) !!}</div>
                        <div class="col-12 col-lg-4 form-group"><label>*E-mail</label>{!! Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'required' => true ]) !!}</div>                
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-12 form-group"><label>*Dirección</label>{!! Form::text('direccion', null, ['class' => 'form-control'.($errors->has('direccion') ? ' is-invalid' : ''), 'required' => true,'placeholder' => 'Calle/Avenida/Número de casa' ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>*País</label>{!! Form::select('pais', getDropdown('Ubicaciones'), null, ['class' => 'form-control custom-select'.($errors->has('pais') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'pais'  ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>*Departamento</label>{!! Form::select('departamento', [], null, ['class' => 'form-control custom-select'.($errors->has('departamento') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'departamento'  ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>*Municipio</label>{!! Form::select('municipio', [], null, ['class' => 'form-control custom-select'.($errors->has('municipio') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'municipio'  ]) !!}</div>
                        <div class="col-12 col-lg-3 col-xl-3 form-group"><label>*Zona</label>{!! Form::number('zona', null, ['class' => 'form-control'.($errors->has('zona') ? ' is-invalid' : ''), 'placeholder' => 'Zona', 'required' => false, 'min' => 0 ]) !!}</div>
                    </div>
                    <div class="form-row"> 
                        <div class="col-12 col-lg-3 form-group"><label>Estado Civil</label>{!! Form::select('estado_civil', getDropdown('Estado Civil'), null, ['class' => 'form-control custom-select'.($errors->has('estado_civil') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'estado_civil'  ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-3 form-group"><label>Datos del cónyuge</label>{!! Form::text('datos_conyugue', null, ['class' => 'form-control'.($errors->has('datos_conyugue') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-2 form-group"><label>Edad del/la esposo(a)</label>{!! Form::number('edad_conyugue', null, ['class' => 'form-control'.($errors->has('edad_conyugue') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-4 form-group"><label>Ocupación y lugar de trabajo del/la esposo(a)</label>{!! Form::text('ocupacion_conyugue', null, ['class' => 'form-control'.($errors->has('ocupacion_conyugue') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => 'Ocupación / Lugar de trabajo']) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>¿Cuántos hijos tiene?</label>{!! Form::select('hijos', getDropdown('Hijos/Hermanos'), null, ['class' => 'form-control custom-select'.($errors->has('hijos') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'hijos'  ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Edad de los hijos</label>{!! Form::text('edad_hijos', null, ['class' => 'form-control'.($errors->has('edad_hijos') ? ' is-invalid' : ''), 'required' => false,'placeholder' => '  /  /  /  ' ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>¿Cuántos hermanos tiene?</label>{!! Form::select('hermanos', getDropdown('Hijos/Hermanos'), null, ['class' => 'form-control custom-select'.($errors->has('hermanos') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'hermanos'  ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-3 form-group"><label>Ocupación y lugar de trabajo</label>{!! Form::text('ocupacion_hermanos', null, ['class' => 'form-control'.($errors->has('ucupacion_hermanos') ? ' is-invalid' : ''), 'required' => false,'placeholder' => '' ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>Datos del padre</label>{!! Form::text('datos_padre', null, ['class' => 'form-control'.($errors->has('datos_padre') ? ' is-invalid' : ''), 'required' => false,'placeholder' => 'Nombre / Edad' ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-3 form-group"><label>Ocupación del padre</label>{!! Form::text('ocupacion_padre', null, ['class' => 'form-control'.($errors->has('ocupacion_padre') ? ' is-invalid' : ''), 'required' => false,'placeholder' => 'Ocupación y lugar de trabajo' ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Datos de la madre</label>{!! Form::text('datos_madre', null, ['class' => 'form-control'.($errors->has('datos_madre') ? ' is-invalid' : ''), 'required' => false,'placeholder' => 'Nombre / Edad' ]) !!}</div>
                        <!-- . -->
                        <div class="col-12 col-lg-3 form-group"><label>Ocupación de la madre</label>{!! Form::text('ocupacion_madre', null, ['class' => 'form-control'.($errors->has('ocupacion_madre') ? ' is-invalid' : ''), 'required' => false,'placeholder' => 'Ocupación y lugar de trabajo' ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-3 form-group"><label>¿Estudia Actualmente?</label>{!! Form::select('estudia', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('estudia') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'estudia'  ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Carrera</label>{!! Form::text('carrera', null, ['class' => 'form-control'.($errors->has('carrera') ? ' is-invalid' : ''), 'required' => false, 'id' => 'carrera' ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Establecimiento</label>{!! Form::text('establecimineto', null, ['class' => 'form-control'.($errors->has('establecimineto') ? ' is-invalid' : ''), 'required' => false, 'id' => 'establecimiento' ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Horario</label>{!! Form::text('horario', null, ['class' => 'form-control'.($errors->has('horario') ? ' is-invalid' : ''), 'required' => false, 'id' => 'horario' ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-4 form-group"><label>Tipo de Liciencia</label>{!! Form::select('tipo_licencia', getDropdown('Tipo Licencia'), null, ['class' => 'form-control custom-select'.($errors->has('tipo_licencia') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'tipo_licencia'  ]) !!}</div>
                        <div class="col-12 col-lg-4 form-group"><label>Número de Licencia</label>{!! Form::text('licencia', null, ['class' => 'form-control'.($errors->has('licencia') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-4 form-group"><label>¿Posee otro tipo de licencia?</label>{!! Form::text('otro_tipo_licencia', null, ['class' => 'form-control'.($errors->has('otro_tipo_licencia') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-6 form-group"><label>¿Desea cambiar su contraseña?</label>{!! Form::password('password', ['class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),'placeholder' =>'Contraseña', 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-6 form-group"><label>Confirmar Contraseña</label>{!! Form::password('password_confirmation', ['class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''), 'placeholder' => 'Confirmar contraseña',  'required' => false ]) !!}</div>
                    </div>
                    {{--<div class="form-row">
                        <div class="col-12 col-lg-9 form-group"><label>Aldea/Colonia/Otros</label>{!! Form::text('direccion_otros', null, ['class' => 'form-control'.($errors->has('direccion_otros') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                        <div class="col-12 col-lg-3 form-group"><label>Competencias</label>{!! Form::text('competencias', null, ['class' => 'form-control'.($errors->has('competencias') ? ' is-invalid' : ''), 'required' => false ]) !!}</div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 form-group"><label>Edad y sexo de los hermanos</label>{!! Form::text('info_hermanos', null, ['class' => 'form-control'.($errors->has('info_hermanos') ? ' is-invalid' : ''), 'required' => false,'placeholder' => '  /  /  /  ' ]) !!}</div>
                    </div> --}}
                    <div class="form-row">
                        <div class="col-12 col-lg-6 form-group">
                            <label>¿Desea recibir el boletín semanal de vacantes a su correo electrónico?&nbsp;</label>
                            <div class="form-check pl-3">{!! Form::radio('boletin_semanal', 1, null, ['class' => 'form-check-input'.($errors->has('boletin_semanal') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-21' ]) !!}<label class="form-check-label" for="formCheck-21">Si</label></div>
                            <div class="form-check pl-3">{!! Form::radio('boletin_semanal', 0, null, ['class' => 'form-check-input'.($errors->has('boletin_semanal') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-22' ]) !!}<label class="form-check-label" for="formCheck-22">No</label></div>
                        </div>
                        <div class="col-12 col-lg-6 form-group" id="motivo"><label>¿Porque motivo se da de baja del boletín semanal de vacantes?</label>{!! Form::text('motivo_baja_boletin', null, ['class' => 'form-control'.($errors->has('motivo_baja_boletin') ? ' is-invalid' : ''), 'id' => 'motivo_baja_boletin' ]) !!}</div>
                    </div>
                    <div class="form-row justify-content-end align-items-center">
                        <div class="col-12 col-lg-2 form-group"><button type="submit" class="btn btn-warning btn-block">Añadir</button></div>
                    </div>
                </div>
            </div>
            {!! Form::hidden('usuario_id',$candidato->usuario_id) !!}
            {!! Form::close() !!}
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>
    $(function(){
        var pais = {{ old('pais') ? old('pais') : (($candidato->pais)??0) }};
        var departamento = {{ old('departamento') ? old('departamento') : (($candidato->departamento)??0)}};
        var municipio = {{ old('municipio') ? old('municipio') : (($candidato->municipio)??0) }};
        if(pais != ''){
            llenarDepartamentos(pais,departamento);
        }
        if(departamento != ''){
            llenarMunicipios(departamento,municipio);
        }
    });

    $('#pais').change( function(){ llenarDepartamentos(this.value); } );

    $('#departamento').change( function(){ llenarMunicipios(this.value); } );

    function llenarDepartamentos(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#departamento').empty();
                $('#departamento').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    var option = $('#departamento').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    function llenarMunicipios(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#municipio').empty();
                $('#municipio').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#municipio').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    } 

    $("#estudia").change(function() {

    if( $("#estudia").val()=="376" || $("#estudia").val()=="" ){
        $( "#carrera" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("carrera").value = null; 
        $( "#establecimiento" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("establecimiento").value = null; 
        $( "#horario" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("horario").value = null;    
    }else {
        $( "#carrera" ).prop( "required", true ).prop("disabled", false);
        $( "#establecimiento" ).prop( "required", true ).prop("disabled", false); 
        $( "#horario" ).prop( "required", true ).prop("disabled", false); 
    }     

    });

    $(function(){

        if($("#motivo_baja_boletin").val() != ''){
            $( "#motivo" ).show();
        }else{
            $( "#motivo" ).hide();
        }

        $('input[type="radio"]').click(function() {
            if($('#formCheck-21').is(':checked')) {
                $( "#motivo" ).hide();
                $( "#motivo_baja_boletin" ).prop( "required", false );
                $("#motivo_baja_boletin").val('');
            }else {
                $( "#motivo" ).show(); 
                $( "#motivo_baja_boletin" ).prop( "required", true ); 
            }     
        });
        
    });

</script>
@endsection
    