@extends('layouts.public')

@section('title','Perfil - Candidato')

@section('headlinks')
@endsection

@section('content')
<main id="page-referencias-personales">
    <section id="page-referencias-personales">
        <div class="container">
            <div class="row mensaje-gracias">
                <div class="col-12 col-lg-9">
                    <h3>Referencias <strong>Personales</strong></h3>* 3 referencias como máximo.
                </div>
                <div class="col-12 col-lg-3">
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.perfil',['candidato' => $candidato])}}">Regresar Al Perfil</a>
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.estudios',['candidato' => $candidato])}}">Continuar</a>
                </div>
            </div>
            <div class="row referencias p-5">
                <div class="col">
                    @foreach ($candidato->referencia()->get() as $count => $referencia)
                    {{ Form::model($referencia, ['route' => ['private.candidatos.referencia.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                    <div class="form-row justify-content-center align-items-center mb-5">
                        <div class="col-12">
                            <h5>Referencia {{$count + 1}} </h5>
                        </div>
                        @include('candidatos::privado.forms.referencia',['referencia' => $referencia])
                    </div>
                    <div class="form-row justify-content-end align-items-center">
                        <div class="col-12 col-lg-2 form-group">
                            <button type="submit" class="btn btn-success">Guardar</button>
                            <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#referencia-destroy-{{ $referencia->id }}">Borrar</button>
                        </div>
                    </div>
                    {!! Form::hidden('candidato_id',$candidato->id) !!}
                    {!! Form::hidden('id', null) !!}
                    {!! Form::close() !!}
                    <!-- /.modal -->
                    <div class="modal fade" id="referencia-destroy-{{ $referencia->id }}">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">
                                    <i class="fa fa-warning"></i> Confirmar acción </h4>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true"><i class="fa fa-close"></i></span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <p>¿Eliminar la Referencia Personal <strong>{{ $referencia->nombre }}</strong>?</p>
                                </div>
                                <div class="modal-footer">
                                    {{ Form::open(['route' => ['private.candidatos.referencia.destroy', $referencia->id], 'role' => 'form', 'method' => 'DELETE']) }}
                                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                                    <button type="submit" class="btn btn-primary">Sí, eliminar</button>
                                    {{ Form::close() }}
                                </div>
                            </div>
                            <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                    </div>
                    <!-- /.modal -->
                        
                    @endforeach
                    @if($candidato->referencia()->count() >= 3)

                    @else
                    {{ Form::open(['route' => ['private.candidatos.referencia.update', $candidato->id], 'role' => 'form', 'method' => 'PATCH']) }}
                        <div class="form-row justify-content-center align-items-center mb-5">
                            <div class="col-12">
                                <h5>Nueva Referencia</h5>
                            </div>
                            @include('candidatos::privado.forms.referencia',['referencia'=>null])
                        </div>
                        <div class="form-row justify-content-end align-items-center">
                            <div class="col-12 col-lg-2 form-group"><button type="submit" class="btn btn-warning btn-block">Añadir</button></div>
                        </div>
                    {!! Form::hidden('candidato_id',$candidato->id) !!}
                    {!! Form::hidden('id', null) !!}
                    {!! Form::close() !!}
                    @endif
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>
</script>
@endsection