@extends('layouts.public')

@section('title','Portafolio - Candidato')

@section('headlinks')
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')

<main id="page-portafolio-aplicaciones">
    <section id="page-base">
        <div class="container">
        @isset($pruebas_resultado)
        @if($pruebas_resultado == '' && $candidato->estado_pruebas == 1)
            <div class="row mensaje-gracias mb-4">
                <div class="col-12">
                    <div class="text-center">
                        <div class="alert alert-danger alert-dismissible" role="alert">
                                <span>Realice todas las pruebas para poder completar su perfil al 100%</span>   
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div> 
                    </div> 
                </div>
            </div>
            @else
                @if($pruebas_resultado->count() == 0 && $candidato->estado_pruebas == 1)
                    <div class="row mensaje-gracias mb-4">
                        <div class="col-12">
                            <div class="text-center">
                                <div class="alert alert-danger alert-dismissible" role="alert">
                                        <span>Realice todas las pruebas para poder completar su perfil al 100%</span>   
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div> 
                            </div> 
                        </div>
                    </div>
                    @elseif($pruebas_resultado->count() == 1 && $candidato->estado_pruebas == 1) 
                    <div class="row mensaje-gracias mb-4">
                        <div class="col-12">
                            <div class="text-center">
                                <div class="alert alert-danger alert-dismissible" role="alert">
                                        <span>Falta realizar la prueba B para completar todas las pruebas.</span>  
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div> 
                            </div> 
                        </div>
                    </div>
                    @elseif($pruebas_resultado->count() == 2 && $candidato->estado_pruebas == 1) 
                    <div class="row mensaje-gracias mb-4">
                        <div class="col-12">
                            <div class="text-center">
                                <div class="alert alert-danger alert-dismissible" role="alert">
                                        <span>Falta realizar la prueba C para completar todas las pruebas.</span>   
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div> 
                            </div> 
                        </div>
                    </div>
                    @else  
                @endif
        @endif  
        @endisset
            <div class="row">
                <div class="col-12 col-lg-12">
                    <h3><strong>Mi portafolio /</strong> Plazas aplicadas</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-12 text-justify">
                    <p>Las pruebas aparecen en gris o inactivas; esto significa que no han sido habilitadas. Cuando un ejecutivo de reclutamiento te seleccione para el siguiente nivel del proceso, te habilitará las pruebas y serán activadas. Las pruebas
                        se realizan una sola vez para todas tus aplicaciones. La entrevista será reactivada si la empresa solicita actualizarla para el puesto específico.</p>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12 col-md-7">
                    <div class="form-group">
                        @isset($candidato->pruebas->fecha)
                        Última fecha de realización de las pruebas: {{$candidato->pruebas->fecha->format('d-m-Y')}}
                        @endisset
                    </div>           
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-7">
                    <div class="row">
                        @if($candidato->estado_pruebas == 1) 
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="p-active" href="{{route('private.candidatos.pruebas.a.index',$candidato->id)}}">Pruebas</a></div>
                        {{-- <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="p-active" href="{{route('private.candidatos.pruebas.b.index')}}">Prueba B</a></div>
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="p-active" href="{{route('private.candidatos.pruebas.c.index')}}">Prueba C</a></div> --}}
                        @endif
                        @if($candidato->estado_pruebas == 0) 
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="btn btn-secondary btn-sm">Pruebas</a></div>
                        {{-- <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="btn btn-secondary btn-sm">Prueba B</a></div>
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="btn btn-secondary btn-sm">Prueba C</a></div> --}}
                        @endif
                        @if($candidato->estado_entrevista == 1)
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="p-active" href="{{route('private.candidatos.entrevista.index')}}">Entrevista</a></div>  
                        @endif
                        @if($candidato->estado_entrevista == 0)
                        <div class="col-6 col-lg-3 text-center text-md-left pb-3 pb-md-0"><a type="button" class="btn btn-secondary btn-sm">Entrevista</a></div> 
                        @endif
                    </div>
                </div>
                <div class="col-12 col-lg-5">
                    <div class="row estados">
                        <div class="col-6 col-lg-4">
                            <p><span class="s-complete"></span>Activo</p>
                        </div>
                        <div class="col-6 col-lg-4">
                            <p><span class="s-activo"></span>Completado</p>
                        </div>
                        <div class="col-6 col-lg-4">
                            <p><span class="s-inactivo"></span>Inactivo</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row table-procesos">
                <div class="col-12 col-lg-12">
                    <div class="table-responsive">
                        <table id="tablaCandidatoPortafolio" class="table">
                            <thead>
                                <tr>
                                    <th>Empleo</th>
                                    <th>Fecha que Aplico</th>
                                    <th>Salario</th>
                                    <th>Proceso</th>
                                    <th>Opciones</th>
                                </tr>
                            </thead>
                            {{-- <tbody>
                                <tr>
                                    <td><a href="#">Secretaria Recepcionista para zona 14</a></td>
                                    <td>02/04/19</td>
                                    <td>Q3,800.00</td>
                                    <td class="proceso-indicadores">
                                        <ul>
                                            <li><span class="indi-color complete"></span><span class="indi-text">Perfil al 100%</span></li>
                                            <li><span class="indi-color active"></span><span class="indi-text">Pruebas</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Entrevista</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Cita</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Contratado</span></li>
                                        </ul>
                                    </td>
                                    <td><a class="btn btn-warning btn-block btn-sm rounded" role="button">Ver empleoss</a><a class="btn btn-primary btn-block btn-sm rounded" role="button">Retirarme del empleo</a></td>
                                </tr>
                                <tr>
                                    <td><a href="#">Dependiente de Panadería</a></td>
                                    <td>14/03/19</td>
                                    <td>Q3,500.00</td>
                                    <td class="proceso-indicadores">
                                        <ul>
                                            <li><span class="indi-color complete"></span><span class="indi-text">Perfil al 100%</span></li>
                                            <li><span class="indi-color active"></span><span class="indi-text">Pruebas</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Entrevista</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Cita</span></li>
                                            <li><span class="indi-color inactive"></span><span class="indi-text">Contratado</span></li>
                                        </ul>
                                    </td>
                                    <td><a class="btn btn-warning btn-block btn-sm rounded" role="button">Ver empleo</a><a class="btn btn-primary btn-block btn-sm rounded" role="button">Retirarme del empleo</a></td>
                                </tr>
                                <tr>
                                    <td><a href="#">Secretaria Recepcionista para zona 14</a></td>
                                    <td>01/01/19</td>
                                    <td>___</td>
                                    <td class="proceso-indicadores">
                                        <p>Lamentamos informarte que ha sido otro el candidato seleccionado para el puesto, muchos ánimos aún te quedan oportunidades en proceso.</p>
                                    </td>
                                    <td><a class="btn btn-warning btn-block btn-sm rounded" role="button">Ver empleo</a><a class="btn btn-primary btn-block btn-sm rounded" role="button">Retirarme del empleo</a></td>
                                </tr>
                            </tbody> --}}
                        </table>
                    </div>
                </div>
            </div>
            <div class="row">
                {{-- <div class="col-12 col-lg-12 mt-4"><a class="btn btn-secondary btn-sm" role="button" href="#">Vista Activar proceso</a></div> --}}
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    $(function () {
        $('#tablaCandidatoPortafolio').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('private.candidatos.portafolio.list') !!}',  
                "data": function (d) {
                    d.candidato = {{$candidato->id}};
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ dropdowns por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay dropdowns disponibles",
                "infoFiltered": "(filtrando de _MAX_ total dropdowns)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'plaza', name: 'plaza' },
                { data: 'fecha_aplico', name: 'fecha_aplico' },
                { data: 'sueldo', name: 'sueldo' },
                { data: 'proceso', name: 'proceso' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    });
</script>
@endsection
