@extends('layouts.public')

@section('title','Ver Empleo')

@section('headlinks')
@endsection

@section('content')

<main id="page-show-job-login">
    <section id="page-base">
        <div class="container">

        <div class="col-12 col-lg-2"> 
            @if (Auth::check() && Auth::user()->hasRole('Candidato')) 
            <a class="btn btn-light" role="button" href="{{route('private.candidatos.portafolio')}}">Regresar</a>
            @else (!Auth::check())
            <a class="btn btn-light" role="button" href="{{route('public.empleos.index')}}#empleos-candidato">Regresar</a>
            @endif
        </div>

            <div class="row job-info">
                <div class="col-12 col-lg-3">
                    <img class="img-fluid" src="{{isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')}}">
                </div>
                <div class="col-12 col-lg-9">
                    <div class="row pb-4">
                        <div class="col-12 col-md-6 empresa-job-cash py-3">
                            <h3>{{isset($empleo->plaza)?$empleo->plaza:''}}</h3>
                            @if($empleo->empleo_confidencial == 0)
                            <p>Empresa: {{isset($empleo->empresa)?$empleo->empresa:''}}</p>
                            @endif<span>Sueldo Q{{isset($empleo->sueldo)?number_format($empleo->sueldo,2):''}}</span></div>
                        <div class="col-12 col-md-6 localidad">
                            <div class="row justify-content-center align-items-center h-100">
                                <div class="col">
                                    <ul>
                                        <li><span>País</span>&nbsp;{{getDropdownValue($empleo->pais)}}</li>
                                        <li><span>Departamento</span>&nbsp;{{getDropdownValue($empleo->departamento)}}</li>
                                        <li><span>Municipio</span>&nbsp;{{getDropdownValue($empleo->municipio)}}</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 col-md-6 requisitos-offer"><span>Requerimos</span>
                            <div class="row">
                                <div class="col pb-5 px-5 pt-3 pb-md-3">
                                    <p>
                                        <strong>Descripción del puesto:</strong>
                                        {{isset($empleo->descripcion)?($empleo->descripcion):''}}
                                    </p>
                                    <p>
                                        <strong>Conocimientos especiales:</strong>
                                        {{isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''}}
                                    </p>
                                    <p>
                                        <strong>Competencias:</strong>
                                        @foreach(explode(',',$empleo->competencias) as $competencia)
                                            {{getDropdownValue($competencia)}},
                                        @endforeach
                                    </p>
                                    <p>
                                        <strong>Profesión:</strong>
                                        {{isset($empleo->profesion)?($empleo->profesion):''}}
                                    </p>
                                    <p>
                                        <strong>Estudios/carrera:</strong>
                                        {{isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''}}
                                    </p>
                                    <p>
                                        <strong>Edad/rango:</strong>
                                        {{isset($empleo->edad_rango)?($empleo->edad_rango):''}}
                                    </p>
                                    <p>
                                        <strong>Género:</strong>
                                        {{isset($empleo->genero)?$empleo->genero:''}}
                                    </p>
                                    <p>
                                        <strong>Años de experiencia:</strong>
                                        {{isset($empleo->experiencia)?($empleo->experiencia):''}}
                                    </p>
                                    <p>
                                        <strong>Idioma:</strong>
                                        {{isset($empleo->idioma)?getDropdownValue($empleo->idioma):''}}
                                    </p>
                                    <p>
                                        <strong>Licencia:</strong>
                                        {{isset($empleo->licencia)?getDropdownValue($empleo->licencia):''}}
                                    </p>
                                    <p>
                                        <strong>Vehículo:</strong>
                                        {{isset($empleo->vehiculo)?getDropdownValue($empleo->vehiculo):''}}
                                    </p>
                                    <p>
                                        <strong>Software:</strong>
                                        {{isset($empleo->software)?$empleo->software:''}}
                                    </p>
                                    <p>
                                        <strong>Disponibilidad para viajar:</strong>
                                        {{ isset($empleo->viajar)?getDropdownValue($empleo->viajar):''}}
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 requisitos-offer"><span>Ofrecemos</span>
                            <div class="row">
                                <div class="col pb-4 px-5 pt-3 pb-md-3 offer"><span>Q{{isset($empleo->sueldo)?number_format($empleo->sueldo,2):''}}</span>
                                    <p>
                                        <strong>Contratación:</strong>
                                        {{ isset($empleo->tipo_contrato)?getDropdownValue($empleo->tipo_contrato):''}}
                                    </p>
                                    <p>
                                        <strong>Jornada:</strong>
                                        {{ isset($empleo->jornada)?getDropdownValue($empleo->jornada):''}}
                                    </p>
                                    <p>
                                        <strong>Incentivos:</strong>
                                        {{ isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''}}
                                    </p>
                                    {{-- <p>
                                        <strong>Presentaciones de ley:</strong>
                                        {{getDropdownValue($empleo->profesion)}}
                                    </p> --}}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="row justify-content-center justify-content-md-end align-items-center pt-3">
                                @auth
                                @role('Candidato')
                                <div class="col-10 col-lg-4">
                                    @if ($empleo->candidatos()->where('candidato_id',Auth::user()->candidato->id)->count() == 0)
                                    {!! Form::open(['route' => 'public.empleos.apply']) !!}
                                    {!! Form::hidden('empleo_id', $empleo->id) !!}
                                    {!! Form::submit('Aplicar', ['class' => 'btn btn-success btn-block']) !!}
                                    {!! Form::close() !!}
                                    @else
                                    <button class="btn btn-success btn-block">Aplicaste a este trabajo!</button>
                                    @endif
                                </div>
                                @endrole
                                @else
                                <div class="col-10 col-lg-3 pb-3 pb-md-0"><a class="btn btn-warning btn-block" role="button" href="{{route('public.registro.candidato')}}">Registrarme</a></div>
                                <div class="col-10 col-lg-4"><a class="btn btn-primary btn-block" role="button" href="{{route('public.empleos.index')}}">Iniciar sesión para aplicar</a></div> 
                                @endauth
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
@endsection