<?php

namespace Modules\Configuracion\Entities;

use Illuminate\Database\Eloquent\Model;

class Dropdown extends Model
{
    protected $fillable = [
        'value',
        'key',
        'description',
        'parent_id',
    ];

    public function hijos()
    {
        return $this->hasMany(\Modules\Configuracion\Entities\Dropdown::class,'parent_id','id');
    }

    public function padre()
    {
        return $this->belongsTo(\Modules\Configuracion\Entities\Dropdown::class,'parent_id','id');
    }

    public function scopeBinario($query)
    {
        return $query
            ->where('value', 'Si/No')
            ->where('key', 374)
            ->whereNull('parent_id');
    }

    protected static function boot()
    {
        parent::boot();
        static::created(function ($model) {
            if($model->key == null){
                $model->key = $model->id;
                $model->save();
            }
        });
    }

}
