<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::prefix('configuracion')->group(function() {
//     Route::get('/', 'ConfiguracionController@index');
// });


Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function() {

    Route::middleware(['auth:acceso','role:Super Admin|Admin'])->group(function()
    {
        Route::get('dropdowns/listar',                    'DropdownsController@dropdownsList')->name('admin.dropdowns.list');
        Route::get('dropdowns',                           'DropdownsController@index')->name('admin.dropdowns.index');
        Route::get('politicas',                           'ConfiguracionController@index')->name('admin.politicas.index');
        Route::get('politicas/crear',                     'ConfiguracionController@create')->name('admin.politicas.create');
        Route::post('politicas',                          'ConfiguracionController@store') ->name('admin.politicas.store');
        Route::delete('politicas/{politica}',             'ConfiguracionController@destroy')->name('admin.politicas.destroy');
        Route::patch('politicas/{politica}',              'ConfiguracionController@update')->name('admin.politicas.update');
        Route::get('politicas/listar',                    'ConfiguracionController@politicasList')->name('admin.politicas.list');
        Route::group(['middleware' => ['permission:Crear Dropdowns']], function () {
            Route::post('dropdowns',                      'DropdownsController@store') ->name('admin.dropdowns.store');
            Route::get('dropdowns/crear',                 'DropdownsController@create')->name('admin.dropdowns.create');
        });
        Route::get('dropdowns/{dropdown}',                 'DropdownsController@show')->name('admin.dropdowns.show');
        Route::group(['middleware' => ['permission:Editar Dropdowns']], function () {
            Route::get('dropdowns/{dropdown}/editar',     'DropdownsController@edit')->name('admin.dropdowns.edit');
            Route::patch('dropdowns/{dropdown}',          'DropdownsController@update')->name('admin.dropdowns.update');
        });
        Route::group(['middleware' => ['permission:Eliminar Dropdowns']], function () {
            Route::delete('dropdowns/{dropdown}',         'DropdownsController@destroy')->name('admin.dropdowns.destroy');
        });

    });
});
