<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmpleosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('empleos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('empresa_id')->nullable();
            $table->string('empresa')->nullable();
            $table->string('plaza')->nullable();
            $table->string('imagen')->nullable();
            $table->date('fecha_publicacion')->nullable();
            $table->text('descripcion')->nullable();
            $table->string('profesion')->nullable();
            $table->string('estudios_carrera')->nullable();
            $table->string('edad_rango')->nullable();
            $table->string('genero')->nullable();
            $table->unsignedBigInteger('experiencia')->nullable();
            $table->unsignedBigInteger('idioma')->nullable();
            $table->unsignedBigInteger('porcentaje_idioma')->nullable();
            $table->text('conocimientos_especiales')->nullable();
            $table->unsignedBigInteger('software')->nullable();
            $table->unsignedBigInteger('licencia')->nullable();
            $table->unsignedBigInteger('vehiculo')->nullable();
            $table->unsignedBigInteger('viajar')->nullable();
            $table->unsignedBigInteger('competencias')->nullable();
            $table->unsignedBigInteger('sueldo')->nullable();
            $table->unsignedBigInteger('adicionales')->nullable();
            $table->unsignedBigInteger('tipo_contrato')->nullable();
            $table->unsignedBigInteger('jornada')->nullable();
            $table->text('incentivos_adicionales')->nullable();
            $table->unsignedBigInteger('pais')->nullable();
            $table->unsignedBigInteger('departamento')->nullable();
            $table->unsignedBigInteger('municipio')->nullable();
            $table->boolean('preguntas_obligatorias')->default(0);
            $table->boolean('hacer_preguntas')->default(0);
            $table->string('pregunta_1')->nullable();
            $table->string('pregunta_2')->nullable();
            $table->string('pregunta_3')->nullable();
            $table->string('pregunta_4')->nullable();
            $table->string('pregunta_5')->nullable();
            $table->string('pregunta_6')->nullable();
            $table->boolean('empleo_confidencial')->default(0);
            $table->boolean('logo_visible')->default(0);
            $table->unsignedBigInteger('duracion')->nullable();
            $table->boolean('promocionar')->default(0);
            
            $table->foreign('empresa_id')->on('empresas')->references('id')->onDelete('set null');
            $table->foreign('experiencia')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('idioma')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('porcentaje_idioma')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('software')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('licencia')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('vehiculo')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('viajar')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('competencias')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('sueldo')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('adicionales')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('tipo_contrato')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('jornada')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('departamento')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('municipio')->on('dropdowns')->references('id')->onDelete('set null');
            $table->foreign('duracion')->on('dropdowns')->references('id')->onDelete('set null');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('empleos', function (Blueprint $table) {
            $table->dropForeign(['empresa_id']);
            $table->dropForeign(['profesion']);
            $table->dropForeign(['estudios_carrera']);
            $table->dropForeign(['edad_rango']);
            $table->dropForeign(['genero']);
            $table->dropForeign(['experiencia']);
            $table->dropForeign(['idioma']);
            $table->dropForeign(['porcentaje_idioma']);
            $table->dropForeign(['software']);
            $table->dropForeign(['licencia']);
            $table->dropForeign(['vehiculo']);
            $table->dropForeign(['viajar']);
            $table->dropForeign(['competencias']);
            $table->dropForeign(['sueldo']);
            $table->dropForeign(['adicionales']);
            $table->dropForeign(['tipo_contrato']);
            $table->dropForeign(['jornada']);
            $table->dropForeign(['departamento']);
            $table->dropForeign(['municipio']);
            $table->dropForeign(['duracion']);
        });
        Schema::dropIfExists('empleos');
    }
}
