<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddActivoToEmpleosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('empleos', function (Blueprint $table) {
            $table->boolean('activo')->default(0);
            $table->unsignedBigInteger('estado_empleo')->nullable();
            $table->foreign('estado_empleo')->on('dropdowns')->references('id')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('empleos', function (Blueprint $table) {
            $table->dropForeign(['estado_empleo']);
            $table->dropColumn('activo');
            $table->dropColumn('estado_empleo');
        });
    }
}
