<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmpleoCandidatosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('empleo_candidatos', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->unsignedBigInteger('empleo_id');
            $table->foreign('candidato_id')->on('candidatos')->references('id')->onDelete('cascade');
            $table->foreign('empleo_id')->on('empleos')->references('id')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('empleo_candidatos', function (Blueprint $table) {
            $table->dropForeign(['candidato_id']);
            $table->dropForeign(['empleo_id']);
        });
        Schema::dropIfExists('empleo_candidatos');
    }
}
