<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddInterpretacionToEmpleoCandidatosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('empleo_candidatos', function (Blueprint $table) {
            $table->text('interpretacion_resultados')->nullable();
            $table->text('verificacion_datos')->nullable();
            $table->timestamp('fecha_cita')->nullable();
            $table->text('direccion_cita')->nullable();
            $table->string('persona_entrevista_cita')->nullable();
            $table->string('correo_cita')->nullable();
            $table->timestamp('fecha_contratacion')->nullable();
            $table->string('no_factura_contratacion')->nullable();
            $table->timestamp('fecha_facturacion_contratacion')->nullable();
            $table->string('no_boleta_contratacion')->nullable();
            $table->timestamp('fecha_deposito_contratacion')->nullable();
            $table->string('banco_contratacion')->nullable();
            $table->timestamp('fecha_inicio_garantia')->nullable();
            $table->timestamp('fecha_finalizo_garantia')->nullable();
            $table->string('motivo_garantia')->nullable();
            $table->string('tipo_garantia')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('empleo_candidatos', function (Blueprint $table) {
            $table->dropColumn('interpretacion_resultados');
            $table->dropColumn('verificacion_datos');
            $table->dropColumn('fecha_cita');
            $table->dropColumn('direccion_cita');
            $table->dropColumn('persona_entrevista_cita');
            $table->dropColumn('correo_cita');
            $table->dropColumn('fecha_contratacion');
            $table->dropColumn('no_factura_contratacion');
            $table->dropColumn('fecha_facturacion_contratacion');
            $table->dropColumn('no_boleta_contratacion');
            $table->dropColumn('fecha_deposito_contratacion');
            $table->dropColumn('banco_contratacion');
            $table->dropColumn('fecha_inicio_garantia');
            $table->dropColumn('fecha_finalizo_garantia');
            $table->dropColumn('motivo_garantia');
            $table->dropColumn('tipo_garantia');
        });
    }
}
