<?php

namespace Modules\Empleos\Entities;

use Illuminate\Database\Eloquent\Model;

class EmpleoCandidato extends Model
{
    protected $fillable = [
        'candidato_id',
        'empleo_id',
        'aplica',

        'interpretacion_resultados',
        'verificacion_datos',
        'fecha_cita',
        'direccion_cita',
        'persona_entrevista_cita',
        'correo_cita',

        'fecha_contratacion',
        'no_factura_contratacion',
        'fecha_facturacion_contratacion',
        'no_boleta_contratacion',
        'fecha_deposito_contratacion',
        'banco_contratacion',

        'fecha_inicio_garantia',
        'fecha_finalizo_garantia',
        'motivo_garantia',
        'tipo_garantia',
        'contratado',
        'hora_cita',
        'fecha_generacion_informe',
        'notificacion_contratado',
        'respuesta_1',
        'respuesta_2',
        'respuesta_3',
        'respuesta_4',
        'respuesta_5',
        'respuesta_6'
    ];

    protected $dates = [
        'fecha_cita',
        'fecha_contratacion',
        'fecha_facturacion_contratacion',
        'fecha_deposito_contratacion',
        'fecha_inicio_garantia',
        'fecha_finalizo_garantia',
        'fecha_generacion_informe'
    ];

    public function candidato(Type $var = null)
    {
        return $this->belongsTo(\Modules\Candidatos\Entities\Candidato::class,'candidato_id','id');
    }

    public function empleo(Type $var = null)
    {
        return $this->belongsTo(\Modules\Empleos\Entities\Empleo::class,'empleo_id','id');
    }
}
