@extends('layouts.public')

@section('title','Empleos')

@section('headlinks')
@endsection


@section('content')
<main id="page-home">
    <section id="login-steps">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-9 offset-0 offset-lg-3 py-3">
                    <form method="POST" action="{{ route('loginCandidato') }}">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-12 col-lg-3"><input class="form-control" type="email" name="email" placeholder="Email"></div>
                            <div class="form-group col-12 col-lg-3"><input class="form-control" type="password" name="password" placeholder="Contraseña"></div>
                            <div class="form-group text-center col-12 col-lg-3"><button class="btn btn-warning" type="submit">Ingresar</button></div>
                            <div class="form-group text-center col-12 col-lg-3"><a class="btn btn-primary btn-block" role="button" href="{{route('public.registro.candidato')}}">Registrarme</a></div>
                            @if (Route::has('password.request'))
                            <a class="btn btn-link" href="{{ route('password.request') }}">
                                {{ __('¿Olvidaste tu contraseña?') }}
                            </a>
                            @endif
                        </div>
                    </form>
                </div>
            </div>
            <!-- <div class="row">
                <div class="col-12 col-lg-3 pb-4 pb-sm-0"><img class="img-fluid" src="/img/candidato/inicio/banner341x605px.jpg"></div>
                <div class="col-12 col-lg-9 steps">
                    <h3>¿Eres un <strong>candidato</strong> en busca de empleo?</h3>
                    <h4>Estás a 4 pasos de conseguirlo:</h4>
                    <p><strong><em>NOTA</em></strong>&nbsp;Al aplicar al empleo de su interés, un correo le será enviado al ejecutivo de reclutamiento junto a su Cv y fotografía. Recuerde que puede aplicar a cuantas oportunidades crea usted llenar los requisitos
                        del perfil.</p>
                    <div class="row">
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/candidato/inicio/iniciaoregistro200x200px.png"><span>Registrate o Inicia Sesión</span><span class="no-step">1.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/candidato/inicio/completaperfil200x200px.png"><span>Completar tu perfil al 100%</span><span class="no-step">2.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/candidato/inicio/buscoempleo200x200px.png"><span>Buscar empleo</span><span class="no-step">3.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/candidato/inicio/aplica200x200px.png"><span>Aplica</span><span class="no-step">4.</span></div>
                        </div>
                    </div>
                    <div class="row text-center justify-content-end">
                        <div class="col-12 col-lg-3 pb-3 pb-sm-0"><a class="btn btn-warning btn-block" href="{{route('public.empleos.index')}}#empleos-candidato" role="button">Empleos recientes</a></div>
                    <div class="col-12 col-lg-3"><a class="btn btn-primary btn-block" role="button" href="{{route('public.registro.candidato')}}">Registrarme</a></div>
                    </div>
                </div>
            </div> --> 
        </div>
        <!-- <hr> -->
    </section>
    <section class="empleos pt-5" id='empleos-candidato'>
        <div class="container">
            <div class="row">
                <div class="col">
                    <h3>Encuentra el empleo de tu interés y <strong>aplica</strong>.</h3>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <h3 style="color: #605959; margin-top: 20px;">SELECCIONA EL ÁREA DE TRABAJO.</h3>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="row no-gutters">
                        @foreach(getDropdown('Categorías Empleos') as $key => $categoria)
                            <div class="col-12 col-lg-3 px-1 inline" style="margin-top: 20px;">
                                <a class="btn btn-primary btn-block font-weight-bold" type="button" href="{{route('public.empleos.index', ['categoria' => $key])}}#empleos-candidato">
                                    <label style="margin-top: 20px;">{{$empleos2[$loop->iteration-1]}}</label>
                                    <br>
                                    <img class="img img-fluid" style="max-width: 20%;" src="{{asset('img/Miscorp_Filtros-0'.$loop->iteration.'.png')}}" alt="">{{$categoria}}
                                </a>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-4 offset-0 offset-lg-8 search-empleo">
                    <form>
                        <div class="form-group">
                            <div class="input-group" style="margin-top: 50px;">
                                <div class="input-group-prepend"></div>
                                <form id="frm_buscar" action="{{route('public.empleos.index')}}">
                                    {!! Form::text('buscar', old('buscar'), ['class' => 'form-control'.($errors->has('buscar') ? ' is-invalid' : ''), 'placeholder' => 'Buscar']) !!}
                                    <div class="input-group-append">
                                    <button class="btn" type="submit"><i class="fa fa-search"></i></button>
                                </form>
                                </div> 
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    {!! $empleos->render() !!}
                    @foreach ($empleos as $empleo)
                    <script type="application/ld+json">
                    {
                        "@context" : "https://schema.org/",
                        "@type" : "JobPosting",
                        "title" : "{{$empleo->plaza}}",
                        "description" : "<p>{{$empleo->descripcion}}</p>",
                        "jobBenefits": "{{ isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''}}",
                        "educationRequirements": "{{isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''}}",
                        "experienceRequirements": "{{isset($empleo->experiencia)?($empleo->experiencia):''}} años",
                        "industry": "{{isset($empleo->profesion)?($empleo->profesion):''}}",
                        "identifier": {
                            "@type": "PropertyValue",
                            "name": "Miscorpsa, S.A.",
                            "value": ""
                        },
                        "datePosted" : "{{$empleo->fecha_publicacion}}",
                        "validThrough" : "{{$empleo->fecha_publicacion->addDays(getDropdownValue($empleo->duracion))->format('d-m-Y')}}",
                        "employmentType" : "FULL_TIME",
                        "hiringOrganization" : {
                            "@type" : "Organization",
                            "name" : "{{isset($empleo->empresa)?$empleo->empresa:''}}",
                            "sameAs" : "",
                            "logo" : "{{isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')}}"
                        },
                        "jobLocation": {
                        "@type": "Place",
                            "address": {
                            "@type": "PostalAddress",
                            "streetAddress": "{{getDropdownValue($empleo->zona)}}",
                            "addressLocality": "{{getDropdownValue($empleo->pais)}}, {{getDropdownValue($empleo->departamento)}}",
                            "addressRegion": "{{getDropdownValue($empleo->pais)}}",
                            "postalCode": "",
                            "addressCountry": "{{getDropdownValue($empleo->pais)}}"
                            }
                        },
                        "qualifications": "@foreach(explode(',',$empleo->competencias) as $competencia)
                                                {{getDropdownValue($competencia)}},
                                        @endforeach",
                        "skills": "{{isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''}}",
                        "baseSalary": {
                            "@type": "MonetaryAmount",
                            "currency": "GTQ",
                            "value": {
                            "@type": "QuantitativeValue",
                            "value": "{{$empleo->sueldo}}",
                            "unitText": "MONTH"
                            }
                        }
                    }
                    </script>
                    <div class="row justify-content-center align-items-center position-relative empleo-info">
                        <div class="col-12 col-lg-2 text-center">
                            @if($empleo->logo_visible == 1)
                            <img class="img-fluid" src="{{isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')}}">
                            @else
                            <img class="img-fluid" src="{{asset('img/imagen-vacia.jpg')}}">
                            @endif
                        </div>
                        <div class="col-12 col-lg-3 fecha-tiempo">
                            <h3>{{$empleo->plaza}}</h3><span><em>{{$empleo->zona?'Zona '.$empleo->zona:''}}</em></span>
                            <br>
                            <ul>
                                {{-- <li>{{$empleo->fecha_publicacion->addDays(getDropdownValue($empleo->duracion))->format('d-m-Y')}}</li> --}}
                                <li>{{$empleo->fecha_publicacion->format('d-m-Y')}}</li>
                                <li>{{getDropdownValue($empleo->pais)}}, {{getDropdownValue($empleo->departamento)}}</li>
                                <li>{{getDropdownValue($empleo->profesion)}}</li>
                                <li>{{getDropdownValue($empleo->jornada)}}</li>
                            </ul>
                        </div>
                        <!-- <div class="col-12 col-lg-4 lugar-tipo">
                            <ul>
                            </ul>
                        </div>-->
                        <div class="col-12 col-lg-7 py-3 descripcion-salario">
                            @if($empleo->empleo_confidencial == 0)
                            <span class="salario"><strong>{{isset($empleo->empresa)?$empleo->empresa:''}}</strong></span>
                            @endif
                            <p>{{$empleo->descripcion}}.</p>
                            <span class="salario">Salario: <strong> Q{{$empleo->sueldo}}</strong></span>
                            <a class="btn btn-warning read-more mt-3 mt-sm-0" role="button" href="{{route('public.empleos.show',$empleo->id)}}">Leer más</a>
                        </div>
                    </div>
                    @endforeach
                    {{ $empleos->links() }}
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
@endsection
