@extends('layouts.public')

@section('title','Ver Empleo')

@section('headlinks')
@endsection

@section('content')

<main id="page-show-job-login">
    <section id="page-base">
        <div class="container">
            <div class="row justify-content-end">
                <div class="col-12 col-lg-2 pb-4 text-right"> 
                    @if (Auth::check() && Auth::user()->hasRole('Candidato')) 
                    <a class="btn btn-light" role="button" href="{{route('private.candidatos.portafolio')}}">Regresar</a>
                    @else (!Auth::check())
                    <a class="btn btn-light" role="button" href="{{route('public.empleos.index')}}#empleos-candidato">Regresar</a>
                    @endif
                </div>
            </div>


            <div class="row job-info">
                <div class="col-12 col-lg-3">
                    @if($empleo->logo_visible)
                    <img class="img-fluid" src="{{isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')}}">
                    @else
                    <img class="img-fluid" src="{{asset('img/imagen-vacia.jpg')}}">
                    @endif
                </div>
                <div class="col-12 col-lg-9">
                    <div class="row pb-4">
                        <div class="col-12 col-md-6 empresa-job-cash py-3">
                            <h3>{{isset($empleo->plaza)?$empleo->plaza:''}}</h3>
                            @if($empleo->empleo_confidencial == 0)
                            <p>Empresa: {{isset($empleo->empresa)?$empleo->empresa:''}}</p>
                            @endif<span>Sueldo Q{{isset($empleo->sueldo)?number_format($empleo->sueldo,2):''}}</span></div>
                        <div class="col-12 col-md-6 localidad">
                            <div class="row justify-content-center align-items-center h-100">
                                <div class="col">
                                    <ul>
                                        <li><span>País</span>&nbsp;{{getDropdownValue($empleo->pais)}}</li>
                                        <li><span>Departamento</span>&nbsp;{{getDropdownValue($empleo->departamento)}}</li>
                                        <li><span>Municipio</span>&nbsp;{{getDropdownValue($empleo->municipio)}}</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 col-md-6 requisitos-offer"><span>Requerimos</span>
                            <div class="row">
                                <div class="col pb-5 px-5 pt-3 pb-md-3">
                                    <p>
                                        <strong>Descripción del puesto:</strong>
                                        {{isset($empleo->descripcion)?($empleo->descripcion):''}}
                                    </p>
                                    <p>
                                        <strong>Conocimientos especiales:</strong>
                                        {{isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''}}
                                    </p>
                                    <p>
                                        <strong>Competencias:</strong>
                                        @foreach(explode(',',$empleo->competencias) as $competencia)
                                            {{getDropdownValue($competencia)}},
                                        @endforeach
                                    </p>
                                    <p>
                                        <strong>Profesión:</strong>
                                        {{isset($empleo->profesion)?($empleo->profesion):''}}
                                    </p>
                                    <p>
                                        <strong>Estudios/carrera:</strong>
                                        {{isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''}}
                                    </p>
                                    <p>
                                        <strong>Edad/rango:</strong>
                                        {{isset($empleo->edad_rango)?($empleo->edad_rango):''}}
                                    </p>
                                    <p>
                                        <strong>Género:</strong>
                                        {{isset($empleo->genero)?$empleo->genero:''}}
                                    </p>
                                    <p>
                                        <strong>Años de experiencia:</strong>
                                        {{isset($empleo->experiencia)?($empleo->experiencia):''}}
                                    </p>
                                    <p>
                                        <strong>Idioma:</strong>
                                        {{isset($empleo->idioma)?getDropdownValue($empleo->idioma):''}}
                                    </p>
                                    <p>
                                        <strong>Licencia:</strong>
                                        {{isset($empleo->licencia)?getDropdownValue($empleo->licencia):''}}
                                    </p>
                                    <p>
                                        <strong>Vehículo:</strong>
                                        {{isset($empleo->vehiculo)?getDropdownValue($empleo->vehiculo):''}}
                                    </p>
                                    <p>
                                        <strong>Software:</strong>
                                        {{isset($empleo->software)?$empleo->software:''}}
                                    </p>
                                    <p>
                                        <strong>Disponibilidad para viajar:</strong>
                                        {{ isset($empleo->viajar)?getDropdownValue($empleo->viajar):''}}
                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 requisitos-offer"><span>Ofrecemos</span>
                            <div class="row">
                                <div class="col pb-4 px-5 pt-3 pb-md-3 offer"><span>Q{{isset($empleo->sueldo)?number_format($empleo->sueldo,2):''}}</span>
                                    <p>
                                        <strong>Contratación:</strong>
                                        {{ isset($empleo->tipo_contrato)?getDropdownValue($empleo->tipo_contrato):''}}
                                    </p>
                                    <p>
                                        <strong>Jornada:</strong>
                                        {{ isset($empleo->jornada)?getDropdownValue($empleo->jornada):''}}
                                    </p>
                                    <p>
                                        <strong>Incentivos:</strong>
                                        {{ isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''}}
                                    </p>
                                    {{-- <p>
                                        <strong>Presentaciones de ley:</strong>
                                        {{getDropdownValue($empleo->profesion)}}
                                    </p> --}}
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="row justify-content-center justify-content-md-end align-items-center pt-3">
                                @auth
                                @role('Candidato')
                                    @if($empleo->hacer_preguntas == 1 || ($empleo->pregunta_1 == null && $empleo->pregunta_2 == null && 
                                    $empleo->pregunta_3 == null && $empleo->pregunta_4 == null && $empleo->pregunta_5 == null 
                                    && $empleo->pregunta_6 == null) )
                                        <div class="col-10 col-lg-4">
                                            @if ($empleo->candidatos()->where('candidato_id',Auth::user()->candidato->id)->count() == 0)
                                                {!! Form::open(['route' => 'public.empleos.apply']) !!}
                                                {!! Form::hidden('empleo_id', $empleo->id) !!}
                                                {!! Form::submit('Aplicar', ['class' => 'btn btn-success btn-block']) !!}
                                                {!! Form::close() !!}
                                            @else
                                                <button class="btn btn-success btn-block">Aplicaste a este trabajo!</button>
                                            @endif
                                        </div>
                                    @else
                                        <div class="col-10 col-lg-4">
                                            @if ($empleo->candidatos()->where('candidato_id',Auth::user()->candidato->id)->count() == 0)
                                                <a class="btn btn-success btn-block" href="#" data-toggle="modal" data-target="#modal-preguntas" type="button">Aplicar</a>
                                            @else
                                                <button class="btn btn-success btn-block">Aplicaste a este trabajo!</button>
                                            @endif
                                        </div>
                                    @endif
                                @endrole
                                @else
                                <div class="col-10 col-lg-3 pb-3 pb-md-0"><a class="btn btn-warning btn-block" role="button" href="{{route('public.registro.candidato')}}">Registrarme</a></div>
                                <div class="col-10 col-lg-4"><a class="btn btn-primary btn-block" role="button" href="{{route('public.empleos.index')}}">Iniciar sesión para aplicar</a></div> 
                                @endauth
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<!-- modal preguntas --> 
<div class="modal fade" id="modal-preguntas"> 
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <!-- <h4 class="modal-title"></h4> -->
                <button type="button" class="close pr-4 pt-4" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fas fa-close"></i></span>
                </button>
            </div>
            <div class="modal-body">
            {!! Form::open(['route' => 'public.empleos.apply']) !!}
            <div class="row justify-content-center">
                <div class="col-10">
                    <div class="row pt-5">
                        <div class="col-12 col-md-6" style="text-align: justify;">
                            <p>¡Gracias por aplicar a la plaza!</p>
                            <p>A continuación es importante que responda las siguientes preguntas para continuar en el proceso
                                de selección.</p>
                            <p>Esto con el objetivo de que el reclutador conozca más sobre usted y su experiencia. Al
                                responderlas el reclutador recibirá a su correo
                                las respuestas de las mismas.</p>
                            <p>¡Por favor estar atento a su portafolio por cualquier respuesta, esperamos que en poco tiempo
                                encuentre el trabajo ideal para usted!</p>
                        </div>
                        <div class="col-12 col-md-6">
                            <h3 style="text-align: center;">
                                <stron>Plaza: {{$empleo->plaza}}</stron>
                            </h3>
                            <div class="">
                                @if($empleo->pregunta_1)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_1}}</label>
                                    {!! Form::textarea('respuesta_1',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta1' ]) !!}
                                </div>
                                @endif
                                @if($empleo->pregunta_2)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_2}}</label>
                                    {!! Form::textarea('respuesta_2',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta2' ]) !!}
                                </div>
                                @endif
                                @if($empleo->pregunta_3)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_3}}</label>
                                    {!! Form::textarea('respuesta_3',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta3' ]) !!}
                                </div>
                                @endif
                                @if($empleo->pregunta_4)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_4}}</label>
                                    {!! Form::textarea('respuesta_4',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta4' ]) !!}
                                </div>
                                @endif
                                @if($empleo->pregunta_5)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_5}}</label>
                                    {!! Form::textarea('respuesta_5',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta5' ]) !!}
                                </div>
                                @endif
                                @if($empleo->pregunta_6)
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label">{{$empleo->pregunta_6}}</label>
                                    {!! Form::textarea('respuesta_6',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta6' ]) !!}
                                </div>
                                @endif
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-warning btn-block btn-sm" data-dismiss="modal">Regresar</button>
                        <button type="submit" class="btn btn-warning btn-block btn-sm">Enviar</button>
                    </div>
                </div>
            </div>
            {!! Form::hidden('empleo_id', $empleo->id) !!}
            {!! Form::close() !!}
        </div>
    </div>
</div>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script type="application/ld+json">
    {
        "@context" : "https://schema.org/",
        "@type" : "JobPosting",
        "title" : "{{$empleo->plaza}}",
        "description" : "<p>{{$empleo->descripcion}}</p>",
        "jobBenefits": "{{ isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''}}",
        "educationRequirements": "{{isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''}}",
        "experienceRequirements": "{{isset($empleo->experiencia)?($empleo->experiencia):''}} años",
        "industry": "{{isset($empleo->profesion)?($empleo->profesion):''}}",
        "identifier": {
            "@type": "PropertyValue",
            "name": "Miscorpsa, S.A.",
            "value": ""
        },
        "datePosted" : "{{$empleo->fecha_publicacion}}",
        "validThrough" : "{{$empleo->fecha_publicacion->addDays(getDropdownValue($empleo->duracion))->format('d-m-Y')}}",
        "employmentType" : "FULL_TIME",
        "hiringOrganization" : {
            "@type" : "Organization",
            "name" : "{{isset($empleo->empresa)?$empleo->empresa:''}}",
            "sameAs" : "",
            "logo" : "{{isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')}}"
        },
        "jobLocation": {
        "@type": "Place",
            "address": {
            "@type": "PostalAddress",
            "streetAddress": "{{getDropdownValue($empleo->zona)}}",
            "addressLocality": "{{getDropdownValue($empleo->pais)}}, {{getDropdownValue($empleo->departamento)}}",
            "addressRegion": "{{getDropdownValue($empleo->pais)}}",
            "postalCode": "",
            "addressCountry": "{{getDropdownValue($empleo->pais)}}"
            }
        },
        "qualifications": "@foreach(explode(',',$empleo->competencias) as $competencia)
                                {{getDropdownValue($competencia)}},
                           @endforeach",
        "skills": "{{isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''}}",
        "baseSalary": {
            "@type": "MonetaryAmount",
            "currency": "GTQ",
            "value": {
            "@type": "QuantitativeValue",
            "value": "{{$empleo->sueldo}}",
            "unitText": "MONTH"
            }
        }
    }
</script>
@endsection