@extends('layouts.public')

@section('title','Empleos - Empresa')

@section('headlinks')
@endsection

@section('content')
<main id="page-publicar-empleo">
    {!! Form::open(['route' => 'private.empresas.empleos.store', 'role' => 'form', 'enctype'=>'multipart/form-data']) !!} 
    @include('empleos::forms.publicar')
    {!! Form::close() !!}
</main>
@endsection

@section('footer')
@endsection 

@section('footscripts')
<script>

    $('.select2-multi').select2({
        placeholder: "Seleccione uno o varias categorías",
        allowClear: true
    });

    $('#pais').change( function(){ llenarDepartamentos(this.value); } );

    $('#departamento').change( function(){ llenarMunicipios(this.value); } );

    $('#municipio').change( function(){ llenarZonas(this.value); } );

    function llenarDepartamentos(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#departamento').empty();
                $('#departamento').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    var option = $('#departamento').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    function llenarMunicipios(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#municipio').empty();
                $('#municipio').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#municipio').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }
    function llenarZonas(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#zona').empty();
                $('#zona').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#zona').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }
</script>
@endsection
