<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('empleos')->group(function() {
    Route::get('/',                                   'EmpleosController@index')->name('public.empleos.index'); 
    Route::get('/publicar',                           'EmpleosController@create')->name('public.empleos.publicar');
    Route::get('/{empleo}/ver',                       'EmpleosController@show')->name('public.empleos.show');
    Route::post('/aplicar',                           'EmpleosController@apply')->name('public.empleos.apply'); 
    Route::delete('/destroy/{empleo}',                'EmpleosController@empleoDestroy')->name('public.empleo.destroy');
});

Route::prefix('empresas')->group(function() { 
    Route::middleware(['auth:acceso','role:Empresa|Admin|Reclutamiento|Base de datos'])->group(function()
    {
        Route::get('empleos/listar',                                'Privado\EmpleosController@empleosList')->name('private.empresas.empleos.list');  
        Route::get('empleos/listar_contratados',                    'Privado\EmpleosController@empleoslistContratados')->name('private.empresas.empleos.list.contratados'); 
        Route::get('empleos/crear',                                 'Privado\EmpleosController@create')->name('private.empresas.empleos.create');
        Route::post('empleos/guardar',                              'Privado\EmpleosController@store')->name('private.empresas.empleos.store');
        Route::get('empleos/editar/{empleo}',                       'Privado\EmpleosController@edit')->name('private.empresas.empleos.edit');
        Route::patch('empleos/actualizar/{empleo}',                 'Privado\EmpleosController@update')->name('private.empresas.empleos.update');
        Route::patch('empleos/empleo_candidato/{empleo_candidato}', 'EmpleosController@updateProgramarCita')->name('staff.empresa.candidato.empleo_candidato');
        Route::patch('empleos/contratacion/{empleo_candidato}',     'EmpleosController@contratacion')->name('staff.reclutamiento.contratacion');
        Route::get('reclutamiento/aplicar',                         'EmpleosController@aplicar')->name('public.empleos.aplicar');
        Route::get('empleos/activar',                               'Privado\EmpleosController@activarEmpleo')->name('public.empleos.activar');
    });
});
