<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateEmpresasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('empresas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('usuario_id');
            $table->unsignedBigInteger('categoria');
            $table->string('nombre');
            $table->string('nit');
            $table->string('email');
            $table->string('persona_contacto');
            $table->string('puesto_contacto');
            $table->string('telefono_contacto');
            $table->string('telefono');
            $table->string('pagina_web')->nullable();
            $table->string('calle_avenida');
            $table->string('no_casa');
            $table->integer('zona');
            $table->string('colonia')->nullable();
            $table->unsignedBigInteger('pais');
            $table->unsignedBigInteger('departamento');
            $table->unsignedBigInteger('municipio');
            $table->text('direccion');
            $table->string('logotipo');
            $table->foreign('usuario_id')->references('id')->on('usuarios');
            $table->foreign('categoria')->references('id')->on('dropdowns');
            $table->foreign('pais')->references('id')->on('dropdowns');
            $table->foreign('departamento')->references('id')->on('dropdowns');
            $table->foreign('municipio')->references('id')->on('dropdowns');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('empresas',function(Blueprint $table)
        {
           $table->dropForeign(['usuario_id']);
           $table->dropForeign(['categoria']);
           $table->dropForeign(['pais']);
           $table->dropForeign(['departamento']);
           $table->dropForeign(['municipio']);
        });
        Schema::dropIfExists('empresas');
    }
}
