<?php

namespace Modules\Empresas\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Support\Facades\URL;

class EmpresaHabilitada extends Mailable
{
    use Queueable, SerializesModels;

    protected $empresa;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($empresa)
    {
        $this->empresa    = $empresa;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $empresa    = $this->empresa;
        $url = URL::temporarySignedRoute('public.usuario.verificar',now()->addMinutes(60),[
            'id' => $empresa->usuario->id,
            'hash' => sha1($empresa->email),
        ]);
        return $this->subject('Empresa habilitada - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('empresas::mail.empresas.empresa')
            ->with(compact('empresa','url'));
    }
}