<?php

namespace Modules\Empresas\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class EmpresaRTU extends Mailable
{
    use Queueable, SerializesModels;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($empresa)
    {
        $this->empresa    = $empresa;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $empresa    = $this->empresa;
        return $this->subject('Empresa creada - '.getFechaLatina(null, 'd-m-Y H:i:s'))
            ->markdown('empresas::mail.empresas.rtu')
            ->attach('storage/uploads/docs/'.$empresa->rtu, [
                'as' => 'RTU.pdf',
            ])
            ->with(compact('empresa'));
    }
}
