<?php

namespace Modules\Empresas\Entities;

use Illuminate\Database\Eloquent\Model;

class Empresa extends Model
{
    protected $fillable = [
        'usuario_id',
        'categoria',
        'nombre',
        'nit',
        'email',
        'persona_contacto',
        'puesto_contacto',
        'telefono_contacto',
        'telefono',
        'pagina_web',
        'calle_avenida',
        'no_casa',
        'zona',
        'colonia',
        'pais',
        'departamento',
        'municipio',
        'direccion',
        'logotipo',
        'rtu',
        'informe',
        'fecha_habilitacion_servicio'
    ];

    protected $dates = [
        'fecha_habilitacion_servicio'
    ];

    public function usuario()
    {
        return $this->belongsTo(\Modules\Usuarios\Entities\Usuario::class,'usuario_id','id');
    }
    public function categoria()
    {
        return $this->hasOne(\Modules\Configuracion\Entities\Dropdown::class,'categoria','id');
    }
    public function pais()
    {
        return $this->hasOne(\Modules\Configuracion\Entities\Dropdown::class,'pais','id');
    }
    public function departamento()
    {
        return $this->hasOne(\Modules\Configuracion\Entities\Dropdown::class,'departamento','id');
    }
    public function municipio()
    {
        return $this->hasOne(\Modules\Configuracion\Entities\Dropdown::class,'municipio','id');
    }

    public function empleos()
    {
        return $this->hasMany(\Modules\Empleos\Entities\Empleo::class,'empresa_id','id'); 
    }
}
