<?php

namespace Modules\Empresas\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EmpresaRegistroStoreRequest extends FormRequest
{

    public function __construct()
    {
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'categoria'             => 'required',
            'nombre'                => 'required',
            'nit'                   => 'required',
            'email'                 => 'required|email|unique:usuarios,email',
            'password'              => [
                'required',
                'confirmed',
                'min:8',
            ],
            'password_confirmation' => [
                'required',
                'same:password',
            ],
            'persona_contacto'      => 'required',
            'puesto_contacto'       => 'required',
            'telefono_contacto'     => 'required',
            'telefono'              => 'required',
            'pagina_web'            => 'nullable',
            'calle_avenida'         => 'required',
            'no_casa'               => 'required',
            'zona'                  => 'required',
            'colonia'               => 'nullable',
            'pais'                  => 'required',
            'departamento'          => 'required',
            'municipio'             => 'required',
            'direccion'             => 'required',
            'logotipo'              => 'required',
            'aceptar'               => 'required',
            'rtu'                   => 'nullable|file|mimes:pdf,jpeg,png,jpg',
            'g-recaptcha-response'  => 'recaptcha'
        ];
    }

}
