<?php

namespace Modules\Empresas\Observers;

use App;
use Mail;
use Modules\Empresas\Entities\Empresa;
use Modules\Empresas\Emails\EmpresaCreated;
use Modules\Empresas\Emails\EmpresaRTU;

/**
 * retrieved, creating, created, updating, updated, saving, saved, deleting, deleted, restoring, restored
 */
class EmpresasObserver
{
    /**
     * Listen to the Empresa created event.
     *
     * @param  Empresa  $empresa
     * @return void
     */
    public function created(Empresa $empresa)
    {
        if (App::runningInConsole()) return;

        Mail::to($empresa->email)->send(new EmpresaCreated($empresa)); 
        
        if($empresa->rtu){
            Mail::to(getDropdownValue('567'))->send(new EmpresaRTU($empresa));
        } 
    }

    /**
     * Listen to the Empresa updating event.
     *
     * @param  Empresa  $empresa
     * @return void
     */
    public function updating(Empresa $empresa)
    {
        // $previousStatus = Empresa::find($empresa->id);
        // session(['cajaverde.user.previous' => $previousStatus->getAttributes()]);
    }


    /**
     * Listen to the Empresa updated event.
     *
     * @param  Empresa  $empresa
     * @return void
     */
    public function updated(Empresa $empresa)
    {
        if (App::runningInConsole()) return;

        // $loggeduser = Auth::user();

        // $crud = session('cajaverde.user.update', false);
        // if(!$crud) return;

        // $previousStatus = session('cajaverde.user.previous');

        // session(['cajaverde.user.update' => false]);
        // session(['cajaverde.user.previous' => false]);

        // Mail::to(getAdminMail())->send(new EmpresaUpdated($loggeduser, $empresa));
    }
}
