@php
$edit = isset($empresa);

@endphp

<div class="card-body">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="nombre">Nombre</label>
                {!! Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]) !!}
                @if ($errors->has('nombre'))
                <span class="has-error">{{ $errors->first('nombre') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="nit">Nit</label>
                {!! Form::text('nit', null, ['class' => 'form-control'.($errors->has('nit') ? ' is-invalid' : ''), 'placeholder' => 'Nit', 'required' => true ]) !!}
                @if ($errors->has('nit'))
                <span class="has-error">{{ $errors->first('nit') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="email">Correo electrónico</label>
                {!! Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]) !!}
                @if ($errors->has('email'))
                <span class="has-error">{{ $errors->first('email') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password">Contraseña</label>
                {!! Form::password('password', [
                    'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Contraseña',
                    'required' => ($edit ? false : true) ,
                    ]) !!}
                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                @if ($errors->has('password'))
                <span class="has-error">{{ $errors->first('password') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password_confirmation">Confirmar contraseña</label>
                {!! Form::password('password_confirmation', [
                    'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Confirmar contraseña',
                    'required' => ($edit ? false : true)
                    ]) !!}
                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                @if ($errors->has('password_confirmation'))
                <span class="has-error">{{ $errors->first('password_confirmation') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            @hasrole('Super Admin|Admin')
            <label for="activo">Empresa</label>
            <div class="form-group">
                <div class="form-check">
                    {!! Form::radio('activo', 1, ($edit ? $empresa->usuario->activo : null), ['class' => 'form-check-input', 'id' => 'activeCheck1']) !!}
                    <label class="form-check-label" for="activeCheck1">Activo</label>
                </div>
                <div class="form-check">
                    {!! Form::radio('activo', 0, ($edit ? !$empresa->usuario->activo : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']) !!}
                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                </div>
                @if ($errors->has('activo'))
                <span class="has-error">{{ $errors->first('activo') }}</span>
                @endif
            </div>
            <label for="informe">Informe</label>
            <div class="form-group">
                <div class="form-check">
                    {!! Form::radio('informe', 1, ($edit ? $empresa->informe : null), ['class' => 'form-check-input', 'id' => 'activeCheck3']) !!}
                    <label class="form-check-label" for="activeCheck3">Standard</label>
                </div>
                <div class="form-check">
                    {!! Form::radio('informe', 2, ($edit ? !$empresa->informe : 1), ['class' => 'form-check-input', 'id' => 'activeCheck4']) !!}
                    <label class="form-check-label" for="activeCheck4">Plus</label>
                </div>
                <div class="form-check">
                    {!! Form::radio('informe', 0, ($edit ? !$empresa->informe : 1), ['class' => 'form-check-input', 'id' => 'activeCheck5']) !!}
                    <label class="form-check-label" for="activeCheck5">Ninguno</label>
                </div>
                @if ($errors->has('informe'))
                <span class="has-error">{{ $errors->first('informe') }}</span>
                @endif
            </div>
            @endrole
        </div>
    </div>

    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="categoria">Categoría</label>
                {!! Form::text('categoria', null, ['class' => 'form-control'.($errors->has('categoria') ? ' is-invalid' : ''), 'required' => true ]) !!}
                @if ($errors->has('categoria'))
                <span class="has-error">{{ $errors->first('categoria') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Persona de Contacto</label>
                {!! Form::text('persona_contacto', null, ['class' => 'form-control'.($errors->has('persona_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                @if ($errors->has('persona_contacto'))
                <span class="has-error">{{ $errors->first('persona_contacto') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Puesto que Ocupa&nbsp;</label>
                {!! Form::text('puesto_contacto', null, ['class' => 'form-control'.($errors->has('puesto_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                @if ($errors->has('puesto_contacto'))
                <span class="has-error">{{ $errors->first('puesto_contacto') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Teléfono directo</label>
                {!! Form::text('telefono_contacto', null, ['class' => 'form-control'.($errors->has('telefono_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                @if ($errors->has('telefono_contacto'))
                <span class="has-error">{{ $errors->first('telefono_contacto') }}</span>
                @endif
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Teléfono de la empresa</label>
                <div class="">
                    {!! Form::text('telefono', null, ['class' => 'form-control'.($errors->has('telefono') ? ' is-invalid' : ''), 'required' => true ]) !!}
                    @if ($errors->has('telefono'))
                    <span class="has-error">{{ $errors->first('telefono') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>Página Web</label>
                <div class="">
                    {!! Form::text('pagina_web', null, ['class' => 'form-control'.($errors->has('pagina_web') ? ' is-invalid' : ''), 'required' => false ]) !!}
                    @if ($errors->has('pagina_web'))
                    <span class="has-error">{{ $errors->first('pagina_web') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Calle / Avenida</label>
                <div class="">
                    {!! Form::text('calle_avenida', null, ['class' => 'form-control'.($errors->has('calle_avenida') ? ' is-invalid' : ''),'placeholder' => '0 calle / 0 avenida', 'required' => true ]) !!}
                    @if ($errors->has('calle_avenida'))
                    <span class="has-error">{{ $errors->first('calle_avenida') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Casa No.</label>
                <div class="">
                    {!! Form::text('no_casa', null, ['class' => 'form-control'.($errors->has('no_casa') ? ' is-invalid' : ''),'placeholder' => '0-00', 'required' => true ]) !!}
                    @if ($errors->has('no_casa'))
                    <span class="has-error">{{ $errors->first('no_casa') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Zona&nbsp;</label>
                <div class="">
                    {!! Form::number('zona', null, ['class' => 'form-control'.($errors->has('zona') ? ' is-invalid' : ''), 'required' => true, 'min' => 0 ]) !!}
                    @if ($errors->has('zona'))
                    <span class="has-error">{{ $errors->first('zona') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>Colonia</label>
                <div class="">
                    {!! Form::text('colonia', null, ['class' => 'form-control'.($errors->has('colonia') ? ' is-invalid' : ''), 'required' => false ]) !!}
                    @if ($errors->has('colonia'))
                    <span class="has-error">{{ $errors->first('colonia') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*País&nbsp;</label>
                <div class="">
                    {!! Form::select('pais', getDropdown('Ubicaciones'), null, ['class' => 'form-control'.($errors->has('pais') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'pais'  ]) !!}
                    @if ($errors->has('pais'))
                    <span class="has-error">{{ $errors->first('pais') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Departamento&nbsp;</label>
                <div class="">
                    {!! Form::select('departamento', [], null, ['class' => 'form-control'.($errors->has('departamento') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'departamento'  ]) !!}
                    @if ($errors->has('departamento'))
                    <span class="has-error">{{ $errors->first('departamento') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Municipio&nbsp;</label>
                <div class="">
                    {!! Form::select('municipio', [], null, ['class' => 'form-control'.($errors->has('municipio') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'municipio'  ]) !!}
                    @if ($errors->has('municipio'))
                    <span class="has-error">{{ $errors->first('municipio') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Descripción de la empresa</label>
                <div class="">
                    {!! Form::textarea('direccion', null, ['class' => 'form-control'.($errors->has('direccion') ? ' is-invalid' : ''), 'required' => false ]) !!}
                    @if ($errors->has('direccion'))
                    <span class="has-error">{{ $errors->first('direccion') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Logotipo</label>
                <div class="">
                    {!! Form::file('logotipo', ['class' => ''.($errors->has('logotipo') ? ' is-invalid' : ''), 'required' => false ]) !!}
                    @if ($errors->has('logotipo'))
                    <span class="has-error">{{ $errors->first('logotipo') }}</span>
                    @endif
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*RTU</label>
                <div class="">
                    {!! Form::file('rtu', ['class' => ''.($errors->has('rtu') ? ' is-invalid' : ''), 'required' => false ]) !!}
                    @if ($errors->has('rtu'))
                    <span class="has-error">{{ $errors->first('rtu') }}</span>
                    @endif
                </div>
            </div>
        </div>

    </div>

    {!! Form::hidden('id', null) !!}
    {!! Form::hidden('usuario_id', null) !!}
</div>
<!-- /.card-body -->
