@extends('layouts.app')

@section('title','Empresas')

@section('headlinks')

<!-- DataTables -->
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')
<div class="row">
    <div class="col-12">

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-10">
                        <h3 class="card-title">Empresas</h3>
                    </div>
                    <div class="col-md-2">
                        <a href="{{route('dashboard.empresas.create')}}" class="btn btn-block btn-primary">Crear Empresa</a>
                    </div>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table id="tablaEmpresas" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Nombre</th>
                            <th>Email</th>
                            <th>Activo / Servicio</th>
                            <th>Fechas servicio</th>
                            <th>Fecha de registro</th>
                            <th>Último Inicio de Sesión</th>
                            <th class="no-sort" style="width: 10%"></th>
                        </tr>
                    </thead>
                    <tfoot> 
                        <tr>
                            <th>Id</th>
                            <th>Nombre</th>
                            <th>Email</th>
                            <th>Activo / Servicio</th>
                            <th>Fechas servicio</th>
                            <th>Fecha de registro</th>
                            <th>Último Inicio de Sesión</th>
                            <th class="no-sort"  style="width: 10%"></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
<!-- /.row -->
@endsection


@section('footscripts')

<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    $(function () {
        var table = $('#tablaEmpresas').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('dashboard.empresas.list') !!}'
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ empresas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay empresas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total empresas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'id', name: 'id' },
                { data: 'nombre', name: 'nombre' },
                { data: 'email', name: 'email' },
                { data: 'estado', name: 'estado' },
                { data: 'dias_restantes', name: 'dias_restantes' },
                { data: 'fecha_creacion', name: 'fecha_creacion' },
                { data: 'logged_at', name: 'logged_at' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    });

</script>
@endsection
