@extends('layouts.app')

@section('title','Empresas - Ver')


@section('headlinks')
@endsection

@section('content')

<!-- Default box -->
<div class="card">
    <div class="card-header">
        <h3 class="card-title"> Empresa </h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                title="Collapse"><i class="fas fa-minus"></i></button>
        </div>
    </div>
    <div class="card-body">
        <div class="card">
            <div class="card-header">
                <div class="row">

                    <div class="col-md-10">
                        <h3 class="card-title">{{ $empresa->nombre_completo }}</h3>
                    </div>
                    @can('Editar Empresas')
                    <div class="col-md-2">
                        <a class="btn btn-info btn-sm" href="{{route('dashboard.empresas.edit',$empresa->id)}}">
                            <i class="fas fa-pencil-alt">
                            </i>
                            Editar
                        </a>
                    </div>
                    @endcan
                </div>
            </div>
            <div class="card-body">
            </div>
            <!-- /.card-header -->
            <div class="card-body p-0">
                <table class="table">
                    <tbody>
                        <tr>
                            <td>Logotipo</td>
                            <td><img style="width: 150px; height:150px; object-fit: contain!important; display:block;" class="" src="{{isset($empresa->logotipo)?asset('storage/uploads/images/'.$empresa->logotipo):asset('img/imagen-vacia.jpg')}}"> </td>
                        </tr>
                        <tr>
                            <td>Estado</td>
                            <td> {!! ($empresa->usuario->activo) ? '<span class="badge badge-success">Activo</span>':'<span class="badge badge-danger">Inactivo</span>' !!} </td>
                        </tr>
                        <tr>
                            <td>Servicio</td>
                            @if($empresa->informe == 1)
                                <td> <span class="badge badge-info">Standard</span></td>
                            @elseif($empresa->informe == 2)
                                <td> <span class="badge badge-info">Plus</span></td>
                            @else
                                <td> <span class="badge badge-info">Ninguno</span></td>
                            @endif
                        </tr>
                        <tr>
                            <td>Email</td>
                            <td> {{$empresa->email}} </td>
                        </tr>
                        <tr>
                            <td>Creado</td>
                            <td> {{$empresa->created_at}} </td>
                        </tr>
                        <tr>
                            @if( $empresa->rtu != '' )
                            <td>Ver RTU</td>       
                            <td> <a class="btn btn-success" target="_blank" type="button" href="{{asset('storage/uploads/docs/'.$empresa->rtu)}}">Ver RTU</a></td>
                            @else
                            <td>Ver RTU</td>       
                            <td> <a class="btn btn-warning" type="button" href="">No ha subido RTU</a></td>
                            @endif
                        </tr>
                        <tr>
                            <td>Último Inicio de Sesión</td>
                            <td> {{$empresa->usuario->logged_at}} </td> 
                        </tr>
                        <tr>
                            <td>Cantidad de Vacantes</td>
                            <td> {{$empresa->empleos()->count()}} vacantes publicadas</td>
                        </tr>
                        <tr>
                            <td>Cantidad de Candidatos</td>
                            <td> {{$vacantes_aplicadas}} candidatos han aplicado a las plazas de esta empresa.</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.card-body -->
</div>
<!-- /.card -->
@endsection

@section('footscripts')
@endsection
