@extends('layouts.public')

@section('title','Empleos')

@section('headlinks')
<!-- DataTables -->
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')
<main id="staff-reclutamiento-candidatos-aplica">
        <section id="title-section" class="titulo-view pb-5">
            <div class="container">
                <div class="col-12">
                <div class="row justify-content-end">
                    <a class="btn btn-light" role="button" href="{{route('private.empresas.perfil')}}">Regresar</a>
                </div>
                </div>
                <div class="row mensaje-gracias">
                    <div class="col text-center">
                        <h3>MIS&nbsp;<strong>CANDIDATOS CONTRATADOS</strong></h3> 
                    </div>
                </div>
            </div>
        </section>
        <section id="reclut-candidatos-table" class="contratados pb-5">
            <div class="container">
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-6 text-center text-lg-left pb-3 pb-md-0">
                        <h4>Candidatos</h4>
                    </div>
                </div>
                <div class="row table-candidatos reclutamiento pb-3">
                    <div class="col">
                        <div class="table-responsive table-bordered">
                            <table class="table table-bordered" id="tablaCandidatos">
                                <thead>
                                    <tr>
                                        <th class="no-sort" style="width: 20%">Nombre y edad</th>
                                        <th>Profesión</th>
                                        <th class="w-25">Información</th>
                                        <th>Pretensión salarial</th>
                                        <th class="no-sort" style="width: 30%">Opciones</th> 
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
    
@endsection

@section('footer')

@endsection

@section('footscripts')
<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>

<script>
    var table;
    $(function () {
        table = $('#tablaCandidatos').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('empresa.candidatos.contratado.list') !!}', 
                "data": function (d) {
                    //d.empleo = $('#empleo').val();
                    d.candidato_id = {{$candidato->id}};
                    d.empleo_id = {{$empleo->id}};
                    d.contratado = 1;
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ plazas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay plazas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total plazas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'candidato_info', name: 'candidato_info' },
                { data: 'profesion', name: 'profesion' },
                { data: 'descripcion', name: 'descripcion' },
                { data: 'pretension_salarial', name: 'pretension_salarial' },
                { data: 'opciones', name: 'opciones', orderable: false, searchable: false }
            ]
        });
    });

</script>
@endsection