@extends('layouts.public')

@section('title','Perfil - Empresa')

@section('headlinks')
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')
<main id="page-datos-empleos-contratados">
    <section id="page-base" class="h-100 position-relative">
        <div class="container">
            <div class="row">
                <div class="col">
                    <div class="row desc-multi"> 
                        <div class="col-12 col-lg-3 text-center image">
                        <img class="img-fluid" src="{{asset('storage/uploads/images/'.$empresa->logotipo)}}">
                        {{ Form::model($empresa, ['route' => ['private.empresas.file.update', $empresa->id], 'role' => 'form', 'method' => 'PATCH','enctype'=>'multipart/form-data']) }}
                        <input type="file" name="logotipo" onchange="form.submit()" id="logotipo" hidden>
                        <button class="btn btn-warning btn-block" type="button" id="subir-logotipo"><strong>Cambiar logotipo</strong></button>
                        {!! Form::hidden('empresa_id',$empresa->id) !!}
                        {!! Form::close() !!}
                        </div>
                        <div class="col-12 col-lg-9">
                            <div class="row align-items-center py-3">
                                <div class="col-auto col-lg-4 p-3">
                                    <h4>{{$empresa->nombre}}</h4>
                                </div>
                                <div class="col">
                                    <div class="row">
                                    <div class="col-12 col-lg-6"><a class="btn btn-success btn-block" href="{{route('private.empresas.empleos.create')}}">Publicar Empleo</a></div>
                                    </div>
                                </div>
                            </div>
                            <div class="row info-empresa">
                                <div class="col">
                                    <ul>
                                        <li>Nit: {{$empresa->nit}}</li>
                                        <li>Correo: {{$empresa->email}}</li>
                                        <li>Teléfono: {{$empresa->telefono}}</li>
                                    </ul>
                                </div>
                            </div>
                            <div class="row mb-5">
                                <div class="col estado-de-empresa">
                                    <p>Activo<i class="fas fa-circle"></i></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <hr>
    <section id="page-base" class="h-100 position-relative">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h4><span style="text-decoration: underline;">Datos</span> generales</h4>
                </div>
            </div>
            <div class="row datos-table datos-generales">
                <div class="col">
                    <div class="table-responsive table-bordered">
                        <table class="table table-bordered">
                            <tbody>
                                <tr>
                                    <td class="w-50 p-3">
                                        <ul>
                                            <li><strong>Categoría:</strong> {{$empresa->categoria}}</li>
                                            <li><strong>Dirección:</strong> {{$empresa->calle_avenida}} {{$empresa->no_casa}} Zona {{$empresa->zona}} {{$empresa->colonia}}</li>
                                            <li><strong>Municipio:</strong> {{ getDropdownValue($empresa->municipio) }}</li>
                                            <li><strong>Departamento:</strong> {{ getDropdownValue($empresa->departamento) }}</li>
                                            <li><strong>Página:</strong> {{$empresa->pagina_web}}</li> 
                                        </ul>
                                    </td>
                                    <td class="w-50 p-3">
                                        <ul>
                                            <li><strong>Descripción:</strong></li>
                                        </ul>
                                        {{$empresa->direccion}}
                                        <div class="row no-gutters justify-content-end">
                                            <div class="col-6 col-lg-4 py-3">
                                                <a class="btn btn-warning btn-block" href="{{route('private.empresas.edit',$empresa->id)}}" type="button">Editar</a>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="empleos-publicados" class="h-100 position-relative pt-5">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h4><span style="text-decoration: underline;">Empleos</span> publicados</h4>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="table-responsive table-bordered">
                        <table id="tablaEmpleos" class="table table-bordered" style="width:100%">
                            <thead>
                                <tr>
                                    <th>Plaza</th>
                                    <th>Fecha que se publico</th>
                                    <th>Salario</th>
                                    <th>Estado</th>
                                    <th>Candidatos</th>
                                    <th style="width:20%">Opciones</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section id="contratados" class="pt-5">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h4><span style="text-decoration: underline;">Contra</span>tados</h4>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    <div class="table-responsive table-bordered">
                        <table id="tablaCandidatosContratados" class="table table-bordered">
                            <thead>
                                <tr>
                                    <th>Plaza</th>
                                    <th>Fecha</th>
                                    <th>Salario</th>
                                    <th>Estado</th>
                                    <th>Candidatos</th>
                                    <th>Opciones</th>
                                </tr>
                            </thead>
                            {{-- <tbody>
                                <tr>
                                    <td><a href="#">Asistente de Panadería</a></td>
                                    <td>02/04/19</td>
                                    <td class="salario">Q3,500.00</td>
                                    <td class="proceso-indicadores"><span class="estado-completo"><i class="fas fa-circle"></i>&nbsp;completo</span></td>
                                    <td><span class="num-candidatos">4 candidatos</span></td>
                                    <td>
                                        <div class="row no-gutters py-1">
                                            <div class="col-12"><a class="btn btn-warning btn-block btn-sm border rounded" role="button">Editar Empleo</a></div>
                                        </div>
                                        <div class="row no-gutters py-1">
                                            <div class="col-12"><a class="btn btn-primary btn-block btn-sm border rounded" role="button">Re publicar</a></div>
                                        </div>
                                    </td>
                                </tr>
                                <tr>
                                    <td><a href="#">Cocinero</a></td>
                                    <td>02/04/19</td>
                                    <td class="salario">Q3,500.00</td>
                                    <td class="proceso-indicadores"><span class="estado-completo"><i class="fas fa-circle"></i>&nbsp;completo</span></td>
                                    <td><span class="num-candidatos">2 candidatos</span></td>
                                    <td>
                                        <div class="row no-gutters py-1">
                                            <div class="col-12"><a class="btn btn-warning btn-block btn-sm border rounded" role="button">Editar Empleo</a></div>
                                        </div>
                                        <div class="row no-gutters py-1">
                                            <div class="col-12"><a class="btn btn-primary btn-block btn-sm border rounded" role="button">Re publicar</a></div>
                                        </div>
                                    </td>
                                </tr>
                            </tbody> --}}
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    var table1;
    var table2;

    $(function () {
        table1 = $('#tablaEmpleos').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route("private.empresas.empleos.list") !!}',
                "data": function (d) {
                    d.empresa_id = {{$empresa->id}};
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ dropdowns por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay empleos disponibles",
                "infoFiltered": "(filtrando de _MAX_ total dropdowns)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'plaza', name: 'plaza' },
                { data: 'fecha', name: 'fecha' },
                { data: 'sueldo', name: 'sueldo' },
                { data: 'estado', name: 'estado' },
                { data: 'candidatos', name: 'candidatos' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    });

    table2 = $('#tablaCandidatosContratados').DataTable({
        "processing": true,
        "serverSide": true,
        "ajax": {
            "url": '{!! route("private.empresas.empleos.list.contratados") !!}',
            "data": function (d) {
                d.contratado = 1;
            }
        },
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "columnDefs": [ {
            "targets": 'no-sort',
            "orderable": false,
        } ],
        "language": {
            "lengthMenu": "Mostrando _MENU_ plazas por pagina",
            "zeroRecords": "No se encontró nada - lo sentimos",
            "info": "Mostrando pagina _PAGE_ de _PAGES_",
            "infoEmpty": "No hay empleos disponibles",
            "infoFiltered": "(filtrando de _MAX_ total plazas)",
            "search":         "Buscar:",
            "paginate": {
                "first":      "Primero",
                "last":       "Ultimo",
                "next":       "Siguiente",
                "previous":   "Anterior"
            },
        },columns: [
            { data: 'plaza', name: 'plaza' },
            { data: 'fecha', name: 'fecha' },
            { data: 'sueldo', name: 'sueldo' },
            { data: 'estado', name: 'estado' },
            { data: 'candidatos', name: 'candidatos' },
            { data: 'opciones', name: 'opciones', orderable: false, searchable: false }
        ]
    });

    $('#subir-logotipo').click(function(){
        $('#logotipo').click();
    });
</script>
@endsection
