@extends('layouts.public')

@section('title','Empleos')

@section('headlinks')
@endsection

@section('content')
<main id="page-home-empresa">
    <section id="login-steps">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-9 offset-0 offset-lg-3 py-3">
                    <form method="POST" action="{{ route('loginEmpresa') }}">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-12 col-lg-4"><input class="form-control" type="email" name="email" placeholder="Email"></div>
                            <div class="form-group col-12 col-lg-4"><input class="form-control" type="password" name="password" placeholder="Contraseña"></div>
                            <div class="form-group text-center col-12 col-lg-4"><button class="btn btn-warning" type="submit">Ingresar</button></div>
                            @if (Route::has('password.request'))
                            <a class="btn btn-link" href="{{ route('password.request') }}">
                                {{ __('¿Olvidaste tu contraseña?') }}
                            </a>
                            @endif
                        </div>
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-3"><img class="img-fluid pb-4 pb-sm-0" src="/img/empresa/inicio/banner_394x632px.jpg"></div>
                <div class="col-12 col-lg-9 steps publicar-empleo-nota">
                    <h3><strong>¿</strong>Necesitas contratar personal o publicar una oferta de empleo<strong>?</strong></h3>
                    <p><strong><em>NOTA</em></strong>&nbsp;Recuerda que al publicar tus vacantes no tiene costo, recibiras un correo con el CV y muestra de interés de los candidatos que apliquen directamente a tu posición.<br><br>Si deseas acceso a la
                        bolsa de trabajo que te permirirá filtrar, evaluar y realizar todo el proceso de selección, debes solicitar cotización.</p>
                    <div class="row justify-content-center">
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/empresa/inicio/iniciaoregistro200x200px.png"><span>Registro</span><span class="no-step">1.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/empresa/inicio/publicar200x200px.jpg"><span>Publicación</span><span class="no-step">2.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/empresa/inicio/referidos200x200px.jpg"><span>Referidos</span><span class="no-step">3.</span></div>
                        </div>
                    </div>
                    <div class="row text-center justify-content-end mt-5">
                        <div class="col-12 col-lg-3"><a class="btn btn-warning btn-block mb-3 mb-md-0" role="button" href="{{route('public.servicios.outsourcing')}}">Nuestros servicios</a></div>
                        <div class="col-12 col-lg-3"><a class="btn btn-primary" role="button" href="{{route('public.registro.empresa')}}">Registrarme</a></div>
                    </div>
                </div>
            </div>
        </div>
        <hr>
    </section>
    <section class="servicios pt-5">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h1>NUESTRO SERVICIOS</h1>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/outsourcing167x219px.png"></div>
                        <div class="col-12 col-lg-6 nombre-servicio">
                            <h5>OUTSOURCING PEOPLE<small>Responsabilidad, eficiencia y ahoro de tiempo.</small></h5>
                            <h1>01</h1>
                        </div>
                        <div class="col-12 col-lg-2 descripcion-salario">
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-primary btn-block read-more" role="button" href="{{route('public.servicios.outsourcing')}}">Leer más</a></div>
                            </div>
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-warning btn-block read-more" role="button" href="{{route('public.servicios.outsourcing')}}">Cotizar</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/reclutamiento167x219px.png"></div>
                        <div class="col-12 col-lg-6 nombre-servicio">
                            <h5>RECLUTAMIENTO Y SELECCIÓN DE PERSONAL<small>Responsabilidad, eficiencia y ahoro de tiempo.</small></h5>
                            <h1>02</h1>
                        </div>
                        <div class="col-12 col-lg-2 descripcion-salario">
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-primary btn-block read-more" role="button" href="{{route('public.servicios.reclutamiento')}}">Leer más</a></div>
                            </div>
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-warning btn-block read-more" role="button" href="{{route('public.servicios.reclutamiento')}}">Cotizar</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/planilla167x219px.png"></div>
                        <div class="col-12 col-lg-6 nombre-servicio">
                            <h5>ADMINISTRACIÓN DE PLANILLAS<small>Responsabilidad, eficiencia y ahoro de tiempo.</small></h5>
                            <h1>03</h1>
                        </div>
                        <div class="col-12 col-lg-2 descripcion-salario">
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-primary btn-block read-more" role="button" href="{{route('public.servicios.planillas')}}">Leer más</a></div>
                            </div>
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-warning btn-block read-more" role="button" href="{{route('public.servicios.planillas')}}">Cotizar</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/prefiltrado167x219px.png"></div>
                        <div class="col-12 col-lg-6 nombre-servicio">
                            <h5>PREFILTRADO/SERVICIO AVANZADO<small>Responsabilidad, eficiencia y ahoro de tiempo.</small></h5>
                            <h1>04</h1>
                        </div>
                        <div class="col-12 col-lg-2 descripcion-salario">
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-primary btn-block read-more" role="button" href="{{route('public.servicios.prefiltrado')}}">Leer más</a></div>
                            </div>
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-warning btn-block read-more" role="button" href="{{route('public.servicios.prefiltrado')}}">Cotizar</a></div>
                            </div>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/minimizacion167x219px.png"></div>
                        <div class="col-12 col-lg-6 nombre-servicio">
                            <h5>MINIMIZACIÓN DE RIESGOS<small>Responsabilidad, eficiencia y ahoro de tiempo.</small></h5>
                            <h1>05</h1>
                        </div>
                        <div class="col-12 col-lg-2 descripcion-salario">
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-primary btn-block read-more" role="button" href="{{route('public.servicios.riesgos')}}">Leer más</a></div>
                            </div>
                            <div class="row py-2">
                                <div class="col-12"><a class="btn btn-warning btn-block read-more" role="button" href="{{route('public.servicios.riesgos')}}">Cotizar</a></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
@endsection