<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('empresas')->group(function() {
    Route::post('/registrar',                   'EmpresasController@store')->name('public.empresas.registrar');
    Route::post('/gracias',                     'EmpresasController@gracias')->name('public.empresas.gracias'); 
    Route::get('/',                             'EmpresasController@index')->name('public.empresas.index2'); 
    
     

    Route::middleware(['auth:acceso','role:Empresa|Reclutamiento|Admin'])->group(function()
    {
        Route::get('candidatos/listar',                                'EmpresasController@candidatosEmpresaList')->name('empresa.candidatos.list');
        Route::get('candidatos/listar/contratados',                    'EmpresasController@candidatosEmpresaContratado')->name('empresa.candidatos.contratado.list');
        Route::get('candidatos/contratado',                            'EmpresasController@contratado')->name('empresa.candidatos.contratado');
        Route::get('perfil',                                           'Privado\EmpresasController@index')->name('private.empresas.perfil');
        Route::get('/{empresa}/editar',                                'EmpresasController@edit')->name('private.empresas.edit');
        Route::patch('/{empresa}',                                     'EmpresasController@update')->name('private.empresas.update'); 
        Route::get('candidatos/{empleo}',                              'EmpresasController@indexCandidatosEmpresa')->name('empresa.indexCandidatosEmpresa');    
        Route::patch('file/update/{empresa}',                          'Privado\EmpresasController@fileUpdate')->name('private.empresas.file.update');
        Route::get('candidatos/contratados/{empleocandidato}',         'EmpresasController@indexCandidatosContratados')->name('empresa.indexCandidatosContratados');
        Route::delete('descartado/{empleocandidato}',                  'Privado\EmpresasController@destroyEmpleoCandidato')->name('private.empresas.empleocandidato.destroy');
        Route::delete('no_aplica/{empleocandidato}',                   'Privado\EmpresasController@noAplica')->name('private.empresas.empleocandidato.noAplica');  
        Route::get('perfil/{empleocandidato}',                         '\Modules\Staff\Http\Controllers\ReclutamientoController@showCandidato')->name('private.empresas.perfil.candidato'); 
    });
});



Route::prefix('admin')->group(function() {
    Route::middleware(['auth:acceso','role:Super Admin|Admin'])->group(function()
    {
        Route::get('empresas/listar',                    'Admin\EmpresasController@empresasList')->name('dashboard.empresas.list');

        Route::get('empresas',                  'Admin\EmpresasController@index')->name('dashboard.empresas.index');
        Route::group(['middleware' => ['permission:Crear Usuarios']], function () {
            Route::post('empresas',                 'Admin\EmpresasController@store') ->name('dashboard.empresas.store');
            Route::get('empresas/crear',            'Admin\EmpresasController@create')->name('dashboard.empresas.create');
        });
        Route::get('empresas/{empresa}',        'Admin\EmpresasController@show')->name('dashboard.empresas.show');
        Route::get('empresas/{empresa}/editar', 'Admin\EmpresasController@edit')->name('dashboard.empresas.edit');
        Route::patch('empresas/{empresa}',      'Admin\EmpresasController@update')->name('dashboard.empresas.update'); 
        Route::delete('empresas/{empresa}',     'Admin\EmpresasController@destroy')->name('dashboard.empresas.destroy');
    });
});
