<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateSeguimientoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('seguimiento', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('servicio_id');
            $table->string('accion')->nullable();
            $table->date('fecha')->nullable();
            $table->string('notas',1000)->nullable();
            $table->foreign('servicio_id')->references('id')->on('servicios')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('seguimiento', function (Blueprint $table) {
            $table->dropForeign(['servicio_id']);
        });

        Schema::dropIfExists('seguimiento');
    }
}
