<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePerfilPuestoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('perfil_puesto', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('servicio_id');
            
            $table->unsignedBigInteger('confidencial')->nullable();
            $table->string('nombre_comercial')->nullable();
            $table->string('nit')->nullable();
            $table->string('razon_social')->nullable();
            $table->string('giro_negocio')->nullable();
            $table->string('nombre_puesto')->nullable();
            $table->string('departamento_area')->nullable();
            $table->string('jefe_inmediato')->nullable();
            $table->string('objetivo')->nullable();
            $table->string('grado_academico')->nullable();
            $table->string('conocimientos_especiales')->nullable();
            $table->string('software')->nullable();
            $table->string('estudios')->nullable();
            $table->string('habilidades_especiales')->nullable();
            $table->string('actitud')->nullable();
            $table->unsignedBigInteger('personal_a_cargo')->nullable();
            $table->string('cuantos_personal')->nullable();
            $table->unsignedBigInteger('valores_a_cargo')->nullable();
            $table->string('monto_valores')->nullable();
            $table->string('experiencia_laboral')->nullable();
            $table->string('rango_edad')->nullable();
            $table->unsignedBigInteger('estado_civil')->nullable();
            $table->unsignedBigInteger('genero')->nullable();
            $table->unsignedBigInteger('vehiculo')->nullable();
            $table->unsignedBigInteger('licencia')->nullable();
            $table->unsignedBigInteger('tipo_licencia')->nullable();
            $table->unsignedBigInteger('habilidades')->nullable();
            $table->text('funciones_especificas')->nullable();
            $table->text('funciones_generales')->nullable();
            $table->string('sueldo')->nullable();
            $table->string('bono_incentivo')->nullable();
            $table->string('comision')->nullable();
            $table->string('bonos_adicionales')->nullable();
            $table->string('gastos')->nullable();
            $table->string('combustible')->nullable();
            $table->string('otro_gasto')->nullable();
            $table->string('monto_otro_gasto')->nullable();
            $table->string('contratacion_honorarios')->nullable();
            $table->string('adicionales')->nullable();
            $table->string('complementos')->nullable();
            $table->string('monto_complementos')->nullable();
            $table->string('tipo_contratacion')->nullable();
            $table->string('horario')->nullable();
            $table->string('jornada')->nullable();
            $table->string('lugar_trabajo')->nullable();
            $table->unsignedBigInteger('disponibilidad_viajar')->nullable();
            $table->string('especifique_lugar_viajar')->nullable();
            $table->unsignedBigInteger('socioeconomico')->nullable();
            $table->unsignedBigInteger('poligrafica')->nullable();
            $table->text('informacion_adicional')->nullable();
            $table->string('documento')->nullable();
            $table->string('evaluaciones_especificas')->nullable();
            $table->date('fecha')->nullable();
            $table->string('nombre_firma')->nullable();

            $table->foreign('servicio_id')->references('id')->on('servicios');
            $table->foreign('confidencial')->references('id')->on('dropdowns');
            $table->foreign('personal_a_cargo')->references('id')->on('dropdowns');
            $table->foreign('valores_a_cargo')->references('id')->on('dropdowns');
            $table->foreign('estado_civil')->references('id')->on('dropdowns');
            $table->foreign('genero')->references('id')->on('dropdowns');
            $table->foreign('vehiculo')->references('id')->on('dropdowns');
            $table->foreign('licencia')->references('id')->on('dropdowns');
            $table->foreign('tipo_licencia')->references('id')->on('dropdowns');
            $table->foreign('habilidades')->references('id')->on('dropdowns');
            $table->foreign('disponibilidad_viajar')->references('id')->on('dropdowns');
            $table->foreign('socioeconomico')->references('id')->on('dropdowns');
            $table->foreign('poligrafica')->references('id')->on('dropdowns');


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('perfil_puesto',function(Blueprint $table)
        {
           $table->dropForeign(['servicio_id']);
           $table->dropForeign(['confidencial']);
           $table->dropForeign(['personal_a_cargo']);
           $table->dropForeign(['valores_a_cargo']);
           $table->dropForeign(['estado_civil']);
           $table->dropForeign(['genero']);
           $table->dropForeign(['vehiculo']);
           $table->dropForeign(['licencia']);
           $table->dropForeign(['tipo_licencia']);
           $table->dropForeign(['habilidades']);
           $table->dropForeign(['disponibilidad_viajar']);
           $table->dropForeign(['socioeconomico']);
           $table->dropForeign(['poligrafica']);
        });
        Schema::dropIfExists('perfil_puesto');
    }
}
