<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddEmpleoCandidatoIdToServiciosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('servicios', function (Blueprint $table) {

            $table->unsignedBigInteger('empleo_candidato_id')->nullable();
            $table->foreign('empleo_candidato_id')->references('id')->on('empleo_candidatos');

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('servicios', function (Blueprint $table) {

            $table->dropForeign(['empleo_candidato_id']);
            $table->dropColumn("empleo_candidato_id");

        });
    }
}
