<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateServiciosFacturacionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('servicios_facturacion', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->unsignedBigInteger('servicio_id');
            $table->date('fecha')->nullable();
            $table->string('nombre')->nullable();
            $table->string('nit')->nullable();
            $table->text('direccion_fiscal')->nullable();
            $table->text('direccion_entrega')->nullable();
            $table->string('boleta_deposito')->nullable();
            $table->string('imagen_boleta')->nullable();

            $table->foreign('servicio_id')->references('id')->on('servicios');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('servicios_facturacion', function (Blueprint $table) { 
            $table->dropForeign(['servicio_id']);
        });
        Schema::dropIfExists('servicios_facturacion');
    }
}
