<?php

namespace Modules\Paginas\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class ServiciosCreatedEmail extends Mailable
{
    use Queueable, SerializesModels;

    protected $usuario;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($pdf,$asunto)
    {
        $this->pdf = $pdf;
        $this->asunto = $asunto;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build() 
    {
        $pdf = $this->pdf;
        $asunto = $this->asunto;

        /*Mail::send('paginas::mails.cuerpo-correo', $data, function ($mail) use ($data,$pdf) {
            $mail->to($data["email"], $data["contacto"])
            ->subject($data["servicio"])
            ->attachData($pdf->output(), 'cotizacion-outsourcing.pdf');
        });*/

        return $this->subject('Cotización '.$asunto.' - '.getFechaLatina(null, 'd-m-Y H:i:s'))
                    ->markdown('paginas::mails.cuerpo-correo')
                    ->with(compact('asunto'))
                    ->attachData($pdf->output(), 'cotizacion.pdf'); 
    }
}
