<?php

namespace Modules\Paginas\Emails;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class SolicitudInformeEmail extends Mailable
{
    use Queueable, SerializesModels;

    protected $usuario;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($asunto)
    {

        $this->asunto = $asunto;

    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build() 
    {
        $asunto = $this->asunto;

        return $this->subject('Solicitud Informe Plus - '.getFechaLatina(null, 'd-m-Y H:i:s'))
                    ->markdown('paginas::mails.solicitud_informe_plus')
                    ->with(compact('asunto'));
    }
}