<?php

namespace Modules\Paginas\Entities;

use Illuminate\Database\Eloquent\Model;

class servicio extends Model
{
    protected $fillable = [

        'contacto', 
        'celular', 
        'empresa', 
        'corporativo',
        'email',
        'giro',
        'servicio',
        'tiempo',
        'uniforme',
        'insumos',
        'colaboradores',
        'sueldo',
        'beneficios',
        'bonos',
        'seguros',
        'incentivos',
        'curriculums',
        'operativos',
        'ventas',
        'administrativos',
        'socioeconomico',
        'poligrafica',
        'pregunta1',
        'pregunta2',
        'created_at',
        'updated_at',
        'vendedor',
        'estado',
        'notas_cita',
        'direccion',
        'firmada',
        'anti_facturado',
        'fecha_anti_facturado',
        'anti_pagado',
        'fecha_anti_pagado',
        'perfil',
        'fecha_perfil',
        'garantia',
        'notas_garantia',
        'fecha_cita',
        'fecha_garantia',
        'notas_coti',
        'sueldo_operativos',
        'sueldo_ventas',
        'sueldo_administrativos',
        'usuario_id',
        'puesto1',
        'puesto2',
        'puesto3',
        'puesto4',
        'puesto5',
        'colaboradores1',
        'colaboradores2',
        'colaboradores3',
        'colaboradores4',
        'colaboradores5',
        'sueldo1',
        'sueldo2',
        'sueldo3',
        'sueldo4',
        'sueldo5',
        'empleo_candidato_id',
        'fecha_asignacion_vendedor',
        'monto_facturado',
        'reclutador_id'

    ];
    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'uniforme' => 'boolean',
        'insumos' => 'boolean',
        'beneficios'=> 'boolean',
        'bonos' => 'boolean',
        'seguros' => 'boolean',
        'firmada' => 'boolean',
        'anti_facturado' => 'boolean',
        'anti_pagado' => 'boolean',
        'perfil' => 'boolean'
    ];

    protected $dates = [
        'created_at',
        'updated_at',
        'fecha_anti_facturado',
        'fecha_anti_pagado',
        'fecha_perfil',
        'fecha_cita',
        'fecha_garantia',
        'fecha_asignacion_vendedor'
    ];

    public function usuario()
    {
        return $this->belongsTo(\Modules\Usuarios\Entities\Usuario::class,'usuario_id','id');
    }

    public function empleo_candidato()
    {
        return $this->belongsTo(\Modules\Empleos\Entities\EmpleoCandidato::class,'empleo_candidato_id','id');
    }

    public function perfilpuesto()
    {
        return $this->hasMany(\Modules\Paginas\Entities\PerfilPuesto::class,'servicio_id','id');
    }

}
