<?php

namespace Modules\Paginas\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class PerfilPuestoRequest extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'servicio_id'                => 'unique:perfil_puesto,servicio_id', 
            'confidencial'               => 'nullable',
            'nombre_comercial'           => 'nullable', 
            'nit'                        => 'nullable', 
            'razon_social'               => 'nullable',
            'giro_negocio'               => 'nullable',
            'nombre_puesto'              => 'nullable',
            'departamento_area'          => 'nullable',
            'jefe_inmediato'             => 'nullable',
            'objetivo'                   => 'nullable',
            'grado_academico'            => 'nullable',
            'conocimientos_especiales'   => 'nullable',
            'software'                   => 'nullable',
            'estudios'                   => 'nullable',
            'habilidades_especiales'     => 'nullable',
            'actitud'                    => 'nullable',
            'personal_a_cargo'           => 'nullable',
            'cuantos_personal'           => 'nullable',
            'valores_a_cargo'            => 'nullable',
            'monto_valores'              => 'nullable',
            'experiencia_laboral'        => 'nullable',
            'rango_edad'                 => 'nullable',
            'estado_civil'               => 'nullable',
            'genero'                     => 'nullable',
            'vehiculo'                   => 'nullable',
            'licencia'                   => 'nullable',
            'tipo_licencia'              => 'nullable',
            'habilidades'                => 'nullable',
            'funciones_especificas'      => 'nullable',
            'funciones_generales'        => 'nullable',
            'sueldo'                     => 'nullable',
            'bono_incentivo'             => 'nullable',
            'comision'                   => 'nullable',
            'bonos_adicionales'          => 'nullable',
            'gastos'                     => 'nullable',
            'combustible'                => 'nullable',
            'otro_gasto'                 => 'nullable',
            'monto_otro_gasto'           => 'nullable',
            'contratacion_honorarios'    => 'nullable',
            'adicionales'                => 'nullable',
            'complementos'               => 'nullable',
            'monto_complementos'         => 'nullable',
            'tipo_contratacion'          => 'nullable',
            'horario'                    => 'nullable',
            'jornada'                    => 'nullable',
            'lugar_trabajo'              => 'nullable',
            'disponibilidad_viajar'      => 'nullable',
            'especifique_lugar_viajar'   => 'nullable',
            'socioeconomico'             => 'nullable',
            'poligrafica'                => 'nullable',
            'evaluaciones_especificas'   => 'nullable',
            'informacion_adicional'      => 'nullable',
            'documento'                  => 'nullable|file|mimes:pdf,jpeg,png,jpg',
            'fecha'                      => 'nullable',
            'nombre_firma'               => 'nullable',
            'g-recaptcha-response'       => 'recaptcha',
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
