@extends('layouts.public')

@section('title','Inicio')

@section('headlinks')
@endsection

@section('content')
    <main id="page-base">
        <section id="page-base">


            <div class="container">

                <div class="row pb-3">
                    <div class="col-12 col-md-6 pb-4">
                        <h3>Miscorp&nbsp;<strong>News</strong></h3>
                    </div>
                    <div class="col-12 col-md-6 text-center text-md-right pb-4"><a class="btn btn-light" role="button" href="{{route('public.home')}}">Regresar a inicio</a></div>
                </div>

                <div class="row" id="articulos">
                    <div class="col">
                        <div class="card-columns">
                            @foreach ($posts as $post)
                                <div class="card">
                                    @if (Auth::check() && Auth::user()->hasRole('Admin'))
                                    <a type="button" class="close" data-toggle="modal" data-target="#post-destroy-{{ $post->id }}">&times;</a>
                                    <a class="btn btn-info btn-sm edit" href="javascript:editarBlog({{$post->id}},'{{asset('storage/uploads/images/'.$post->fotografia)}}','{{$post->titulo}}','{{$post->fecha_post->format('Y-m-d')}}','{{$post->contenido}}');"><i class="fas fa-pencil-alt"></i></a>
                                    @endif
                                    <img class="card-img-top w-100 d-block" src="{{asset('storage/uploads/images/'.$post->fotografia)}}">
                                    <button class="btn btn-warning read-more" data-toggle="collapse" aria-expanded="false" aria-controls="collapse-{{$post->id}}" href="#collapse-{{$post->id}}" type="button">Leer más</button>
                                    <div class="card-body text-justify">
                                        <h4 class="card-title">{{$post->titulo}}</h4>
                                        <h6 class="card-title">{{$post->fecha}}</h6>
                                    <div>
                                    <div class="collapse" id="collapse-{{$post->id}}">
                                        <p>{{$post->contenido}}</p>
                                        <a class="btn float-right read-less" data-toggle="collapse" aria-expanded="false" aria-controls="collapse-{{$post->id}}" href="#collapse-{{$post->id}}" role="button"><i class="fas fa-chevron-up"></i></a>
                                    </div>
                                </div>
                                
                                </div>
                                </div>
                            <!-- /.modal -->
                            <div class="modal fade" id="post-destroy-{{ $post->id }}">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">
                                            <i class="fa fa-warning"></i> Confirmar acción </h4>
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true"><i class="fa fa-close"></i></span>
                                            </button>
                                        </div>
                                        <div class="modal-body">
                                            <p>¿Eliminar la publicación <strong>{{ $post->titulo }}</strong>?</p>
                                        </div>
                                        <div class="modal-footer">
                                            {{ Form::open(['route' => ['staff.blog.destroy', $post->id], 'role' => 'form', 'method' => 'DELETE']) }}
                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                                            <button type="submit" class="btn btn-primary">Sí, eliminar</button>
                                            {{ Form::close() }}
                                        </div>
                                    </div>
                                    <!-- /.modal-content -->
                                </div>
                                <!-- /.modal-dialog -->
                            </div>
                            <!-- /.modal -->  

                            <div id="blog-edit" class="modal fade" tabindex="-1"  role="dialog">
                                <div class="modal-dialog">

                                    <!-- Modal content-->
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h4 class="modal-title">Editar Publicación</h4>
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                        </div>
                                        <div class="modal-body">
                                            <img class="img-fluid" id='imagen_anterior' src="">
                                            <div></div>
                                            <img class="img-fluid" id='imagen_nueva' src="">
                                            {!! Form::open(['route' => 'staff.blog.create', 'role' => 'form', 'id' => 'editarForm', 'enctype'=>'multipart/form-data']) !!}
                                            {!! Form::hidden('_method', 'PATCH') !!}
                                            {!! Form::file('fotografia', ['class' => ''.($errors->has('fotografia') ? ' is-invalid' : ''), 'required' => false, 'id' => 'imagen' ]) !!}
                                            @if ($errors->has('fotografia'))
                                            <span class="has-error">{{ $errors->first('fotografia') }}</span>
                                            @endif
                                            <div class="form-group row">
                                                <label class="col-sm-4 col-form-label">Título del Artículo</label>
                                                <div class="col-sm-8">
                                                    {!! Form::text('titulo', null, ['class' => 'form-control'.($errors->has('titulo') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'titulo' ]) !!}
                                                    @if ($errors->has('titulo'))
                                                    <span class="has-error">{{ $errors->first('titulo') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-sm-4 col-form-label">Fecha de publicación</label>
                                                <div class="col-sm-8">
                                                    {!! Form::date('fecha_post', null, ['class' => 'form-control'.($errors->has('fecha_post') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'fecha_post' ]) !!}
                                                </div>
                                            </div>
                                            <div class="form-group row">
                                                <label class="col-sm-4 col-form-label">Contenido textual</label>
                                                <div class="col-sm-8">
                                                    {!! Form::textarea('contenido', null, ['row' => '7', 'class' => 'form-control'.($errors->has('contenido') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'contenido' ]) !!}
                                                    @if ($errors->has('contenido'))
                                                    <span class="has-error">{{ $errors->first('contenido') }}</span>
                                                    @endif
                                                </div>
                                            </div>
                                            <div class="card-footer">
                                                <button type="submit" class="btn btn-primary">Guardar</button>
                                            </div>
                                            {!! Form::close() !!}
                                        </div>
                                    </div>

                                </div>
                            </div>

                            @endforeach    
                        </div>
                    </div>
                </div>

            </div>


        </section>
    </main>
@endsection

@section('footer')
@endsection

@section('footscripts')

<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>

    function editarBlog(id,fotografia,titulo,fecha_post,contenido) {
        $('#imagen_anterior').attr('src',fotografia);
        $('#titulo').val(titulo);
        $('#fecha_post').val(fecha_post);
        $('#contenido').val(contenido);
        $('#editarForm').attr('action', '{{route('staff.blog.index')}}/'+id);
        $('#blog-edit').modal();
    }

    function readImage (input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#imagen_nueva').attr('src', e.target.result); // Renderizamos la imagen
        }
        reader.readAsDataURL(input.files[0]);
        }
    }

    $("#imagen").change(function () {
        $( "#imagen_anterior" ).prop("hidden", true);
        readImage(this);
    });
</script>
@endsection