@extends('layouts.public')

@section('title','Empleos')

@section('headlinks')
@endsection

@section('content')
<main id="page-home">
    <section id="login-steps">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-9 offset-0 offset-lg-3 py-3">
                    <form method="POST" action="{{ route('login') }}">
                        @csrf
                        <div class="form-row">
                            <div class="form-group col-12 col-lg-4"><input class="form-control" type="email" name="email" placeholder="Email"></div>
                            <div class="form-group col-12 col-lg-4"><input class="form-control" type="password" name="password" placeholder="Contraseña"></div>
                            <div class="form-group text-center col-12 col-lg-4"><button class="btn btn-warning" type="submit">Ingresar</button></div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-3"><img class="img-fluid" src="/img/imagen-vacia.jpg"></div>
                <div class="col-12 col-lg-9 steps">
                    <h3>¿Eres un <strong>candidato</strong> en busca de empleo?</h3>
                    <h4>Estás a 4 pasos de conseguirlo:</h4>
                    <p><strong><em>NOTA</em></strong>&nbsp;Al aplicar al empleo de su interés, un correo le será enviado al ejecutivo de reclutamiento junto a su Cv y fotografía. Recuerde que puede aplicar cuantas oportunidades crea usted llenar los requisitos
                        del perfil.</p>
                    <div class="row">
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/imagen-vacia.jpg"><span>Registrate o Inicia Sesión</span><span class="no-step">1.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/imagen-vacia.jpg"><span>Completar tu perfil al 100%</span><span class="no-step">2.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/imagen-vacia.jpg"><span>Buscar empleo</span><span class="no-step">3.</span></div>
                        </div>
                        <div class="col-6 col-lg-3 text-center">
                            <div class="step"><img class="img-fluid" src="/img/imagen-vacia.jpg"><span>Aplica</span><span class="no-step">4.</span></div>
                        </div>
                    </div>
                    <div class="row text-center justify-content-end">
                        <div class="col-12 col-lg-3"><a class="btn btn-warning" role="button">Empleos recientes</a></div>
                    <div class="col-12 col-lg-3"><a class="btn btn-primary" role="button" href="{{route('public.registro.candidato')}}">Registrarme</a></div>
                    </div>
                </div>
            </div>
        </div>
        <hr>
    </section>
    <section class="empleos pt-5">
        <div class="container">
            <div class="row">
                <div class="col">
                    <h3>Encuentra el empleo de tu interés y <strong>aplica</strong>.</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-4 offset-0 offset-lg-8 search-empleo">
                    <form>
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-prepend"></div><input class="form-control" type="text" placeholder="Buscar"> 
                                <div class="input-group-append"><button class="btn" type="button"><i class="fa fa-search"></i></button></div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="row">
                <div class="col-12">
                    {{ $empleos->links() }}
                    @foreach ($empleos as $empleo)
                    <div class="row justify-content-center align-items-center empleo-info">
                        <div class="col-12 col-lg-2 text-center"><img class="img-fluid" src="/img/logo_2015.jpg"></div>
                        <div class="col-12 col-lg-2 fecha-tiempo">
                            <ul>
                                {{-- <li>Marzo 6, 2019</li> --}}
                                <li>{{getDropdownValue($empleo->jornada)}}</li>
                            </ul>
                            <div class="nombre-zona">
                                <h3>{{$empleo->plaza}}</h3><span><em>Zona 14</em></span></div>
                        </div>
                        <div class="col-12 col-lg-4 lugar-tipo">
                            <ul>
                                <li>{{getDropdownValue($empleo->pais)}}, {{getDropdownValue($empleo->departamento)}}</li>
                                <li>{{getDropdownValue($empleo->profesion)}}</li>
                            </ul>
                        </div>
                        <div class="col-12 col-lg-4 descripcion-salario">
                            <p>{{$empleo->descripcion}}.</p><span class="salario">Salario: <strong>{{getDropdownValue($empleo->sueldo)}}</strong></span><a class="btn btn-warning read-more" role="button"
                                href="#">Leer más</a></div>
                    </div>
                    @endforeach
                    {{ $empleos->links() }}
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
@endsection
