@extends('layouts.public')

@section('title','Outsourcing')

@section('headlinks')
@endsection

@section('content')

<main id="page-services">
    @include('paginas::display.templateparts.infoservicio')
    <section id="cotizar-servicio">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-6" id="servicios">
                    <h1><strong>COTICE</strong>&nbsp;NUESTROS SERVICIOS</h1>
                </div>
            </div>
            <div class="row">
                <div class="col">
                    {!! Form::open(['route' => 'public.cotizaciones.store', 'role' => 'form', 'id' => 'outsourcing']) !!}
                    @csrf
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Nombre del contacto&nbsp;<span>*</span></label>
                                {!! Form::text('contacto', null, ['class' => 'form-control'.($errors->has('contacto') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('contacto'))
                                <span class="has-error">{{ $errors->first('contacto') }}</span>
                                @endif
                            </div>

                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono celular&nbsp;<span>*</span></label>
                                {!! Form::text('celular', null, ['class' => 'form-control'.($errors->has('celular') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('celular'))
                                <span class="has-error">{{ $errors->first('celular') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Empresa&nbsp;<span>*</span></label>
                                {!! Form::text('empresa', null, ['class' => 'form-control'.($errors->has('empresa') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('empresa'))
                                <span class="has-error">{{ $errors->first('empresa') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono corporativo&nbsp;<span>*</span></label> 
                                {!! Form::text('corporativo', null, ['class' => 'form-control'.($errors->has('corporativo') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('corporativo'))
                                <span class="has-error">{{ $errors->first('corporativo') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Correo electrónico&nbsp;<span>*</span></label>
                                {!! Form::text('email', null, ['class' => 'form-control'.($errors->has('email') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('email'))
                                <span class="has-error">{{ $errors->first('email') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>De una breve descripción de la actividad económica de su empresa o giro de negocio&nbsp;<span>*</span></label>
                                {!! Form::text('giro', null, ['class' => 'form-control'.($errors->has('giro') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('giro'))
                                <span class="has-error">{{ $errors->first('giro') }}</span>
                                @endif
                            </div>
                        </div> 

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Servicio adquirido&nbsp;<span>*</span></label>
                                {!! Form::text('servicio','Outsourcing', ['class' => 'form-control'.($errors->has('servicio') ? 'is-invalid' : ''), 'readonly' => 'true', 'placeholder' => '','required' => true ]) !!}
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Tiempo</label>
                                {!! Form::select('tiempo', getDropdown('Tiempo'), null, ['class' => 'form-control'.($errors->has('tiempo') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}
                            </div>
                        </div>

                        <div class="form-row align-items-start justify-content-between">
                            <div class="col-12 col-lg-6">
                                <div class="form-row">
                                    <div class="col-12 form-group">
                                        <label>Con uniforme&nbsp;<span>*</span></label>       
                                        {!! Form::select('uniforme', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('uniforme') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1', 'required' => true]) !!}                        
                                    </div>
                                </div>

                                <div class="form-row pb-3">
                                    <div class="col-12 form-group">
                                        <label>Insumos&nbsp;<span>*</span></label>
                                        {!! Form::select('insumos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('insumos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1', 'required' => true]) !!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 col-lg-6">
                                <div class="form-row">
                                    <div class="col-12 form-group">
                                        <label>¿Cuántos colaboradores?&nbsp;<span>*</span></label>
                                        {!! Form::number('colaboradores', null, ['class' => 'form-control'.($errors->has('colaboradores') ? ' is-invalid' : ''),'placeholder' => '', 'required' => true, 'MIN' => 1 ]) !!}
                                    </div>
                                </div>
                                <div class="form-row pb-3">
                                    <div class="col-12 col-lg-12 form-group">
                                        <label>Sueldo asignado&nbsp;<span>*</span> (Debe ser un valor entero)</label>
                                        {!! Form::number('sueldo', null, ['class' => 'form-control'.($errors->has('sueldo') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'min' => getDropdownValue('488') ]) !!}
                                        @if ($errors->has('sueldo'))
                                        <span class="has-error">{{ $errors->first('sueldo') }}</span>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-3 form-group">
                                <label>Beneficios extras</label>
                                {!! Form::select('beneficios', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('beneficios') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Bonos</label>
                                {!! Form::select('bonos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('bonos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Seguros</label>
                                {!! Form::select('seguros', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('seguros') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Incentivos</label>
                                {!! Form::select('incentivos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('incentivos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción']) !!}                        
                            </div>

                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Qué espera de la agencia Miscorp?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta1', null, ['class' => 'form-control'.($errors->has('pregunta1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta1'))
                                <span class="has-error">{{ $errors->first('pregunta1') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Cómo se entero de nosotros?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta2', null, ['class' => 'form-control'.($errors->has('pregunta2') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta2'))
                                <span class="has-error">{{ $errors->first('pregunta2') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                {!! htmlFormSnippet() !!}
                                @error('g-recaptcha-response')
                                    <span class="has-error" role="alert" style="display: block">
                                        <strong>{{ $message  }} </strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        
                        <div class="form-row justify-content-end pb-3">
                            <div class="col-12 col-lg-0 form-group">
                                <button class="btn btn-warning btn-block" type="submit" id="enviar-cotizacion">Enviar</button>
                            </div>
                        </div>
                    {!! Form::close() !!}    
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>

enviando = false;

$( "#outsourcing" ).submit(function( event ) {
        if (!enviando) {
            enviando= true;
            return true;
        } else {
            alert("La cotización se esta enviando. Espere un momento porfavor.");
            return false;
        }
}); 

</script>
@endsection
