@extends('layouts.public')

@section('title','Administración de Planillas')

@section('headlinks')
@endsection

@section('recapcha')

    {!! htmlScriptTagJsApi(['action' => 'homepage']) !!}
   
@endsection

@section('content')
<main id="page-services">
    @include('paginas::display.templateparts.infoservicio')
    <section id="cotizar-servicio">
        <span id="alerta"></span>
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-6">
                    <h1><strong>COTICE</strong>&nbsp;NUESTROS SERVICIOS</h1>
                </div>
            </div>
            <div class="row">
                <div class="col">
                {!! Form::open(['route' => 'public.cotizaciones.store', 'role' => 'form', 'id' => 'planillas']) !!}
                @csrf
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Nombre del contacto&nbsp;<span>*</span></label>
                                {!! Form::text('contacto', null, ['class' => 'form-control'.($errors->has('contacto') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('contacto'))
                                <span class="has-error">{{ $errors->first('contacto') }}</span>
                                @endif
                            </div>

                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono celular&nbsp;<span>*</span></label>
                                {!! Form::text('celular', null, ['class' => 'form-control'.($errors->has('celular') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('celular'))
                                <span class="has-error">{{ $errors->first('celular') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Empresa&nbsp;<span>*</span></label>
                                {!! Form::text('empresa', null, ['class' => 'form-control'.($errors->has('empresa') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('empresa'))
                                <span class="has-error">{{ $errors->first('empresa') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono corporativo&nbsp;<span>*</span></label>
                                {!! Form::text('corporativo', null, ['class' => 'form-control'.($errors->has('corporativo') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('corporativo'))
                                <span class="has-error">{{ $errors->first('corporativo') }}</span>
                                @endif
                            </div>
                        </div>
                        
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Correo electrónico&nbsp;<span>*</span></label>
                                {!! Form::text('email', null, ['class' => 'form-control'.($errors->has('email') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('email'))
                                <span class="has-error">{{ $errors->first('email') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>De una breve descripción de la actividad económica de su empresa o giro de negocio&nbsp;<span>*</span></label>
                                {!! Form::text('giro', null, ['class' => 'form-control'.($errors->has('giro') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('giro'))
                                <span class="has-error">{{ $errors->first('giro') }}</span>
                                @endif
                            </div>
                        </div> 

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Servicio adquirido&nbsp;<span>*</span></label>
                                {!! Form::text('servicio','Administracion de Planillas', ['class' => 'form-control'.($errors->has('servicio') ? 'is-invalid' : ''), 'readonly' => 'true', 'placeholder' => '','required' => true ]) !!}
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>¿Cuántos operativos son?&nbsp;<span>*</span></label>
                                {!! Form::number('operativos', null, ['class' => 'form-control'.($errors->has('operativos') ? 'is-invalid' : ''), 'placeholder' => '', 'MIN' => 0, 'id' => 'operativos' ]) !!}
                                @if ($errors->has('operativos'))
                                <span class="has-error">{{ $errors->first('operativos') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Sueldo&nbsp;<span>*</span> (Debe ser un valor entero)</label>
                                {!! Form::number('sueldo_operativos', null, ['class' => 'form-control'.($errors->has('sueldo_operativos') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo_operativos', 'min' => getDropdownValue('488') ]) !!}
                                @if ($errors->has('sueldo_operativos'))
                                <span class="has-error">{{ $errors->first('sueldo_operativos') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>¿Cuántos de Ventas?&nbsp;<span>*</span></label>
                                {!! Form::number('ventas', null, ['class' => 'form-control'.($errors->has('ventas') ? 'is-invalid' : ''), 'placeholder' => '', 'MIN' => 0, 'id' => 'ventas' ]) !!}
                                @if ($errors->has('ventas'))
                                <span class="has-error">{{ $errors->first('ventas') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Sueldo&nbsp;<span>*</span> (Debe ser un valor entero)</label>
                                {!! Form::number('sueldo_ventas', null, ['class' => 'form-control'.($errors->has('sueldo_ventas') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'sueldo_ventas', 'min' => getDropdownValue('488') ]) !!}
                                @if ($errors->has('sueldo_ventas'))
                                <span class="has-error">{{ $errors->first('sueldo_ventas') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>¿Cuántos Administrativos?&nbsp;<span>*</span></label>
                                {!! Form::number('administrativos', null, ['class' => 'form-control'.($errors->has('administrativos') ? 'is-invalid' : ''), 'placeholder' => '', 'MIN' => 0,  'id' => 'administrativos' ]) !!}
                                @if ($errors->has('administrativos'))
                                <span class="has-error">{{ $errors->first('administrativos') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Sueldo&nbsp;<span>*</span> (Debe ser un valor entero)</label>
                                {!! Form::number('sueldo_administrativos', null, ['class' => 'form-control'.($errors->has('sueldo_administrativos') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo_administrativos', 'min' => getDropdownValue('488') ]) !!}
                                @if ($errors->has('sueldo_administrativos'))
                                <span class="has-error">{{ $errors->first('sueldo_administrativos') }}</span>
                                @endif
                            </div>
                        </div>

                        {{-- <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Sueldo asignado&nbsp;<span>*</span></label>
                                {!! Form::select('sueldo', getDropdown('Sueldos','key'), null, ['class' => 'form-control'.($errors->has('sueldo') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción']) !!}                        
                                @if ($errors->has('sueldo'))
                                <span class="has-error">{{ $errors->first('sueldo') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-3 form-group">
                                <label>Beneficios extras</label>
                                {!! Form::select('beneficios', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('beneficios') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Bonos</label>
                                {!! Form::select('bonos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('bonos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Seguros</label>
                                {!! Form::select('seguros', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('seguros') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Incentivos</label>
                                {!! Form::select('incentivos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('incentivos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                        </div> --}}
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Qué espera de la agencia Miscorp?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta1', null, ['class' => 'form-control'.($errors->has('pregunta1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta1'))
                                <span class="has-error">{{ $errors->first('pregunta1') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Cómo se entero de nosotros?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta2', null, ['class' => 'form-control'.($errors->has('pregunta2') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta2'))
                                <span class="has-error">{{ $errors->first('pregunta2') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                {!! htmlFormSnippet() !!}
                                @error('g-recaptcha-response')
                                    <span class="has-error" role="alert" style="display: block">
                                        <strong>{{ $message  }} </strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        
                        <div class="form-row justify-content-end pb-3">
                            <div class="col-12 col-lg-0 form-group">
                                <button class="btn btn-warning btn-block" type="submit">Enviar</button>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>

    enviando = false;
    var ventas = parseInt($('#ventas').val());
    var operativos = parseInt($('#operativos').val());
    var administrativos = parseInt($('#administrativos').val());

    $( "#planillas" ).submit(function( event ) {
            if (!enviando) {
                enviando= true;
                return true;
            } else {
                alert("La cotización se esta enviando. Espere un momento porfavor.");
                return false;
            }
    }); 

    $("#operativos").change(function() {
    if( $("#operativos").val()==0){
        $( "#sueldo_operativos" ).prop( "required", false ).prop("disabled", true);   
    }else {
        $( "#sueldo_operativos" ).prop( "required", true ).prop("disabled", false);  
    }      
    });

    $('#administrativos').on('change', function () {
    if( $("#administrativos").val()==0){
        $( "#sueldo_administrativos" ).prop( "required", false ).prop("disabled", true); 
    }else {
        $( "#sueldo_administrativos" ).prop( "required", true ).prop("disabled", false);  
    }      
    });


    $('#ventas').on('change', function () {
    if( $("#ventas").val()==0){
        $( "#sueldo_ventas" ).prop( "required", false ).prop("disabled", true); 
    }else {
        $( "#sueldo_ventas" ).prop( "required", true ).prop("disabled", false);  
    }      
    });

    $('#ventas, #operativos, #administrativos').on('change', function () {
        if(ventas == 0 && operativos == 0  && administrativos == 0){
            alert("Debe ingresar almenos un dato de cantidad de operativos, ventas");
        }
    });

    //if($("#ventas").val()===0 && $("#operativos").val()===0 && $("#administrativos").val()===0){
    //var errorSpan = document.getElementById("alerta");

        //errorSpan.innerHTML = "Debe ingresar almenos un dato de cantidad de operativos, ventas" // plain javascript

        //$("#errorSpan").html("Rellena todos los campos");
        //alert("Debe ingresar almenos un dato de cantidad de operativos, ventas");
    //}

    $("#operativos").trigger("change"); 
    $("#administrativos").trigger("change"); 
    $("#ventas").trigger("change");  

</script>
@endsection 
