@extends('layouts.public')

@section('title','Reclutamiento y Selección')

@section('headlinks')
@endsection

@section('recapcha')

    {!! htmlScriptTagJsApi(['action' => 'homepage']) !!}
   
@endsection

@section('content')
<main id="page-services">
    @include('paginas::display.templateparts.infoservicio')
    <section id="cotizar-servicio">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-6">
                    <h1><strong>COTICE</strong>&nbsp;NUESTROS SERVICIOS</h1>
                </div>
            </div>
            <div class="row">
                <div class="col">
                {!! Form::open(['route' => 'public.cotizaciones.store', 'role' => 'form', 'id' => 'reclutamiento']) !!}
                @csrf
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Nombre del contacto&nbsp;<span>*</span></label>
                                {!! Form::text('contacto', null, ['class' => 'form-control'.($errors->has('contacto') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('contacto'))
                                <span class="has-error">{{ $errors->first('contacto') }}</span>
                                @endif
                            </div>

                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono celular&nbsp;<span>*</span></label>
                                {!! Form::text('celular', null, ['class' => 'form-control'.($errors->has('celular') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('celular'))
                                <span class="has-error">{{ $errors->first('celular') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-7 form-group">
                                <label>Empresa&nbsp;<span>*</span></label>
                                {!! Form::text('empresa', null, ['class' => 'form-control'.($errors->has('empresa') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('empresa'))
                                <span class="has-error">{{ $errors->first('empresa') }}</span>
                                @endif
                                </div>
                            <div class="col-12 col-lg-5 form-group">
                                <label>Teléfono corporativo&nbsp;<span>*</span></label>
                                {!! Form::text('corporativo', null, ['class' => 'form-control'.($errors->has('corporativo') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('corporativo'))
                                <span class="has-error">{{ $errors->first('corporativo') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Correo electrónico&nbsp;<span>*</span></label>
                                {!! Form::text('email', null, ['class' => 'form-control'.($errors->has('email') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('email'))
                                <span class="has-error">{{ $errors->first('email') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>De una breve descripción de la actividad económica de su empresa o giro de negocio&nbsp;<span>*</span></label>
                                {!! Form::text('giro', null, ['class' => 'form-control'.($errors->has('giro') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('giro'))
                                <span class="has-error">{{ $errors->first('giro') }}</span>
                                @endif
                            </div>
                        </div> 

                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>Servicio adquirido&nbsp;<span>*</span></label>
                                {!! Form::text('servicio','Reclutamiento y Seleccion de Personal', ['class' => 'form-control'.($errors->has('servicio') ? 'is-invalid' : ''), 'readonly' => 'true', 'placeholder' => '','required' => true ]) !!}
                            </div>
                        </div>
                        <div class="cuantos-reclutamiento">

                            <div class="form-row pb-3">
                                <div class="col-12 col-lg-5 form-group mb-0">
                                    <label>Descripción del puesto</label>
                                </div>
                                <div class="col-12 col-lg-3 form-group mb-0">
                                    <label>¿Cuántos colaboradores?</label>
                                </div>
                                <div class="col-12 col-lg-4 form-group mb-0">
                                    <label>Sueldo asignado (Debe ser un valor entero)</label>
                                </div>
                            </div>

                            <div class="form-row pb-3">

                                <div class="col-12 col-lg-5">

                                    <div class="form-row form-group align-items-center fila-puesto">
                                        <label class="col-1 mb-0 text-center">1.</label>
                                        <div class="col-11">
                                            {!! Form::text('puesto1', null, ['class' => 'form-control'.($errors->has('puesto1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                        </div>
                                        @if ($errors->has('puesto1'))
                                            <span class="has-error">{{ $errors->first('puesto1') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    
                                <div class="col-12 col-lg-3 form-group">
                                    {!! Form::number('colaboradores1', null, ['class' => 'form-control'.($errors->has('colaboradores1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'MIN' => 1 ]) !!}
                                    @if ($errors->has('colaboradores1'))
                                    <span class="has-error">{{ $errors->first('colaboradores1') }}</span>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-4 form-group">
                                    {!! Form::number('sueldo1', null, ['class' => 'form-control'.($errors->has('sueldo1') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'min' => getDropdownValue('488') ]) !!}
                                    @if ($errors->has('sueldo1'))
                                    <span class="has-error">{{ $errors->first('sueldo1') }}</span>
                                    @endif
                                </div>

                            </div>

                            <div class="form-row pb-3">

                                <div class="col-12 col-lg-5">

                                     <div class="form-row form-group align-items-center fila-puesto">
                                        <label class="col-1 mb-0 text-center">2.</label>
                                        <div class="col-11">
                                            {!! Form::text('puesto2', null, ['class' => 'form-control'.($errors->has('puesto2') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'puesto2' ]) !!}
                                        </div>
                                        @if ($errors->has('puesto2'))
                                            <span class="has-error">{{ $errors->first('puesto2') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-12 col-lg-3 form-group">
                                    {!! Form::number('colaboradores2', null, ['class' => 'form-control'.($errors->has('colaboradores2') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'colaboradores2', 'MIN' => 1 ]) !!}
                                    @if ($errors->has('colaboradores2'))
                                    <span class="has-error">{{ $errors->first('colaboradores2') }}</span>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-4 form-group">
                                    {!! Form::number('sueldo2', null, ['class' => 'form-control'.($errors->has('sueldo2') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo2', 'min' => getDropdownValue('488') ]) !!}
                                    @if ($errors->has('sueldo2'))
                                    <span class="has-error">{{ $errors->first('sueldo2') }}</span>
                                    @endif
                                </div>
                            </div>


                            <div class="form-row pb-3">
                                <div class="col-12 col-lg-5">
                                    <div class="form-row form-group align-items-center fila-puesto">
                                        <label class="col-1 mb-0 text-center">3.</label>
                                        <div class="col-11">
                                            {!! Form::text('puesto3', null, ['class' => 'form-control'.($errors->has('puesto3') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'puesto3' ]) !!}
                                        </div>
                                        @if ($errors->has('puesto3'))
                                            <span class="has-error">{{ $errors->first('puesto3') }}</span>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-12 col-lg-3 form-group">
                                    {!! Form::number('colaboradores3', null, ['class' => 'form-control'.($errors->has('colaboradores3') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'colaboradores3', 'MIN' => 1 ]) !!}
                                    @if ($errors->has('colaboradores3'))
                                    <span class="has-error">{{ $errors->first('colaboradores3') }}</span>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-4 form-group">
                                    {!! Form::number('sueldo3', null, ['class' => 'form-control'.($errors->has('sueldo3') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo3', 'min' => getDropdownValue('488') ]) !!}
                                    @if ($errors->has('sueldo3'))
                                    <span class="has-error">{{ $errors->first('sueldo3') }}</span>
                                    @endif
                                </div>
                            </div>


                            <div class="form-row pb-3">
                                <div class="col-12 col-lg-5">
                                    <div class="form-row form-group align-items-center fila-puesto">
                                        <label class="col-1 mb-0 text-center">4.</label>
                                        <div class="col-11">
                                            {!! Form::text('puesto4', null, ['class' => 'form-control'.($errors->has('puesto4') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'puesto4' ]) !!}
                                        </div>
                                        @if ($errors->has('puesto4'))
                                            <span class="has-error">{{ $errors->first('puesto4') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-12 col-lg-3 form-group">
                                    {!! Form::number('colaboradores4', null, ['class' => 'form-control'.($errors->has('colaboradores4') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'colaboradores4', 'MIN' => 1 ]) !!}
                                    @if ($errors->has('colaboradores4'))
                                    <span class="has-error">{{ $errors->first('colaboradores4') }}</span>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-4 form-group">
                                    {!! Form::number('sueldo4', null, ['class' => 'form-control'.($errors->has('sueldo4') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo4', 'min' => getDropdownValue('488') ]) !!}
                                    @if ($errors->has('sueldo4'))
                                    <span class="has-error">{{ $errors->first('sueldo4') }}</span>
                                    @endif
                                </div>
                            </div>


                            <div class="form-row pb-3">
                                <div class="col-12 col-lg-5 form-group">
                                    <div class="form-row form-group align-items-center fila-puesto">
                                        <label class="col-1 mb-0 text-center">5.</label>
                                        <div class="col-11">
                                            {!! Form::text('puesto5', null, ['class' => 'form-control'.($errors->has('puesto5') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'puesto5', 'MIN' => 1 ]) !!}
                                        </div>
                                        @if ($errors->has('puesto5'))
                                            <span class="has-error">{{ $errors->first('puesto5') }}</span>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-12 col-lg-3 form-group">
                                    {!! Form::number('colaboradores5', null, ['class' => 'form-control'.($errors->has('colaboradores5') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => 'colaboradores5' ]) !!}
                                    @if ($errors->has('colaboradores5'))
                                    <span class="has-error">{{ $errors->first('colaboradores5') }}</span>
                                    @endif
                                </div>
                                <div class="col-12 col-lg-4 form-group">
                                    {!! Form::number('sueldo5', null, ['class' => 'form-control'.($errors->has('sueldo5') ? ' is-invalid' : ''), 'placeholder' => '', 'id' => 'sueldo5', 'min' => getDropdownValue('488') ]) !!}
                                    @if ($errors->has('sueldo5'))
                                    <span class="has-error">{{ $errors->first('sueldo5') }}</span>
                                    @endif
                                </div>
                            </div>

                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-3 form-group">
                                <label>Beneficios extras</label>
                                {!! Form::select('beneficios', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('beneficios') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Bonos</label>
                                {!! Form::select('bonos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('bonos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Seguros</label>
                                {!! Form::select('seguros', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('seguros') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                            <div class="col-12 col-lg-3 form-group">
                                <label>Incentivos</label>
                                {!! Form::select('incentivos', getDropdown('Si/No','key'), null, ['class' => 'form-control'.($errors->has('incentivos') ? 'is-invalid' : ''), 'placeholder' => 'Seleccione una opción', 'id' => '1']) !!}                        
                            </div>

                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Qué espera de la agencia Miscorp?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta1', null, ['class' => 'form-control'.($errors->has('pregunta1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta1'))
                                <span class="has-error">{{ $errors->first('pregunta1') }}</span>
                                @endif
                            </div>
                        </div>
                        <div class="form-row pb-3">
                            <div class="col-12 col-lg-12 form-group">
                                <label>¿Cómo se entero de nosotros?&nbsp;<span>*</span></label>
                                {!! Form::text('pregunta2', null, ['class' => 'form-control'.($errors->has('pregunta2') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                @if ($errors->has('pregunta2'))
                                <span class="has-error">{{ $errors->first('pregunta2') }}</span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group row">
                            <div class="col-md-6 offset-md-4">
                                {!! htmlFormSnippet() !!}
                                @error('g-recaptcha-response')
                                    <span class="has-error" role="alert" style="display: block">
                                        <strong>{{ $message  }} </strong>
                                    </span>
                                @enderror
                            </div>
                        </div>
                        
                        <div class="form-row justify-content-end pb-3">
                            <div class="col-12 col-lg-0 form-group">
                                <button class="btn btn-warning btn-block" type="submit">Enviar</button>
                            </div>
                        </div>
                    {!! Form::close() !!}
                </div>
            </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>

enviando = false;

    $( "#reclutamiento" ).submit(function( event ) {
            if (!enviando) {
                enviando= true;
                return true;
            } else {
                alert("La cotización se esta enviando. Espere un momento porfavor.");
                return false;
            }
    }); 

    $("#puesto2").change(function() {

    if( $("#puesto2").val() == null || $("#puesto2").val()=="" ){
        $( "#colaboradores2" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("colaboradores2").value = null;     
        $( "#sueldo2" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("sueldo2").value = null;
    }else {
        $( "#colaboradores2" ).prop( "required", true ).prop("disabled", false);   
        $( "#sueldo2" ).prop( "required", true ).prop("disabled", false);   
    }         
    });

    $("#puesto3").change(function() {

    if( $("#puesto3").val() == null || $("#puesto3").val()=="" ){
        $( "#colaboradores3" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("colaboradores3").value = null;   
        $( "#sueldo3" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("sueldo3").value = null;  
    }else {
        $( "#colaboradores3" ).prop( "required", true ).prop("disabled", false);   
        $( "#sueldo3" ).prop( "required", true ).prop("disabled", false);   
    }         
    });

    $("#puesto4").change(function() {

    if( $("#puesto4").val() == null || $("#puesto4").val()=="" ){
        $( "#colaboradores4" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("colaboradores4").value = null;      
        $( "#sueldo4" ).prop( "required", false ).prop("disabled", true);   
        document.getElementById("sueldo4").value = null;  
    }else {
        $( "#colaboradores4" ).prop( "required", true ).prop("disabled", false);   
        $( "#sueldo4" ).prop( "required", true ).prop("disabled", false);   
    }         
    });

    $("#puesto5").change(function() {

    if( $("#puesto5").val() == null || $("#puesto5").val()=="" ){
        $( "#colaboradores5" ).prop( "required", false ).prop("disabled", true); 
        document.getElementById("colaboradores5").value = null;       
        $( "#sueldo5" ).prop( "required", false ).prop("disabled", true);  
        document.getElementById("sueldo5").value = null;  
    }else {
        $( "#colaboradores5" ).prop( "required", true ).prop("disabled", false);   
        $( "#sueldo5" ).prop( "required", true ).prop("disabled", false);   
    }         
    });

    $("#puesto2").trigger("change");
    $("#puesto3").trigger("change");
    $("#puesto4").trigger("change");
    $("#puesto5").trigger("change"); 

</script>
@endsection