@extends('layouts.public')

@section('title','Registro de Empresas')

@section('headlinks')
@endsection

@section('recapcha')

    {!! htmlScriptTagJsApi(['action' => 'homepage']) !!}
   
@endsection

@section('content')
<main id="page-registro-empresa">
    <section id="registrer">
        <div class="container">
            <div class="row" id="registrer">
                <div class="col-12 col-lg-3"><img class="img-fluid" src="/img/empresa/registro/registro341x1002px.png"></div>
                <div class="col-12 col-lg-9 steps">
                    <h3><strong>Registro</strong>&nbsp;de empresa</h3>
                    <p><strong><em>NOTA</em></strong>&nbsp;La información proporcionada será administrada de forma confidencial</p>
                    <div class="row">
                        <div class="col p-5 p-sm-2">
                            {!! Form::open(['route' => 'public.empresas.registrar', 'role' => 'form', 'enctype' => 'multipart/form-data']) !!}
                            @csrf
                                <div class="form-row">
                                    <div class="col-12 col-sm-5">
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">Giro de negocio</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('categoria', null, ['class' => 'form-control'.($errors->has('categoria') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('categoria'))
                                                <span class="has-error">{{ $errors->first('categoria') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Nombre de la empresa</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('nombre'))
                                                <span class="has-error">{{ $errors->first('nombre') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*NIT</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('nit', null, ['class' => 'form-control'.($errors->has('nit') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('nit'))
                                                <span class="has-error">{{ $errors->first('nit') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Email</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('email'))
                                                <span class="has-error">{{ $errors->first('email') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Contraseña</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::password('password', [
                                                    'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
                                                    'required' => true ,
                                                    ]) !!}
                                                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                                                @if ($errors->has('password'))
                                                <span class="has-error">{{ $errors->first('password') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Confirmar Contraseña&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::password('password_confirmation', [
                                                    'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
                                                    'required' => true
                                                    ]) !!}
                                                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                                                @if ($errors->has('password_confirmation'))
                                                <span class="has-error">{{ $errors->first('password_confirmation') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Persona de Contacto</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('persona_contacto', null, ['class' => 'form-control'.($errors->has('persona_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('persona_contacto'))
                                                <span class="has-error">{{ $errors->first('persona_contacto') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Puesto que Ocupa&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('puesto_contacto', null, ['class' => 'form-control'.($errors->has('puesto_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('puesto_contacto'))
                                                <span class="has-error">{{ $errors->first('puesto_contacto') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Teléfono directo</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('telefono_contacto', null, ['class' => 'form-control'.($errors->has('telefono_contacto') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('telefono_contacto'))
                                                <span class="has-error">{{ $errors->first('telefono_contacto') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Teléfono de la empresa</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('telefono', null, ['class' => 'form-control'.($errors->has('telefono') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('telefono'))
                                                <span class="has-error">{{ $errors->first('telefono') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">Página Web</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('pagina_web', null, ['class' => 'form-control'.($errors->has('pagina_web') ? ' is-invalid' : ''), 'required' => false ]) !!}
                                                @if ($errors->has('pagina_web'))
                                                <span class="has-error">{{ $errors->first('pagina_web') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Calle / Avenida</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('calle_avenida', null, ['class' => 'form-control'.($errors->has('calle_avenida') ? ' is-invalid' : ''),'placeholder' => '0 calle / 0 avenida', 'required' => true ]) !!}
                                                @if ($errors->has('calle_avenida'))
                                                <span class="has-error">{{ $errors->first('calle_avenida') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Casa No.</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('no_casa', null, ['class' => 'form-control'.($errors->has('no_casa') ? ' is-invalid' : ''),'placeholder' => '0-00', 'required' => true ]) !!}
                                                @if ($errors->has('no_casa'))
                                                <span class="has-error">{{ $errors->first('no_casa') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Zona&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::number('zona', null, ['class' => 'form-control'.($errors->has('zona') ? ' is-invalid' : ''), 'required' => true, 'min' => 0 ]) !!}
                                                @if ($errors->has('zona'))
                                                <span class="has-error">{{ $errors->first('zona') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">Colonia</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::text('colonia', null, ['class' => 'form-control'.($errors->has('colonia') ? ' is-invalid' : ''), 'required' => false ]) !!}
                                                @if ($errors->has('colonia'))
                                                <span class="has-error">{{ $errors->first('colonia') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 col-sm-6 pl-0 pl-md-5">
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*País&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::select('pais', getDropdown('Ubicaciones'), null, ['class' => 'form-control'.($errors->has('pais') ? '
                                                is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'pais'  ]) !!}
                                                @if ($errors->has('pais')) 
                                                <span class="has-error">{{ $errors->first('pais') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Departamento&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::select('departamento', [], null, ['class' => 'form-control'.($errors->has('departamento') ? '
                                                is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'departamento'  ]) !!}
                                                @if ($errors->has('departamento'))
                                                <span class="has-error">{{ $errors->first('departamento') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Municipio&nbsp;</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::select('municipio', [], null, ['class' => 'form-control'.($errors->has('municipio') ? '
                                                is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'municipio'  ]) !!}
                                                @if ($errors->has('municipio'))
                                                <span class="has-error">{{ $errors->first('municipio') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Descripción de la empresa</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::textarea('direccion', null, ['class' => 'form-control'.($errors->has('direccion') ? ' is-invalid' : ''), 'required' => false ]) !!}
                                                @if ($errors->has('direccion'))
                                                <span class="has-error">{{ $errors->first('direccion') }}</span>
                                                @endif
                                            </div>
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*Logotipo</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::file('logotipo', ['class' => 'btn btn-warning btn-block'.($errors->has('logotipo') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('logotipo'))
                                                <span class="has-error">{{ $errors->first('logotipo') }}</span>
                                                @endif
                                            </div> 
                                        </div>
                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <label class="col-sm-4 col-form-label col-form-label-sm">*RTU</label>
                                            <div class="col-sm-8 px-0">
                                                {!! Form::file('rtu', ['class' => 'btn btn-warning btn-block'.($errors->has('rtu') ? ' is-invalid' : ''), 'required' => true ]) !!}
                                                @if ($errors->has('rtu'))
                                                <span class="has-error">{{ $errors->first('rtu') }}</span>
                                                @endif
                                            </div> 
                                        </div>
                                        <div class="form-group text-right d-xl-flex justify-content-end align-items-xl-center row">
                                            <label class="col-sm-8 col-form-label col-form-label-sm nota">&nbsp;<small>Nota: los campos con (*) son obligatorios</small></label>
                                            <label class="col-sm-8 col-form-label col-form-label-sm rules">&nbsp;<a target="_black" href="{{asset('storage/uploads/politicas/'.$politica[1]->archivo)}}">Reglamento y políticas de privacidad</a></label></div>
                                        <div class="form-group text-right d-xl-flex justify-content-end align-items-xl-center row">
                                            <label class="d-xl-flex justify-content-xl-center align-items-xl-center col-sm-4 col-form-label col-form-label-sm acept">
                                            {!! Form::checkbox('aceptar', 1, false, ) !!}&nbsp;Aceptar</label>
                                        </div>

                                        <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                            <div class="col-sm-5 px-0">
                                                {!! htmlFormSnippet() !!}
                                                @error('g-recaptcha-response')
                                                    <span class="has-error" role="alert" style="display: block">
                                                        <strong>{{ $message  }} </strong>
                                                    </span>
                                                @enderror
                                             </div>
                                        </div>

                                    <div class="form-group text-right d-xl-flex justify-content-end align-items-xl-center row">
                                        <!-- <a class="btn btn-primary border rounded" role="button" type="submit">Registrarme</a> -->
                                        {!! Form::submit('Registrarme', ['class' => 'btn btn-primary border rounded']) !!}
                                    </div>
                                </div>
                            {!! Form::close() !!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </div>
    </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>
    $(function(){
        var pais = {{ old('pais',0) }};
        var departamento = {{ old('departamento',0) }};
        var municipio = {{ old('municipio',0) }};
        if(pais != ''){
            llenarDepartamentos(pais,departamento);
        }
        if(departamento != ''){
            llenarMunicipios(departamento,municipio);
        }
    });

    $('#pais').change( function(){ llenarDepartamentos(this.value); } );

    $('#departamento').change( function(){ llenarMunicipios(this.value); } );

    function llenarDepartamentos(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#departamento').empty();
                $('#departamento').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    var option = $('#departamento').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    function llenarMunicipios(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#municipio').empty();
                $('#municipio').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#municipio').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }
</script>
@endsection
