<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('paginas')->group(function() {
    Route::get('/',                                  'PaginasController@index');
    Route::get('cotizacion/{servicio}',              'ServiciosController@cotizacionShow')->name('cotizacion.show');
    Route::get('perfilpuesto/{servicio}',            'ServiciosController@perfilpuestoShow')->name('perfilpuesto.show');
});

Route::group(['middleware' => ['web'], 'prefix' => 'admin'], function() {

    Route::middleware(['auth:acceso','role:Super Admin|Admin|Ventas'])->group(function()
    {
        Route::get('paginas/listar',                    'PaginasController@paginasList')->name('admin.paginas.list');
        Route::get('paginas',                           'PaginasController@index')->name('admin.paginas.index'); 
        Route::group(['middleware' => ['permission:Crear Páginas']], function () {
            Route::post('paginas',                      'PaginasController@store') ->name('admin.paginas.store'); 
            Route::get('paginas/crear',                 'PaginasController@create')->name('admin.paginas.create');
        });
        Route::get('paginas/{pagina}',                  'PaginasController@show')->name('admin.paginas.show');
        Route::group(['middleware' => ['permission:Editar Páginas']], function () {
            Route::get('paginas/{pagina}/editar',       'PaginasController@edit')->name('admin.paginas.edit');
            Route::patch('paginas/{pagina}',            'PaginasController@update')->name('admin.paginas.update');
        });
            Route::group(['middleware' => ['permission:Eliminar Páginas']], function () {
            Route::delete('paginas/{pagina}',           'PaginasController@destroy')->name('admin.paginas.destroy');
        });

        Route::post('staff/seguimiento',                'ServiciosController@storeSeguimiento')->name('ventas.seguimiento.store');

    });
});