<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePreguntaPruebasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pregunta_pruebas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('pregunta');
            $table->boolean('estado')->default(1);
            $table->integer('orden')->default(0);
            $table->unsignedBigInteger('prueba_id');
            $table->foreign('prueba_id')->on('pruebas')->references('id')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pregunta_pruebas', function (Blueprint $table) {
            $table->dropForeign(̈́['prueba_id']);
        });
        Schema::dropIfExists('pregunta_pruebas');
    }
}
