<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRespuestaPreguntasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('respuesta_preguntas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->text('respuesta');
            $table->string('valor')->nullable();
            $table->boolean('estado')->default(1);
            $table->unsignedBigInteger('pregunta_id');
            $table->foreign('pregunta_id')->on('pregunta_pruebas')->references('id')->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('respuesta_preguntas', function (Blueprint $table) {
            $table->dropForeign(̈́['pregunta_id']);
        });
        Schema::dropIfExists('respuesta_preguntas');
    }
}
