<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePruebasCandidatoTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pruebas_candidato', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('candidato_id');
            $table->date('fecha')->nullable();
            $table->timestamp('comienzo_prueba');
            $table->timestamp('fin_prueba')->nullable();
            $table->foreign('candidato_id')->references('id')->on('candidatos');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pruebas_candidato',function(Blueprint $table)
        {
           $table->dropForeign(['candidato_id']);
        });
        Schema::dropIfExists('pruebas_candidato');
    }
}
