<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePruebasResultadosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pruebas_resultados', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('prueba_candidato_id');
            $table->unsignedBigInteger('prueba_id');
            $table->string('total_prueba');
            $table->foreign('prueba_candidato_id')->references('id')->on('pruebas_candidato');
            $table->foreign('prueba_id')->references('id')->on('pruebas');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pruebas_resultados',function(Blueprint $table)
        {
           $table->dropForeign(['prueba_candidato_id']);
           $table->dropForeign(['prueba_id']);
        });
        Schema::dropIfExists('pruebas_resultados');
    }
}
