<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePruebasRespuestasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pruebas_respuestas', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('prueba_candidato_id');
            $table->unsignedBigInteger('pregunta_pruebas_id');
            $table->timestamp('pregunta_inicio')->nullable();
            $table->timestamp('pregunta_fin')->nullable();
            $table->string('ponderacion');
            $table->foreign('prueba_candidato_id')->references('id')->on('pruebas_candidato');
            $table->foreign('pregunta_pruebas_id')->references('id')->on('pregunta_pruebas');
            $table->foreign('respuesta_preguntas_id')->references('id')->on('pruebas_respuestas');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('pruebas_respuestas',function(Blueprint $table)
        {
           $table->dropForeign(['prueba_candidato_id']);
           $table->dropForeign(['pregunta_pruebas_id']);
        });
        Schema::dropIfExists('pruebas_respuestas');
    }
}
