<?php

namespace Modules\Pruebas\Http\Controllers\Admin;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Pruebas\Entities\Prueba;
use Yajra\DataTables\DataTables;

class PruebasController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {
        return view('pruebas::admin.pruebas.index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('pruebas::admin.pruebas.create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show(Prueba $prueba)
    {
        return view('pruebas::admin.pruebas.show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit(Prueba $prueba)
    {
        return view('pruebas::admin.pruebas.edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, Prueba $prueba)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy(Prueba $prueba)
    {
        //
    }

    public function pruebasList(Request $request)
    {
        $pruebas = Prueba::select('pruebas.*');
        $pruebas = $pruebas->get();
        return DataTables::of($pruebas)
        ->addColumn('action', function($prueba){
            $button = '';
            return $button;
        })
        ->addColumn('activo', function($prueba){
            $html = ($prueba->estado) ? '<span class="badge badge-success">Si</span>':'<span class="badge badge-danger">No</span>';
            return $html;
        })->rawColumns(['action','activo'])
        ->make(true);
    }
}
