<?php

namespace Modules\Pruebas\Http\Controllers\Candidatos;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Pruebas\Entities\PruebaRespuesta;
use Modules\Pruebas\Entities\PreguntaPrueba;
use Modules\Pruebas\Entities\Prueba;
use Modules\Pruebas\Entities\PruebaCandidato;
use Modules\Pruebas\Entities\PruebaResultado;
use Modules\Candidatos\Entities\Candidato;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Validator;

class PreguntasController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index()
    {     
        return view('pruebas::index');
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('pruebas::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request, PreguntaPrueba $pregunta) 
    {
        $validator = Validator::make($request->all(), [
            'preguntas_pruebas_id'         => 'unique:preguntas_pruebas_id', 
        ]);
        if ($validator->fails()) {
            return redirect()->back()->with('alert_error', 'Ocurrio un error, vuelve a intentarlo porfavor.');
        }

        $candidato = Auth::user()->candidato()->first();
        $prueba = $candidato->pruebas()->first();

        // if($pregunta->prueba_id == 1){
        //     $this->storeA();
        // }else if($pregunta->prueba_id == 2){
        //     $this->storeB();
        // }else if($pregunta->prueba_id == 3){
        //     $this->storeC();
        // }

        
        if($pregunta->prueba_id == 2){ 
            $next = PreguntaPrueba::where('orden','>',$pregunta->orden)->where('prueba_id','=',$pregunta->prueba_id)->skip(2)->take(1)->first();    
        }else{
            $next = PreguntaPrueba::where('orden','>',$pregunta->orden)->where('prueba_id','=',$pregunta->prueba_id)->first();
        }

        if($pregunta->prueba_id == 1 || $pregunta->prueba_id == 3){
            if(isset($request->ponderacion)){
            }else{
                return redirect()->back()->with('alert_error','Deben elegirse 1 respuesta');
            }
        }


        if($pregunta->prueba_id == 2){
            if(isset($request->ponderacion)){
            }else{
                return redirect()->back()->with('alert_error','Deben elegirse 2 respuestas');
            }if(count($request->ponderacion) == 2){
            }else{
                return redirect()->back()->with('alert_error','Deben elegirse 2 respuestas');
            }
        }

        foreach ($request->ponderacion as $key => $value) {
            $respuesta = reset($value);
            $_respuestas = explode('-',$respuesta);
            //dd($request->all());
            PruebaRespuesta::create(['pregunta_pruebas_id'=>$key,'ponderacion'=>$_respuestas[0],'respuesta_id'=>$_respuestas[1],'letra'=>$_respuestas[2],'prueba_candidato_id'=>$prueba->id,'pregunta_inicio'=>date('Y-m-d h:i:s'),'pregunta_fin'=>date('Y-m-d h:i:s')]);
        }
        
        if(isset($next->id)){

            return redirect()->route('private.candidatos.pruebas.pregunta',$next->id);
        }

        $prueba = Prueba::find($pregunta->prueba_id+1);

        $a = ''; //Esta variable vacia es solo para pasar como parametro en la funcion resultTestB que es necesaria en la funcionalidad para recalcular la prueba B

        if($pregunta->prueba_id == 1){
            $this->resultTestA();
        }else if($pregunta->prueba_id == 2){
            $this->resultTestB($a);
        }else if($pregunta->prueba_id == 3){
            $this->resultTestC();
        }
        if(isset($prueba->id)&&$prueba->id==2)
        {
            return redirect()->route('private.candidatos.pruebas.b.index');
        }elseif (isset($prueba->id)&&$prueba->id==3)
        {
            return redirect()->route('private.candidatos.pruebas.c.index');
        }

        // metodo private this->calcularResultado();

        $candidato->update(['estado_pruebas' => 0]);
        return redirect()->route('private.candidatos.portafolio')->with('alert_success','Pruebas Exitosas');

    }


    private function resultTestA(){        
            
            $candidato = Auth::user()->candidato()->first();
            $prueba = $candidato->pruebas()->first();
            
            $prueba_candidato = PruebaCandidato::where('candidato_id',$candidato->id)->first();

            $sumaE = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaE = $sumaE->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaE"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','E')->first();
            
            $sumaI = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaI = $sumaI->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaI"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','I')->first();
            
            $sumaS = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaS = $sumaS->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaS"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','S')->first();
            
            $sumaN = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaN = $sumaN->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaN"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','N')->first();
            
            $sumaT = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaT = $sumaT->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaT"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','T')->first();
            
            $sumaF = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaF = $sumaF->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaF"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','F')->first();
            
            $sumaJ = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaJ = $sumaJ->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaJ"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','J')->first();
            
            $sumaP = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id');
            $sumaP = $sumaP->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as sumaP"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('pruebas_respuestas.letra','P')->first();
            
            $combinacion ='';
            
            if($sumaE > $sumaI) {
                $combinacion = 'E';
            } else {
                $combinacion = 'I';
            }
            
            if($sumaS > $sumaN) {
                $combinacion .= 'S';
            } else {
                $combinacion .= 'N';
            }   
            
            if($sumaT > $sumaF){
                $combinacion .= 'T';
            } else {
                $combinacion .= 'F';
            }
            
            if($sumaJ > $sumaP){
                $combinacion .= 'J';
            } else {
                $combinacion .= 'P';
            }

            PruebaResultado::create(['prueba_candidato_id' => $prueba_candidato->id,'prueba_id' => 1,'total_prueba' => $combinacion]);
        

    } 

    private function resultTestB($empleocandidato){

        $candidato = Auth::user()->candidato()->first();
        if($candidato == null){
            $candidato = Candidato::where('id',$empleocandidato->candidato_id)->first();
        }
        
        $prueba = $candidato->pruebas()->first();

        $prueba_candidato = PruebaCandidato::where('candidato_id',$candidato->id)->first();

        $sumaS = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaS = $sumaS->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalS"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%S%')->first();
        $porcentajeS_B = (($sumaS->totalS/90)*100); //se divide entre 45 ya que es el maximo que puede sumar la letra S.
        $porcentajeS_B = number_format($porcentajeS_B, 0, '.', '');

        $sumaC = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaC = $sumaC->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalC"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%C%')->first();
        $porcentajeC_B = (($sumaC->totalC/90)*100);//se divide entre 45 ya que es el maximo que puede sumar la letra C.
        $porcentajeC_B = number_format($porcentajeC_B, 0, '.', '');

        $sumaR = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaR = $sumaR->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalR"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%R%')->first();
        $porcentajeR_B = (($sumaR->totalR/90)*100);//se divide entre 39 ya que es el maximo que puede sumar la letra R.
        $porcentajeR_B = number_format($porcentajeR_B, 0, '.', '');

        $sumaI = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaI = $sumaI->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalI"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%I%')->first();
        $porcentajeI_B = (($sumaI->totalI/90)*100);//se divide entre 48 ya que es el maximo que puede sumar la letra I.
        $porcentajeI_B = number_format($porcentajeI_B, 0, '.', '');

        $sumaB = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaB = $sumaB->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalB"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%B%')->first();
        $porcentajeB_B = (($sumaB->totalB/90)*100);//se divide entre 45 ya que es el maximo que puede sumar la letra B.
        $porcentajeB_B = number_format($porcentajeB_B, 0, '.', '');

        $sumaL = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','2');

        $sumaL = $sumaL->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalL"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%L%')->first();        
        $porcentajeL_B = (($sumaL->totalL/90)*100);//se divide entre 48 ya que es el maximo que puede sumar la letra L.
        $porcentajeL_B = number_format($porcentajeL_B, 0, '.', '');

        $resultadoB = $porcentajeS_B.'-'.$porcentajeC_B.'-'.$porcentajeR_B.'-'.$porcentajeI_B.'-'.$porcentajeB_B.'-'.$porcentajeL_B;

        $existePrueba = PruebaResultado::where('prueba_candidato_id',$prueba_candidato->id)->where('prueba_id',2)->orderBy('id','desc')->first();
        if(!isset($existePrueba->id)){
            PruebaResultado::create(['prueba_candidato_id' => $prueba_candidato->id,'prueba_id' => 2,'total_prueba' => $resultadoB]);
        }else{
            $existePrueba->update(['total_prueba' => $resultadoB]);
        }
 
    }

    public function recalcularPruebas($empleocandidato)
    {
        $this->resultTestB($empleocandidato);
    }

    private function resultTestC(){

        $candidato = Auth::user()->candidato()->first();
        $prueba = $candidato->pruebas()->first();

        $prueba_candidato = PruebaCandidato::where('candidato_id',$candidato->id)->first();

        $sumaA = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','3');

        $sumaA = $sumaA->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalA"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%A%')->first();
        $sumaA = $sumaA->totalA;

        $sumaB = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
            ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
            ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
            ->where('pregunta_pruebas.prueba_id','3');

        $sumaB = $sumaB->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalB"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','B%')->first();
        $sumaB = $sumaB->totalB;

        $sumaC = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaC = $sumaC->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalC"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','C%')->first();
        $sumaC = $sumaC->totalC;
        
        $sumaE = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaE = $sumaE->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalE"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','E%')->first();
        $sumaE = $sumaE->totalE;
        
        $sumaF = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaF = $sumaF->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalF"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','F%')->first();
        $sumaF = $sumaF->totalF;
        
        $sumaG = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaG = $sumaG->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalG"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%G%')->first();
        $sumaG = $sumaG->totalG;
        
        $sumaH = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');

        $sumaH = $sumaH->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalH"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%H%')->first();
        $sumaH = $sumaH->totalH;
        
        $sumaI = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaI = $sumaI->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalI"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','I%')
        ->orWhere('letra','like','%/I/%')->first();
        $sumaI = $sumaI->totalI;
        
        $sumaL = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaL = $sumaL->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalL"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','L%')->first();
        $sumaL = $sumaL->totalL;
        
        $sumaM = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaM = $sumaM->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalM"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','M%')->first();
        $sumaM = $sumaM->totalM;
        
        $sumaN = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaN = $sumaN->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalN"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','N%')->first();
        $sumaN = $sumaN->totalN;
        
        $sumaO = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaO = $sumaO->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalO"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','O%')->first();
        $sumaO = $sumaO->totalO;
        
        $sumaQ1 = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaQ1 = $sumaQ1->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalQ1"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%Q1%')->first();
        $sumaQ1 = $sumaQ1->totalQ1;
        
        $sumaQ2 = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaQ2 = $sumaQ2->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalQ2"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','Q2%')->first();
        $sumaQ2 = $sumaQ2->totalQ2;
        
        $sumaQ3 = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaQ3 = $sumaQ3->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalQ3"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','Q3%')->first();
        $sumaQ3 = $sumaQ3->totalQ3;
        
        $sumaQ4 = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaQ4 = $sumaQ4->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalQ4"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%Q4%')->first();
        $sumaQ4 = $sumaQ4->totalQ4;

        $sumaQ5 = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaQ5 = $sumaQ5->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalQ5"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%Q5%')->first();
        $sumaQ5 = $sumaQ5->totalQ5;

        $puntaje_directo = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $puntaje_directo = $puntaje_directo->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as puntaje_directo"))->whereIn('pruebas_respuestas.pregunta_pruebas_id',[375,381,397,400,410,440,448,458,466,469,486,488,566,541,546])->first();
        $puntaje_directo = $puntaje_directo->puntaje_directo;
        
        /*$sumaMI = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3');
        
        $sumaMI = $sumaMI->select(DB::raw("SUM(pruebas_respuestas.ponderacion) as totalMI"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','MI%')->first();
        $sumaMI = $sumaMI->totalMI;
        
        $sumaIN = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3')
        ->where('pruebas_respuestas.ponderacion','1'); //Se filtra por la ponderacion que tenga 1, ya que esta suma solo debe contar las respuestas de ? Es decir la respuesta del medio.
        
        $sumaIN = $sumaIN->select(DB::raw("COUNT(pruebas_respuestas.ponderacion) as totalIN"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%IN%')->first();
            
        if($sumaIN->totalIN == null){
            $sumaIN->totalIN = 0;
        }
        
        $sumaIN = $sumaIN->totalIN;
        
        $sumaAQ = PruebaRespuesta::selectRaw('pruebas_respuestas.*') 
        ->leftJoin('pruebas_candidato','pruebas_respuestas.prueba_candidato_id','=','pruebas_candidato.id')
        ->leftJoin('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
        ->where('pregunta_pruebas.prueba_id','3')
        ->where('pruebas_respuestas.ponderacion','2'); //Se filtra por la ponderacion que tenga 2, ya que esta suma solo debe contar las PRIMERAS respuestas que son las que tiene una
        //ponderacion de 2
        
        $sumaAQ = $sumaAQ->select(DB::raw("COUNT(pruebas_respuestas.ponderacion) as totalAQ"))->where('pruebas_candidato.candidato_id',$candidato->id)->where('letra','like','%AQ%')->first();
        $sumaAQ = $sumaAQ->totalAQ;
        //dd($sumaAQ);
        //Los siguientes arreglos representan las escalas (Decapitos) para los resultados de la prueba C para HOMBRES.*/

        $escalaA_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 5,
            '12' => 6,
            '13' => 6,
            '14' => 7,
            '15' => 8,
            '16' => 8,
            '17' => 9,
            '18' => 9,
            '19' => 10,
            '20' => 10
        );

        if($candidato->genero == 367){
            //dd($sumaA->totalA);
            $resultadoA = $escalaA_M[$sumaA];
        }

        $escalaB_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 3,
            '6' => 4,
            '7' => 5,
            '8' => 6,
            '9' => 7,
            '10' => 7,
            '11' => 8,
            '12' => 9,
            '13' => 10
        );

        if($candidato->genero == 367){
            $resultadoB = $escalaB_M[$sumaB];
        }

        $escalaC_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 1,
            '7' => 2,
            '8' => 2,
            '9' => 3,
            '10' => 3,
            '11' => 3,
            '12' => 4,
            '13' => 4,
            '14' => 5,
            '15' => 5,
            '16' => 6,
            '17' => 6,
            '18' => 7,
            '19' => 7,
            '20' => 8,
            '21' => 8,
            '22' => 8,
            '23' => 9,
            '24' => 9,
            '25' => 10,
            '26' => 10
        );

        if($candidato->genero == 367){
            $resultadoC = $escalaC_M[$sumaC];
        }

        $escalaE_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 5,
            '12' => 5,
            '13' => 6,
            '14' => 6,
            '15' => 7,
            '16' => 7,
            '17' => 8,
            '18' => 8,
            '19' => 9,
            '20' => 9,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoE = $escalaE_M[$sumaE];
        }

        $escalaF_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 5,
            '12' => 5,
            '13' => 5,
            '14' => 6,
            '15' => 6,
            '16' => 7,
            '17' => 7,
            '18' => 8,
            '19' => 8,
            '20' => 9,
            '21' => 9,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoF = $escalaF_M[$sumaF];
        }

        $escalaG_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 1,
            '7' => 1,
            '8' => 2,
            '9' => 2,
            '10' => 3,
            '11' => 3,
            '12' => 4,
            '13' => 4,
            '14' => 5,
            '15' => 5,
            '16' => 6,
            '17' => 7,
            '18' => 8,
            '19' => 9,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoG = $escalaG_M[$sumaG];
        }

        $escalaH_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 3,
            '7' => 3,
            '8' => 3,
            '9' => 3,
            '10' => 4,
            '11' => 4,
            '12' => 4,
            '13' => 5,
            '14' => 5,
            '15' => 5,
            '16' => 6,
            '17' => 6,
            '18' => 7,
            '19' => 7,
            '20' => 7,
            '21' => 8,
            '22' => 8,
            '23' => 9,
            '24' => 9,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoH = $escalaH_M[$sumaH];
        }


        $escalaI_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 3,
            '6' => 3,
            '7' => 4,
            '8' => 4,
            '9' => 5,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 9,
            '17' => 9,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoI = $escalaI_M[$sumaI];
        }

        $escalaL_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 3,
            '6' => 3,
            '7' => 4,
            '8' => 4,
            '9' => 5,
            '10' => 6,
            '11' => 6,
            '12' => 7,
            '13' => 7,
            '14' => 8,
            '15' => 9,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoL = $escalaL_M[$sumaL];
        }

        $escalaM_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 5,
            '12' => 5,
            '13' => 6,
            '14' => 7,
            '15' => 7,
            '16' => 8,
            '17' => 9,
            '18' => 9,
            '19' => 10,
            '20' => 10,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoM = $escalaM_M[$sumaM];
        }

        $escalaN_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 5,
            '11' => 5,
            '12' => 6,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoN = $escalaN_M[$sumaN];
        }

        $escalaO_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 2,
            '3' => 2,
            '4' => 3,
            '5' => 3,
            '6' => 4,
            '7' => 4,
            '8' => 5,
            '9' => 5,
            '10' => 6,
            '11' => 6,
            '12' => 7,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 8,
            '17' => 9,
            '18' => 9,
            '19' => 10,
            '20' => 10,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoO = $escalaO_M[$sumaO];
        }

        $escalaQ1_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 4,
            '9' => 5,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoQ1 = $escalaQ1_M[$sumaQ1];
        }

        $escalaQ2_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 2,
            '4' => 2,
            '5' => 3,
            '6' => 3,
            '7' => 4,
            '8' => 5,
            '9' => 5,
            '10' => 6,
            '11' => 6,
            '12' => 7,
            '13' => 7,
            '14' => 8,
            '15' => 9,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoQ2 = $escalaQ2_M[$sumaQ2];
        }

        $escalaQ3_M = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 2,
            '8' => 3,
            '9' => 3,
            '10' => 4,
            '11' => 4,
            '12' => 5,
            '13' => 5,
            '14' => 6,
            '15' => 7,
            '16' => 7,
            '17' => 8,
            '18' => 9,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoQ3 = $escalaQ3_M[$sumaQ3];
        }

        $escalaQ4_M = array(
            '0' => 1,
            '1' => 2,
            '2' => 2,
            '3' => 3,
            '4' => 3,
            '5' => 4,
            '6' => 4,
            '7' => 5,
            '8' => 5,
            '9' => 5,
            '10' => 6,
            '11' => 6,
            '12' => 7,
            '13' => 7,
            '14' => 7,
            '15' => 8,
            '16' => 8,
            '17' => 8,
            '18' => 9,
            '19' => 9,
            '20' => 9,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 367){
            $resultadoQ4 = $escalaQ4_M[$sumaQ4];
        }    
        //Los siguientes arreglos representan las escalas (Decapitos) para los resultados de la prueba C para MUJERES.

        $escalaA_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 9,
            '17' => 9,
            '18' => 10,
            '19' => 10,
            '20' => 10
        );

        if($candidato->genero == 368){
            $resultadoA = $escalaA_F[$sumaA];
        }

        $escalaB_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 3,
            '7' => 4,
            '8' => 5,
            '9' => 6,
            '10' => 7,
            '11' => 8,
            '12' => 9,
            '13' => 10
        );

        if($candidato->genero == 368){
            $resultadoB = $escalaB_F[$sumaB];
        }

        $escalaC_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 4,
            '12' => 5,
            '13' => 5,
            '14' => 5,
            '15' => 6,
            '16' => 6,
            '17' => 7,
            '18' => 7,
            '19' => 8,
            '20' => 8,
            '21' => 9,
            '22' => 9,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        );

        if($candidato->genero == 368){
            $resultadoC = $escalaC_F[$sumaC];
        }

        $escalaE_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 5,
            '11' => 5,
            '12' => 6,
            '13' => 6,
            '14' => 7,
            '15' => 7,
            '16' => 7,
            '17' => 8,
            '18' => 8,
            '19' => 9,
            '20' => 9,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoE = $escalaE_F[$sumaE];
        }

        $escalaF_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 4,
            '12' => 5,
            '13' => 5,
            '14' => 6,
            '15' => 6,
            '16' => 6,
            '17' => 7,
            '18' => 7,
            '19' => 8,
            '20' => 9,
            '21' => 9,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoF = $escalaF_F[$sumaF];
        }

        $escalaG_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 4,
            '11' => 4,
            '12' => 5,
            '13' => 5,
            '14' => 6,
            '15' => 6,
            '16' => 7,
            '17' => 7,
            '18' => 8,
            '19' => 9,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoG = $escalaG_F[$sumaG];
        }

        $escalaH_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 2,
            '4' => 3,
            '5' => 3,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 4,
            '11' => 5,
            '12' => 5,
            '13' => 6,
            '14' => 6,
            '15' => 6,
            '16' => 7,
            '17' => 7,
            '18' => 7,
            '19' => 8,
            '20' => 8,
            '21' => 9,
            '22' => 9,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoH = $escalaH_F[$sumaH];
        }

        $escalaI_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 1,
            '7' => 2,
            '8' => 2,
            '9' => 3,
            '10' => 3,
            '11' => 4,
            '12' => 4,
            '13' => 5,
            '14' => 5,
            '15' => 6,
            '16' => 6,
            '17' => 7,
            '18' => 8,
            '19' => 9,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoI = $escalaI_F[$sumaI];
        }

        $escalaL_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 5,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 7,
            '15' => 8,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoL = $escalaL_F[$sumaL];
        }

        $escalaM_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 1,
            '7' => 2,
            '8' => 2,
            '9' => 3,
            '10' => 4,
            '11' => 4,
            '12' => 5,
            '13' => 5,
            '14' => 6,
            '15' => 6,
            '16' => 7,
            '17' => 8,
            '18' => 8,
            '19' => 9,
            '20' => 9,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoM = $escalaM_F[$sumaM];
        }

        $escalaN_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 1,
            '6' => 2,
            '7' => 3,
            '8' => 3,
            '9' => 4,
            '10' => 5,
            '11' => 5,
            '12' => 6,
            '13' => 7,
            '14' => 7,
            '15' => 8,
            '16' => 9,
            '17' => 9,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoN = $escalaN_F[$sumaN];
        }

        $escalaO_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 3,
            '7' => 4,
            '8' => 4,
            '9' => 5,
            '10' => 5,
            '11' => 5,
            '12' => 6,
            '13' => 6,
            '14' => 7,
            '15' => 7,
            '16' => 8,
            '17' => 8,
            '18' => 9,
            '19' => 10,
            '20' => 10,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoO = $escalaO_F[$sumaO];
        }

        $escalaQ1_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 2,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 5,
            '11' => 6,
            '12' => 7,
            '13' => 7,
            '14' => 8,
            '15' => 8,
            '16' => 9,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoQ1 = $escalaQ1_F[$sumaQ1];
        }

        $escalaQ2_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 1,
            '5' => 2,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 7,
            '15' => 8,
            '16' => 8,
            '17' => 9,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoQ2 = $escalaQ2_F[$sumaQ2];
        }

        $escalaQ3_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 5,
            '10' => 5,
            '11' => 6,
            '12' => 6,
            '13' => 7,
            '14' => 7,
            '15' => 8,
            '16' => 8,
            '17' => 9,
            '18' => 10,
            '19' => 10,
            '20' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoQ3 = $escalaQ3_F[$sumaQ3];
        }

        $escalaQ4_F = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 1,
            '4' => 2,
            '5' => 2,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 5,
            '11' => 5,
            '12' => 5,
            '13' => 6,
            '14' => 6,
            '15' => 6,
            '16' => 7,
            '17' => 7,
            '18' => 7,
            '19' => 8,
            '20' => 8,
            '21' => 9,
            '22' => 9,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10
        ); 

        if($candidato->genero == 368){
            $resultadoQ4 = $escalaQ4_F[$sumaQ4];
        }

        //Los siguientes arreglos corresponden a las escalas para los literales MI,IN y AQ (decatipos). Para estos no importa si es hombre o mujer.

        /*$escalaMI = array(
            '0' => 1,
            '1' => 1,
            '2' => 1,
            '3' => 2,
            '4' => 2,
            '5' => 3,
            '6' => 3,
            '7' => 3,
            '8' => 4,
            '9' => 4,
            '10' => 4,
            '11' => 4,
            '12' => 4,
            '13' => 5,
            '14' => 6,
            '15' => 6,
            '16' => 6,
            '17' => 6,
            '18' => 7,
            '19' => 7,
            '20' => 8,
            '21' => 8,
            '22' => 8,
            '23' => 9,
            '24' => 10,
        ); 

        $resultadoMI = $escalaMI[$sumaMI];

        $escalaIN = array(
            '0' => 4,
            '1' => 7,
            '2' => 8,
            '3' => 8,
            '4' => 9,
            '5' => 9,
            '6' => 9,
            '7' => 9,
            '8' => 10,
            '9' => 10,
            '10' => 10,
            '11' => 10,
            '12' => 10,
            '13' => 10,
            '14' => 10,
            '15' => 10,
            '16' => 10,
            '17' => 10,
            '18' => 10,
            '19' => 10,
            '20' => 10,
            '21' => 10,
            '22' => 10,
            '23' => 10,
            '24' => 10,
            '25' => 10,
            '26' => 10,
            '27' => 10,
            '28' => 10,
            '29' => 10,
            '30' => 10,
            '31' => 10,
            '32' => 10,
            '33' => 10,
            '34' => 10,
            '35' => 10,
            '36' => 10,
            '37' => 10,
            '38' => 10,
        ); 

        //dd($sumaIN);
        $resultadoIN = $escalaIN[$sumaIN];

        $escalaAQ = array(
            '18' => 1,
            '19' => 1,
            '20' => 1,
            '21' => 1,
            '22' => 1,
            '23' => 1,
            '24' => 1,
            '25' => 1,
            '26' => 1,
            '27' => 1,
            '28' => 1,
            '29' => 1,
            '30' => 1,
            '31' => 1,
            '32' => 2,
            '33' => 2,
            '34' => 2,
            '35' => 2,
            '36' => 2,
            '37' => 3,
            '38' => 3,
            '39' => 3,
            '40' => 3,
            '41' => 4,
            '42' => 4,
            '43' => 4,
            '44' => 4,
            '45' => 4,
            '46' => 4,
            '47' => 5,
            '48' => 5,
            '49' => 6,
            '50' => 6,
            '51' => 6,
            '52' => 6,
            '53' => 6,
            '54' => 7,
            '55' => 7,
            '56' => 7,
            '57' => 7,
            '58' => 7,
            '59' => 8,
            '60' => 8,
            '61' => 8,
            '62' => 8,
            '63' => 9,
            '64' => 9,
            '65' => 9,
            '66' => 9,
            '67' => 9,
            '68' => 10,
            '69' => 10,
            '70' => 10,
            '71' => 10,
            '72' => 10,
            '73' => 10,
            '74' => 10,
            '75' => 10,
            '76' => 10,
            '77' => 10,
            '78' => 10,
            '79' => 10,
            '80' => 10,
            '81' => 10,
            '82' => 10,
            '83' => 10,
            '84' => 10,
            '85' => 10,
            '86' => 10,
            '87' => 10,
            '88' => 10,
            '89' => 10,
            '90' => 10,
            '91' => 10,
            '92' => 10,
            '93' => 10,
            '94' => 10,
            '95' => 10,

        ); 

        $resultadoAQ = $escalaAQ[$sumaAQ];*/

        //Calculo para las dimensiones globales (Estabilidad, Ansiedad, Dureza, Independencia, Autocontrol)
        //Los numeros por los que se multiplican los resultados son constantes.
         
        /*$estabilidad_A = $resultadoA * 5; 
        $estabilidad_B = $resultadoB * 1;
        $estabilidad_C = $resultadoC * 1;
        $estabilidad_F = $resultadoF * 3;
        $estabilidad_G = $resultadoG * 1;
        $estabilidad_H = $resultadoH * 1;
        $estabilidad_I = $resultadoI * 2;
        $estabilidad_N = $resultadoN * 3;
        $estabilidad_O = $resultadoO * 2;
        $estabilidad_Q1 = $resultadoQ1 * 2;
        $estabilidad_Q2 = $resultadoQ2 * 4;
        $estabilidad_Q3 = $resultadoQ3 * 1;
        $estabilidad_Q4 = $resultadoQ4 * 1;*/ 

        //El numero 16  en las formulas tambien son una constante.

        /*$estabilidad = (($estabilidad_A + $estabilidad_B + $estabilidad_F + $estabilidad_G + $estabilidad_H + $estabilidad_I + $estabilidad_O
        + $estabilidad_Q3 + $estabilidad_Q4 + 16) - ($estabilidad_C + $estabilidad_N + $estabilidad_Q1 + $estabilidad_Q2)) / 10;

        $ansiedad_A = $resultadoA * 2; 
        $ansiedad_B = $resultadoB * 2;
        $ansiedad_C = $resultadoC * 3;
        $ansiedad_E = $resultadoE * 1;
        $ansiedad_F = $resultadoF * 1;
        $ansiedad_G = $resultadoG * 1;
        $ansiedad_H = $resultadoH * 2;
        $ansiedad_I = $resultadoI * 1;
        $ansiedad_L = $resultadoL * 3;
        $ansiedad_N = $resultadoN * 1;
        $ansiedad_O = $resultadoO * 5;
        $ansiedad_Q1 = $resultadoQ1 * 4;
        $ansiedad_Q2 = $resultadoQ2 * 2;
        $ansiedad_Q3 = $resultadoQ3 * 3;
        $ansiedad_Q4 = $resultadoQ4 * 4; 

        $ansiedad = (($ansiedad_A + $ansiedad_B + $ansiedad_E + $ansiedad_F + $ansiedad_G + $ansiedad_I + $ansiedad_L + $ansiedad_N + $ansiedad_O
        + $ansiedad_Q3 + $ansiedad_Q4) - ($ansiedad_C + $ansiedad_H + $ansiedad_Q1 + $ansiedad_Q2 + 16)) / 10;

        $dureza_A = $resultadoA * 2; 
        $dureza_B = $resultadoB * 1;
        $dureza_C = $resultadoC * 1;
        $dureza_E = $resultadoE * 1;
        $dureza_F = $resultadoF * 3;
        $dureza_H = $resultadoH * 2;
        $dureza_I = $resultadoI * 3;
        $dureza_L = $resultadoL * 2;
        $dureza_M = $resultadoM * 3;
        $dureza_N = $resultadoN * 1;
        $dureza_O = $resultadoO * 1;
        $dureza_Q1 = $resultadoQ1 * 8;
        $dureza_Q2 = $resultadoQ2 * 3;
        $dureza_Q3 = $resultadoQ3 * 1;
        $dureza_Q4 = $resultadoQ4 * 3; 

        //El numero 138  en la formula es una constante.

        $dureza = (($dureza_F + $dureza_L + $dureza_N + $dureza_O + $dureza_Q4 + 138) - ($dureza_A + $dureza_B + $dureza_C + $dureza_E +  $dureza_H +  $dureza_I +  $dureza_M +
        $dureza_Q1 +  $dureza_Q2 +  $dureza_Q3)) / 10;

        $independencia_A = $resultadoA * 1; 
        $independencia_B = $resultadoB * 1;
        $independencia_C = $resultadoC * 1;
        $independencia_E = $resultadoE * 7;
        $independencia_F = $resultadoF * 3;
        $independencia_G = $resultadoG * 1;
        $independencia_H = $resultadoH * 2;
        $independencia_I = $resultadoI * 2;
        $independencia_L = $resultadoL * 3;
        $independencia_N = $resultadoN * 2;
        $independencia_Q1 = $resultadoQ1 * 1;
        $independencia_Q3 = $resultadoQ3 * 1;
        $independencia_Q4 = $resultadoQ4 * 2; 

        //El numero 50 en la formula es una constante.

        $independencia = (($independencia_B + $independencia_B + $independencia_E + $independencia_F + $independencia_H + $independencia_L + $independencia_H + $independencia_N
        + $independencia_Q1 + $independencia_Q3 + $independencia_Q4) - ($independencia_A + $independencia_G + $independencia_I + 50)) / 10;

        $autocontrol_A = $resultadoA * 3; 
        $autocontrol_C = $resultadoC * 1;
        $autocontrol_E = $resultadoE * 1;
        $autocontrol_F = $resultadoF * 3;
        $autocontrol_G = $resultadoG * 5;
        $autocontrol_H = $resultadoH * 1;
        $autocontrol_I = $resultadoI * 1;
        $autocontrol_M = $resultadoM * 1;
        $autocontrol_O = $resultadoO * 3;
        $autocontrol_Q3 = $resultadoQ3 * 7;

        //El numero 22 en la formula es una constante.

        $autocontrol = (($autocontrol_A + $autocontrol_E + $autocontrol_G + $autocontrol_I + $autocontrol_O + $autocontrol_Q3) - ($autocontrol_C + $autocontrol_F + 
        $autocontrol_H + $autocontrol_M + 22)) / 10;*/

        if($puntaje_directo > 9){
            $resultadoA = $resultadoA - 1; 
        }

        if($puntaje_directo > 9){
            $resultadoC = $resultadoC - 2; 
        }

        if($puntaje_directo > 9){
            $resultadoG = $resultadoG - 1; 
        }

        if($puntaje_directo > 9){
            $resultadoH = $resultadoH - 1; 
        }

        if($puntaje_directo > 9){
            $resultadoL = $resultadoL + 1; 
        }

        if($puntaje_directo > 9){
            $resultadoO = $resultadoO + 2; 
        }

        if($puntaje_directo > 9){
            $resultadoQ2 = $resultadoQ2 + 1; 
        }

        if($puntaje_directo > 9){
            $resultadoQ3 = $resultadoQ3 - 2; 
        }

        if($puntaje_directo > 9){
            $resultadoQ4 = $resultadoQ4 + 2; 
        }

        $resultadoC = $resultadoA.'-'.$resultadoB.'-'.$resultadoC.'-'.$resultadoE.'-'.$resultadoF.'-'.$resultadoG.'-'.$resultadoH.'-'.$resultadoI.'-'.$resultadoL.'-'.$resultadoM.'-'.
        $resultadoN.'-'.$resultadoO.'-'.$resultadoQ1.'-'.$resultadoQ2.'-'.$resultadoQ3.'-'.$resultadoQ4;

        //dd($resultadoB);
        PruebaResultado::create(['prueba_candidato_id' => $prueba_candidato->id,'prueba_id' => 3,'total_prueba' => $resultadoC]);

    }

    private function storeB(){

        
        
    }

    private function storeC(){
        
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show(PreguntaPrueba $pregunta, Request $request)
    {
        $pregunta_actual=$pregunta;
        $preguntas=PreguntaPrueba::where('prueba_id','=',$pregunta->prueba_id)->where('id','>=',$pregunta->id)->limit(($pregunta->prueba_id != 2)?1:3)->get();
        $total_preguntasA = PreguntaPrueba::where('prueba_id','=',1)->count(); //94 preguntas
        $total_preguntasB = PreguntaPrueba::where('prueba_id','=',2)->count(); //90 preguntas
        $total_preguntasC = PreguntaPrueba::where('prueba_id','=',3)->count();

        $totalB = '';
        $totalC = '';
        
        //$request->session()->put(['pregunta_progreso' => $pregunta->orden]);
        
        if($pregunta->prueba_id === 2){ 

            //dd($request->all());
            $next = PreguntaPrueba::where('orden','>',$pregunta->orden)->where('prueba_id','=',$pregunta->prueba_id)->skip(2)->take(1)->first();    
            $totalB = $pregunta->orden - $total_preguntasA;

            $porcentajeB = intval(($totalB/$total_preguntasB) * 100);
            return view('pruebas::candidatos.preguntas.pregunta')->with(compact('pregunta_actual','next','preguntas','porcentajeB'));    

        }else{
            $next = PreguntaPrueba::where('orden','>',$pregunta->orden)->where('prueba_id','=',$pregunta->prueba_id)->first();
            $porcentajeA = intval(($pregunta->orden/$total_preguntasA) * 100);

            $totalC = $pregunta->orden - ($total_preguntasA + $total_preguntasB) ;    
            $porcentajeC = intval(($totalC/$total_preguntasC) * 100);

            return view('pruebas::candidatos.preguntas.pregunta')->with(compact('pregunta_actual','next','preguntas','porcentajeA', 'porcentajeC'));    
        }
        
        return view('pruebas::candidatos.preguntas.pregunta')->with(compact('pregunta_actual','next','preguntas'));
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        return view('pruebas::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
