<?php

namespace Modules\Pruebas\Http\Controllers\Candidatos;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Modules\Pruebas\Entities\PreguntaPrueba;
use Modules\Pruebas\Entities\RespuestaPregunta;
use Modules\Pruebas\Entities\Prueba;
use Modules\Candidatos\Entities\CandidatoEntrevista;
use Modules\Candidatos\Entities\Candidato;
use Modules\Pruebas\Entities\PruebaCandidato;
use Modules\Pruebas\Entities\PruebaRespuesta;
use Modules\Pruebas\Entities\PruebaResultado;
use Illuminate\Support\Facades\Auth;
class PruebasController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */

    public function entrevista(Request $request, Candidato $candidato)
    {
        $candidato = Auth::user()->candidato;
        return view('pruebas::candidatos.entrevista.entrevista')->with(compact('candidato'));
    } 

    public function entrevistaStore(Request $request)
    {
        $candidato = Auth::user()->candidato()->first();

        $data = $request->except('_token','_method','id');
        CandidatoEntrevista::create($data);

        //dd($candidato);
        $candidato->update(['estado_entrevista' => 0]);
        return redirect()->route('private.candidatos.portafolio')->with('alert_success','Entrevista guardada exitosamente');
    } 

    public function entrevistaEdit(Request $request, Candidato $candidato)
    {
        $data = $request->except('_token','_method','id');
        $candidatoentrevista = CandidatoEntrevista::where('candidato_id',$candidato->id);

        //dd($candidato);
        $candidatoentrevista->update($data);
        $candidato->update(['estado_entrevista' => 0]);
        return redirect()->route('private.candidatos.portafolio')->with('alert_success','Entrevista actualizada exitosamente');
    } 

    public function indexA(Request $request, Candidato $candidato)
    {
        $prueba_candidato = $candidato->pruebas()->first();
        if(isset($prueba_candidato)){
            $prueba_resultado = PruebaResultado::where('prueba_candidato_id',$prueba_candidato->id)->get();

            if($prueba_resultado->count() == 0){
                $pruebas_respuestas = PruebaRespuesta::where('pruebas_respuestas.prueba_candidato_id',$prueba_candidato->id)
                                        ->join('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
                                        ->where('pregunta_pruebas.prueba_id',1)->delete();
                $pruebaA = Prueba::find(1);
                $pregunta = $pruebaA->preguntas()->orderBy('orden','asc')->first(); 
                return view('pruebas::candidatos.a.index')->with(compact('pruebaA','pregunta'));
            }else if($prueba_resultado->count() == 1){
                $pruebas_respuestas = PruebaRespuesta::where('pruebas_respuestas.prueba_candidato_id',$prueba_candidato->id)
                                        ->join('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
                                        ->where('pregunta_pruebas.prueba_id',2)->delete();
                $pruebaB = Prueba::find(2);
                $pregunta = $pruebaB->preguntas()->orderBy('orden','asc')->first(); 
                return view('pruebas::candidatos.b.index')->with(compact('pruebaB','pregunta')); 
            }else if($prueba_resultado->count() == 2){
                $pruebas_respuestas = PruebaRespuesta::where('pruebas_respuestas.prueba_candidato_id',$prueba_candidato->id)
                                        ->join('pregunta_pruebas','pruebas_respuestas.pregunta_pruebas_id','=','pregunta_pruebas.id')
                                        ->where('pregunta_pruebas.prueba_id',3)->delete();
                $pruebaC = Prueba::find(3);
                $pregunta = $pruebaC->preguntas()->orderBy('orden','asc')->first(); 
                return view('pruebas::candidatos.c.index')->with(compact('pruebaC','pregunta'));
            }else{
                $candidato->update(['estado_pruebas' => 0]);
                return redirect()->route('private.candidatos.portafolio')->with('alert_success','Ya ha realizado las pruebas anteriormente, no es necesario que las haga nuevamente.');
            }
        }else{
            $pruebaA = Prueba::find(1);
            $pregunta = $pruebaA->preguntas()->orderBy('orden','asc')->first(); 
            return view('pruebas::candidatos.a.index')->with(compact('pruebaA','pregunta'));
        }
    }

    public function indexB()
    {
        $pruebaB = Prueba::find(2);
        $pregunta = $pruebaB->preguntas()->orderBy('orden','asc')->first(); 
        return view('pruebas::candidatos.b.index')->with(compact('pruebaB','pregunta')); 
    }

    public function indexC()
    {
        $pruebaC = Prueba::find(3);
        $pregunta = $pruebaC->preguntas()->orderBy('orden','asc')->first(); 
        return view('pruebas::candidatos.c.index')->with(compact('pruebaC','pregunta'));
    }


    public function calcularResultado()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        return view('pruebas::candidatos.a.create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request, PruebaCandidato $candidato)
    {
        $pruebaA = Prueba::find(1);
        $pregunta = $pruebaA->preguntas()->orderBy('orden','asc')->first(); 
        $candidato = Auth::user()->candidato()->first();

        $otros = $candidato->otros()->count() == 0? 0:1;
        $experiencia = $candidato->experiencia()->count() == 0? 0:1;
        $referencia = $candidato->referencia()->count() == 0? 0:1;
        $estudios = $candidato->estudios()->count() == 0? 0:1;
        $habilidades = $candidato->habilidades()->count() == 0? 0:1;
        $fotografia = $candidato->fotografia?1:0;
        $cv = $candidato->cv?1:0;
        $fecha_nacimiento = $candidato->fecha_nacimiento?1:0;
        $dpi = $candidato->dpi?1:0;
        $igss = ( isset($candidato->igss) && $candidato->igss != null )?1:0;
        $direccion = $candidato->direccion?1:0;
        $pais = $candidato->pais?1:0;
        $departamento = $candidato->departamento?1:0;
        $municipio = $candidato->municipio?1:0;
        $zona = (isset($candidato->zona) || $candidato->zona != 0)?1:0;

        $total = $otros + $experiencia + $referencia + $estudios + $habilidades + $fotografia + $cv + $fecha_nacimiento + $dpi + $igss + $direccion + $pais + $departamento +
        $municipio + $zona;

        $porcentaje = intval(($total/15) * 100);

        if($porcentaje != 100){
            return redirect()->back()->with('alert_error','Su perfil debe estar al 100% para poder aplicar a las pruebas.');
        }elseif ($candidato->genero == null){
            return redirect()->back()->with('alert_error','Debe llenar el campo "Genero" en la información de su perfil para poder aplicar a las pruebas');
        }else{
            PruebaCandidato::create(['candidato_id'=>$candidato->id,'fecha'=>date('Y-m-d h:i:s'),'comienzo_prueba'=>date('Y-m-d h:i:s'),'fin_prueba'=>date('Y-m-d h:i:s')]);
            return redirect()->route('private.candidatos.pruebas.pregunta',$pregunta->id);
        }
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show(PruebaCandidato $candidato)
    {
        return view('pruebas::candidatos.a.show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        return view('pruebas::candidatos.a.edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
