@extends('layouts.app')

@section('title','Preguntas')

@section('headlinks')

<!-- DataTables -->
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')
<div class="row">
    <div class="col-12">

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-10">
                        <h3 class="card-title">Preguntas</h3>
                    </div>
                    <div class="col-md-2">
                        <a href="{{route('dashboard.pruebas.preguntas.create')}}" class="btn btn-block btn-primary">Agregar Pregunta</a>
                    </div>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table class="table table-bordered table-striped" cellspacing="5" cellpadding="5">
                    <tbody>
                        <tr>
                            <td>Pruebas:</td>
                            <td>
                                {!! Form::select('prueba', $pruebas->pluck('nombre','id')->toArray(), null, [
                                    'class' => 'form-control',
                                    'placeholder' => 'Todas',
                                    'id'=>'prueba'
                                ]) !!}
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table id="tablaPreguntas" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Pregunta</th>
                            <th>Respuestas</th>
                            <th>Orden</th>
                            <th>Activa</th>
                            <th class="no-sort" style="width: 10%"></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>Pregunta</th>
                            <th>Respuestas</th>
                            <th>Orden</th>
                            <th>Activa</th>
                            <th class="no-sort" style="width: 10%"></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
<!-- /.row -->
@endsection


@section('footscripts')

<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    $(function () {
        var table = $('#tablaPreguntas').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('dashboard.preguntas.list') !!}',
                "data": function (d) {
                    d.prueba = $('#prueba').val();
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ candidatos por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay candidatos disponibles",
                "infoFiltered": "(filtrando de _MAX_ total candidatos)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'pregunta', name: 'pregunta' },
                { data: 'respuestas', name: 'respuestas' },
                { data: 'orden', name: 'orden' },
                { data: 'activo', name: 'activo' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('#prueba').change( function() {
            table.draw();
        } );
    });

</script>
@endsection
