@extends('layouts.app')

@section('title','Preguntas - Ver')


@section('headlinks')
@endsection

@section('content')

<!-- Default box -->
<div class="card">
    <div class="card-header">
        <h3 class="card-title"> Pregunta </h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                title="Collapse"><i class="fas fa-minus"></i></button>
        </div>
    </div>
    <div class="card-body">
        <div class="card">
            <div class="card-header">
                <div class="row">

                    <div class="col-md-10">
                    </div>
                    @can('Editar Preguntas')
                    <div class="col-md-2">
                        <a class="btn btn-info btn-sm" href="{{route('dashboard.pruebas.preguntas.edit',$pregunta->id)}}">
                            <i class="fas fa-pencil-alt">
                            </i>
                            Editar
                        </a>
                    </div>
                    @endcan
                </div>
            </div>
            <div class="card-body">
                    {{$pregunta->pregunta}}
            </div>
            <!-- /.card-header -->
            <div class="card-body p-0">
                <table class="table">
                    <tbody>
                        <tr>
                            <td>Activa</td>
                            <td> {!! ($pregunta->estado) ? '<span class="badge badge-success">Si</span>':'<span class="badge badge-danger">No</span>' !!} </td>
                        </tr>
                        <tr>
                            <td>Orden</td>
                            <td> {{$pregunta->orden}} </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.card-body -->
</div>
<div class="card">
    <div class="card card-primary">
        <div class="card-header">
            <h3 class="card-title">Respuestas</h3>
        </div>
        <div class="card-body">
            <!-- form start -->
            <div class="row">
                <div class="col-md-6">
                    {!! Form::open(['route' => 'dashboard.pruebas.preguntas.respuesta.store', 'role' => 'form']) !!}
                        <div class="card-body">
                            <div class="form-group">
                                <label class="control-label" for="respuesta">Respuesta</label>
                                {!! Form::text('respuesta', null, ['class' => 'form-control'.($errors->has('respuesta') ? ' is-invalid' : ''), 'placeholder' => 'Respuesta', 'required' => true,'id'=>'respuesta']) !!}
                                @if ($errors->has('respuesta'))
                                <span class="has-error">{{ $errors->first('respuesta') }}</span>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="valor">Valor</label>
                                {!! Form::text('valor', null, ['class' => 'form-control'.($errors->has('valor') ? ' is-invalid' : ''), 'placeholder' => 'Valor', 'required' => true, 'id' => 'valor' ]) !!}
                                @if ($errors->has('valor'))
                                <span class="has-error">{{ $errors->first('valor') }}</span>
                                @endif
                            </div>
                            <div class="form-group">
                                <label for="letra">Letra</label>
                                {!! Form::text('letra', null, ['class' => 'form-control'.($errors->has('letra') ? ' is-invalid' : ''), 'placeholder' => 'Letra', 'required' => false, 'id' => 'letra' ]) !!}
                                @if ($errors->has('letra'))
                                <span class="has-error">{{ $errors->first('letra') }}</span>
                                @endif
                            </div>
                            <div class="form-group">
                                <div class="form-check">
                                    {!! Form::radio('estado', 1, true, ['class' => 'form-check-input', 'id' => 'activeCheck1']) !!}
                                    <label class="form-check-label" for="activeCheck1">Activo</label>
                                </div>
                                <div class="form-check">
                                    {!! Form::radio('estado', 0, null, ['class' => 'form-check-input', 'id' => 'activeCheck2']) !!}
                                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                                </div>
                                @if ($errors->has('estado'))
                                <span class="has-error">{{ $errors->first('estado') }}</span>
                                @endif
                            </div>
                            {!! Form::hidden('pregunta_id', $pregunta->id) !!}
                            {!! Form::hidden('id', null,['id' => 'respuesta_id']) !!}
                        </div>
                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    {!! Form::close() !!}
                </div>
                <div class="col-md-6">
                    <table class="table">
                        <caption>Lista de Preguntas</caption>
                        <thead>
                            <th>Pregunta</th>
                            <th>Respuesta</th>
                            <th>Letra</th>
                            <th>Activa</th>
                            <th></th>
                        </thead>
                        <tbody>
                            @foreach ($pregunta->respuestas()->get() as $respuesta)
                            <tr>
                                <td> {{$respuesta->respuesta}} </td>
                                <td> {{$respuesta->valor}} </td>
                                <td> {{$respuesta->letra}} </td>
                                <td> {!! ($respuesta->estado) ? '<span class="badge badge-success">Si</span>':'<span class="badge badge-danger">No</span>' !!} </td>
                                <td> 
                                    <a class="btn btn-info btn-sm" href="javascript:editarRespuesta({{$respuesta->id}},'{{$respuesta->respuesta}}','{{$respuesta->valor}}',{{($respuesta->estado)?1:0}});"><i class="fas fa-pencil-alt"></i></a></td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
            
        </div>
        <!-- /.card-header -->
    </div>
</div>
<!-- /.card -->
@endsection

@section('footscripts')
<script>
    function editarRespuesta(id,respuesta,valor,estado,letra) {
        $('#respuesta_id').val(id);
        $('#respuesta').val(respuesta);
        $('#valor').val(valor);
        $('#letra').val(letra);
        if(estado == 1){
            $('#activeCheck1').prop('checked',true);
            $('#activeCheck2').prop('checked',false);
        }else{
            $('#activeCheck2').prop('checked',true);
            $('#activeCheck1').prop('checked',false);
        }
    }
</script>
@endsection
