<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::prefix('pruebas')->group(function() {
//     Route::get('/', 'PruebasController@index');
// });


Route::prefix('candidatos')->group(function() {

    Route::middleware(['auth:acceso','role:Candidato'])->prefix('pruebas')->group(function()
    {
        Route::get('entrevista',                      'Candidatos\PruebasController@entrevista')->name('private.candidatos.entrevista.index');
        Route::post('entrevista/guardar',             'Candidatos\PruebasController@entrevistaStore')->name('private.candidatos.entrevista.store');
        Route::patch('entrevista/editar/{candidato}', 'Candidatos\PruebasController@entrevistaEdit')->name('private.candidatos.entrevista.edit');
        Route::get('a/{candidato}',                   'Candidatos\PruebasController@indexA')->name('private.candidatos.pruebas.a.index');
        Route::post('a/{a}/guardar',                  'Candidatos\PruebasController@store')->name('private.candidatos.pruebas.a.guardar');
        Route::get('b',                               'Candidatos\PruebasController@indexB')->name('private.candidatos.pruebas.b.index');
        Route::get('c',                               'Candidatos\PruebasController@indexC')->name('private.candidatos.pruebas.c.index'); 
        Route::get('preguntas/{pregunta}',            'Candidatos\PreguntasController@show')->name('private.candidatos.pruebas.pregunta'); 
        Route::post('preguntas/{pregunta}/guardar',   'Candidatos\PreguntasController@store')->name('private.candidatos.pruebas.pregunta.guardar');
    });
});



Route::prefix('admin')->group(function() {
    Route::middleware(['auth:acceso','role:Super Admin|Admin'])->prefix('pruebas')->group(function()
    {
        Route::get('listar',                    'Admin\PruebasController@pruebasList')->name('dashboard.pruebas.list');
        Route::get('preguntas/listar',          'Admin\PreguntasController@preguntasList')->name('dashboard.preguntas.list');

        Route::get('/',                         'Admin\PruebasController@index')->name('dashboard.pruebas.index');
        Route::get('preguntas',                 'Admin\PreguntasController@index')->name('dashboard.pruebas.preguntas.index');

        Route::group(['middleware' => ['permission:Crear Preguntas']], function () {
            Route::post('preguntas',                 'Admin\PreguntasController@store') ->name('dashboard.pruebas.preguntas.store');
            Route::get('preguntas/crear',            'Admin\PreguntasController@create')->name('dashboard.pruebas.preguntas.create');
            Route::post('preguntas/respuesta',       'Admin\PreguntasController@storeRespuesta') ->name('dashboard.pruebas.preguntas.respuesta.store');
        });
        Route::get('preguntas/{pregunta}',        'Admin\PreguntasController@show')->name('dashboard.pruebas.preguntas.show');
        Route::group(['middleware' => ['permission:Editar Preguntas']], function () {
            Route::get('preguntas/{pregunta}/editar', 'Admin\PreguntasController@edit')->name('dashboard.pruebas.preguntas.edit');
            Route::patch('preguntas/{pregunta}',      'Admin\PreguntasController@update')->name('dashboard.pruebas.preguntas.update');
        });
        Route::group(['middleware' => ['permission:Eliminar Preguntas']], function () {
            Route::delete('preguntas/{pregunta}',     'Admin\PreguntasController@destroy')->name('dashboard.pruebas.preguntas.destroy');
        });
    });
});