<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTernaCandidatosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('terna_candidatos', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->date('fecha_terna')->nullable();
            $table->string('candidatos')->nullable();
            $table->unsignedBigInteger('empleo_id');
            $table->foreign('empleo_id')->on('empleos')->references('id')->onDelete('cascade');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('terna_candidatos', function (Blueprint $table) {
            $table->dropForeign(['empleo_id']);
        });
        Schema::dropIfExists('terna_candidatos');
    }
}
