<?php

namespace Modules\Staff\Exports;

use Carbon\Carbon;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;
use Modules\Paginas\Entities\Servicio;
use Maatwebsite\Excel\Concerns\WithHeadings;
use Maatwebsite\Excel\Concerns\FromCollection;

class CotizacionesEnviadas implements FromCollection, WithHeadings
{
    protected $fecha_fin;
    protected $fecha_inicio;
    protected $vendedor_id;

    public function __construct($fecha_inicio = null, $fecha_fin = null, $vendedor_id = null)
    {
        $this->fecha_fin = $fecha_fin;
        $this->fecha_inicio = $fecha_inicio;
        $this->vendedor_id = $vendedor_id;
    }
    public function headings(): array
    {
        return [
            'ID',
            'Estado',
            'Contacto',
            'Celular',
            'Empresa',
            'Teléfono Corporativo',
            'Email',
            'Giro de la empresa',
            'Servicio',
            //'Tiempo',
            //'Uniforme',
            //'Insumos',
            '¿Cuántos colaboradores?',
            'Sueldo asignado',
            'Beneficios extras',
            'Bonos',
            'Seguros',
            'Incentivos',
            /*'¿Cuántos operativos son?',
            '¿Cuántos de Ventas?',
            '¿Cuántos Administrativos?',
            'Sueldo operativos',
            'Sueldo ventas',
            'Sueldo administrativos',
            'Cant. Estudio socioeconómico',
            'Cant. Prueba poligráfica',
            '¿Qué espera de la agencia Miscorp?',
            '¿Cómo se entero de nosotros?',
            'Notas cita',
            'Dirección',
            '¿Cotización firmada?',*/
            '¿Anticipo facturado?',
            //'Fecha anticipo facturado',
            '¿Anticipo pagado',
            //'Fecha anticipo pagado',
            //'¿Perfil del puesto?',
            //'Fecha perfil del puesto',
            //'Garantía',
            //'Notas garantía',
            //'Notas cotización',
            //'Fecha cita',
            'Fecha garantía',
            'Descripción del puesto 1',
            'Descripción del puesto 2',
            'Descripción del puesto 3',
            'Descripción del puesto 4',
            'Descripción del puesto 5',
            'Cant. Colaboradores puesto 1',
            'Cant. Colaboradores puesto 2',
            'Cant. Colaboradores puesto 3',
            'Cant. Colaboradores puesto 4',
            'Cant. Colaboradores puesto 5',
            'Sueldo puesto 1',
            'Anticipo 30% Puesto 1',
            'Anticipo 70% Puesto 1',
            'Sueldo puesto 2',
            'Anticipo 30% Puesto 2',
            'Anticipo 70% Puesto 2',
            'Sueldo puesto 3',
            'Anticipo 30% Puesto 3',
            'Anticipo 70% Puesto 3',
            'Sueldo puesto 4',
            'Anticipo 30% Puesto 4',
            'Anticipo 70% Puesto 4',
            'Sueldo puesto 5',
            'Anticipo 30% Puesto 5',
            'Anticipo 70% Puesto 5',
            'Monto facturado'
            /*'Vendedor',
            'Fecha de creación'*/
        ];
    }
    /**
    * @return \Illuminate\Support\Collection
    */
    public function collection()
    {
        $usuario = Auth::user();
        $cotizaciones = Servicio::select(
            'servicios.id', 
            'estado',
            'servicios.contacto',
            'servicios.celular',
            'servicios.empresa',
            'servicios.corporativo',
            'servicios.email',
            'servicios.giro',
            'servicios.servicio',
            /*'tiempo',
            DB::raw('IF(servicios.uniforme = 1 ,"Si", "No")'),
            DB::raw('IF(servicios.insumos = 1 ,"Si", "No")'),*/
            'servicios.colaboradores',
            'servicios.sueldo',
            DB::raw('IF(servicios.beneficios = 1 ,"Si", "No")'),
            DB::raw('IF(servicios.bonos = 1 ,"Si", "No")'),
            DB::raw('IF(servicios.seguros = 1 ,"Si", "No")'),
            DB::raw('IF(servicios.incentivos = 1 ,"Si", "No")'),
            /*'servicios.operativos',
            'servicios.ventas',
            'servicios.administrativos',
            'servicios.sueldo_operativos',
            'servicios.sueldo_ventas',
            'servicios.sueldo_administrativos',
            'servicios.socioeconomico',
            'servicios.poligrafica',
            'servicios.pregunta1',
            'servicios.pregunta2',
            'servicios.notas_cita',
            'servicios.direccion',
            DB::raw('IF(servicios.firmada = 1 ,"Si", "No")'),*/
            DB::raw('IF(servicios.anti_facturado = 1 ,"Si", "No")'),
            //'servicios.fecha_anti_facturado',
            DB::raw('IF(servicios.anti_pagado = 1 ,"Si", "No")'),
            //'servicios.fecha_anti_pagado',
            /*DB::raw('IF(servicios.perfil = 1 ,"Si", "No")'),
            'servicios.fecha_perfil',
            'garantia',
            'servicios.notas_garantia',
            'servicios.notas_coti',
            'servicios.fecha_cita',*/
            DB::raw('DATE_FORMAT(servicios.fecha_garantia, "%d/%m/%Y")'),
            'servicios.puesto1',
            'servicios.puesto2',
            'servicios.puesto3',
            'servicios.puesto4',
            'servicios.puesto5',
            'servicios.colaboradores1',
            'servicios.colaboradores2',
            'servicios.colaboradores3',
            'servicios.colaboradores4',
            'servicios.colaboradores5',
            'servicios.sueldo1',
            DB::raw('(servicios.sueldo1)*.3'),
            DB::raw('(servicios.sueldo1)*.7'),
            'servicios.sueldo2',
            DB::raw('(servicios.sueldo2)*.3'),
            DB::raw('(servicios.sueldo2)*.7'),
            'servicios.sueldo3',
            DB::raw('(servicios.sueldo3)*.3'),
            DB::raw('(servicios.sueldo3)*.7'),
            'servicios.sueldo4',
            DB::raw('(servicios.sueldo4)*.3'),
            DB::raw('(servicios.sueldo4)*.7'),
            'servicios.sueldo5',
            DB::raw('(servicios.sueldo5)*.3'),
            DB::raw('(servicios.sueldo5)*.7'),
            'servicios.monto_facturado'
            /*DB::raw('CONCAT(usuarios.nombre ," ", usuarios.apellido)'),
            'servicios.created_at'*/
            )
            ->addSelect('dropdowns.value as estado')
            ->join('dropdowns','servicios.estado','=','dropdowns.id')
            //->addSelect('data1.value as tiempo')
            //->leftJoin('dropdowns as data1','servicios.tiempo','=','data1.id')
            //->addSelect('data2.value as garantia')
            //->leftJoin('dropdowns as data2','servicios.garantia','=','data2.id')
            //->leftJoin('usuarios','servicios.usuario_id','=','usuarios.id')
            ->orderBy('servicios.created_at','asc');
        if($this->fecha_inicio != NULL || $this->fecha_fin != NULL){
            $fecha_inicio = $this->fecha_inicio?$this->fecha_inicio:date('2020-01-01');
            $fecha_fin = $this->fecha_fin?$this->fecha_fin:Carbon::now()->addDay();

            $cotizaciones = $cotizaciones->whereBetween('servicios.created_at',[$fecha_inicio, $fecha_fin]);
        }
        if($usuario->hasRole(('Ventas'))){
            $cotizaciones = $cotizaciones->where('usuario_id',$usuario->id);
        }
        if($this->vendedor_id != NULL){
            $cotizaciones = $cotizaciones->where('usuario_id',$this->vendedor_id);
        }
        return  $cotizaciones->get();
    }
}