<?php

namespace Modules\Staff\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Empleos\Entities\EmpleoCandidato;
use Modules\Empleos\Entities\Empleo;
use Modules\Candidatos\Entities\Candidato;
use Modules\Candidatos\Entities\CandidatoEstudio;
use Modules\Candidatos\Entities\CandidatoExperiencia;
use Modules\Candidatos\Entities\CandidatoHabilidades;
use Modules\Candidatos\Entities\CandidatoOtrosDatos;
use Modules\Candidatos\Entities\CandidatoReferencia;
use Modules\Candidatos\Entities\CandidatoEntrevista;
use Modules\Pruebas\Entities\PruebaResultado;
use Illuminate\Support\Facades\Auth;
use Barryvdh\DomPDF\Facade as PDF;
use Illuminate\Support\Facades\Validator;
use Illuminate\Support\Facades\Mail;
use Modules\Candidatos\Emails\PruebasEmail;
use Modules\Candidatos\Emails\ContratadoEmail;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Storage;
use CpChart\Chart\Pie;
use CpChart\Data;
use CpChart\Image;
use Carbon\Carbon;


class InformeController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function indexInformePlus(Request $request, EmpleoCandidato $empleocandidato)
    {
        app('Modules\Pruebas\Http\Controllers\Candidatos\PreguntasController')->recalcularPruebas($empleocandidato);

        $fecha_actual = Carbon::now();

        $usuario = Auth::user();
        $empleo_candidato = EmpleoCandidato::
        where('candidato_id',$empleocandidato->candidato_id)
        ->where('empleo_candidatos.empleo_id',$empleocandidato->empleo_id);
        $empleo_candidato = $empleo_candidato->first();

        $candidato = Candidato::where('id',$empleocandidato->candidato_id);
        $candidato = $candidato->first();

        $empleo = Empleo::where('id',$empleocandidato->empleo_id);
        $empleo = $empleo->first();

        //$estudios = CandidatoEstudio::where('candidato_id',$empleocandidato->candidato_id);
        //$estudios = $estudios->first();

        $estudios = $candidato->estudios()->first();
        
        if($estudios->titulo_maestria != '' && $estudios->titulo_doctorado != ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_doctorado == '' && $estudios->titulo_maestria != ''){
            $grado_academico = 'Maestría en '.$estudios->titulo_maestria;
        }else if($estudios->titulo_doctorado != '' && $estudios->titulo_maestria == ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario != ''){
            $grado_academico = $estudios->titulo_graduado_universitario;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_estudios_univeristarios;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos == '' && $estudios->titulo_carrera_tecnica != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_carrera_tecnica;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos != ''){
            $grado_academico = $estudios->titulo_basicos;
        }else{
            $grado_academico = '';
        }

        $otros = CandidatoOtrosDatos::where('candidato_id',$empleocandidato->candidato_id);
        $otros = $otros->first();

        $experiencias = CandidatoExperiencia::selectRaw('candidato_experiencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $experiencias = $experiencias->get();

        //dd($experiencias[0]->empresa);

        $referencias = CandidatoReferencia::selectRaw('candidato_referencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $referencias = $referencias->get();

        $entrevista = CandidatoEntrevista::where('candidato_id',$empleocandidato->candidato_id);
        $entrevista = $entrevista->first();

        $resultadoA = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','1');
        $resultadoA = $resultadoA->get();

        //$resultadoA = explode('-',$resultadoA[0]->total_prueba);

        $resultadoB = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','2');
        $resultadoB = $resultadoB->get();

        $resultadoC = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','3');
        $resultadoC = $resultadoC->get();

        if( (($resultadoB->count()) != 0) && (($resultadoC->count()) != 0) ){
            $porcentajesB = explode('-',$resultadoB[0]->total_prueba);
            $porcentajesC = explode('-',$resultadoC[0]->total_prueba);
            //dd($porcentajesC[0]);
            
            $chart = isset($porcentajesB)?asset("storage/uploads/charts/pruebaB-$empleocandidato->candidato_id.png"):'';
            $this->generarGraficaPChart("pruebaB-$empleocandidato->candidato_id.png",$porcentajesB);

            $empleocandidato->update(['fecha_generacion_informe' => $fecha_actual]);

            return PDF::loadView('staff::informe/informeplus', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
        'entrevista','resultadoA','porcentajesB','resultadoC','porcentajesC','chart','grado_academico'))->stream('informeplus.pdf');
        }

        $empleocandidato->update(['fecha_generacion_informe' => $fecha_actual]);

        //$pdf = \PDF::loadView('staff::informe/informeplus', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias'));
        //return view('staff::informe.informeplus')->with(compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias')); 
        return PDF::loadView('staff::informe/informeplus', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
        'entrevista','resultadoA','grado_academico'))->stream('informeplus.pdf');
    }

    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function indexInformePlusWeb(Request $request, EmpleoCandidato $empleocandidato)
    {
        $usuario = Auth::user();
        $empleo_candidato = EmpleoCandidato::
        where('candidato_id',$empleocandidato->candidato_id)
        ->where('empleo_candidatos.empleo_id',$empleocandidato->empleo_id);
        $empleo_candidato = $empleo_candidato->first();

        $candidato = Candidato::where('id',$empleocandidato->candidato_id);
        $candidato = $candidato->first();

        $empleo = Empleo::where('id',$empleocandidato->empleo_id);
        $empleo = $empleo->first();

        //$estudios = CandidatoEstudio::where('candidato_id',$empleocandidato->candidato_id);
        //$estudios = $estudios->first();

        $estudios = $candidato->estudios()->first();

        if($estudios->titulo_maestria != '' && $estudios->titulo_doctorado != ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_doctorado == '' && $estudios->titulo_maestria != ''){
            $grado_academico = 'Maestría en '.$estudios->titulo_maestria;
        }else if($estudios->titulo_doctorado != '' && $estudios->titulo_maestria == ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario != ''){
            $grado_academico = $estudios->titulo_graduado_universitario;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_estudios_univeristarios;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos == '' && $estudios->titulo_carrera_tecnica != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_carrera_tecnica;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos != ''){
            $grado_academico = $estudios->titulo_basicos;
        }else{
            $grado_academico = '';
        }

        $otros = CandidatoOtrosDatos::where('candidato_id',$empleocandidato->candidato_id);
        $otros = $otros->first();

        $experiencias = CandidatoExperiencia::selectRaw('candidato_experiencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $experiencias = $experiencias->get();

        //dd($experiencias[0]->empresa);

        $referencias = CandidatoReferencia::selectRaw('candidato_referencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $referencias = $referencias->get();

        $entrevista = CandidatoEntrevista::where('candidato_id',$empleocandidato->candidato_id);
        $entrevista = $entrevista->first();

        $resultadoA = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','1');
        $resultadoA = $resultadoA->get();

        //$resultadoA = explode('-',$resultadoA[0]->total_prueba);

        $resultadoB = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','2');
        $resultadoB = $resultadoB->get();

        $resultadoC = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','3');
        $resultadoC = $resultadoC->get();
        if( (($resultadoB->count()) != 0) && (($resultadoC->count()) != 0) ){
            $porcentajesB = explode('-',$resultadoB[0]->total_prueba);
            $porcentajesC = explode('-',$resultadoC[0]->total_prueba);
            $chart = isset($porcentajesB)?asset("storage/uploads/charts/pruebaB-$empleocandidato->candidato_id.png"):'';
            $this->generarGraficaPChart("pruebaB-$empleocandidato->candidato_id.png",$porcentajesB);

            return view('staff::informe/informeplus', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
            'entrevista','resultadoA','porcentajesB','resultadoC','porcentajesC','chart','grado_academico'));
        }

        return view('staff::informe/informeplus', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
        'entrevista','resultadoA','grado_academico'));
    }

    private function generarGraficaPChart($nombre,$porcentajesB)
    {
         // Create and populate data
        $data = new Data();
        $data->addPoints([$porcentajesB[4], $porcentajesB[1], $porcentajesB[0], $porcentajesB[3], $porcentajesB[5], $porcentajesB[2]], "Porcentajes");
        $data->setSerieDescription("Porcentajes", "Valores predominantes");

        // Define the absissa serie
        $data->addPoints(["Benevolencia", "Conformidad", "Estímulo", "Independencia", "Liderazgo", "Reconocimiento"], "Valores predominantes");
        $data->setAbscissa("Valores predominantes");

        // Create the image
        $image = new Image(900, 500, $data,true);

        // Add a border to the picture
        // $image->drawRectangle(0, 0, 899, 499, ["R" => 0, "G" => 0, "B" => 0]);

        // Set the default font properties
        $image->setFontProperties(["FontName" => "fonts/Montserrat-Regular.ttf", "FontSize" => 15, "R" => 80, "G" => 80, "B" => 80]);

        // Enable shadow computing
        $image->setShadow(true, ["X" => 2, "Y" => 2, "R" => 150, "G" => 150, "B" => 150, "Alpha" => 100]);

        // Create and draw the chart
        $pieChart = new Pie($image, $data);
        $pieChart->draw2DPie(450, 250, ["DrawLabels" => true, "Border" => true, 'Radius' => 200,'WriteValues' => PIE_VALUE_PERCENTAGE, 'ValuePosition' => PIE_VALUE_INSIDE]);
        Storage::disk('public')->makeDirectory('uploads/charts');

        $pieChart->pChartObject->render(public_path("storage/uploads/charts/$nombre"));

    }

    public function generarGrafica(EmpleoCandidato $empleocandidato)
    {
        
        $resultadoB = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','2');
        $resultadoB = $resultadoB->get();

        if( (($resultadoB->count()) != 0)  ){
            $porcentajesB = explode('-',$resultadoB[0]->total_prueba);
            $archivo = "pruebaB-$empleocandidato->candidato_id.png";
            return view('staff::informe.chart',compact('porcentajesB','archivo','empleocandidato'));
        }
        return view('staff::informe.chart',compact('empleocandidato'));
    }

    public function guardarGrafica(Request $request, EmpleoCandidato $empleocandidato)
    {
        if( $request->nombre ==  "pruebaB-$empleocandidato->candidato_id.png"){
            $data = base64_decode(preg_replace('#^data:image/\w+;base64,#i', '', $request->chart));
            Storage::put("public/uploads/charts/$request->nombre", $data);
            return response()->json(['msg' => "Chart guardado exitosamente"],200);
        }else{
            return response()->json(['msg' => "No se pudo guardar el chart"],200);
        }

    }

    public function indexInformeStandar(Request $request, EmpleoCandidato $empleocandidato)
    {

        app('Modules\Pruebas\Http\Controllers\Candidatos\PreguntasController')->recalcularPruebas($empleocandidato);
        
        $usuario = Auth::user();
        $empleo_candidato = EmpleoCandidato::
        where('candidato_id',$empleocandidato->candidato_id)
        ->where('empleo_candidatos.empleo_id',$empleocandidato->empleo_id);
        $empleo_candidato = $empleo_candidato->first();

        $candidato = Candidato::where('id',$empleocandidato->candidato_id);
        $candidato = $candidato->first();

        $empleo = Empleo::where('id',$empleocandidato->empleo_id);
        $empleo = $empleo->first();

        //$estudios = CandidatoEstudio::where('candidato_id',$empleocandidato->candidato_id);
        //$estudios = $estudios->first();

        $estudios = $candidato->estudios()->first();

        if($estudios->titulo_maestria != '' && $estudios->titulo_doctorado != ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_doctorado == '' && $estudios->titulo_maestria != ''){
            $grado_academico = 'Maestría en '.$estudios->titulo_maestria;
        }else if($estudios->titulo_doctorado != '' && $estudios->titulo_maestria == ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario != ''){
            $grado_academico = $estudios->titulo_graduado_universitario;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_estudios_univeristarios;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos == '' && $estudios->titulo_carrera_tecnica != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_carrera_tecnica;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos != ''){
            $grado_academico = $estudios->titulo_basicos;
        }else{
            $grado_academico = '';
        }

        $otros = CandidatoOtrosDatos::where('candidato_id',$empleocandidato->candidato_id);
        $otros = $otros->first();

        $experiencias = CandidatoExperiencia::selectRaw('candidato_experiencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $experiencias = $experiencias->get();

        //dd($experiencias[0]->empresa);

        $referencias = CandidatoReferencia::selectRaw('candidato_referencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $referencias = $referencias->get();

        $entrevista = CandidatoEntrevista::where('candidato_id',$empleocandidato->candidato_id);
        $entrevista = $entrevista->first();

        $resultadoA = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','1');
        $resultadoA = $resultadoA->get();

        //$resultadoA = explode('-',$resultadoA[0]->total_prueba);

        $resultadoB = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','2');
        $resultadoB = $resultadoB->get();

        $resultadoC = PruebaResultado::selectRaw('pruebas_resultados.*')
        ->leftJoin('pruebas_candidato','pruebas_resultados.prueba_candidato_id','=','pruebas_candidato.id')
        ->where('pruebas_candidato.candidato_id',$empleocandidato->candidato_id)
        ->where('pruebas_resultados.prueba_id','3');
        $resultadoC = $resultadoC->get();

        if( (($resultadoB->count()) != 0) && (($resultadoC->count()) != 0) ){
            $porcentajesB = explode('-',$resultadoB[0]->total_prueba);
            $porcentajesC = explode('-',$resultadoC[0]->total_prueba);
            $chart = isset($porcentajesB)?asset("storage/uploads/charts/pruebaB-$empleocandidato->candidato_id.png"):'';
            $this->generarGraficaPChart("pruebaB-$empleocandidato->candidato_id.png",$porcentajesB);

            return \PDF::loadView('staff::informe/informestandar', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
        'entrevista','resultadoA','porcentajesB','resultadoC','porcentajesC','chart','grado_academico'))->stream('informestandar.pdf');
        }

        return \PDF::loadView('staff::informe/informestandar', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias', 
        'entrevista','resultadoA','grado_academico'))->stream('informestandar.pdf');
    }

    public function indexInformeInicial(Request $request, EmpleoCandidato $empleocandidato)
    {
        $usuario = Auth::user();
        $empleo_candidato = EmpleoCandidato::
        where('candidato_id',$empleocandidato->candidato_id)
        ->where('empleo_candidatos.empleo_id',$empleocandidato->empleo_id);
        $empleo_candidato = $empleo_candidato->first();

        $candidato = Candidato::where('id',$empleocandidato->candidato_id);
        $candidato = $candidato->first();

        $empleo = Empleo::where('id',$empleocandidato->empleo_id);
        $empleo = $empleo->first();

        //$estudios = CandidatoEstudio::where('candidato_id',$empleocandidato->candidato_id);
        //$estudios = $estudios->first();

        $estudios = $candidato->estudios()->first();

        if($estudios->titulo_maestria != '' && $estudios->titulo_doctorado != ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_doctorado == '' && $estudios->titulo_maestria != ''){
            $grado_academico = 'Maestría en '.$estudios->titulo_maestria;
        }else if($estudios->titulo_doctorado != '' && $estudios->titulo_maestria == ''){
            $grado_academico = 'Doctorado en '.$estudios->titulo_doctorado;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario != ''){
            $grado_academico = $estudios->titulo_graduado_universitario;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_estudios_univeristarios;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos == '' && $estudios->titulo_carrera_tecnica != ''){
            $grado_academico = 'Estudios en '.$estudios->titulo_carrera_tecnica;
        }else if($estudios->titulo_maestria == '' && $estudios->titulo_doctorado == '' && $estudios->titulo_graduado_universitario == '' && $estudios->titulo_estudios_univeristarios == '' && $estudios->titulo_basicos != ''){
            $grado_academico = $estudios->titulo_basicos;
        }else{
            $grado_academico = '';
        }

        $otros = CandidatoOtrosDatos::where('candidato_id',$empleocandidato->candidato_id);
        $otros = $otros->first();

        $experiencias = CandidatoExperiencia::selectRaw('candidato_experiencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $experiencias = $experiencias->get();

        $referencias = CandidatoReferencia::selectRaw('candidato_referencias.*')
        ->where('candidato_id',$empleocandidato->candidato_id)->limit(3);
        $referencias = $referencias->get();

        return \PDF::loadView('staff::informe/informeinicial', compact('empleo_candidato','candidato','empleo','estudios','otros','experiencias','referencias','grado_academico'))
        ->stream('informeinicial.pdf');
    }

    /*public function contratado(Request $request, EmpleoCandidato $empleocandidato)
    {
        
        $candidato = Candidato::where('id',$empleocandidato->candidato_id);
        $candidato = $candidato->first();

        $empleo = Empleo::where('id',$empleocandidato->empleo_id);
        $empleo = $empleo->first();

        $empleocandidato->update(['contratado' => 1]);

        Mail::to($candidato->email)->send(new ContratadoEmail($candidato, $empleo));

        return redirect()->back()->with('alert_success','Se ha notificado al candidato exitosamente!'); 
    }*/

    /**
     * Show the form for creating a new resource.
     * @return Response
     */

    public function create()
    {
        return view('staff::create');
    }
    

    public function video()
    {
        return redirect()->back();
    }

    public function createPDF(EmpleoCandidato $empleocandidato)
    {

        $pdf = \PDF::loadView('staff::informe/informeplus');
        return $pdf->download('download');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('staff::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        return view('staff::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroy($id)
    {
        //
    }
}
