<?php

namespace Modules\Staff\Http\Controllers;

use Excel;
use DataTables;
use Carbon\Carbon;
use Illuminate\Support\Arr;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Routing\Controller;
// use Yajra\DataTables\DataTables;
use Illuminate\Support\Facades\DB;
use Modules\Paginas\Entities\Blog;
use Spatie\Permission\Models\Role;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Mail;
use Modules\Empleos\Entities\Empleo;
use Modules\Empresas\Entities\Empresa;
use Modules\Paginas\Entities\Servicio;
use Modules\Usuarios\Entities\Usuario;
use Modules\Staff\Emails\UsuarioCreated;
use Spatie\Permission\Models\Permission;
use Illuminate\Support\Facades\Validator;
use Modules\Paginas\Entities\Seguimiento;
use Modules\Staff\Exports\Contrataciones;
use Modules\Staff\Exports\MontoFacturado;
use Modules\Candidatos\Entities\Candidato;
use Modules\Staff\Exports\VacantesProceso;
use Modules\Staff\Entities\TernaCandidatos;
use Modules\Staff\Exports\VacantesRevision;
use Modules\Configuracion\Entities\Dropdown;
use Modules\Staff\Exports\VacantesAsignadas;
use Modules\Empleos\Entities\EmpleoCandidato;
use Modules\Staff\Exports\InformesTerminados;
use Modules\Staff\Exports\VacantesPublicadas;
use Modules\Staff\Exports\InformesSolicitados;
use Modules\Staff\Exports\CotizacionesEnviadas;
use Modules\Staff\Exports\Contrataciones_ventas;
use Modules\Staff\Exports\CotizacionesAprobadas;
use Modules\Staff\Http\Requests\ArchivosRequest;
use Modules\Candidatos\Entities\CandidatoEstudio;
use Modules\Paginas\Entities\ServicioFacturacion;
use Modules\Staff\Exports\CotizacionesRechazadas;
use Modules\Candidatos\Entities\CandidatoEntrevista;
use Modules\Candidatos\Entities\CandidatoOtrosDatos;
use Modules\Candidatos\Entities\CandidatoReferencia;
use Modules\Usuarios\Http\Requests\UserStoreRequest;
use Modules\Candidatos\Entities\CandidatoExperiencia;
use Modules\Candidatos\Entities\CandidatoHabilidades;
use Modules\Paginas\Http\Requests\ServicioStoreRequest;
use Modules\Staff\Http\Requests\ServiciosUpdateRequest;
use Modules\Staff\Http\Requests\FacturacionStoreRequest;
use Modules\Staff\Http\Requests\FacturacionUpdateRequest;

class StaffController extends Controller
{
    /**
     * Display a listing of the resource.
     * @return Response
     */
    public function index(Servicio $servicio)
    {
        $roles = Role::orderBy('name','asc');
        $roles2 = DB::table('roles')
        ->whereIn('id', [1, 2, 3,4,7])
        ->get();
        $usuarios = DB::table('usuarios')->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
        ->whereIn('model_has_roles.role_id', [2,3,4])->get();

        $blog = DB::table('blog')->get();

        $empleo = Empleo::orderBy('plaza','desc')->get();

        $informes_plus_solicitados_reclutamiento = Servicio::where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.fecha_asignacion_vendedor','!=',null)->count();

        $vacantes_proceso = Empleo::where('empleos.activo',1)->join('terna_candidatos','empleos.id','=','terna_candidatos.empleo_id')->count();

        $informes_plus_solicitados = Servicio::where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.fecha_asignacion_vendedor',null)->count();
        $informes_plus_generados = Servicio::leftJoin('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.reclutador_id','!=',null)
        ->where('empleo_candidatos.fecha_generacion_informe','!=',null)->count();
        $vacantes_asignadas = Empleo::where('activo',1)->where('usuario_id','!=',null)->count();
        $vacantes_publicadas = Empleo::where('activo',1)->count();
        $vacantes_revision = Empleo::where('activo',0)->where('usuario_id',null)->count();
        //Cantidad de personas contratadas ventas
        $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)->sum('colaboradores1');
        $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)->sum('colaboradores2');
        $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)->sum('colaboradores3');
        $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)->sum('colaboradores4');
        $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)->sum('colaboradores5'); 
        $contrataciones_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;
        
        //Vacantes contratadas reclutamiento
        $contrataciones_reclutamiento = EmpleoCandidato::where('contratado',1)->where('fecha_contratacion','!=',null)->count();
        
        $cotizaciones = Servicio::select('servicios.*')->get();
        $cotizaciones_aprobadas = $cotizaciones->where('estado',444)->where('fecha_garantia','!=',null)->count();
        $cotizaciones_rechazadas = $cotizaciones->where('estado',445)->count(); 
        $monto_facturado = $cotizaciones->where('fecha_garantia','!=',null)->sum('monto_facturado');
        $reclutadores = Usuario::selectRaw("concat(usuarios.nombre, ' ', usuarios.apellido) as nombre")
        ->addSelect('usuarios.id as id')
        ->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
        ->whereIn('model_has_roles.role_id', [4])->where('activo',1)->get();
        $vendedores = Usuario::selectRaw("concat(usuarios.nombre, ' ', usuarios.apellido) as nombre")
        ->addSelect('usuarios.id as id')
        ->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
        ->where('model_has_roles.role_id',3)->where('activo',1)->get();

        return view('staff::admin.index')->with(compact('roles','roles2','usuarios','servicio','blog','empleo','vacantes_asignadas','vacantes_publicadas','vacantes_revision',
        'contrataciones_ventas','cotizaciones','cotizaciones_aprobadas','cotizaciones_rechazadas','reclutadores','informes_plus_solicitados','informes_plus_generados','vendedores',
        'monto_facturado','contrataciones_reclutamiento','informes_plus_solicitados_reclutamiento','vacantes_proceso'));
    }

    public function indicadoresGenerales(Request $request)
    {   
        $fecha_inicio = $request->get('fecha_inicio')?$request->get('fecha_inicio'):date('2020-01-01');
        $fecha_fin = $request->get('fecha_fin')?$request->get('fecha_fin'):Carbon::now()->addDay();

        $cotizaciones_generales = Servicio::select('servicios.*')->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
        $cotizaciones_aprobadas_generales = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->where('estado',444)->count();
        $cotizaciones_rechazadas_generales = Servicio::select('servicios.*')->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->where('estado',445)->count();
        $monto_facturado_general = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('monto_facturado');
        //Cantidad de personas contratadas ventas
        $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores1');
        $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores2');
        $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores3');
        $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores4');
        $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores5'); 
        $contrataciones_generales_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;

        //Vacantes contratadas reclutamiento
        //$contrataciones_generales_reclutamiento = EmpleoCandidato::where('contratado',1)->whereBetween('fecha_contratacion',[$fecha_inicio, $fecha_fin])->count();

        $informes_plus_solicitados_generales = Servicio::where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.fecha_asignacion_vendedor',null)
        ->whereBetween('servicios.created_at',[$fecha_inicio, $fecha_fin])->count();
        $informes_plus_generados_generales = Servicio::leftJoin('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.reclutador_id','!=',null)
        ->where('empleo_candidatos.fecha_generacion_informe','!=',null)->whereBetween('empleo_candidatos.fecha_generacion_informe',[$fecha_inicio, $fecha_fin])->count();
        $vacantes_asignadas_generales = Empleo::where('activo',1)->where('usuario_id','!=',null)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
        $vacantes_revision_generales = Empleo::where('activo',0)->where('usuario_id',null)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
        //Empleo::select('empleos.*')->join('terna_candidatos','empleos.id','=','terna_candidatos.empleo_id')
        //->whereBetween('terna_candidatos.created_at',[$fecha_inicio, $fecha_fin])->count();
        $vacantes_publicadas_generales = Empleo::where('activo',1)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
        
        echo "{\"cotizaciones_generales\":\"$cotizaciones_generales\",\"cotizaciones_aprobadas_generales\":\"$cotizaciones_aprobadas_generales\",
             \"cotizaciones_rechazadas_generales\":\"$cotizaciones_rechazadas_generales\",\"monto_facturado_general\":\"$monto_facturado_general\",
             \"contrataciones_generales_ventas\":\"$contrataciones_generales_ventas\",\"informes_plus_solicitados_generales\":\"$informes_plus_solicitados_generales\",
             \"informes_plus_generados_generales\":\"$informes_plus_generados_generales\",\"vacantes_asignadas_generales\":\"$vacantes_asignadas_generales\",
             \"vacantes_revision_generales\":\"$vacantes_revision_generales\",\"vacantes_publicadas_generales\":\"$vacantes_publicadas_generales\"}";
        die(); 
    }

    public function indicadoresReclutamiento(Request $request)
    {   
        $usuario_id = $request->get('id','');
        $fecha_inicio = $request->get('fecha_inicio')?$request->get('fecha_inicio'):date('2020-01-01');
        $fecha_fin = $request->get('fecha_fin')?$request->get('fecha_fin'):Carbon::now()->addDay();
        
        if($request->get('id','') != ''){
            $informes_plus_solicitados = Servicio::where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.fecha_asignacion_vendedor','!=',null)
            ->where('servicios.reclutador_id',$usuario_id)->whereBetween('servicios.fecha_asignacion_vendedor',[$fecha_inicio, $fecha_fin])->count();
            $informes_plus_generados = Servicio::leftJoin('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.reclutador_id','!=',null)
            ->where('empleo_candidatos.fecha_generacion_informe','!=',null)->whereBetween('empleo_candidatos.fecha_generacion_informe',[$fecha_inicio, $fecha_fin])->where('servicios.reclutador_id',$usuario_id)->count();
            //$informes_plus_generados = Servicio::join('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('empleo_candidatos.fecha_generacion_informe','!=',null)->where('servicios.usuario_id',$usuario_id)
            //->whereBetween('empleo_candidatos.fecha_generacion_informe',[$fecha_inicio, $fecha_fin])->count();
            $vacantes_asignadas = Empleo::where('activo',1)->where('usuario_id',$usuario_id)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
            $contrataciones_reclutamiento = EmpleoCandidato::where('empleo_candidatos.contratado',1)
            ->where('empleo_candidatos.fecha_contratacion','!=',null)
            ->join('empleos','empleo_candidatos.empleo_id','=','empleos.id')
            ->where('empleos.usuario_id',$usuario_id)->whereBetween('empleo_candidatos.fecha_contratacion',[$fecha_inicio, $fecha_fin])->count(); 
            $vacantes_proceso = Empleo::where('empleos.activo',1)->join('terna_candidatos','empleos.id','=','terna_candidatos.empleo_id')
            ->where('empleos.usuario_id',$usuario_id)->whereBetween('terna_candidatos.fecha_terna',[$fecha_inicio, $fecha_fin])->count();
        }
        
        if($request->get('id','') == ''){
            $informes_plus_solicitados = Servicio::where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.fecha_asignacion_vendedor','!=',null)
            ->whereBetween('servicios.fecha_asignacion_vendedor',[$fecha_inicio, $fecha_fin])->count();
            $informes_plus_generados = Servicio::leftJoin('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('servicios.servicio','Prefiltrado/Solicitud Informe Plus')->where('servicios.reclutador_id','!=',null)
            ->where('empleo_candidatos.fecha_generacion_informe','!=',null)->whereBetween('empleo_candidatos.fecha_generacion_informe',[$fecha_inicio, $fecha_fin])->count();
            //$informes_plus_generados = Servicio::join('empleo_candidatos','servicios.empleo_candidato_id','=','empleo_candidatos.id')->where('empleo_candidatos.fecha_generacion_informe','!=',null)->where('servicios.usuario_id',$request->id)
            //->whereBetween('empleo_candidatos.fecha_generacion_informe',[$fecha_inicio, $fecha_fin])->count();
            $vacantes_asignadas = Empleo::where('activo',1)->where('usuario_id','!=',null)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
            $contrataciones_reclutamiento = EmpleoCandidato::where('empleo_candidatos.contratado',1)
            ->where('empleo_candidatos.fecha_contratacion','!=',null)
            ->join('empleos','empleo_candidatos.empleo_id','=','empleos.id')
            ->whereBetween('empleo_candidatos.fecha_contratacion',[$fecha_inicio, $fecha_fin])->count(); 
            $vacantes_proceso = Empleo::where('empleos.activo',1)->join('terna_candidatos','empleos.id','=','terna_candidatos.empleo_id')
            ->whereBetween('terna_candidatos.fecha_terna',[$fecha_inicio, $fecha_fin])->count();
        }

        echo "{\"vacantes_asignadas\":\"$vacantes_asignadas\",\"contrataciones_reclutamiento\":\"$contrataciones_reclutamiento\",
             \"vacantes_proceso\":\"$vacantes_proceso\",\"informes_plus_solicitados\":\"$informes_plus_solicitados\",
             \"informes_plus_generados\":\"$informes_plus_generados\"}";
        die(); 
    }

    public function indicadoresVendedor(Request $request)
    {   
        $usuario_id = $request->get('id','');
        $fecha_inicio = $request->get('fecha_inicio')?$request->get('fecha_inicio'):date('2020-01-01');
        $fecha_fin = $request->get('fecha_fin')?$request->get('fecha_fin'):Carbon::now()->addDay();

        if($request->get('id','') != ''){
            $cotizaciones = Servicio::select('servicios.*')->where('usuario_id',$usuario_id)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
            $cotizaciones_aprobadas = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->where('estado',444)->count();
            $cotizaciones_rechazadas = Servicio::select('servicios.*')->where('usuario_id',$usuario_id)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->where('estado',445)->count();
            //Cantidad de personas contratadas ventas
            $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->where('servicios.usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores1');
            $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->where('servicios.usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores2');
            $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->where('servicios.usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores3');
            $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->where('servicios.usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores4');
            $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->where('servicios.usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores5'); 
            $contrataciones_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;
            //$contrataciones_ventas = EmpleoCandidato::join('servicios','empleo_candidatos.id','=','servicios.empleo_candidato_id')
            //->where('empleo_candidatos.contratado',1)->where('servicios.usuario_id',$usuario_id)->whereBetween('empleo_candidatos.fecha_contratacion',[$fecha_inicio, $fecha_fin])->count();
            $monto_facturado = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario_id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('monto_facturado');
        }
        
        if($request->get('id','') == ''){
            $cotizaciones = Servicio::select('servicios.*')->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
            $cotizaciones_aprobadas = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->where('estado',444)->count();
            $cotizaciones_rechazadas = Servicio::select('servicios.*')->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->where('estado',445)->count();
            //Cantidad de personas contratadas ventas
            $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores1');
            $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores2');
            $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores3');
            $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores4');
            $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
            ->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores5'); 
            $contrataciones_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;
            //$contrataciones_ventas = EmpleoCandidato::join('servicios','empleo_candidatos.id','=','servicios.empleo_candidato_id')
            //->where('empleo_candidatos.contratado',1)->whereBetween('empleo_candidatos.fecha_contratacion',[$fecha_inicio, $fecha_fin])->count();
            $monto_facturado = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('monto_facturado');

        }

        //dd($cotizaciones_aprobadas);
        echo "{\"cotizaciones\":\"$cotizaciones\",\"cotizaciones_aprobadas\":\"$cotizaciones_aprobadas\",\"cotizaciones_rechazadas\":\"$cotizaciones_rechazadas\",
             \"contrataciones_ventas\":\"$contrataciones_ventas\",\"monto_facturado\":\"$monto_facturado\"}";
        die(); 
    }

    public function reporteVacantesAsignadas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('reclutador_id');
        return Excel::download(new VacantesAsignadas($fecha_inicio, $fecha_fin, $reclutador_id), "Vacantes asignadas - $date.xlsx");
    }

    public function reporteVacantesRevision(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        return Excel::download(new VacantesRevision($fecha_inicio, $fecha_fin), "Vacantes en revisión - $date.xlsx");
    }

    public function reporteVacantesProceso(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('reclutador_id');
        return Excel::download(new VacantesProceso($fecha_inicio, $fecha_fin, $reclutador_id), "Vacantes en proceso - $date.xlsx");
    }

    public function reporteVacantesPublicadas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('vendedor_id');
        return Excel::download(new VacantesPublicadas($fecha_inicio, $fecha_fin, $reclutador_id), "Vacantes publicadas - $date.xlsx");
    }

    public function reporteCotizacionesEnviadas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $vendedor_id = request()->get('vendedor_id');
        return Excel::download(new CotizacionesEnviadas($fecha_inicio, $fecha_fin, $vendedor_id), "Cotizaciones Enviadas - $date.xlsx");
    }

    public function reporteCotizacionesAprobadas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $vendedor_id = request()->get('vendedor_id');
        return Excel::download(new CotizacionesAprobadas($fecha_inicio, $fecha_fin, $vendedor_id), "Cotizaciones aprobadas - $date.xlsx");
    }

    public function reporteCotizacionesRechazadas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $vendedor_id = request()->get('vendedor_id');
        return Excel::download(new CotizacionesRechazadas($fecha_inicio, $fecha_fin, $vendedor_id), "Cotizaciones rechazadas - $date.xlsx");
    }

    public function reporteContrataciones(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('reclutador_id');
        return Excel::download(new Contrataciones($fecha_inicio, $fecha_fin, $reclutador_id), "Contrataciones - $date.xlsx");
    }

    public function reporteContrataciones_ventas(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $vendedor_id = request()->get('vendedor_id');
        return Excel::download(new Contrataciones_ventas($fecha_inicio, $fecha_fin, $vendedor_id), "Contrataciones - $date.xlsx");
    }

    public function reporteInformesSolicitados(Request $request)
    {
        //dd($request->all());
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('reclutador_id');
        $reclutamiento = request()->get('reclutamiento');
        return Excel::download(new InformesSolicitados($fecha_inicio, $fecha_fin, $reclutador_id, $reclutamiento), "Informes Solicitados - $date.xlsx");
    }

    public function reporteInformesTerminados(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $reclutador_id = request()->get('reclutador_id');
        return Excel::download(new InformesTerminados($fecha_inicio, $fecha_fin, $reclutador_id), "Informes Terminados - $date.xlsx");
    }

    public function reporteMontoFacturado(Request $request)
    {
        $date = date('d-m-Y H:i:s');
        $fecha_inicio = request()->get('fecha_inicio');
        $fecha_fin = request()->get('fecha_fin');
        $vendedor_id = request()->get('vendedor_id');
        return Excel::download(new MontoFacturado($fecha_inicio, $fecha_fin, $vendedor_id), "Monto facturado - $date.xlsx");
    }

    public function ventasindex()
    {
        $usuario = Auth::user();

        //Cantidad de personas contratadas ventas
        $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->sum('colaboradores1');
        $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->sum('colaboradores2');
        $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->sum('colaboradores3');
        $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->sum('colaboradores4');
        $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->sum('colaboradores5'); 
        $contrataciones_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;
        //$contrataciones = EmpleoCandidato::join('servicios','empleo_candidatos.id','=','servicios.empleo_candidato_id')->where('empleo_candidatos.contratado',1)
        //->where('servicios.usuario_id',$usuario->id)->count();
        $cotizaciones = Servicio::select('servicios.*')->where('usuario_id',$usuario->id)->count();
        $cotizaciones_aprobadas = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario->id)->where('estado',444)->count();
        $cotizaciones_rechazadas = Servicio::select('servicios.*')->where('usuario_id',$usuario->id)->where('estado',445)->count(); 
        $monto_facturado = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario->id)->sum('monto_facturado');

        return view('staff::ventas.index')->with(compact('contrataciones_ventas','cotizaciones','cotizaciones_aprobadas','cotizaciones_rechazadas','monto_facturado')); 
    }

    public function indicadoresStaffVendedor(Request $request)
    {   
        $usuario = Auth::user();
        $fecha_inicio = $request->get('fecha_inicio')?$request->get('fecha_inicio'):date('2020-01-01');
        $fecha_fin = $request->get('fecha_fin')?$request->get('fecha_fin'):Carbon::now()->addDay();

        $cotizaciones = Servicio::select('servicios.*')->where('usuario_id',$usuario->id)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->count();
        $cotizaciones_aprobadas = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->where('estado',444)->count();
        $cotizaciones_rechazadas = Servicio::select('servicios.*')->where('usuario_id',$usuario->id)->whereBetween('created_at',[$fecha_inicio, $fecha_fin])->where('estado',445)->count();
        //Cantidad de personas contratadas ventas
        $colaboradores1 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores1');
        $colaboradores2 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores2');
        $colaboradores3 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores3');
        $colaboradores4 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores4');
        $colaboradores5 = Servicio::where('servicio','Reclutamiento y Seleccion de Personal')->where('fecha_garantia','!=',null)->where('estado',444)
        ->where('servicios.usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('colaboradores5'); 
        $contrataciones_ventas = $colaboradores1 + $colaboradores2 + $colaboradores3 + $colaboradores4 + $colaboradores5;
        //$contrataciones_ventas = EmpleoCandidato::join('servicios','empleo_candidatos.id','=','servicios.empleo_candidato_id')
        //->where('empleo_candidatos.contratado',1)->where('servicios.usuario_id',$usuario->id)->whereBetween('empleo_candidatos.fecha_contratacion',[$fecha_inicio, $fecha_fin])->count();
        $monto_facturado = Servicio::select('servicios.*')->where('fecha_garantia','!=',null)->where('usuario_id',$usuario->id)->whereBetween('fecha_garantia',[$fecha_inicio, $fecha_fin])->sum('monto_facturado');

        echo "{\"cotizaciones\":\"$cotizaciones\",\"cotizaciones_aprobadas\":\"$cotizaciones_aprobadas\",\"cotizaciones_rechazadas\":\"$cotizaciones_rechazadas\",
             \"contrataciones_ventas\":\"$contrataciones_ventas\",\"monto_facturado\":\"$monto_facturado\"}";
        die(); 
    }

    public function vacanteperfil()
    {
        return view('staff::reclutamiento.edit');
    }

    /**
     * Show the form for creating a new resource.
     * @return Response
     */
    public function create()
    {
        $roles = Role::orderBy('name','asc');
        return view('staff::create');
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Response
     */
    public function store(Request $request)
    {
        //
    }

    public function indexBlog()
    {
        return view('paginas::display.blog'); 
    }

    public function storeBlog(ArchivosRequest $request)
    {
            /*$validator = Validator::make($request->all(), [
                'fotografia'         => 'dimensions:max_width=800,max_height=400',
            ]);
            if ($validator->fails()) {
                return redirect()->back()->with('alert_error', 'El logo no puede pesar mas de 2.5MB y las dimensiones deben ser de 800x400');
            } */

            $filename = '';
            $extension = $request->fotografia->extension();
            $filename = sha1(time().time()).".$extension";
            $request->fotografia->move(public_path('storage/uploads/images'),$filename); 

            $blog = Blog::create($request->except('_method','_token','fotografia')+['fotografia' =>$filename]);
            return redirect()->back()->with('alert_success', 'El post ha sido creado.'); 
       
    }

    public function editBlog(Blog $blog)
    {
        return view('staff::admin.edit-blog')->with(compact('blog'));
    }

    public function updateBlog(ArchivosRequest $request, Blog $blog)
    {
        $data = $request->except('_method','_token','id','fotografia');

        if(isset($request->fotografia)){ 

            $validator = Validator::make($request->all(), [
                'fotografia'         => 'dimensions:max_width=800,max_height=400',
                'titulo'             => 'required',
                'fecha_post'         => 'required',
                'contenido'          => 'required'
            ]);

            if ($validator->fails()) {
                return redirect()->back()->with('alert_error', $validator->messages()->first())->withInput();
            }

            $filename = '';
            $extension = $request->fotografia->extension();
            $filename = sha1(time().time()).".$extension";
            $request->fotografia->move(public_path('storage/uploads/images'),$filename);
            $data += ['fotografia' => $filename];

        }
        //dd($request->all());
        $blog->update($data);

        return redirect()
            ->back()
            ->with('alert_success', 'La publicación ha sido editada.');
    }

    public function storeVendedor(Request $request, Servicio $servicio ) 
    {
        $fecha_actual = Carbon::now();

        $data = $request->except('_method','_token');

        if(isset($servicio->empleo_candidato_id)){
            $data += ['fecha_asignacion_vendedor' => $fecha_actual];
        }

        $servicio->update($data);
        
        if($servicio->servicio == 'Prefiltrado/Servicio Avanzado Informe Plus'){

            return redirect()->route('staff.admin.index','#informes-solicitados')->with('alert_success','Reclutador Asignado');
        }else{
            return redirect()->route('staff.admin.index','#cotizaciones-enviadas')->with('alert_success','Vendedor Asignado');
        }
        
    }

    public function storeStaffAdministrador(UserStoreRequest $request)
    {
        $validator = Validator::make($request->all(), [
            'fotografia'         => 'dimensions:max_width=800,max_height=800',
        ]);
        if ($validator->fails()) {
            return redirect()->back()->with('alert_error', 'La fotografía no puede pesar mas de 2.5MB y las dimensiones deben ser de 800x400');
        } 

        if(isset($request->fotografia)){ 

        $filename = '';
        $extension = $request->fotografia->extension();
        $filename = sha1(time().time()).".$extension";
        $request->fotografia->move(public_path('storage/uploads/images'),$filename); 

        $usuario = Usuario::create($request->except('_token','password_confirmation','id','rol','permisos','fotografia')+['fotografia' =>$filename]);

        }else{

            $usuario = Usuario::create($request->except('_token','password_confirmation','id','rol','permisos'));

        }

        $usuario->assignRole($request->rol);
        $usuario->givePermissionTo($request->permisos);
        $usuario->update(['activo' => 1]); 
        //$password = $usuario->password;
        //Mail::to($usuario->email)->send(new UsuarioCreated($password));
        return redirect()->back()->with('alert_success', 'El usuario ha sido creado exitosamente.');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Response
     */
    public function show($id)
    {
        return view('staff::show');
    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Response
     */
    public function edit($id)
    {
        $roles = Role::orderBy('name','asc');
        return view('staff::edit');
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    public function citaupdate(Request $request, Servicio $servicio)
    {
        $data = $request->except('_token','_method');
        //$data = array_filter($data);
        $servicio->update($data);
        return redirect()->back()->with('alert_success', 'Datos almacenados correctamente.');
    }

    public function cierreContratoUpdate(Request $request, Servicio $servicio)
    {
        $data = $request->except('_token','_method');
        $servicio->update($data);
        return redirect()->back()->with('alert_success', 'Datos almacenados correctamente.');
    }

    /*public function garantiaupdate(Request $request, Servicio $servicio)
    {
        $data = $request->except('_token','_method','id');
        $data = array_filter($data);
        $servicio->update($data);
        dd($data);
        return redirect()
            ->back()
            ->with('alert_success', 'Datos de garantia guardados exitosamente.');
    }*/

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Response
     */
    public function destroyBlog(Blog $blog)
    {
            $blog->delete();

            return redirect()->back()->with('alert_success', 'La publicación ha sido eliminada.');
    }

    public function destroyCotizacion(Servicio $servicio)
    {
        try {
            $servicio->perfilpuesto()->delete(); 
            $servicio->delete();
            return redirect()->back()
            ->with('alert_success', 'La otización ha sido eliminada.');
            } catch (\Exception $e)  {
            return redirect()->back()
            ->with('alert_error', 'Registro relacionado, imposible de eliminar'); 
        }
        
    }

    public function vacantesList(Request $request){
        $usuario = Auth::user();
        $vacantes = Empleo::select('empleos.*')
        ->addSelect(DB::raw('DATE_FORMAT(created_at, "%d/%m/%Y") as fecha_creacion'))
        ->orderBy('created_at','desc');
        $vacantes = $vacantes->get();
        return DataTables::of($vacantes)
        ->addColumn('opciones', function($vacante) use($usuario){
            //$button = '<a class="btn btn-primary btn-sm" href="'.route('editor.miembros.show',$miembro->id).'"><i class="fa fa-eye"></i></a>';
            $button = '
                <a class="btn btn-warning btn-block btn-sm border rounded" href="'.route('staff.admin.empleos.edit',$vacante->id).'">Revisar empleo</a>'; 
            //$button .= '<a class="btn btn-info btn-sm" href="'.route('editor.miembros.edit',$miembro->id).'"><i class="fa fa-pencil-alt"></i></a>';
            return $button;
        })
        ->addColumn('botones', function($vacante) use($usuario){
            if($vacante->activo == 0){ 
                $button = '
                <a class="indicators" href="javascript:habilitar('.$vacante->id.');">
                <i class="fas fa-check"></i></a>
                <a class="indicators" href="#"   data-toggle="modal" data-target="#empleo-destroy-'.$vacante->id.'">
                <i class="fas fa-times"></i></a>';
                $button .= view('staff::admin.destroy',['vacante' => $vacante])->render();
            }else {
                $button = '
                <a class="indicators" href="#"   data-toggle="modal" data-target="#empleo-destroy-'.$vacante->id.'">
                <i class="fas fa-times"></i></a>';
                $button .= view('staff::admin.destroy',['vacante' => $vacante])->render();    
            }    
            return $button;
        })
        ->addColumn('sueldo', function($vacante) use($usuario){
                $sueldo = number_format($vacante->sueldo,2);
                $button = "<span>Q$sueldo</span><span></span>"; 
            return $button;
        })
        ->rawColumns(['opciones','botones','sueldo'])
        ->make(true); 
    }

    public function vacantesPublicadasList(Request $request){ 
        $usuario = Auth::user();
        $empleo = Empleo::select('empleos.*')
        //->leftjoin('empleo_candidatos','empleos.id','=','empleo_candidatos.empleo_id')
        //->leftjoin('candidatos','empleo_candidatos.candidato_id','=','candidatos.id')
        ->addSelect(DB::raw('DATE_FORMAT(empleos.created_at, "%d/%m/%Y") as fecha'))
        ->addSelect(DB::raw('DATE_FORMAT(empleos.fecha_asignacion, "%d/%m/%Y") as fecha_asignada'))
        ->orderBy('empleos.created_at','desc');
        //->addSelect(DB::raw('DATE_FORMAT(empleo_candidatos.fecha_contratacion, "%d/%m/%Y") as fecha_contratado'));
        if($request->estado_vacantes == 'Vacantes asignadas internas'){
            $empleo = $empleo->where('empresa_id','=',null)->where('usuario_id','!=',null);
        }else if ($request->estado_vacantes == 'Vacantes de empresas'){
            $empleo = $empleo->where('empresa_id','!=',null);
        }
        $empleo = $empleo->get();
        return DataTables::of($empleo)
        ->addColumn('opciones', function($empleo){

            $empleo_candidatos = $empleo->empleoCandidato()->select(DB::raw("CONCAT(candidatos.nombre,' ',candidatos.apellido) as nombre, empleo_candidatos.candidato_id"))
            ->leftjoin('candidatos','empleo_candidatos.candidato_id','=','candidatos.id')->where('empleo_candidatos.aplica',1);

            if($empleo->terna()->count() != 0){
                $button = '<a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#terna-crear-'.$empleo->id.'">Añadir terna</a>
                <a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#terna-show-'.$empleo->id.'">Ver terna</a>
                <a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#entrevista-reclutamiento-'.$empleo->id.'">Entrevista</a>
                <a class="btn btn-warning btn-block btn-sm border rounded" href="'.route('staff.reclutamiento.empleos.edit',$empleo->id).'">Editar empleo</a>';
            }else{
                $button = '<a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#terna-crear-'.$empleo->id.'">Añadir terna</a>
                <a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#entrevista-reclutamiento-'.$empleo->id.'">Entrevista</a>
                <a class="btn btn-warning btn-block btn-sm border rounded" href="'.route('staff.reclutamiento.empleos.edit',$empleo->id).'">Editar empleo</a>';
            }
            $button .= view('staff::reclutamiento.entrevista_modal', ['empleo' => $empleo, 'empleo_candidatos' => $empleo_candidatos])->render();
            $button .= view('staff::reclutamiento.terna_create', ['empleo' => $empleo, 'empleo_candidatos' => $empleo_candidatos])->render();
            $button .= view('staff::reclutamiento.terna_show', ['empleo' => $empleo, 'empleo_candidatos' => $empleo_candidatos])->render();
            //<a class="btn btn-warning btn-block btn-sm border rounded" href=\'javascript:ternaCandidato('.$empleo->id.',"'.$empleo_candidatos->get().'")\'>Terna enviada</a>
            return $button;
        })
        ->addColumn('sueldo', function($empleo){
                $sueldo = number_format($empleo->sueldo,2);
                $button = "<span>Q$sueldo</span><span></span>"; 
            return $button;
        })
        ->addColumn('candidatos', function($empleo){
            $candidatos = $empleo->candidatos()->count();  
            $button = "<a class='btn btn-success text-white btn-block btn-sm border rounded' href='".route('staff.reclutamiento.indexCandidatos',$empleo->id)."'>$candidatos Candidatos</a>";  
            return $button;
        })
        ->addColumn('dias_restantes', function($empleo){

            $fecha_actual = Carbon::now();

            $fecha_asignacion = New Carbon ($empleo->fecha_asignacion);
            
            $empleo_candidatos = $empleo->empleoCandidato()->first();

            if($empleo_candidatos && $empleo_candidatos->fecha_contratacion){

                $fecha_contratacion = New Carbon ($empleo_candidatos->fecha_contratacion);

                $dias = $fecha_contratacion->diffInDays($fecha_asignacion);

            }else{

                $dias = $empleo->fecha_asignacion?$fecha_asignacion->diffInDays($fecha_actual):0;

            }
            /*if($dias == 0){
                $dias = '';
            }else{
                $dias = 10 - $dias;
                if($dias < 0){
                    $dias = '0 días';
                }else{
                    $dias = $dias.' días';
                }
            }*/  
            $button = "<span>-$dias</span>";
            return $button;
        })
        ->addColumn('terna', function($empleo){
            $terna = '';
            $fecha_actual = Carbon::now();

            if($empleo->terna()->count() > 0){

                $button = '';

                foreach($empleo->terna()->get() as $terna){

                    /*$fecha_asignacion = New Carbon ($terna->fecha_terna);
    
                    $dias = $terna->fecha_terna?$fecha_asignacion->diffInDays($fecha_actual):0;
    
                    if($dias >= 1 && $dias <= 10){
                        $html = '<div class="circulo active"></div>Plazo vigente '.$terna->fecha_terna->format('d-m-Y');
                    }else if($dias >= 11 && $dias <= 15){
                        $html = '<div class="circulo warning"></div>Plazo intermedio '.$terna->fecha_terna->format('d-m-Y');
                    }else if($dias > 15){
                        $html = '<div class="circulo danger"></div>Plazo vencido '.$terna->fecha_terna->format('d-m-Y');
                    } */

                    $a = $empleo->id;
                    $button .= $a;
    
                }

            }else{

                $button = '';

            }

            return $button;

            /*$fecha_asignacion = New Carbon ($empleo->fecha_asignacion);
            $dias = $empleo->fecha_asignacion?$fecha_asignacion->diffInDays($fecha_actual):0;
            if($dias >= 1 && $dias <= 10){
                $terna = '<div class="circulo active"></div>Plazo vigente '.$empleo->fecha_asignacion->format('d-m-Y');
            }else if($dias >= 11 && $dias <= 15){
                $terna = '<div class="circulo warning"></div>Plazo intermedio '.$empleo->fecha_asignacion->format('d-m-Y');
            }else if($dias > 15){
                $terna = '<div class="circulo danger"></div>Plazo vencido '.$empleo->fecha_asignacion->format('d-m-Y');
            }  
            
            $button = $terna;*/          
             
        })
        ->addColumn('reclutador', function($empleo){
            if(isset($empleo->usuario_id)){
                $reclutador = Usuario::select(DB::raw('CONCAT(nombre," ",apellido) as nombre'))->where('id',$empleo->usuario_id)->first();
                $reclutador = "$reclutador->nombre"; 
            }else{
                $reclutador = 'No asignado';
            }
            
            $button = $reclutador; 
            return $button;
        })
        ->addColumn('fecha_entrevista', function($empleo){
            $empleo_candidatos = EmpleoCandidato::where('empleo_id',$empleo->id);

            $fecha_entrevista = '';

            foreach($empleo_candidatos->get() as $empleo_candidato){
            
                $fecha_entrevista = $empleo_candidato->fecha_cita;

            }

            $button = $fecha_entrevista?$fecha_entrevista->format('d/m/Y'):'';
            
            return $button;
        })
        ->addColumn('fecha_contratado', function($empleo){
            $empleo_candidatos = $empleo->empleoCandidato()->addSelect(DB::raw('DATE_FORMAT(empleo_candidatos.fecha_contratacion, "%d/%m/%Y") as fecha_contratado'));

            $fecha_contratacion = '';

            foreach($empleo_candidatos->get() as $empleo_candidato){

                $fecha_contratacion .= ' '.$empleo_candidato->fecha_contratado;

            }

            $button = strip_tags($fecha_contratacion);
            
            return $button;
        })
        ->rawColumns(['opciones','sueldo','candidatos','dias_restantes','reclutador','terna','fecha_entrevista','fecha_contratado'])
        ->make(true); 
    }

    public function habilitar(Request $request) 
    {

        $empleo = Empleo::where('id',$request->empleo_id)->first();
        $empleo->update(['activo' => '1']);

        return response()->json(['status' => true, 'msj' => 'Plaza habilitada exitosamente.']);
        //return redirect()->back()->with('alert_success', 'Plaza habilitada exitosamente.');
    }

    public function cotizacionesAdminList(Request $request){ 
        $usuario = Auth::user();
        $servicios = Servicio::select('servicios.*')
            ->addSelect(DB::raw('DATE_FORMAT(created_at, "%d/%m/%Y") as fecha'))
            ->where('servicio','!=','Prefiltrado/Solicitud Informe Plus');
            //->where('servicio','!=','Prefiltrado/Servicio Avanzado Informe Plus'); En documento fase 2 Mayra solicita que los informes plus solicitados tambien aparezcan en esta datatable.
        if($request->get('ventas','') != ''){
            if($request->get('ventas') == 1){ 
                $servicios = Servicio::select('servicios.*')->where('usuario_id',$usuario->id)
                ->addSelect(DB::raw('DATE_FORMAT(created_at, "%d/%m/%Y") as fecha'));
            }
        }
        if($request->estado_cotizaciones == 'Cotizaciones solicitadas'){
            $servicios = $servicios->where('usuario_id','=',null);
        }else if ($request->estado_cotizaciones == 'Cotizaciones asignadas'){
            $servicios = $servicios->where('usuario_id','!=',null);
        }
        $servicios = $servicios->get();        
        return DataTables::of($servicios)
        ->addColumn('botones', function($servicio) use($usuario){ 
                $button = '
                <a class="indicators" data-toggle="modal" data-target="#empleo-destroy-'.$servicio->id.'">
                <i class="fas fa-times"></i></a>';
                $button .= view('staff::admin.destroy-cotizacion',['servicio' => $servicio])->render();
            return $button;
        })
        ->addColumn('asignar', function($servicio) use($usuario){    
        $button = '
            <div class="row no-gutters py-1">
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" href="#" type="button"  data-toggle="modal" data-target="#asignar'.$servicio->id.'vendedor">Asignar</a></div>
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" type="button" target="_blank" href="'.route('cotizacion.show',$servicio->id).'">Detalles</a></div>  
            </div>
            <div class="row no-gutters py-1">
                <div class="col-12 col-lg-12 px-1"><a class="btn btn-warning btn-block border rounded-0" type="button" target="_blank" href="'.route('perfilpuesto.show',$servicio->id).'">Perfil</a></div>
            </div>';
        $usuarios = DB::table('usuarios')->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
        ->where('model_has_roles.role_id', 3)->get();
        $html = view('staff::admin.asignar_vendedor_modal', compact('servicio','usuarios'))->render(); 
        return $button.$html; 
        })
        ->addColumn('asignar2', function($servicio) use($usuario){    
        $button = '
            <div class="row no-gutters py-1">
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" type="button" target="_blank" href="'.route('cotizacion.show',$servicio->id).'">Detalles</a></div>  
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" type="button" target="_blank" href="'.route('perfilpuesto.show',$servicio->id).'">Perfil</a></div>
            </div>';
        $usuarios = DB::table('usuarios')->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
        ->where('model_has_roles.role_id', 3)->get();
        $html = view('staff::admin.asignar_vendedor_modal', compact('servicio','usuarios'))->render(); 
        return $button.$html;  
        })
        ->addColumn('sueldo', function($servicio) use($usuario){
            if($servicio->servicio == 'Outsourcing'){
                $sueldo_outsourcing = number_format($servicio->sueldo,2);
                $button = "<span>Q$sueldo_outsourcing</span><span></span>"; 
            }
            if($servicio->servicio == 'Reclutamiento y Seleccion de Personal'){
                $sueldo_reclutamiento = $servicio->sueldo1 + $servicio->sueldo2 + $servicio->sueldo3 + $servicio->sueldo4 + $servicio->sueldo5; 
                $sueldo_reclutamiento = number_format($sueldo_reclutamiento,2); 
                $button = "<span>Q$sueldo_reclutamiento</span><span></span>"; 
            }
            if($servicio->servicio == 'Prefiltrado/Servicio Avanzado Informe Standard' || $servicio->servicio == 'Prefiltrado/Servicio Avanzado Informe Plus' ||
            $servicio->servicio == 'Prefiltrado/Servicio Avanzado' || $servicio->servicio == 'Prefiltrado/Solicitud Informe Plus'){
                $button = ""; 
            }
            if($servicio->servicio == 'Administracion de Planillas'){
                $sueldo_planillas = $servicio->sueldo_operativos + $servicio->sueldo_ventas + $servicio->sueldo_administrativos;
                $sueldo_planillas = number_format($sueldo_planillas,2); 
                $button = "<span>Q$sueldo_planillas</span><span></span>"; 
            }
            if($servicio->servicio == 'Minimizacion de Riesgos'){
                $button = ""; 
            }
            if($servicio->servicio == 'Solicitud informe standard'){
                $button = ""; 
            }
            return $button;
        })
        ->addColumn('no_plazas', function($servicio) use($usuario){
            if($servicio->servicio == 'Outsourcing'){
                $button = "<span>$servicio->colaboradores</span><span></span>"; 
            }
            if($servicio->servicio == 'Reclutamiento y Seleccion de Personal'){
                $colaboradores_reclutamiento = $servicio->colaboradores1 + $servicio->colaboradores2 + $servicio->colaboradores3 + $servicio->colaboradores4 + $servicio->colaboradores5; 
                $button = "<span>$colaboradores_reclutamiento</span><span></span>"; 
            }
            if($servicio->servicio == 'Prefiltrado/Servicio Avanzado Informe Standard' || $servicio->servicio == 'Prefiltrado/Servicio Avanzado Informe Plus' ||
            $servicio->servicio == 'Prefiltrado/Servicio Avanzado' || $servicio->servicio == 'Prefiltrado/Solicitud Informe Plus'){
                $button = $servicio->curriculums; 
            }
            if($servicio->servicio == 'Administracion de Planillas'){
                $button = $servicio->operativos + $servicio->ventas + $servicio->administrativos;
            }
            if($servicio->servicio == 'Minimizacion de Riesgos'){
                $button = ""; 
            }
            if($servicio->servicio == 'Solicitud informe standard'){
                $button = ""; 
            }
            return $button;
        })
        ->addColumn('ver', function($servicio) use($usuario){ 
            $button = '<a id="boton-ver" href="javascript:cargar('.$servicio->id.')" class="btn btn-warning btn-block btn-sm border rounded">Ver</a>';
            return $button;
        })
        ->addColumn('status', function($servicio) use($usuario){ 
            $button = getDropdownValue($servicio->estado);
            return $button;
        })
        ->addColumn('vendedor', function($servicio){ 
            if(isset($servicio->usuario_id)){
                $vendedor = Usuario::select(DB::raw('CONCAT(nombre," ",apellido) as nombre'))->where('id',$servicio->usuario_id)->first();
                $vendedor = "<span>$vendedor->nombre</span>"; 
            }else{
                $vendedor = 'No tiene vendedor asignado';
            }
            
            $button = $vendedor; 
            return $button;
        })
        ->addColumn('fecha_autorizado', function($servicio){ 
            $button = $servicio->fecha_perfil?$servicio->fecha_perfil->format('d-m-Y'):'';
            return $button;
        })
        ->rawColumns(['botones','asignar','sueldo','no_plazas','ver','status','asignar2','vendedor','fecha_autorizado'])
        ->make(true);
    }

    /*public function cotizacionesVentasList(Request $request){
        $usuario = Auth::user();
        $cotizaciones = Servicio::select('servicios.*');
        $cotizaciones = $cotizaciones->get(); 
        return DataTables::of($cotizaciones)
        ->addColumn('ver', function($cotizacion) use($usuario){ 
        $button = '<a id="boton-ver" href="javascript:cargar('.$cotizacion->id.')" class="btn btn-warning btn-block btn-sm border rounded">Ver</a>';
        return $button;
        })
        ->rawColumns(['ver'])
        ->make(true);
    }*/

    public function seguimientoVentasList(Request $request){
        $usuario = Auth::user();
        $notas = Seguimiento::select('seguimiento.*')
        ->addSelect('dropdowns.value as accion')
        ->addSelect(DB::raw('DATE_FORMAT(fecha, "%d/%m/%Y") as fecha_nota'))  
        ->join('servicios','seguimiento.servicio_id','=','servicios.id')
        ->leftJoin('dropdowns','seguimiento.accion','=','dropdowns.id')
        ->where('servicio_id',$request->servicio);
        $notas = $notas->get();

        //dd($notas); 
        return DataTables::of($notas)
        ->make(true);
    }

    public function cotizacionesForm(Request $request){
        $servicio = Servicio::where('id',$request->id_servicio);
        $servicio = $servicio->first();
        $si_no_parent = Dropdown::binario()->first();
        $si_no = $si_no_parent->hijos()->pluck('value','key');
        //dd($si_no);
        return view('staff::ventas.form')->with(compact('servicio','si_no'));
    }

    public function candidatosAdminList(Request $request){
        $usuario = Auth::user();
        $search = $request->get('search');
        $totalCandidatos = Candidato::get()->count();
        $candidato = Candidato::selectRaw('candidatos.*')->orderBy('id','desc');
        if($search['value'] != ''){  
            $candidato->where(DB::raw("CONCAT(candidatos.nombre,' ',candidatos.apellido)"),'like','%'.$search['value'].'%')
            ->orWhere('candidatos.profesion','like','%'.$search['value'].'%')
            ->orWhere('candidatos.anios_experiencia','like','%'.$search['value'].'%')
            ->orWhere('candidatos.pretension_salarial','like','%'.$search['value'].'%')
            ->orWhere('candidatos.telefono_fijo','like','%'.$search['value'].'%')
            ->orWhere('candidatos.telefono_celular','like','%'.$search['value'].'%');
        }
        return DataTables::eloquent($candidato)
        ->addColumn('candidato_info', function($candidato) use($usuario){
            $check_informe = $candidato->archivo_informe?'border-10':'';
            $edad = $candidato->fecha_nacimiento?$candidato->fecha_nacimiento->age.' años':''; 
            $fotografia = $candidato->fotografia?asset('storage/uploads/images/'.$candidato->fotografia):asset('img/imagen-vacia.jpg');

            $button = "
            <div class='row no-gutters align-items-center'>
                <div class='col-4'><img src='".$fotografia."' class='img img-fluid $check_informe'></div> 
                <div class='col-7'>
                    <h5>$candidato->nombre_completo</h5><span>$edad </span><span>No. $candidato->id</span> <span>Tel. $candidato->telefono_fijo / $candidato->telefono_celular</span></div>
            </div>";
            return $button;
        })
        ->addColumn('opciones', function($candidato){
            $button = '
            <div class="row no-gutters py-1">
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" href="'.route('staff.admin.perfil.candidato',$candidato->id).'" type="button">Perfil</a></div>
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-secondary btn-block border rounded-0" type="button" href="#" data-toggle="modal" data-target="#video'.$candidato->id.'candidato">Video</a></div> 
            </div>'; 
            $html = view('staff::reclutamiento.video_candidato_modal', compact('candidato'))->render();
            return $button.$html;
        })
        ->addColumn('proceso', function($candidato) use($usuario){
 
            $otros = $candidato->otros()->count() == 0? 0:1;
            $experiencia = $candidato->experiencia()->count() == 0? 0:1;
            $referencia = $candidato->referencia()->count() == 0? 0:1;
            $estudios = $candidato->estudios()->count() == 0? 0:1;
            $habilidades = $candidato->habilidades()->count() == 0? 0:1;
            $fotografia = $candidato->fotografia?1:0;
            $cv = $candidato->cv?1:0;
            $fecha_nacimiento = $candidato->fecha_nacimiento?1:0;
            $dpi = $candidato->dpi?1:0;
            $igss = ( isset($candidato->igss) && $candidato->igss != null )?1:0;
            $direccion = $candidato->direccion?1:0;
            $pais = $candidato->pais?1:0;
            $departamento = $candidato->departamento?1:0;
            $municipio = $candidato->municipio?1:0;
            $zona = (isset($candidato->zona) || $candidato->zona != 0)?1:0;
    
            $total = $otros + $experiencia + $referencia + $estudios + $habilidades + $fotografia + $cv + $fecha_nacimiento + $dpi + $igss + $direccion + $pais + $departamento +
            $municipio + $zona;
    
            $porcentaje = intval(($total/15) * 100);

            $button = '
            <div class="progress">
                <div class="progress-bar bg-success progress-bar-striped progress-bar-animated" aria-valuenow="'.$porcentaje.'" aria-valuemin="0" aria-valuemax="100" style="width: '.$porcentaje.'%;">'.$porcentaje.'%</div>
            </div>'; 
            return $button;
        })
        ->addColumn('pretension_salarial', function($candidato) use($usuario){
            $pretension_salarial = number_format($candidato->pretension_salarial,2);
            $button = "<span>Q$pretension_salarial</span><span></span>"; 
            return $button;
        })
        ->addColumn('telefono', function($candidato) use($usuario){
            $button = "<span>$candidato->telefono_celular</span><span></span>
                       <span>$candidato->telefono_fijo</span><span></span>"; 
            return $button;
        })
        ->rawColumns(['opciones','candidato_info','pretension_salarial','proceso','telefono'])
        ->setTotalRecords($totalCandidatos)
        ->make(true);
    }

    public function showCandidatoAdmin(Request $request, Candidato $candidato)
    {
        $usuario = Auth::user();
        
        $estudios_candidato = CandidatoEstudio::where('candidato_id',$candidato->id)->first();

        $otros_candidato = CandidatoOtrosDatos::where('candidato_id',$candidato->id)->first();

        $experiencias = CandidatoExperiencia::where('candidato_id',$candidato->id)->limit(3);
        $experiencias = $experiencias->get(); 

        $referencias = CandidatoReferencia::where('candidato_id',$candidato->id)->limit(3);
        $referencias = $referencias->get();

        $entrevista = CandidatoEntrevista::where('candidato_id',$candidato->id);
        $entrevista = $entrevista->first();

        $habilidades_candidato = CandidatoHabilidades::where('candidato_id',$candidato->id)->first();

        $otros = $candidato->otros()->count() == 0? 0:1;
        $experiencia = $candidato->experiencia()->count() == 0? 0:1;
        $referencia = $candidato->referencia()->count() == 0? 0:1;
        $estudios = $candidato->estudios()->count() == 0? 0:1;
        $habilidades = $candidato->habilidades()->count() == 0? 0:1;
        $fotografia = $candidato->fotografia?1:0;
        $cv = $candidato->cv?1:0;
        $fecha_nacimiento = $candidato->fecha_nacimiento?1:0;
        $dpi = $candidato->dpi?1:0;
        $igss = ( isset($candidato->igss) && $candidato->igss != null )?1:0;
        $direccion = $candidato->direccion?1:0;
        $pais = $candidato->pais?1:0;
        $departamento = $candidato->departamento?1:0;
        $municipio = $candidato->municipio?1:0;
        $zona = (isset($candidato->zona) || $candidato->zona != 0)?1:0;

        $total = $otros + $experiencia + $referencia + $estudios + $habilidades + $fotografia + $cv + $fecha_nacimiento + $dpi + $igss + $direccion + $pais + $departamento +
        $municipio + $zona;

        $porcentaje = intval(($total/15) * 100);

        return view('staff::admin.candidatos')->with(compact('candidato','estudios_candidato','otros_candidato','experiencias','referencias', 'entrevista','habilidades_candidato','porcentaje'));
    }

    public function databaseindex()
    {
        $empleos = Empleo::All();

        return view('staff::database.index')->with(compact('empleos')); 
    }

    public function databaseTable(Request $request){ 

        //dd($request->all());
        $filtros = $request->only('id','nombre','telefono','edad_inicial','edad_final','edad_final','porcentaje_perfil','genero','estado_civil',
        'tpo_licencia','licencia','vehiculo','departamento','municipio','zona','profesion','anios_experiencia_inicio','anios_experiencia_fin',
        'area_experiencia','pretencion_salarial_inicio','pretension_salarial_fin','experiencia_laboral_empresa','experiencia_laboral_puesto',
        'experiencia_laboral_funciones','estudios','carrera_tecnica','otros_conocimientos_tecnicos','otros_conocimientos_tecnicos_especifique','empleo');

        //$buscar = $request->get('search','');
        $buscar_id = $request->get('id');
        $buscar_nombre = $request->get('nombre');
        $buscar_telefono = $request->get('telefono');
        $buscar_edad_inicial = $request->get('edad_inicial');
        $buscar_edad_final = $request->get('edad_final');
        $buscar_porcentaje_perfil = $request->get('porcentaje_perfil');
        $buscar_genero = $request->get('genero');
        $buscar_estado_civil = $request->get('estado_civil');
        $buscar_idiomas = $request->get('idiomas');
        $buscar_tipo_licencia = $request->get('tipo_licencia');
        $buscar_licencia = $request->get('licencia');
        $buscar_vehiculo = $request->get('vehiculo');
        $buscar_departamento = $request->get('departamento');
        $buscar_municipio = $request->get('municipio');
        $buscar_zona = $request->get('zona');
        $buscar_profesion = $request->get('profesion');
        $buscar_anios_experiencia_inicio = $request->get('anios_experiencia_inicio');
        $buscar_anios_experiencia_fin = $request->get('anios_experiencia_fin');
        $buscar_area_experiencia = $request->get('area_experiencia');
        $buscar_pretension_salarial_inicio = $request->get('pretension_salarial_inicio');
        $buscar_pretension_salarial_fin = $request->get('pretension_salarial_fin');
        $buscar_experiencia_laboral_empresa = $request->get('experiencia_laboral_empresa');
        $buscar_experiencia_laboral_puesto = $request->get('experiencia_laboral_puesto');
        $buscar_experiencia_laboral_funciones = $request->get('experiencia_laboral_funciones');
        $buscar_estudios = $request->get('estudios');
        $buscar_carrera_tecnica = $request->get('carrera_tecnica');
        $buscar_habilidades = $request->get('habilidades');
        $buscar_otros_conocimientos_tecnicos = $request->get('otros_conocimientos_tecnicos');
        $buscar_edad_inicial = $request->get('edad_inicial');
        $buscar_otros_conocimientos_tecnicos_especifique = $request->get('otros_conocimientos_tecnicos_especifique');
        $buscar_empleo = $request->get('empleo');

        $totalCandidatos = Candidato::get()->count();
        $candidato = Candidato::select('candidatos.*');
        
        if($buscar_empleo != ''){
            $candidato->join('empleo_candidatos','candidatos.id','=','empleo_candidatos.candidato_id')
            ->where('empleo_candidatos.empleo_id',$buscar_empleo);
        }

        if($buscar_id != ''){
            $candidato->where(function($q) use ($buscar_id) { 
                $q->where('candidatos.id','like','%'.$buscar_id.'%');
            });
        }
        if($buscar_nombre != ''){
            $candidato->where(function($q) use ($buscar_nombre) { 
                $q->where(DB::raw("CONCAT(candidatos.nombre,' ',candidatos.apellido)"),'like','%'.$buscar_nombre.'%');
            });
        }
        if($buscar_telefono != ''){
            $candidato->where(function($q) use ($buscar_telefono) { 
                $q->where('candidatos.telefono_fijo','like','%'.$buscar_telefono.'%');
                $q->orWhere('candidatos.telefono_celular','like','%'.$buscar_telefono.'%');
            });
        }
        if($buscar_edad_inicial != '' && $buscar_edad_final != ''){
            $candidato->whereBetween(DB::raw('TIMESTAMPDIFF(YEAR, candidatos.fecha_nacimiento, CURDATE())'),[$buscar_edad_inicial,$buscar_edad_final]);
        }
        if($buscar_profesion != ''){
            $candidato->where('candidatos.profesion','like','%'.$buscar_profesion.'%');
        }
        if($buscar_anios_experiencia_inicio != '' && $buscar_anios_experiencia_fin != ''){
            $candidato->whereBetween('candidatos.anios_experiencia',[$buscar_anios_experiencia_inicio,$buscar_anios_experiencia_fin]);
        }
        if($buscar_pretension_salarial_inicio != '' && $buscar_pretension_salarial_fin != ''){
            $candidato->whereBetween('candidatos.pretension_salarial',[$buscar_pretension_salarial_inicio, $buscar_pretension_salarial_fin]);
        }
        if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 100){
                $candidato->where('candidatos.fotografia','!=',null)
                ->where('candidatos.cv','!=',null)
                ->where('candidatos.fecha_nacimiento','!=',null)
                ->where('candidatos.dpi','!=',null)    
                ->where('candidatos.igss','!=',null)
                ->where('candidatos.direccion','!=',null)
                ->where('candidatos.pais','!=',null)
                ->where('candidatos.departamento','!=',null)
                ->where('candidatos.municipio','!=',null)
                ->where('candidatos.zona','!=',null)
                ->with(['estudios','otros','experiencia','referencia','habilidades'])
                ->whereHas('estudios')
                ->whereHas('otros')
                ->whereHas('experiencia')
                ->whereHas('referencia')
                ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 93){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv','!=',null)
            ->where('candidatos.fecha_nacimiento','!=',null)
            ->where('candidatos.dpi','!=',null)    
            ->where('candidatos.igss','!=',null)
            ->where('candidatos.direccion','!=',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 86){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento','!=',null)
            ->where('candidatos.dpi','!=',null)    
            ->where('candidatos.igss','!=',null)
            ->where('candidatos.direccion','!=',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 80){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi','!=',null)    
            ->where('candidatos.igss','!=',null)
            ->where('candidatos.direccion','!=',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 73){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss','!=',null)
            ->where('candidatos.direccion','!=',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 66){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion','!=',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 60){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais','!=',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 53){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento','!=',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 46){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio','!=',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 40){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona','!=',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 33){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereHas('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 26){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereDoesntHave('estudios')
            ->whereHas('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 20){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereDoesntHave('estudios')
            ->whereDoesntHave('otros')
            ->whereHas('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 13){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereDoesntHave('estudios')
            ->whereDoesntHave('otros')
            ->whereDoesntHave('experiencia')
            ->whereHas('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 6){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereDoesntHave('estudios')
            ->whereDoesntHave('otros')
            ->whereDoesntHave('experiencia')
            ->whereDoesntHave('referencia')
            ->whereHas('habilidades');
        }if($buscar_porcentaje_perfil != '' && $buscar_porcentaje_perfil == 0){
            $candidato->where('candidatos.fotografia',null)
            ->where('candidatos.cv',null)
            ->where('candidatos.fecha_nacimiento',null)
            ->where('candidatos.dpi',null)    
            ->where('candidatos.igss',null)
            ->where('candidatos.direccion',null)
            ->where('candidatos.pais',null)
            ->where('candidatos.departamento',null)
            ->where('candidatos.municipio',null)
            ->where('candidatos.zona',null)
            ->with(['estudios','otros','experiencia','referencia','habilidades'])
            ->whereDoesntHave('estudios')
            ->whereDoesntHave('otros')
            ->whereDoesntHave('experiencia')
            ->whereDoesntHave('referencia')
            ->whereDoesntHave('habilidades');
        }
        if($buscar_genero != ''){
            $candidato->where('candidatos.genero',$buscar_genero);
        }
        if($buscar_estado_civil != ''){
            $candidato->where('candidatos.estado_civil',$buscar_estado_civil);
        }
        if($buscar_idiomas != '' ){
            $candidato->join('candidato_habilidades','candidatos.id','=','candidato_habilidades.candidato_id');
            if(in_array('ingles', $buscar_idiomas)){
                $candidato->where('candidato_habilidades.ingles',375);
            }if(in_array('aleman', $buscar_idiomas)){
                $candidato->where('candidato_habilidades.aleman',375);
            }if(in_array('archivo', $buscar_idiomas)){
                $candidato->where('candidato_habilidades.archivo',375);
            }if(in_array('otro', $buscar_idiomas)){
                $candidato->where('candidato_habilidades.otro',375);
            }
        }
        if($buscar_licencia != '' && $buscar_licencia == 375){
            $candidato->where('candidatos.licencia','!=',null);
        }
        if($buscar_licencia != '' && $buscar_licencia == 376){
            $candidato->where('candidatos.licencia',null);
        }
        if($buscar_tipo_licencia != ''){
            $candidato->where('candidatos.tipo_licencia',$buscar_tipo_licencia);
        }
        if($buscar_vehiculo != '' && $buscar_vehiculo == 375){
            $candidato->join('candidato_otros_datos','candidatos.id','=','candidato_otros_datos.candidato_id')->where('candidato_otros_datos.posee_vehiculo',375);
        }
        if($buscar_vehiculo != '' && $buscar_vehiculo == 376){
            $candidato->join('candidato_otros_datos','candidatos.id','=','candidato_otros_datos.candidato_id')->where('candidato_otros_datos.posee_vehiculo',376);
        }
        if($buscar_departamento != 'Seleccione Uno'){
            $candidato->where('candidatos.departamento',$buscar_departamento);
        }
        if($buscar_municipio != 'Seleccione Uno' && $buscar_municipio != ''){
            $candidato->where('candidatos.municipio',$buscar_municipio);
        }
        if($buscar_zona != ''){
            $candidato->where('candidatos.zona',$buscar_zona);
        }
        if($buscar_area_experiencia != ''){
            $candidato->where('candidatos.area_experiencia','like','%'.$buscar_area_experiencia.'%');
        }
        if($buscar_experiencia_laboral_empresa != ''){
            $candidato->join('candidato_experiencias','candidatos.id','=','candidato_experiencias.candidato_id')->where('candidato_experiencias.empresa','like','%'.$buscar_experiencia_laboral_empresa.'%');
        }
        if($buscar_experiencia_laboral_puesto != ''){
            $candidato->join('candidato_experiencias','candidatos.id','=','candidato_experiencias.candidato_id')->where('candidato_experiencias.puesto','like','%'.$buscar_experiencia_laboral_puesto.'%');
        }
        if($buscar_experiencia_laboral_funciones != ''){
            $candidato->join('candidato_experiencias','candidatos.id','=','candidato_experiencias.candidato_id')->where('candidato_experiencias.funciones_principales','like','%'.$buscar_experiencia_laboral_funciones.'%');
        }
        if($buscar_estudios != '' ){
            $candidato->join('candidato_estudios','candidatos.id','=','candidato_estudios.candidato_id');
            if($buscar_estudios == 'universitarios'){
                $candidato->where('candidato_estudios.estudios_univeristarios',375);
            }if($buscar_estudios == 'diversificado'){
                $candidato->where('candidato_estudios.diversificado',375);
            }if($buscar_estudios == 'basicos'){
                $candidato->where('candidato_estudios.basicos',375);
            }if($buscar_estudios == 'primaria'){
                $candidato->where('candidato_estudios.primaria',375);
            }
        }
        if($buscar_carrera_tecnica != ''){
            $candidato->join('candidato_estudios','candidatos.id','=','candidato_estudios.candidato_id')->where('candidato_estudios.titulo_carrera_tecnica','like','%'.$buscar_carrera_tecnica.'%');
        }
        if($buscar_habilidades != '' ){
            $candidato->join('candidato_habilidades','candidatos.id','=','candidato_habilidades.candidato_id');
            if(in_array('mecanografia', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.mecanografia',375);
            }if(in_array('taquigrafia', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.taquigrafia',375);
            }if(in_array('archivo', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.archivo',375);
            }if(in_array('computacion', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.computacion',375);
            }if(in_array('reposteria', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.reposteria',375);
            }if(in_array('cocina', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.cocina',375);
            }if(in_array('enfermeria', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.enfermeria',375);
            }if(in_array('programacion', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.programacion',375);
            }if(in_array('internet', $buscar_habilidades)){
                $candidato->where('candidato_habilidades.internet',375);
            }
        }   
        if($buscar_otros_conocimientos_tecnicos != '' && $buscar_otros_conocimientos_tecnicos_especifique != ''){
            $candidato->join('candidato_habilidades','candidatos.id','=','candidato_habilidades.candidato_id');
            if($buscar_otros_conocimientos_tecnicos == 375){
                $candidato->where('candidato_habilidades.otros_conocimientos_tecnicos_especifique','!=',null);
            }
            if($buscar_otros_conocimientos_tecnicos == 376){
                $candidato->where('candidato_habilidades.otros_conocimientos_tecnicos_especifique',null);
            }
            if($buscar_otros_conocimientos_tecnicos_especifique != ''){
                $candidato->where('candidato_habilidades.otros_conocimientos_tecnicos_especifique','like','%'.$buscar_otros_conocimientos_tecnicos_especifique.'%');
            }
        }
        /*if($buscar['value'] != ''){
            $candidato//->join('candidato_experiencias','candidatos.id','=','candidato_experiencias.candidato_id')
                      //->join('candidato_habilidades','candidatos.id','=','candidato_habilidades.candidato_id') 
                      ->join('candidato_estudios','candidatos.id','=','candidato_estudios.candidato_id')
                      ->where(function($q) use ($buscar) { 
                            $q->where(DB::raw("CONCAT(candidatos.nombre,' ',candidatos.apellido)"),'like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.id','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.telefono_fijo','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.telefono_celular','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.edad','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.profesion','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.anios_experiencia','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidatos.pretension_salarial','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_experiencias.empresa','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_experiencias.ultimo_salario','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_experiencias.puesto','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_experiencias.funciones_principales','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_estudios.titulo_estudios_univeristarios','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_estudios.titulo_basicos','like','%'.$buscar['value'].'%');
                            $q->orWhere('candidato_estudios.titulo_carrera_tecnica','like','%'.$buscar['value'].'%');
                            //$q->orWhere('candidato_habilidades.otros_conocimientos_tecnicos_especifique','like','%'.$buscar['value'].'%');
                    });                    
        }*/
        return DataTables::eloquent($candidato)
        ->addColumn('candidato_info', function($candidato) { 
            $check_informe = $candidato->archivo_informe?'border-10':'';
            $edad = $candidato->fecha_nacimiento?$candidato->fecha_nacimiento->age.' años':'';
            $fotografia = $candidato->fotografia?asset('storage/uploads/images/'.$candidato->fotografia):asset('img/imagen-vacia.jpg');
            $button = "
            <div class='row no-gutters align-items-center'>
                <div class='col-4'><img src='".$fotografia."' class='img img-fluid $check_informe'></div>
                <div class='col-7'>
                <h5>$candidato->nombre_completo</h5> <span>$edad </span><span>No. $candidato->id</span><span> Tel. $candidato->telefono_fijo / $candidato->telefono_celular</span></div>
            </div>";
            return $button;
        })
        ->addColumn('pretension_salarial', function($candidato) {
            $pretension_salarial = number_format($candidato->pretension_salarial,2);
            $button = "<span>Q$pretension_salarial</span><span></span>"; 
            return $button;
        })
        ->addColumn('porcentaje', function($candidato) {
 
            $otros = $candidato->otros()->count() == 0? 0:1;
            $experiencia = $candidato->experiencia()->count() == 0? 0:1;
            $referencia = $candidato->referencia()->count() == 0? 0:1;
            $estudios = $candidato->estudios()->count() == 0? 0:1;
            $habilidades = $candidato->habilidades()->count() == 0? 0:1;
            $fotografia = $candidato->fotografia?1:0;
            $cv = $candidato->cv?1:0;
            $fecha_nacimiento = $candidato->fecha_nacimiento?1:0;
            $dpi = $candidato->dpi?1:0;
            $igss = ( isset($candidato->igss) && $candidato->igss != null )?1:0;
            $direccion = $candidato->direccion?1:0;
            $pais = $candidato->pais?1:0;
            $departamento = $candidato->departamento?1:0;
            $municipio = $candidato->municipio?1:0;
            $zona = (isset($candidato->zona) || $candidato->zona != 0)?1:0;
    
            $total = $otros + $experiencia + $referencia + $estudios + $habilidades + $fotografia + $cv + $fecha_nacimiento + $dpi + $igss + $direccion + $pais + $departamento +
            $municipio + $zona;
    
            $porcentaje = intval(($total/15) * 100);

            $button = '
            <div class="progress">
                <div class="progress-bar bg-success progress-bar-striped progress-bar-animated" aria-valuenow="'.$porcentaje.'" aria-valuemin="0" aria-valuemax="100" style="width: '.$porcentaje.'%;">'.$porcentaje.'%</div>
            </div>'; 
            return $button;
        })
        ->addColumn('opciones', function($candidato) use($filtros){
            $button = '
            <div class="row no-gutters py-1">
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-warning btn-block border rounded-0" href="'.route('staff.database.perfil.candidato',$candidato->id).'?'.Arr::query($filtros).'" type="button">Perfil</a></div> 
                <div class="col-12 col-lg-6 px-1"><a class="btn btn-secondary btn-block border rounded-0" type="button" href="#" data-toggle="modal" data-target="#video'.$candidato->id.'candidato">Video</a></div> 
            </div>'; 
            $html = view('staff::reclutamiento.video_candidato_modal', compact('candidato'))->render();
            return $button.$html;
        })
        ->rawColumns(['candidato_info','pretension_salarial','porcentaje','opciones'])
        ->setTotalRecords($totalCandidatos)
        ->make(true);
    }

    public function informesSolicitados(Request $request){
        $usuario = Auth::user();
        $totalEmpleoCandidato = EmpleoCandidato::get()->count();
        $empleocandidato = EmpleoCandidato::select('empleo_candidatos.*')
        ->addSelect('candidatos.fotografia as fotografia')
        ->selectRaw("concat(candidatos.nombre, ' ', candidatos.apellido) as nombre")
        ->addSelect('candidatos.edad as edad')
        ->addSelect('candidatos.id as id_candidato')
        ->addSelect('candidatos.archivo_informe as informe')
        ->addSelect('candidatos.telefono_fijo as telefono_fijo')
        ->addSelect('candidatos.telefono_celular as telefono_celular')
        ->addSelect('empleos.plaza as plaza')
        ->addSelect('empleos.sueldo as sueldo_plaza')
        ->addSelect('empleos.empresa as empresa')
        ->addSelect('servicios.sueldo1 as estado')
        ->addSelect('servicios.id as servicio_id')
        ->addSelect('servicios.fecha_asignacion_vendedor as fecha_asignacion_vendedor')
        ->addSelect(DB::raw('DATE_FORMAT(servicios.fecha_asignacion_vendedor, "%d/%m/%Y") as fecha_asignacion')) 
        ->addSelect(DB::raw('DATE_FORMAT(servicios.created_at, "%d/%m/%Y") as fecha_solicitado'))   
        ->leftjoin('candidatos','empleo_candidatos.candidato_id','=','candidatos.id')
        ->leftjoin('empleos','empleo_candidatos.empleo_id','=','empleos.id')
        ->join('servicios','empleo_candidatos.id','=','servicios.empleo_candidato_id')
        ->orderBy('id','desc');
        
        if($request->get('asignados') == 1){  
            $empleocandidato->where('servicios.reclutador_id','=',null);
        }else if($request->get('asignados') == 0 || $request->get('asignados') == 2) {
            $empleocandidato->addSelect(DB::raw('DATE_FORMAT(empleo_candidatos.fecha_generacion_informe, "%d/%m/%Y") as fecha_generacion'))->where('servicios.reclutador_id','!=',null);
        }

        if($request->get('estado_informes_reclutamiento') == 'En proceso'){ 
            $empleocandidato->where('empleo_candidatos.fecha_generacion_informe','=',null);
        }else if($request->get('estado_informes_reclutamiento') == 'Generados') {
            $empleocandidato->where('empleo_candidatos.fecha_generacion_informe','!=',null);
        }

        if($request->get('asignados') == 2){ 
            $empleocandidato->where('servicios.reclutador_id','=',$usuario->id);
        }

        if($request->get('reclutador_informes') != ''){ 
            $empleocanidato = $empleocandidato->where('servicios.reclutador_id',$request->reclutador_informes);
        }

        return DataTables::eloquent($empleocandidato)
        ->addColumn('candidato_info', function($empleocandidato){
            $button = "
            <div class='row no-gutters align-items-center'>
                <div class='col-4'><img src='".asset('storage/uploads/images/'.$empleocandidato->fotografia)."' class='img img-fluid'></div>
                <div class='col-7'>
                    <h5>$empleocandidato->nombre</h5>
                </div>
            </div>";
            return $button;
        })
        ->addColumn('sueldo_plaza', function($empleocandidato) {
            $sueldo_plaza = number_format($empleocandidato->sueldo_plaza,2);
            $button = "<span>Q$sueldo_plaza</span><span></span>"; 
            return $button;
        })
        ->addColumn('opciones', function($empleocandidato){
            $button = '<a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#asignar'.$empleocandidato->servicio_id.'reclutador">Asignar</a>';
            $serviciofacturacion =  ServicioFacturacion::where('servicio_id',$empleocandidato->servicio_id)->first();
            $usuarios = DB::table('usuarios')->join('model_has_roles','usuarios.id','=','model_has_roles.model_id')
            ->where('model_has_roles.role_id', 4)->get(); 
            if(isset($serviciofacturacion)){
                $button .= '<a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#facturacion-servicio-editar-'.$serviciofacturacion->id.'">Facturar</a>';
                $button .= view('staff::admin.facturacion_servicio_edit_modal', compact('serviciofacturacion'))->render();
            }else{
                $button .= '<a class="btn btn-warning btn-block btn-sm border rounded" href="#" type="button"  data-toggle="modal" data-target="#facturacion-servicio">Facturar</a>';
                $button .= view('staff::admin.facturacion_servicio_modal', compact('empleocandidato'))->render(); 
            }
            $button .= view('staff::admin.asignar_vendedor_informe', compact('empleocandidato','usuarios'))->render();  
                         
            return $button; 
        })
        ->addColumn('etapa', function($empleocandidato){
 
            $candidato = Candidato::whereId($empleocandidato->id_candidato)->first();
            $referencias_laborales = $candidato->experiencia()->where('nombre_puesto_referencia','!=',null)->count() == 0? 0:1;
            $referencias_personales = $candidato->referencia()->where('donde_trabaja_referencia','!=',null)->count() == 0? 0:1;
            $interpretacion_resultados = isset($empleocandidato->interpretacion_resultados)?1:0;
            $verificacion_datos = isset($empleocandidato->verificacion_datos)?1:0;
            $total = $referencias_laborales + $referencias_personales + $interpretacion_resultados + $verificacion_datos;
            $porcentaje = intval(($total/4) * 100);

            $button = '
            <div class="progress">
                <div class="progress-bar bg-success progress-bar-striped progress-bar-animated" aria-valuenow="'.$porcentaje.'" aria-valuemin="0" aria-valuemax="100" style="width: '.$porcentaje.'%;">'.$porcentaje.'%</div>
            </div>'; 
            return $button;
        })
        ->addColumn('dias', function($empleocandidato){
            $plazo = '';
            $fecha_actual = Carbon::now();
            $fecha_asignacion = New Carbon ($empleocandidato->fecha_asignacion_vendedor);
            $dias = $empleocandidato->fecha_asignacion_vendedor?$fecha_asignacion->diffInDays($fecha_actual):0;
            if($dias >= 0 && $dias <= 10){
                $plazo = '<div class="circulo active"></div>Plazo vigente<br>'.$dias.' Días';
            }else if($dias >= 11 && $dias <= 15){
                $plazo = '<div class="circulo warning"></div>Plazo intermedio<br>'.$dias.' Días';
            }else if($dias > 15){
                $plazo = '<div class="circulo danger"></div>Plazo vencido<br>'.$dias.' Días';
            }            
            $button = $plazo; 
            return $button;
        })
        ->addColumn('dias2', function($empleocandidato){
            $plazo = '';
            $fecha_actual = Carbon::now();
            $fecha_asignacion = New Carbon ($empleocandidato->fecha_asignacion_vendedor);
            $dias = $empleocandidato->fecha_asignacion_vendedor?$fecha_asignacion->diffInDays($fecha_actual):0;
            if($dias >= 0 && $dias <= 3){
                $plazo = '<div class="circulo active"></div><br> 0 a 3 días';
            }else if($dias >= 3 && $dias <= 5){
                $plazo = '<div class="circulo warning"></div><br>3 a 5 días';
            }else if($dias > 5){
                $plazo = '<div class="circulo danger"></div>5 días en adelante';
            }            
            $button = $plazo; 
            return $button;
        })
        ->addColumn('opciones2', function($empleocandidato){
            if(isset($empleocandidato->informe)){   
                $button = '<a class="btn btn-warning btn-block btn-sm border rounded" target="_blank" href="'.asset('storage/uploads/informes_candidatos/'.$empleocandidato->informe).'" type="button">Descargar</a>'; 
            }else{
                $button = ''; 
            }             
            return $button; 
        })
        ->addColumn('opciones3', function($empleocandidato){

            $candidato = Candidato::whereId($empleocandidato->candidato_id)->first();
            $button = '<div class="row no-gutters py-1">
                        <a class="btn btn-warning btn-block btn-sm border rounded" href="'.route('staff.reclutamiento.index').'#generar-informe-plus" type="button">Realizar</a>   
                        <a class="btn btn-warning btn-block btn-sm border rounded" data-toggle="modal" href="#" type="button" data-target="#subir-informe-'.$empleocandidato->candidato_id.'">Subir</a>';
            if(isset($empleocandidato->informe)){             
            $button .= '<a class="help-block form-row justify-content-center align-items-center" target="_blank" href="'.asset('storage/uploads/informes_candidatos/'.$empleocandidato->informe).'"><small>Descargar</small></a>
                      </div>';
            }else{
            $button .= '<a class="help-block form-row justify-content-center align-items-center" href="#"><small>Descargar</small></a>
                </div>';    
            }       
            $button .= view('staff::reclutamiento.subir_informe_modal',['candidato' => $candidato])->render();
            return $button; 
        })
        ->addColumn('estado', function($empleocandidato){
            $empresa = Empresa::where('nombre',$empleocandidato->empresa)->first();
            if($empresa && $empresa->informe == 1){   
                $button = number_format(getDropdownValue('578'),2);  
            }else{
                $button = number_format(getDropdownValue('576'),2);
            }             
            return $button; 
        })
        ->rawColumns(['candidato_info','sueldo_plaza','opciones','etapa','dias','opciones2','opciones3','dias2','estado'])
        ->setTotalRecords($totalEmpleoCandidato)
        ->make(true);
    }

    public function facturacionInformes(FacturacionStoreRequest $request){

        //dd($request->all());
        $extension = $request->imagen_boleta->extension();
        $filename = sha1(time().time()).".$extension";
        $request->imagen_boleta->move(public_path('storage/uploads/images'),$filename);
        $imagen = ['imagen_boleta' => $filename];
        
        $serviciofacturacion = ServicioFacturacion::create($request->except('_method','_token','imagen_boleta')+$imagen); 

        return redirect()->back()->with('alert_success', 'Se ha guardado la información correctamente.');
    }

    public function facturacionInformesUpdate(FacturacionUpdateRequest $request, ServicioFacturacion $serviciofacturacion){

        if(isset($request->imagen_boleta)){
            $filename = '';
            $extension = $request->imagen_boleta->extension();
            $filename = sha1(time().time()).".$extension";
            $request->imagen_boleta->move(public_path('storage/uploads/images'),$filename); 

            $serviciofacturacion->update($request->except('_token','_method','imagen_boleta')+['imagen_boleta' =>$filename]);
        }else{
            $serviciofacturacion->update($request->except('_token','_method'));
        }
        return redirect()->route('staff.admin.index','#informes-solicitados')->with('alert_success','Se ha actualizado la información correctamente.');
        //return redirect()->back()->with('alert_success', 'Se ha actualizado la información correctamente.');
    }

    public function storeTerna(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'fecha_terna'         => 'required',
            'candidatos'          => 'required',
            'empleo_id'           => 'required'
        ]);

        if ($validator->fails()) {
            return redirect()->back()->with('alert_error', $validator->messages()->first())->withInput();
        }

        $candidatos = implode(',',$request->candidatos);

        TernaCandidatos::create($request->except('_token','candidatos')+['candidatos' => $candidatos]); 
        
        return redirect()->back()->with('alert_success', 'Datos almacenados correctamente.'); 
    }

    public function updateTerna(Request $request, TernaCandidatos $terna_candidatos)
    {
        $validator = Validator::make($request->all(), [
            'fecha_terna'         => 'required',
            'candidatos'          => 'required',
            'empleo_id'           => 'required'
        ]);

        if ($validator->fails()) {
            return redirect()->back()->with('alert_error', $validator->messages()->first())->withInput();
        }

        if($request->candidatos){

            $data = $request->except('_method','_token','id','candidatos');

            $candidatos = implode(',',$request->candidatos);
    
            $data += ['candidatos' => $candidatos];

        }else{

            $data = $request->except('_method','_token','id');

        }

        $terna_candidatos->update($data);

        return redirect()->back()->with('alert_success', 'Datos actualizados correctamente.'); 
    }
}