@extends('layouts.public')

@section('title','Empleos')

@section('headlinks')
<link rel="stylesheet" href="{{asset('plugins/select2/css/select2.min.css')}}">
<link rel="stylesheet" href="{{asset('plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')}}">
@endsection

@section('content')

@php
$edit = isset($usuario);
$rol = null;
if($edit){
    foreach ($roles2->get() as $value) {
        if(in_array($value->name, $usuario->getRoleNames()->toArray())){
            $rol = $value->id;
            break;
        }
    }
}
$permiso = [];
if($edit){
    foreach ($permisos->get() as $value) {
        if(in_array($value->name, $usuario->getPermissionNames()->toArray())){
            $permiso[] = $value->id;
        }
    }
}
@endphp


<style>
    .cuadrado-2 {
        width: 200px; 
        height: 120px;
        border-radius: 3px;
        margin: 3px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .cuadrado-2.default{
        border: 3px solid #555;
    }
    .cuadrado-2.active{
        border: 3px solid #65f629;
    }
    .cuadrado-2.danger{
        border: 3px solid #f62929;
    }

    table#tablaVacantesPublicadas *{
        font-size: 10px!important;
    }

    .circulo {
        width: 15px;
        height: 15px;
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .circulo.active{
        border: 3px solid #5cb85c;
        background: #5cb85c;
    }

    .circulo.danger{
        border: 3px solid #f62929;
        background: #f62929;
    }

    .circulo.warning{
        border: 3px solid #fad201;
        background: #fad201;
    }
</style>

<main id="page-staff">
        <section id="titulo-page">
            <div class="container">
            <div class="row no-gutters py-4 px-4">
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#indicadores-generales" type="button">1. Indicadores Generales</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#indicadores-reclutamiento" type="button">2. Indicadores Reclutamientos</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#indicadores-ventas" type="button">3. Indicadores Ventas</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#revision-vacante" type="button">4. Revision de Vacante</a>
                    </div>
                </div>
                <div class="row no-gutters py-4 px-4">
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#vacantes-publicadas" type="button">5. Vacantes Publicadas</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#crear-usuario-nuevo" type="button">6. Crear Usuario Nuevo</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#cotizaciones-enviadas" type="button">7. Cotizaciones Enviadas</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#blog" type="button">8. Miscorp News</a>
                    </div>
                </div>
                <div class="row no-gutters py-4 px-4">
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#informes-solicitados" type="button">9. Informes Plus Solicitados</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#informes-asignados" type="button">10. Informes Plus asignados</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#candidatos" type="button">11. Total Candidatos</a>
                    </div>
                    <div class="col-12 col-lg-3 px-1">
                        <a class="btn btn-primary btn-block border rounded" href="#empresas_list" type="button">12. Total Empresas</a>
                    </div>
                </div>
            </div>
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-center">
                        <h3>STAFF/<strong>Administrador</strong></h3>
                    </div>
                </div>
            </div>
        </section>
        <section id="indicadores-generales" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>1.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                    <h3><strong>Indicadores&nbsp;</strong>Generales</h3>
                    </div>
                </div>
                <form action="" method="get">
                    <div class="table-responsive">
                        <table class="table" style="text-align:center;">
                            <tbody>
                                <tr>
                                    <td>Fecha Inicio:</td>
                                    <td><input type="date"  class="form-control"  id="fecha_inicio" name="fecha_inicio"></td>
                                    <td>Fecha Final:</td>
                                    <td><input type="date"  class="form-control"  id="fecha_fin" name="fecha_fin"></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </form>
                <div class="form-row justify-content-center align-items-center">
                    <div class="cuadrado-2 danger col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las cotizaciones(servicios) que tengan el servicio llamado "Prefiltrado/Solicitud Informe Plus" y que NO tenga
                                 reclutador asignado ('servicios.fecha_asignacion_vendedor','!=',null)
                                 La fecha se filtra por el campo de fecha de creacion (servicios.created_at) -->
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_solicitados_generales">{{$informes_plus_solicitados}}</h2> 
                            <p class="form-row justify-content-center align-items-center">Informes plus solicitados</p>
                            <form id="frmDescargar11" action="{{route('staff.admin.InformesSolicitados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio11">
                                <input type="hidden" name="fecha_fin" id="fecha_fin11">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar11()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 active col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las cotizaciones(servicios) que tengan el servicio llamado "Prefiltrado/Solicitud Informe Plus" y que SI tenga
                                 fecha de generacion de informe (hace un left join a la tabla de empleo_candidatos para poder hacer la validacion que que si tenga fecha de generacion
                                 de informe)(empleo_candidatos.fecha_generacion_informe','!=',null)
                                 La fecha se filtra por el campo de fecha de generacion de informe (empleo_candidatos.fecha_generacion_informe) -->
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_generados_generales">{{$informes_plus_generados}}</h2>
                            <p class="form-row justify-content-center align-items-center">Informes plus terminados</p>
                            <form id="frmDescargar12" action="{{route('staff.admin.InformesTerminados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio12">
                                <input type="hidden" name="fecha_fin" id="fecha_fin12">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar12()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todos los empleos activos ('empleos.activo',1) y que TENGAN usuario(reclutador) asignado ('empleos.usuario_id','!=',null)
                                 La fecha se filtra por el campo de fecha de creacion (empleos.created_at) -->
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_asignadas_generales">{{$vacantes_asignadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes asignadas</p>
                            <form id="frmDescargar13" action="{{route('staff.admin.vacantesAsignadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio13">
                                <input type="hidden" name="fecha_fin" id="fecha_fin13">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar13()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todos los empleos que esten desactivados ('empleos.activo',0) y que NO tenga usuario(reclutador) asignado ('empleos.usuario_id',null)
                                 La fecha se filtra por el campo de fecha de creacion ('empleos.created_at') 
                                 Es diferente al indicador de Vacantes en Proceso en la seccion de Indicadores Reclutamiento --> 
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_revision_generales">{{$vacantes_revision}}</h2> 
                            <a class="form-row justify-content-center align-items-center">Vacantes en revision</p>
                            <form id="frmDescargar14" action="{{route('staff.admin.vacantesRevision')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio14">
                                <input type="hidden" name="fecha_fin" id="fecha_fin14">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar14()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todos los empleos activos ('empleos.activo',1) y NO importando si tiene o no tienen usuarios(reclutador) asignado.
                                 La fecha se filtra por el campo de fecha de creacion (empleos.created_at) -->
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_publicadas_generales">{{$vacantes_publicadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes publicadas</p>
                            <form id="frmDescargar15" action="{{route('staff.admin.vacantesPublicadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio15">
                                <input type="hidden" name="fecha_fin" id="fecha_fin15">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar15()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                </div>
                <div class="form-row justify-content-center align-items-center">
                    <div class="cuadrado-2 danger col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones_generales">{{$cotizaciones->count()}}</h2>
                            <p class="form-row justify-content-center align-items-center">Cotizaciones enviadas</p>
                            <form id="frmDescargar16" action="{{route('staff.admin.CotizacionesEnviadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio16">
                                <input type="hidden" name="fecha_fin" id="fecha_fin16">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar16()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 active col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones_aprobadas_generales">{{$cotizaciones_aprobadas}}</h2>
                            <p class="form-row justify-content-center align-items-center">Cotizaciones aprobadas</p>
                            <form id="frmDescargar17" action="{{route('staff.admin.CotizacionesAprobadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio17">
                                <input type="hidden" name="fecha_fin" id="fecha_fin17">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar17()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones_rechazadas_generales">{{$cotizaciones_rechazadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Cotizaciones rechazadas</p>
                            <form id="frmDescargar18" action="{{route('staff.admin.CotizacionesRechazadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio18">
                                <input type="hidden" name="fecha_fin" id="fecha_fin18">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar18()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="contrataciones_generales_ventas">{{$contrataciones_ventas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Cant. de personas contratadas</p>
                            <form id="frmDescargar19" action="{{route('staff.admin.Contrataciones_ventas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio19">
                                <input type="hidden" name="fecha_fin" id="fecha_fin19">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar19()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h3 class="form-row justify-content-center align-items-center" id="monto_facturado_general">Q {{ number_format($monto_facturado,2) }}</h3>
                            <a class="form-row justify-content-center align-items-center">Monto facturado</p>
                            <form id="frmDescargar20" action="{{route('staff.admin.montoFacturado')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio20">
                                <input type="hidden" name="fecha_fin" id="fecha_fin20">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar20()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="indicadores-reclutamiento" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>2.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                    <h3><strong>Indicadores&nbsp;</strong>Reclutamiento</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Reclutador</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-50" id="reclutadores"> 
                                    <option value="" selected="selected">Todos</option>
                                    @foreach ($reclutadores as $reclutador)
                                    <option value="{{$reclutador->id}}">{{$reclutador->nombre}}</option> 
                                    @endforeach
                                </select>  
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-row justify-content-center align-items-center">
                    <div class="cuadrado-2 danger col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las cotizaciones(servicios) que tengan el servicio llamado "Prefiltrado/Solicitud Informe Plus" y que SI TENGAN
                                 reclutador asignado ('servicios.fecha_asignacion_vendedor','!=',null)
                                 Cuando EXISTE fecha inicial o fecha final y NO se filtra por reclutador, la fecha se filtra por fecha de creacion (servicios.created_at)
                                 y cuando EXISTE fecha inicial o fecha final y TAMBIEN se filtra por reclutador, la fecha se filtra por fecha de asignacion de vendedor (servicios.fecha_asignacion_vendedor)
                                 El usuario se filtra por reclutador (servicios.reclutador_id) -->
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_solicitados">{{$informes_plus_solicitados_reclutamiento}}</h2>
                            <p class="form-row justify-content-center align-items-center">Informes plus solicitados</p>
                            <form id="frmDescargar21" action="{{route('staff.admin.InformesSolicitados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio21">
                                <input type="hidden" name="fecha_fin" id="fecha_fin21">
                                <input type="hidden" name="reclutador_id">
                                <input type="hidden" name="reclutamiento" value="1">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar21()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 active col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las cotizaciones(servicios) que tengan el servicio llamado "Prefiltrado/Solicitud Informe Plus" y que SI tenga
                                 fecha de generacion de informe (hace un left join a la tabla de empleo_candidatos para poder hacer la validacion que que si tenga fecha de generacion
                                 de informe)(empleo_candidatos.fecha_generacion_informe','!=',null)
                                 La fecha se filtra por el campo de fecha de generacion de informe (empleo_candidatos.fecha_generacion_informe)
                                 El usuario se filtra por reclutador (servicios.reclutador_id) -->
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_generados">{{$informes_plus_generados}}</h2>
                            <p class="form-row justify-content-center align-items-center">Informes plus terminados</p>
                            <form id="frmDescargar22" action="{{route('staff.admin.InformesTerminados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio22">
                                <input type="hidden" name="fecha_fin" id="fecha_fin22">
                                <input type="hidden" name="reclutador_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar22()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_asignadas">{{$vacantes_asignadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes asignadas</p>
                            <form id="frmDescargar23" action="{{route('staff.admin.vacantesAsignadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio23">
                                <input type="hidden" name="fecha_fin" id="fecha_fin23">
                                <input type="hidden" name="reclutador_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar23()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las empleos ACTIVOS (empleo.activo = 1) y que TENGAN terna enviada (se hace un join a la tabla de terna enviada
                                  para sacar ese dato)
                                 Este indicador NO ES EL MISMO DE VACANTES EN REVISION en los indicadores generales.
                                 La fecha se filtra por el campo de fecha terna (terna_candidatos.fecha_terna)
                                 El usuario se filtra por reclutador (empleos.reclutador_id) -->
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_proceso">{{$vacantes_proceso}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes en proceso</p>
                            <form id="frmDescargar24" action="{{route('staff.admin.vacantesProceso')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio24">
                                <input type="hidden" name="fecha_fin" id="fecha_fin24">
                                <input type="hidden" name="reclutador_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar24()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="contrataciones_reclutamiento">{{$contrataciones_reclutamiento}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes contratadas</p>
                            <form id="frmDescargar25" action="{{route('staff.admin.Contrataciones')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio25">
                                <input type="hidden" name="fecha_fin" id="fecha_fin25">
                                <input type="hidden" name="reclutador_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar25()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="indicadores-ventas" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>3.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                    <h3><strong>Indicadores&nbsp;</strong>Ventas</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Vendedor</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-50" id="vendedores"> 
                                    <option value="" selected="selected">Todos</option>
                                    @foreach ($vendedores as $vendedor)
                                    <option value="{{$vendedor->id}}">{{$vendedor->nombre}}</option> 
                                    @endforeach
                                </select>  
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-row justify-content-center align-items-center">
                    <div class="cuadrado-2 danger col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones">{{$cotizaciones->count()}}</h2>
                            <p class="form-row justify-content-center align-items-center">Cotizaciones enviadas</p>
                            <form id="frmDescargar26" action="{{route('staff.admin.CotizacionesEnviadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio26">
                                <input type="hidden" name="fecha_fin" id="fecha_fin26">
                                <input type="hidden" name="vendedor_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar26()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 active col-12 col-lg-2">
                        <div>
                            <!-- Este indicador muestra todas las cotizaciones(servicios) con estado 444(APROBADAS) y que la fecha garantia(servicios.fecha_garantia) NO SEA null
                                 La fecha se filtra por el campo de fecha de garantia (servicios.fecha_garantia)
                                 El usuario se filtra por vendedor (servicios.usuario_id) -->
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones_aprobadas">{{$cotizaciones_aprobadas}}</h2>
                            <p class="form-row justify-content-center align-items-center">Cotizaciones aprobadas</p>
                            <form id="frmDescargar27" action="{{route('staff.admin.CotizacionesAprobadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio27">
                                <input type="hidden" name="fecha_fin" id="fecha_fin27">
                                <input type="hidden" name="vendedor_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar27()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="cotizaciones_rechazadas">{{$cotizaciones_rechazadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Cotizaciones rechazadas</p>
                            <form id="frmDescargar28" action="{{route('staff.admin.CotizacionesRechazadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio28">
                                <input type="hidden" name="fecha_fin" id="fecha_fin28">
                                <input type="hidden" name="vendedor_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar28()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="contrataciones_ventas">{{$contrataciones_ventas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Cant. de personas contratadas</p>
                            <form id="frmDescargar29" action="{{route('staff.admin.Contrataciones_ventas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio29">
                                <input type="hidden" name="fecha_fin" id="fecha_fin29">
                                <input type="hidden" name="vendedor_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar29()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <h3 class="form-row justify-content-center align-items-center" id="monto_facturado">Q {{number_format($monto_facturado,2)}}</h3>
                            <a class="form-row justify-content-center align-items-center">Monto facturado</p>
                            <form id="frmDescargar30" action="{{route('staff.admin.montoFacturado')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio30">
                                <input type="hidden" name="fecha_fin" id="fecha_fin30">
                                <input type="hidden" name="vendedor_id">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar30()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>        
        
        <section id="revision-vacante" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>4.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                        <h3><strong>Revisión&nbsp;</strong>de Vacante</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right"><a href="{{route('private.empresas.empleos.create')}}" class="btn btn-primary border rounded" role="button"><i class="fas fa-plus"></i>&nbsp; Publicar vacante nueva</a></div> 
                </div>
                <div class="row table-procesos">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaVacantes' class="table staff-admin" style="width:100%">
                                <thead>
                                    <tr>
                                        <th style="width:15px">     </th>
                                        <th style="width:15px">Plaza</th>
                                        <th style="width:15px">Fecha que se publicó</th>
                                        <th style="width:15px">Salario</th>
                                        <th style="width:15px">Descripción</th>
                                        <th style="width:15px">Opciones</th>
                                        {{-- <th style="width:15px">No.</th>
                                        <th style="width:15px">Empresa</th> --}}       
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="vacantes-publicadas" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>5.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-4 text-left">
                        <h3><strong>Vacantes&nbsp;</strong>Publicadas</h3>
                    </div>
                    <div class="col-12 col-lg-4 text-center text-lg-center">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Plaza</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="estado_vacantes">
                                    <option value="" selected="selected">Todos</option>
                                    <option value="Vacantes asignadas internas">Vacantes asignadas internas</option> 
                                    <option value="Vacantes de empresas">Vacantes de empresas</option> 
                                </select>  
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-lg-4 text-center text-lg-right">
                        <a href="{{route('private.empresas.empleos.create')}}" class="btn btn-primary border rounded" role="button"><i class="fas fa-plus"></i>&nbsp; Publicar vacante nueva</a>
                    </div> 
                </div>
                <div class="row table-procesos">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaVacantesPublicadas'>
                                <thead>
                                    <tr>
                                        <th>Reclutador</th>
                                        <th>No.</th>
                                        <th>Fecha asignada</th>
                                        <th>Empresa</th>
                                        <th>Plaza</th>
                                        <th>Fecha que se publilcó</th>
                                        <th>Salario</th>
                                        {{-- <th>Descripción</th> --}}
                                        <th>Candidatos</th>
                                        <th data-toggle="tooltip" data-placement="bottom" title="Puede buscar en está columna con las palabras: Plazo vigente, Plazo intermedio y Plazo vencido.">Terna enviada</th>
                                        <th>Entrevista</th>
                                        <th>Fecha contratado</th>
                                        <th>Opciones</th>
                                        <th>Cuenta regresiva</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="crear-usuario-nuevo" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>6.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h3><strong>Crear&nbsp;</strong>Usuario Nuevo</h3>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                        {!! Form::open(['route' => 'staff.usuarios.create', 'method'=>'POST','role' => 'form',  'enctype'=>'multipart/form-data']) !!}
                            <div class="form-row">
                                <div class="col-12 col-sm-5"> 
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Primer nombre&nbsp;</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? 'is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]) !!}
                                        @if ($errors->has('nombre'))
                                        <span class="has-error">{{ $errors->first('nombre') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Primer Apellido&nbsp;</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::text('apellido', null, ['class' => 'form-control'.($errors->has('apellido') ? 'is-invalid' : ''), 'placeholder' => 'Apellido', 'required' => true ]) !!}
                                        @if ($errors->has('apellido'))
                                        <span class="has-error">{{ $errors->first('apellido') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Email</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::text('email', null, ['class' => 'form-control'.($errors->has('email') ? 'is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]) !!}
                                        @if ($errors->has('email'))
                                        <span class="has-error">{{ $errors->first('email') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">Fecha de inicio de labores</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::date('fecha_inicio_labores', null, ['class' => 'form-control'.($errors->has('fecha_inicio_labores') ? 'is-invalid' : ''), 'required' => true ]) !!}
                                        @if ($errors->has('inicio_labores'))
                                        <span class="has-error">{{ $errors->first('inicio_labores') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">Jefe inmediato</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::text('jefe_inmediato', null, ['class' => 'form-control'.($errors->has('jefe_inmediato') ? 'is-invalid' : ''), 'placeholder' => 'Jefe Inmediato', 'required' => true ]) !!}
                                        @if ($errors->has('jefe_inmediato'))
                                        <span class="has-error">{{ $errors->first('jefe_inmediato') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">DPI</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::text('dpi', null, ['class' => 'form-control'.($errors->has('dpi') ? 'is-invalid' : ''), 'placeholder' => 'DPI', 'required' => true ]) !!}
                                        @if ($errors->has('dpi'))
                                        <span class="has-error">{{ $errors->first('dpi') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-sm-6 pl-5">
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Staff&nbsp;</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::select('rol', $roles2->pluck('name','id')->toArray(), ($edit) ? $rol : null, ['class' => 'form-control select2 '.($errors->has('rol') ? ' is-invalid' : ''),'placeholder' => '']) !!}
                                        @if ($errors->has('rol'))
                                        <span class="has-error">{{ $errors->first('rol') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Confirmar contraseña</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::password('password', ['class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''), 'placeholder' => 'Contraseña', 'required' => true ]) !!}
                                        <span class="text-muted small">Entre 8 y 32 caratceres</span>
                                        @if ($errors->has('password'))
                                        <span class="has-error">{{ $errors->first('password') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group d-xl-flex justify-content-xl-center align-items-xl-center row">
                                        <label class="col-sm-4 col-form-label col-form-label-sm">*Confirmar contraseña</label>
                                        <div class="col-sm-8 px-0">
                                        {!! Form::password('password_confirmation', ['class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''), 'placeholder' => 'Confirmar contraseña', 'required' => true ]) !!}
                                        <span class="text-muted small">Entre 8 y 32 caratceres</span>
                                        @if ($errors->has('password_confirmation'))
                                        <span class="has-error">{{ $errors->first('password_confirmation') }}</span>
                                        @endif
                                        </div>
                                    </div>
                                    <div class="form-group text-right d-xl-flex justify-content-end align-items-xl-center row">
                                        <div class="form-row justify-content-between align-items-end w-100">
                                            <div class="col-6 upload-img-usuario">
                                                    <img class="img-fluid" id='fotografia_staff_nueva' src="{{asset('img/imagen-vacia.jpg')}}">
                                                    <div class="custom-file">
                                                        <label class="custom-file-label" for="fotografia_staff">Añadir foto de colaborador
                                                            {!! Form::file('fotografia', ['class' => ''.($errors->has('fotografia') ? ' is-invalid' : ''), 'required' => false, 'id' => 'fotografia_staff', 'hidden' ]) !!}
                                                            @if ($errors->has('fotografia'))
                                                            <span class="has-error">{{ $errors->first('fotografia') }}</span>
                                                            @endif
                                                            </strong>
                                                        </label>
                                                    </div>
                                            </div>
                                            <div class="col-5">
                                                <button type="submit" class="btn btn-primary btn-block btn-sm border rounded">Crear Usuario</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </section>
        <section id="cotizaciones-enviadas" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>7.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias">
                    <div class="col-12 col-lg-6 text-center text-lg-left">
                        <h3><strong>Cotizaciones&nbsp;</strong>Enviadas</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Cotizaciones</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="estado_cotizaciones">
                                    <option value="" selected="selected">Todos</option>
                                    <option value="Cotizaciones solicitadas">Cotizaciones solicitadas</option> 
                                    <option value="Cotizaciones asignadas">Cotizaciones asignadas</option> 
                                </select>  
                            </div>
                        </div>
                    </div>
                    <!--<div class="col-12 col-lg-6 text-center text-lg-right">
                        <form class="form-inline">
                            <div class="form-row w-100">
                                 <div class="col-2 form-group"><label class="col-form-label">Status</label></div> 
                                {!! Form::select('Estado', getDropdown('Estado'), null, ['class' => 'form-control'.($errors->has('Estado') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => '1']) !!}
                            </div>
                        </form> 
                    </div> -->
                </div>
                <div class="row table-cotizaciones">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaCotizaciones' class="table"> 
                                <thead>
                                    <tr>
                                        <th>   </th>
                                        <th>Vendedor</th>
                                        <th>No.</th>
                                        <th>Fecha</th>
                                        <th>Status</th>
                                        <th>Empresa</th>
                                        <th>Servicio</th>
                                        <th>No. de Plazas</th>
                                        <th>Monto cotizado</th>
                                        <th>Cotización autorizada</th>
                                        <th></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="blog">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>8.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                        <h3>Miscorp <strong>News&nbsp;</strong></h3> 
                    </div>
                </div>

                <div class="row justify-content-center">
                        <div class="col-12 col-md-3 image">
                        <img class="img-fluid" id='imagen_nueva' src="{{asset('img/imagen-vacia.jpg')}}">
                        <p class="help-block" style="text-align:center"><small>La imagen debe ser tipo .jpg .jpeg .png .svg </small></p>
                        {!! Form::open(['route' => 'staff.blog.create', 'method'=>'POST','role' => 'form', 'enctype' => 'multipart/form-data']) !!}     
                                <label><strong>Subir imagen   
                                {!! Form::file('fotografia', ['class' => ''.($errors->has('fotografia') ? ' is-invalid' : ''), 'required' => false, 'id' => 'imagen', 'hidden' ]) !!}
                                @if ($errors->has('fotografia'))
                                <span class="has-error">{{ $errors->first('fotografia') }}</span>
                                @endif
                                </strong>
                                </label>
                        </div>
                    <div class="col-12 col-md-6">
                        {{-- <form action=""> --}}
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Título del Artículo</label>
                                <div class="col-sm-8">
                                    {{-- <input type="text" class="form-control"> --}}
                                    {!! Form::text('titulo', null, ['class' => 'form-control'.($errors->has('titulo') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                    @if ($errors->has('titulo'))
                                    <span class="has-error">{{ $errors->first('titulo') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Fecha de publicación</label>
                                <div class="col-sm-8">
                                    {{-- <input type="text" class="form-control"> --}}
                                    {!! Form::date('fecha_post', null, ['class' => 'form-control'.($errors->has('fecha_post') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Contenido textual</label>
                                <div class="col-sm-8">
                                    {{-- <textarea name="" id="" rows="7" class="form-control"></textarea> --}}
                                    {!! Form::textarea('contenido', null, ['row' => '7', 'class' => 'form-control'.($errors->has('contenido') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true ]) !!}
                                    @if ($errors->has('contenido'))
                                    <span class="has-error">{{ $errors->first('contenido') }}</span>
                                    @endif
                                </div>
                            </div>
                            <div class="form-group row justify-content-end">
                                <div class="col-6 col-sm-3">
                                    <button class="btn btn-warning btn-block" type="submit">
                                        Publicar
                                    </button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                        {{-- </form> --}}
                    </div>
                </div>
            </div>
        </section>

        <section id="informes-solicitados" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>9.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                        <h3><strong>Informes Plus&nbsp;</strong>Solicitados</h3>
                    </div>
                </div>
                <div class="row table-procesos">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaInformesSolicitados'>
                                <thead>
                                    <tr>
                                        <th>Fecha solicitado</th>
                                        <th>No. candidato</th>
                                        <th>Nombre y apellido</th>
                                        <th>Plaza</th>
                                        <th>Salario</th>
                                        <th>Empresa que lo solicitó</th>
                                        <th>Estado</th>
                                        <th>Opciones</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="informes-asignados" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>10.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                        <h3><strong>Informes Plus&nbsp;</strong>Asignados</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Reclutador</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="reclutador_informes">
                                        <option value="" selected="selected">Todos</option>
                                    @foreach ($reclutadores as $item) 
                                        <option value="{{$item->id}}">{{$item->nombre_completo}}</option>
                                    @endforeach 
                                </select>  
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row table-procesos">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaInformesAsignados'>
                                <thead>
                                    <tr>
                                        <th>Fecha solicitado</th>
                                        <th>No. candidato</th>
                                        <th>Nombre y apellido</th>
                                        <th>Plaza</th>
                                        <th>Salario</th>
                                        <th>Empresa que lo solicitó</th>
                                        <th>Etapa</th>
                                        <th>Días</th>
                                        <th>Estado</th>
                                        <th>Fecha generado</th>
                                        <th>Fecha asignado</th>
                                        <th>Opciones</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="candidatos" class="pb-5  admin">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>11.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias">
                    <div class="col-12 col-lg-6 text-center text-lg-left">
                        <h3><strong>Total&nbsp;</strong>Candidatos</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <!-- <form class="form-inline">
                            <div class="form-row w-100">
                                 <div class="col-2 form-group"><label class="col-form-label">Status</label></div> 
                                {!! Form::select('Estado', getDropdown('Estado'), null, ['class' => 'form-control'.($errors->has('Estado') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => '1']) !!}
                            </div>
                        </form> -->
                    </div>
                </div>
                <div class="row table-cotizaciones">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaAdminCandidatos' class="table"> 
                                <thead>
                                    <tr>
                                        <th>Candidato</th>
                                        <th>Profesión</th>
                                        <th>Años Experiencia</th>
                                        <th>Pretensión</th>
                                        <th>Teléfono</th>
                                        <th class="no-sort" style="width: 20%">% perfil</th>
                                        <th class="no-sort" style="width: 15%"></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="empresas_list" class="pb-5  admin">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-left">
                        <h2>12.</h2>
                    </div>
                </div>
                <div class="row mensaje-gracias">
                    <div class="col-12 col-lg-6 text-center text-lg-left">
                    <h3><strong>Total&nbsp;</strong>Empresas</h3>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <!-- <form class="form-inline">
                            <div class="form-row w-100">
                                 <div class="col-2 form-group"><label class="col-form-label">Status</label></div> 
                                {!! Form::select('Estado', getDropdown('Estado'), null, ['class' => 'form-control'.($errors->has('Estado') ? 'is-invalid' : ''), 'placeholder' => '', 'id' => '1']) !!}
                            </div>
                        </form> -->
                    </div>
                </div>
                <div class="row table-cotizaciones">
                    <div class="col-12 col-lg-12">
                        <div class="table-responsive">
                            <table id='tablaEmpresas' class="table"> 
                                <thead>
                                    <tr>
                                    <th>Id</th>
                                    <th>Nombre</th>
                                    <th>Email</th>
                                    <th>Activo / Servicio</th>
                                    <th>Fechas servicio</th>
                                    <th>Fecha de registro</th>
                                    <th>Último Inicio de Sesión</th>
                                    <th class="no-sort" style="width: 10%"></th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<!-- Select2 -->
<script src="{{asset('plugins/select2/js/select2.full.js')}}"></script>
<!-- DataTables -->
<script type="text/javascript" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.0/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.0/js/buttons.html5.min.js"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    var table1;
    var table2;
    var table3;
    var table4;
    var table5;
    var table6;
    var table7;

    /*var contador = 0;

    function ternaCandidato(empleo_id) {
        $('#form-terna').attr('action', '{{route('staff.admin.index')}}');
        $('#terna-enviada').modal(); 
    }

    $(document).ready(function() {
        $("#agregar_candidato").click(function(){
            contador++;
            //var candidatos_id = {!! json_encode($reclutadores) !!};

            $('#form_imputs').before('<div class="form-group row pb-3" id="form_terna_candidato_'+contador+'"><label for="no_candidato_terna[]_'+ contador +
            '" class="col-auto col-form-label">Candidato '+ contador +'</label><div class="col"> <select id="candidato_id_'+ contador +
            '" name="no_candidato_terna[]" class="form-control" required="true"> </select></div><div class="col"><select id="nombre_candidato_'+ contador +
            '" name="nombre_candidato_terna[]" class="form-control" required="true"></select></div><div class="col-1"><a id="delete_candidato" class="delete_candidato btn btn-danger btn-sm rounded btn-block"><i class="fas fa-minus"></i></a></div></div>');
        });

        $(document).on('click', '.delete_candidato', function(){
            $('#form_terna_candidato_'+contador).remove();
            contador --;
        });
    });*/

    function parseDecimal(numberVal){
        var numberVal = parseInt(numberVal);
        return numberVal.toFixed(2).toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");   
    }

    function openModal(modal_id) {
        $(modal_id).modal();
    }
    
    $(function () {
        table1 = $('#tablaVacantes').DataTable({
            dom: "<'text-left'B><'text-right'f><'bottom'>tpr",
            //dom: 'rfBtp',
            buttons: [{
                extend: 'excelHtml5',
                title: 'Vacantes {{date("Y-m-d H:i:s")}}',
                text: 'Exportar Resultados de Busqueda',
                className: 'btn btn-primary border rounded',
                exportOptions: {
                    columns: 'th:not(:last-child)'
                }
            },{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.reclutamiento.list") }}' 
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [0,4,5],
                "orderable": false,
            }],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'botones',name: 'botones'},
                {data: 'plaza',name: 'plaza'},
                {data: 'fecha_creacion',name: 'fecha_creacion'},
                {data: 'sueldo',name: 'sueldo'},
                {data: 'descripcion', name: 'descripcion'}, 
                {data: 'opciones', name: 'opciones'} 
                //{data: 'id',name: 'id'},
                //{data: 'empresa',name: 'empresa'},
            ]
        });
    });

    $(function () {
        table2 = $('#tablaVacantesPublicadas').DataTable({

            initComplete: function () {
                this.api().columns([0]).every( function () {
                    var column = this;
                    var select = $('<select><option>Reclutador</option></select>')
                        .appendTo( $(column.header()).empty() )
                        .on( 'change', function () {
                            var val = $.fn.dataTable.util.escapeRegex(
                                $(this).val()
                            );
    
                            column
                                .search( val ? '^'+val+'$' : '', true, false )
                                .draw();
                        } );
    
                    column.data().unique().sort().each( function ( d, j ) {
                        select.append( '<option value="'+d+'">'+d+'</option>' )
                    } );
                } );

                /*this.api().columns([9]).every( function () {
                    var column = this;
                    var select = $('<select><option>Terna enviada</option></select>')
                        .appendTo( $(column.header()).empty() )
                        .on( 'change', function () {
                            var val = $.fn.dataTable.util.escapeRegex(
                                $(this).val()
                            );
    
                            column
                                .search( val ? '^'+val+'$' : '', true, false )
                                .draw();
                        } );
    
                    column.data().unique().sort().each( function ( d, j ) {
                        select.append( '<option value="'+d+'">'+d+'</option>' )
                    } );
                } );*/
            },

            dom: "<'text-left'B><'text-right'f><'bottom'>tpr",
            buttons: [{
                extend: 'excelHtml5',
                title: 'Vacantes {{date("Y-m-d H:i:s")}}',
                text: 'Exportar Resultados de Busqueda',
                className: 'btn btn-primary border rounded',
                exportOptions: {
                    columns: 'th:not(:last-child)'
                }
            },{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.vacantes_publicadas.list") }}',
                "data": function (d) {
                    d.estado_vacantes = $('#estado_vacantes').val(); 
                }
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [0,9,10],
                "orderable": false,
            }],
            //"order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'reclutador',name: 'reclutador'},
                {data: 'id',name: 'id'},
                {data: 'fecha_asignada',name: 'fecha_asignada'},
                {data: 'empresa',name: 'empresa'},
                {data: 'plaza',name: 'plaza'},
                {data: 'fecha',name: 'fecha'},
                {data: 'sueldo',name: 'sueldo'},
                //{data: 'descripcion', name: 'descripcion'},
                {data: 'candidatos',name: 'candidatos'}, 
                {data: 'terna', name: 'terna'},
                {data: 'fecha_entrevista', name: 'fecha_entrevista'},
                {data: 'fecha_contratado', name: 'fecha_contratado'},
                {data: 'opciones', name: 'opciones'},
                {data: 'dias_restantes', name: 'dias_restantes'}
            ]
        });
        $('#estado_vacantes').change( function() {
            table2.draw();
        } );
    });

    $(function () {
        table3 = $('#tablaCotizaciones').DataTable({ 
            dom: 'Bfrtip',
            buttons: [{
                extend: 'excelHtml5',
                title: 'Cotizaciones {{date("Y-m-d H:i:s")}}',
                text: 'Exportar Resultados de Busqueda',
                className: 'btn btn-primary border rounded',
                exportOptions: {
                    columns: 'th:not(:last-child)'
                }
            },{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.cotizaciones.list") }}', 
                "data": function (d) {
                    d.estado_cotizaciones = $('#estado_cotizaciones').val(); 
                }
            }, 
            "createdRow": function( row, data, dataIndex ) {
                if ( data['usuario_id'] != null ) {
                    $(row).addClass( 'asignadas' );
                } else {
                    $(row).addClass( 'no-asignadas' );
                }
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [0,4,10],
                "orderable": false,
            }],
            "order": [[ 2, "desc" ]],//Segun requerimiento 27 del doc fase 02 quiere ordenado por correlativo
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'botones', name: 'botones'},
                {data: 'vendedor', name: 'vendedor'},
                {data: 'id',name: 'id'},
                {data: 'fecha',name: 'fecha'},
                {data: 'status',name: 'status'},
                {data: 'empresa',name: 'empresa'},
                {data: 'servicio', name: 'servicio'},
                {data: 'no_plazas', name: 'no_plazas'}, 
                {data: 'sueldo', name: 'sueldo'},
                {data: 'fecha_autorizado', name: 'fecha_autorizado'},    
                {data: 'asignar', name: 'asignar'}
            ]
        });
        $('#estado_cotizaciones').change( function() {
            table3.draw();
        } );
    }); 

    $(function () {
        table4 = $('#tablaAdminCandidatos').DataTable({
            dom: 'Bfrtip', 
            buttons: [{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.candidatos.list") }}'
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": false,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [0,4,5,6],
                "orderable": false,
            }],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'candidato_info',name: 'candidato_info'},    
                {data: 'profesion',name: 'profesion', searchable: false},
                {data: 'anios_experiencia',name: 'anios_experiencia', searchable: false},
                {data: 'pretension_salarial',name: 'pretension_salarial'},
                {data: 'telefono', name: 'telefono'}, 
                {data: 'proceso', name: 'proceso'},
                {data: 'opciones', name: 'opciones'}, 
            ]
        });
    });

    $(function () {
        table5 = $('#tablaEmpresas').DataTable({ 
            dom: 'Bfrtip', 
            buttons: [{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("dashboard.empresas.list") }}'
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": false,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": 'no-sort',
                "orderable": false,
            }],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                { data: 'id', name: 'id' },
                { data: 'nombre', name: 'nombre' },
                { data: 'email', name: 'email' },
                { data: 'estado', name: 'estado' },
                { data: 'dias_restantes', name: 'dias_restantes' },
                { data: 'fecha_creacion', name: 'fecha_creacion' },
                { data: 'logged_at', name: 'logged_at' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    });

    $(function () {
        table6 = $('#tablaInformesSolicitados').DataTable({ 
            dom: 'Brtip', 
            buttons: [{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.informes_solicitados.list") }}',
                "data": function (d) {
                    d.asignados = 1; 
                }
            }, 
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [2,7],
                "orderable": false,
            }],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'fecha_solicitado', name: 'fecha_solicitado'},
                {data: 'id_candidato', name: 'id_candidato'},
                {data: 'candidato_info', name: 'candidato_info'},
                {data: 'plaza', name: 'plaza'},
                {data: 'sueldo_plaza', name: 'sueldo_plaza'},
                {data: 'empresa', name: 'empresa'},
                {data: 'estado', name: 'estado'},
                {data: 'opciones', name: 'opciones'}
            ]
        });
    }); 

    $(function () {
        table7 = $('#tablaInformesAsignados').DataTable({ 
            dom: 'Brtip', 
            buttons: [{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{{ route("staff.informes_solicitados.list") }}',
                "data": function (d) {
                    d.asignados = 0; 
                    d.reclutador_informes = $('#reclutador_informes').val();
                }
            }, 
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [2,6,7,11],
                "orderable": false,
            }],
            "order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay miembros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total miembros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'fecha_solicitado', name: 'fecha_solicitado'},
                {data: 'id_candidato', name: 'id_candidato'},
                {data: 'candidato_info', name: 'candidato_info'},
                {data: 'plaza', name: 'plaza'},
                {data: 'sueldo_plaza', name: 'sueldo_plaza'},
                {data: 'empresa', name: 'empresa'},
                {data: 'etapa', name: 'etapa'},
                {data: 'dias', name: 'dias'},
                {data: 'estado', name: 'estado'},
                {data: 'fecha_generacion', name: 'fecha_generacion'},
                {data: 'fecha_asignacion', name: 'fecha_asignacion'},
                {data: 'opciones2', name: 'opciones2'}
            ]
        });

        $('#reclutador_informes').change( function() {
            table7.draw();
        } );

    }); 

    function habilitar(empleo) {
        
        var request = $.ajax({
            url: '{{ route("public.empleos.habilitar") }}',
            method: "GET",
            data: { empleo_id: empleo },
            dataType: "html"
        });
        request.done(function( msg ) {
            location.reload();
        });
        //table1.draw();
    }

    function readImage (input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#imagen_nueva').attr('src', e.target.result); // Renderizamos la imagen
        }
        reader.readAsDataURL(input.files[0]);
        }
    }

    $('#imagen').change(function () {
        readImage(this);
    });

    function readImage (input) {
    if (input.files && input.files[0]) {
        var reader = new FileReader();
        reader.onload = function (e) {
            $('#fotografia_staff_nueva').attr('src', e.target.result); // Renderizamos la imagen
        }
        reader.readAsDataURL(input.files[0]);
        }
    }

    $('#fotografia_staff').change(function () {
        readImage(this);
    });

    $('#fecha_inicio, #fecha_fin').on('change',function(){
        $.ajax({
            method: "POST",
            url: '{{route("staff.indicadores.generales")}}',
            data: {fecha_inicio: $("#fecha_inicio").val(), fecha_fin: $("#fecha_fin").val(), _token:'{{ csrf_token() }}'},
            dataType: 'json',
            success: function(respuesta) {
                $('#vacantes_publicadas_generales').html(respuesta.vacantes_publicadas_generales);
                $('#vacantes_asignadas_generales').html(respuesta.vacantes_asignadas_generales);
                $('#vacantes_revision_generales').html(respuesta.vacantes_revision_generales);
                $('#contrataciones_generales_ventas').html(respuesta.contrataciones_generales_ventas);
                $('#informes_plus_solicitados_generales').html(respuesta.informes_plus_solicitados_generales);
                $('#informes_plus_generados_generales').html(respuesta.informes_plus_generados_generales);
                $('#cotizaciones_generales').html(respuesta.cotizaciones_generales);
                $('#cotizaciones_aprobadas_generales').html(respuesta.cotizaciones_aprobadas_generales);
                $('#cotizaciones_rechazadas_generales').html(respuesta.cotizaciones_rechazadas_generales);
                $('#monto_facturado_general').html('Q '+parseDecimal(respuesta.monto_facturado_general));
            },
            error: function() {
                console.log("No se ha podido obtener la información");
            }
        });
    });

    $('#reclutadores, #fecha_inicio, #fecha_fin').on('change',function(){
        $.ajax({
            method: "POST",
            url: '{{route("staff.indicadores.reclutamiento")}}',
            data: {id : $("#reclutadores").val(), fecha_inicio: $("#fecha_inicio").val(), fecha_fin: $("#fecha_fin").val(), _token:'{{ csrf_token() }}'},
            dataType: 'json',
            success: function(respuesta) {
                $('#vacantes_asignadas').html(respuesta.vacantes_asignadas);
                $('#vacantes_proceso').html(respuesta.vacantes_proceso);
                $('#contrataciones_reclutamiento').html(respuesta.contrataciones_reclutamiento);
                $('#informes_plus_solicitados').html(respuesta.informes_plus_solicitados);
                $('#informes_plus_generados').html(respuesta.informes_plus_generados);
            },
            error: function() {
                console.log("No se ha podido obtener la información");
            }
        });
    });

    $('#vendedores, #fecha_inicio, #fecha_fin').on('change',function(){
        $.ajax({
            method: "POST",
            url: '{{route("staff.indicadores.vendedor")}}',
            data: {id : $("#vendedores").val(), fecha_inicio: $("#fecha_inicio").val(), fecha_fin: $("#fecha_fin").val(), _token:'{{ csrf_token() }}'},
            dataType: 'json',
            success: function(respuesta) {
                $('#cotizaciones').html(respuesta.cotizaciones);
                $('#cotizaciones_aprobadas').html(respuesta.cotizaciones_aprobadas);
                $('#cotizaciones_rechazadas').html(respuesta.cotizaciones_rechazadas);
                $('#contrataciones_ventas').html(respuesta.contrataciones_ventas);
                $('#monto_facturado').html('Q '+parseDecimal(respuesta.monto_facturado));
            },
            error: function() {
                console.log("No se ha podido obtener la información");
            }
        });
    });

    function descargar11() {
        $('#fecha_inicio11').val($('#fecha_inicio').val());
        $('#fecha_fin11').val($('#fecha_fin').val());
        $('#frmDescargar11').submit();
    }

    function descargar12() {
        $('#fecha_inicio12').val($('#fecha_inicio').val());
        $('#fecha_fin12').val($('#fecha_fin').val());
        $('#frmDescargar12').submit();
    }

    function descargar13() {
        $('#fecha_inicio13').val($('#fecha_inicio').val());
        $('#fecha_fin13').val($('#fecha_fin').val());
        $('#frmDescargar13').submit();
    }
    
    function descargar14() {
        $('#fecha_inicio14').val($('#fecha_inicio').val());
        $('#fecha_fin14').val($('#fecha_fin').val());
        $('#frmDescargar14').submit();
    }
    
    function descargar15() {
        $('#fecha_inicio15').val($('#fecha_inicio').val());
        $('#fecha_fin15').val($('#fecha_fin').val());
        $('#frmDescargar15').submit();
    }

    function descargar16() {
        $('#fecha_inicio16').val($('#fecha_inicio').val());
        $('#fecha_fin16').val($('#fecha_fin').val());
        $('#frmDescargar16').submit();
    }

    function descargar17() {
        $('#fecha_inicio17').val($('#fecha_inicio').val());
        $('#fecha_fin17').val($('#fecha_fin').val());
        $('#frmDescargar17').submit();
    }

    function descargar18() {
        $('#fecha_inicio18').val($('#fecha_inicio').val());
        $('#fecha_fin18').val($('#fecha_fin').val());
        $('#frmDescargar18').submit();
    }
    
    function descargar19() {
        $('#fecha_inicio19').val($('#fecha_inicio').val());
        $('#fecha_fin19').val($('#fecha_fin').val());
        $('#frmDescargar19').submit();
    }
    
    function descargar20() {
        $('#fecha_inicio20').val($('#fecha_inicio').val());
        $('#fecha_fin20').val($('#fecha_fin').val());
        $('#frmDescargar20').submit();
    }

    function descargar21() {
        $('#fecha_inicio21').val($('#fecha_inicio').val());
        $('#fecha_fin21').val($('#fecha_fin').val());
        $('#frmDescargar21').submit();
    }

    function descargar22() {
        $('#fecha_inicio22').val($('#fecha_inicio').val());
        $('#fecha_fin22').val($('#fecha_fin').val());
        $('#frmDescargar22').submit();
    }

    function descargar23() {
        $('#fecha_inicio23').val($('#fecha_inicio').val());
        $('#fecha_fin23').val($('#fecha_fin').val());
        $('#frmDescargar23').submit();
    }

    $('#reclutadores').on('change', function(){
        $('input[name=reclutador_id]').val(this.value);
    });
    
    function descargar24() {
        $('#fecha_inicio24').val($('#fecha_inicio').val());
        $('#fecha_fin24').val($('#fecha_fin').val());
        $('#frmDescargar24').submit();
    }
    
    function descargar25() {
        $('#fecha_inicio25').val($('#fecha_inicio').val());
        $('#fecha_fin25').val($('#fecha_fin').val());
        $('#frmDescargar25').submit();
    }

    function descargar26() {
        $('#fecha_inicio26').val($('#fecha_inicio').val());
        $('#fecha_fin26').val($('#fecha_fin').val());
        $('#frmDescargar26').submit();
    }

    function descargar27() {
        $('#fecha_inicio27').val($('#fecha_inicio').val());
        $('#fecha_fin27').val($('#fecha_fin').val());
        $('#frmDescargar27').submit();
    }

    function descargar28() {
        $('#fecha_inicio28').val($('#fecha_inicio').val());
        $('#fecha_fin28').val($('#fecha_fin').val());
        $('#frmDescargar28').submit();
    }
    
    function descargar29() {
        $('#fecha_inicio29').val($('#fecha_inicio').val());
        $('#fecha_fin29').val($('#fecha_fin').val());
        $('#frmDescargar29').submit();
    }
    
    function descargar30() {
        $('#fecha_inicio30').val($('#fecha_inicio').val());
        $('#fecha_fin30').val($('#fecha_fin').val());
        $('#frmDescargar30').submit();
    }

    $('#vendedores').on('change', function(){
        $('input[name=vendedor_id]').val(this.value);
    });

    $(function(){
        $('.modal_terna').select2({
            placeholder: "Seleccione uno o varios candidatos",
            allowClear: true
        });
    });

</script>
@endsection