@extends('staff::layouts.public')

@section('title','Base de datos')

@section('headlinks')
<link rel="stylesheet" href="https://cdn.datatables.net/fixedheader/3.1.7/css/fixedHeader.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/css/bootstrap-select.min.css">
<style>
.dataTables_wrapper .dt-button .buttons-excel .buttons-html5{
  float:left;
  display: block;
}
</style>
@endsection

@section('content')
@endphp

<main id="page-staff">
    <div class="container">
        <section id="titulo-page">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-center">
                        <h3>STAFF/<strong>Base de datos</strong></h3>
                    </div>
                </div>
            </div>
        </section>

            <div class="form-group">
                <h3 style="font-size: 18px;">Datos personales</h3>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group"><label>Código</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="id"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Nombre</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="nombre"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Teléfono</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="telefono"> 
                    </div>
                    <div class="col-12 col-lg-1 form-group"><label>Edad</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="edad_inicial" placeholder="De">
                    </div>
                    <div class="col-12 col-lg-1 form-group"><label>A</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="edad_final" placeholder="Hasta"> 
                    </div>
                    <div class="col-12 col-lg-1 form-group"><label>% perfil</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="porcentaje_perfil"> 
                    </div>
                </div>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group"><label>Género</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="genero" id="genero">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Genero') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Estado civíl</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="estado_civil" id="estado_civil">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Estado civil') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Idiomas</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control selectpicker" title="Selecciones uno o varios" name="idiomas" id="idiomas" multiple>
                            <option value="ingles">Inglés</option>
                            <option value="aleman">Alemán</option>
                            <option value="mandarin">Mandarín</option>
                            <option value="otro">Otro</option>
                        </select>
                    </div>
                    <div class="col-12 col-lg-1 form-group"><label>Licencia</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="licencia" id="licencia">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Si/No') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select> 
                    </div>
                    <div class="col-12 col-lg-2 form-group"><label>Tipo de licencia</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="tipo_licencia" id="tipo_licencia">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Tipo licencia') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select>  
                    </div>
                </div>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group"><label>Vehículo propio</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="vehiculo" id="vehiculo">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Si/No') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select>  
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Departamento</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="departamento" id="departamento">
                        </select>  
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Municipio</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="municipio" id="municipio">
                        </select>  
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Zona</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="zona">   
                    </div>
                </div>
            </div>
            <div class="form-group">
                <h3 style="font-size: 18px;">Experiencia laboral y estudios</h3>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group pd-3 pb-3 pt-3"><label>Profesión</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="profesion"> 
                    </div>
                    <div class="col-12 col-lg-1 form-group"><label">Años experiencia</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="anios_experiencia_inicio" placeholder="De"> 
                    </div>
                    <div class="col-12 col-lg-1 form-group pd-3 pb-3 pt-3"><label>A</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="anios_experiencia_fin" placeholder="Hasta"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group pd-3 pb-3 pt-3"><label>Área de experiencia</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="area_experiencia">
                    </div>
                    <div class="col-12 col-lg-2 form-group pd-3 pb-3 pt-3"><label>Pretención salarial</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="pretension_salarial_inicio" placeholder="De"> 
                    </div>
                    <div class="col-12 col-lg-2 form-group pd-3 pb-3 pt-3"><label>Hasta</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="pretension_salarial_fin" placeholder="Hasta"> 
                    </div>
                </div>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group"><label>Experiencia laboral Empresa</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="experiencia_laboral_empresa"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Experiencia laboral Puesto</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="experiencia_laboral_puesto"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Experiencia laboral Funciones</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="experiencia_laboral_funciones"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Estudios</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control selectpicker" title="Selecciones uno o varios" name="estudios" id="estudios">
                            <option value="universitarios">Universitarios</option>
                            <option value="diversificado">Diversificado</option>
                            <option value="basicos">Básicos</option>
                            <option value="primaria">Primaria</option>
                        </select>
                    </div>
                </div>
                <div class="input-group">
                    <div class="col-12 col-lg-3 form-group"><label>Carrera técnica</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="carrera_tecnica"> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Habilitades específicas</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control selectpicker" title="Selecciones uno o varios" name="habilidades" id="habilidades" multiple>
                            <option value="mecanografia">Mecanografía</option>
                            <option value="taquigrafia">Taquigrafía</option>
                            <option value="archivo">Archivo</option>
                            <option value="computacion">Computación</option>
                            <option value="reposteria">Repostería</option>
                            <option value="cocina">Cocina</option>
                            <option value="enfermeria">Enfermería</option>
                            <option value="programacion">Programación</option>
                            <option value="internet">Internet</option>
                        </select>
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Otros conocimientos técnicos</label>
                        <div class="input-group-prepend"></div>
                        <select class="form-control" name="otros_conocimientos_tecnicos" id="otros_conocimientos_tecnicos">
                            <option value="" selected="selected"></option>
                            @foreach(getDropdown('Si/No') as $key => $value)
                            <option value="{{$key}}">{{$value}}</option>
                            @endforeach
                        </select> 
                    </div>
                    <div class="col-12 col-lg-3 form-group"><label>Especifíque</label>
                        <div class="input-group-prepend"></div><input class="form-control" type="text" name="otros_conocimientos_tecnicos_especifique" id="otros_conocimientos_tecnicos_especifique">
                    </div>
                </div>
                <div class="form-row justify-content-end align-items-center">
                    <div class="col-12 col-lg-1 form-group"><button class="btn btn-warning btn-block" id='buscar'>Buscar</button></div>
                </div>
            </div>

            <div class="form-row justify-content-end align-items-center">
                <div class="col-12 col-lg-3 form-group"><label>Filtrar por puesto al que aplica</label>
                    <select class="form-control" name="empleo" id="empleo">
                        <option value="" selected="selected"></option>
                        @foreach($empleos as $empleo)
                        <option value="{{$empleo->id}}">{{$empleo->plaza}}</option>
                        @endforeach
                    </select> 
                </div>
            </div>

        </div>
        <section id="revision-vacante" class="pb-5">
            <div class="container col-12 col-lg-12">
                <div class="col-12 col-lg-12">
                    <div class="row table-procesos">
                        <div class="table-responsive">
                            <table id='tableDatabase' class="table staff-admin" style="margin-top: 90px;">
                                <thead>
                                    <tr>
                                        <th style="width: 25%">Candidato</th>
                                        <th style="width: 20%">Profesión</th>
                                        <th style="width: 5%">Años experiencia</th>
                                        <th style="width: 5%">Pretensión</th>
                                        <th class="no-sort" style="width: 15%">% perfil</th>
                                        <th class="no-sort" style="width: 15%"></th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th style="width: 25%;">Candidato</th>
                                        <th style="width: 20%;">Profesión</th>
                                        <th style="width: 5%">Años experiencia</th>
                                        <th style="width: 5%">Pretensión</th>
                                        <th class="no-sort" style="width: 15%">% perfil</th>
                                        <th class="no-sort" style="width: 15%"></th>
                                    </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<!-- DataTables -->
<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.6.0/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.6.0/js/buttons.html5.min.js"></script>
<script src="{{asset('plugins/select2/js/select2.full.min.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script src="https://cdn.datatables.net/fixedheader/3.1.7/js/dataTables.fixedHeader.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.14/dist/js/bootstrap-select.min.js"></script>
<script>

    $(function () {
        var table = $('#tableDatabase').DataTable({ 
            dom: 'Bfrtip',
            buttons: [{
                extend: 'excelHtml5',
                title: 'Base de datos {{date("Y-m-d H:i:s")}}',
                text: 'Generar reporte',
                className: 'btn btn-primary border rounded',
                exportOptions: {
                    columns: 'th:not(:last-child)'
                }
            },{
                extend: 'pageLength',
            }],
            "lengthMenu": [[100, 200, 300, 400, 500, -1],
                            [100, 200, 300, 400, 500, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": { 
                "url": '{{ route("staff.database.datatable") }}',
                "data": function (d) {
                    d.id = $('input[name="id"]').val();
                    d.nombre = $('input[name="nombre"]').val(); 
                    d.telefono = $('input[name="telefono"]').val();
                    d.edad_inicial = $('input[name="edad_inicial"]').val(); 
                    d.edad_final = $('input[name="edad_final"]').val(); 
                    d.porcentaje_perfil = $('input[name="porcentaje_perfil"]').val(); 
                    d.genero = $('#genero').val(); 
                    d.estado_civil = $('#estado_civil').val(); 
                    d.idiomas = $('#idiomas').val(); 
                    d.tipo_licencia = $('#tipo_licencia').val(); 
                    d.licencia = $('#licencia').val(); 
                    d.vehiculo = $('#vehiculo').val(); 
                    d.departamento = $('#departamento').val(); 
                    d.municipio = $('#municipio').val(); 
                    d.zona = $('input[name="zona"]').val(); 
                    d.profesion = $('input[name="profesion"]').val(); 
                    d.anios_experiencia_inicio = $('input[name="anios_experiencia_inicio"]').val(); 
                    d.anios_experiencia_fin = $('input[name="anios_experiencia_fin"]').val(); 
                    d.area_experiencia = $('input[name="area_experiencia"]').val(); 
                    d.pretension_salarial_inicio = $('input[name="pretension_salarial_inicio"]').val(); 
                    d.pretension_salarial_fin = $('input[name="pretension_salarial_fin"]').val(); 
                    d.experiencia_laboral_empresa = $('input[name="experiencia_laboral_empresa"]').val();
                    d.experiencia_laboral_puesto = $('input[name="experiencia_laboral_puesto"]').val(); 
                    d.experiencia_laboral_funciones = $('input[name="experiencia_laboral_funciones"]').val();
                    d.estudios = $('#estudios').val();
                    d.carrera_tecnica = $('input[name="carrera_tecnica"]').val();
                    d.habilidades = $('#habilidades').val();
                    d.otros_conocimientos_tecnicos = $('#otros_conocimientos_tecnicos').val();
                    d.otros_conocimientos_tecnicos_especifique = $('input[name="otros_conocimientos_tecnicos_especifique"]').val();
                    d.empleo = $('#empleo').val();
                } 
            }, 
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "orderCellsTop": true,
            //"fixedHeader": {
            //    header: true,
            //    footer: true
            //},
            //"order": [[ 0, "desc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ registros por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay registros disponibles",
                "infoFiltered": "(filtrando de _MAX_ total registros)",
                "search": "Buscar:",
                "paginate": {
                    "first": "Primero",
                    "last": "Ultimo",
                    "next": "Siguiente",
                    "previous": "Anterior"
                },
            },
            columns: [
                {data: 'candidato_info',name: 'candidato_info', searchable: false},
                {data: 'profesion', name: 'profesion'},
                {data: 'anios_experiencia', name: 'anios_experiencia'}, 
                {data: 'pretension_salarial', name: 'pretension_salarial'},  
                {data: 'porcentaje', name: 'porcentaje', searchable: false},
                {data: 'opciones', name: 'opciones'},
            ]
        });
        $("#buscar").click(function(){
            table.draw();
        });
        $("#empleo").click(function(){
            table.draw();
        });
    });

    $(function(){
        var pais = 377; //Ver en la tabla de los Dropdowns cual es el id de Guatemala (pais no municipio)
        var departamento = '{{ old('departamento',0) }}';
        var municipio = '{{ old('municipio',0)}}';
        if(pais != ''){
            llenarDepartamentos(pais,departamento);
        }
        if(departamento != ''){
            llenarMunicipios(departamento,municipio);
        }
    });

    $('#pais').change( function(){ llenarDepartamentos(this.value); } );

    $('#departamento').change( function(){ llenarMunicipios(this.value); } );

    function llenarDepartamentos(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#departamento').empty();
                $('#departamento').append(new Option('Seleccione Uno'));
                $.each(response.data, function(i, item) {
                    $('#departamento').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    function llenarMunicipios(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#municipio').empty();
                $('#municipio').append(new Option('Seleccione Uno'));
                $.each(response.data, function(i, item) {
                    $('#municipio').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    $("#licencia").change(function() {

        if( $("#licencia").val()=="375" || $("#licencia").val()=="" ){
            $( "#tipo_licencia" ).prop( "required", true ).prop("disabled", false); 
        }else {
            $( "#tipo_licencia" ).prop( "required", false ).prop("disabled", true);  
            document.getElementById("tipo_licencia").value = null; 
        }  
               
    });

    $("#otros_conocimientos_tecnicos").change(function() {

        if( $("#otros_conocimientos_tecnicos").val()=="375" || $("#otros_conocimientos_tecnicos").val()=="" ){
            $( "#otros_conocimientos_tecnicos_especifique" ).prop( "required", true ).prop("disabled", false); 
        }else {
            $( "#otros_conocimientos_tecnicos_especifique" ).prop( "required", false ).prop("disabled", true);  
            document.getElementById("otros_conocimientos_tecnicos_especifique").value = null; 
        }  
        
    });

    $("#licencia").trigger("change");
    $("#otros_conocimientos_tecnicos").trigger("change");
</script>
@endsection