@extends('pruebas::layouts.master')

@section('content')

<style>
    @page {
        size: A4;
        margin-bottom: 0cm;
    }
    *{
        font-family: 'Montserrat'!important;
    }
    ol, ul{
        list-style: none;
    }
    .footer-informe .pbx *,
    .footer-informe .enlace-web *,
    .footer-informe .direccion *{
        font-weight: normal;
        word-break: normal;
    }
    .pdf-informe p,
    .pdf-informe li,
    .pdf-informe td,
    .pdf-informe td{
        font-size: 10pt;
        line-height: 1.1;
    }
    .pdf-informe p{
        margin-bottom: 0.5em;
    }
    li{
        margin-bottom: 0.5%;
    }
    .datos-info ul li {
        padding: 0.5% 0;
        margin-bottom: 0%;
    }
    .datos-info{
        line-height: 1.01;
    }
    table td,
    table th {
        border: 1px solid #f67929!important;
    }
    table th{
        background-color: #f67929!important;
        border: 1px solid #fff!important;
        color: #fff!important;
    }
    footer {
        position: fixed; 
        bottom: 0cm; 
        left: 0cm; 
        right: 0cm;
        height: 70px;
    }
    .page-break{
        page-break-after: always;
    }
    table *{
        line-height: 1.01;
    }
    table th,
    table td{
        padding: 7px 10px;
        vertical-align: middle !important;
    }
    .lista-entrevista li{
        line-height: 1.01;
    }
    .textos-psicometricos *{
        line-height: 1;
    }
    .textos-psicometricos h5{
        color: #0054c2 !important;
        line-height: 1 !important;
        font-weight: 600 !important;
    }
    .textos-psicometricos p{
        margin: 0 !important;
    }
    .table-psicom th,
    .table-psicom td{
        font-size: 12.5px !important;
        padding: 7px !important;
        vertical-align: middle !important;
    }
    .c-16-factores *{
        line-height: 1 !important;
    }
    .c-16-factores h5{
        color: #0054c2 !important;
    }
    .c-16-factores table th,
    .c-16-factores table td{
        font-size: 12.5px !important;
        padding: 7px !important;
        vertical-align: middle !important;
    }
    .tabla-datos-solicitados th,
    .tabla-datos-solicitados td{
        padding: 5px !important;
    }
</style>


<body>

    <section id="portada" style="position:relative;">
        <img style="width: 100%;
            height:auto;
            object-fit: cover!important;
            display:block;
            position:absolute!important;
            top:px;
            left:0;" 
            class="" 
            src="{{asset('img/Info_general.jpg')}}"
        >
        <div style="width: 250px;
            height: 250px;
            border-radius: 125px; 
            border: 2px solid #fff; 
            overflow: hidden;
            position:absolute!important;
            top:300px;
            left:225px;">
                <img style="width: 250px;
                    height:250px;
                    object-fit: contain!important;
                    display:block;" 
                    class="" 
                    src="{{asset('storage/uploads/images/'.$candidato->fotografia)}}"
                >
        </div>
        <strong style="color: #ff7a00!important;
            position:absolute!important;
            top:575px;
            left:225px;">
            <p>
                Informe de Evaluación del Candidato
            </p>
        </strong>

        <div class="pdf-informe" style="color: #ff7a00!important;
            position:absolute!important;
            top:600px;
            left:175px;"
            class="info-candidato portada-candidato"
        >

            <div class="justify-content-end">
                <div class="text-left text-lg-right">
                    <h1></h1>
                    <h1 style="color: #0054c2!important; font-weight:700; text-align:center;">{{$candidato->nombre}} {{$candidato->apellido}} {{ isset($candidato->apellido_casada)?$candidato->apellido_casada:''}}</h1>
                    <p style="color: #000!important; padding-left:60px;"><strong>Puesto: </strong>{{$empleo->plaza}}</p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Código: </strong>{{$candidato->id}}</p> 
                    <p style="color: #000!important; padding-left:60px;"><strong>Fecha: </strong><?php echo date('d-m-Y'); ?></p>
                </div>
            </div>
            <div class="ustify-content-end pb-5">
                <div class="text-left text-lg-right">
                    <p style="color: #000!important; padding-left:60px;"><strong>Salario de interés:</strong> Q{{ isset($candidato->pretension_salarial)?number_format($candidato->pretension_salarial,2):''}}</p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Cliente:</strong>&nbsp;{{$empleo->empresa}}</p>
                </div>
                <div class="text-left text-lg-right">
                    <p style="color: #000!important; padding-left:60px;"><strong>Envío:</strong>&nbsp;<?php echo date('d-m-Y'); ?></p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Garantía:</strong>&nbsp; {{ isset($empleo_candidato->fecha_finalizo_garantia)?$empleo_candidato->fecha_finalizo_garantia->format('d-m-Y'):''}}</p>
                </div>
            </div>
            
        </div>
    </section>

    <section style="padding-top:7.5in!important;" id="page-base" class="m-0 pt-5 page-break" class="pdf-informe">
        <div class="">
            
            <!-- Portada -->
                <!--<div class="pb-5 page-break">
                <div class="pb-5">
                    <article>
                        <div id="informe-caratula" class="pb-5">
                            <div class=" pt-5">
                                <div class="portada-candidato">
                                    <div class="py-4">
                                        <div class="">
                                            <img style="width: 200px; height:75px; object-fit: contain!important; display:inline;" class="" src="{{asset('img/informe/Informe - re diseño-01 1.jpg')}}">
                                            <strong style="color: #ff7a00!important;">
                                                <p>
                                                    Informe de Evaluación del Candidato
                                                </p>
                                            </strong> 
                                            <div class="pt-5" style="padding-top:100px;">
                                                <!- <img style="width: 250px; height:250px; object-fit: cover!important;display:inline;padding-left: 250px;position:absolute;top:0; right:25px;" class="pt-5" src="{{asset('storage/uploads/images/'.$candidato->fotografia)}}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="justify-content-center">
                                        <div class="">
                                            <div class="imagen-candidato">
                                                <!- <img style="width: 200px; height:75px; object-fit: contain!important; display:block;" class="texto-imagen-candidato" src="{{asset('img/informe/texto_miscorp.png')}}"> 
                                            </div>
                                        </div>
                                    </div>
                                    <!- <div class="justify-content-end">
                                        <div class="text-left text-lg-right">
                                            <h1></h1>
                                            <h1>{{$candidato->nombre}} {{$candidato->apellido}} {{ isset($candidato->apellido_casada)?$candidato->apellido_casada:''}}</h1>
                                            <p><strong>Puesto: </strong>{{$empleo->plaza}}</p>
                                            <p><strong>Código: </strong>{{$candidato->id}}</p> 
                                            <p><strong>Fecha: </strong><?php // echo date('d-m-Y'); ?></p>
                                        </div>
                                    </div>
                                    <div class="ustify-content-end pb-5">
                                        <div class="text-left text-lg-right">
                                            <p><strong>Salario de interés:</strong> Q{{ isset($candidato->pretension_salarial)?$candidato->pretension_salarial:''}}</p>
                                            <p><strong>Cliente:</strong>&nbsp;{{$empleo->empresa}}</p>
                                        </div>
                                        <div class="text-left text-lg-right">
                                            <p><strong>Envío:</strong>&nbsp;{{ isset($empleo_candidato->fecha_cita)?$empleo_candidato->fecha_cita->format('d-m-Y'):''}}</p>
                                            <p><strong>Garantía:</strong>&nbsp;{{ isset($empleo_candidato->fecha_inicio_garantia)?$empleo_candidato->fecha_inicio_garantia->format('d-m-Y'):''}}</p>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </article>
                </div>
            </div> -->

            <!-- Perfil del candidato solicitado -->
            <div class="py-5">
                <div class="pt-5">
                    <article class="pt-5">
                        <div class="header-informe pt-5">
                            <div class="align-items-center pt-5">
                                <div class="logo pt-5"></div>
                                <div class="section-title pt-5">
                                    <h3>Perfil del candidato solicitado</h3>
                                </div>
                            </div>
                        </div>
                        <div id="informe-perfil-cadidato-solicitado" class="contenido-informe position-relative pt-3">
                            <div class="">
                                <div class="col px-0">
                                    <div class="">
                                        <div class="col px-0">
                                            <div class="">
                                                <table class="table table-bordered">
                                                    <thead>
                                                        <tr>
                                                            <th></th>
                                                            <th>Requerimientos de la&nbsp;<strong>empresa</strong></th>
                                                            <th>Perfil del&nbsp;<strong>Candidato</strong></th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>Puesto</td>
                                                            <td>{{$empleo->plaza}}</td>
                                                            <td>{{$candidato->profesion}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Edad</td>
                                                            <td>{{$empleo->edad_rango}}</td>
                                                            <td>{{ isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age.' años':''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Sexo</td>
                                                            <td>{{$empleo->genero}}</td>
                                                            <td>{{ isset($candidato->genero)?getDropdownValue($candidato->genero):''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Estado civil</td>
                                                            <td>{{$empleo->estado_civil}}</td>
                                                            <td>{{ isset($candidato->estado_civil)?getDropdownValue($candidato->estado_civil):''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Grado académico</td>
                                                            <td>{{$empleo->estudios_carrera}}</td>
                                                            <td>{{$grado_academico}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Años de experiencia</td>
                                                            <td>{{$empleo->experiencia}}</td>
                                                            <td>{{ isset($candidato->anios_experiencia)?$candidato->anios_experiencia:''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Competencias requeridadas para el puesto</td>
                                                            <td>@foreach(explode(',',$empleo->competencias) as $competencia)
                                                                    {{getDropdownValue($competencia)}},
                                                                @endforeach</td>
                                                            <td>{{ isset($candidato->competencias)?$candidato->competencias:''}}</td>
                                                        </tr>
                                                        <!-- <tr>
                                                            <td>Conocimientos específicos del puesto</td>
                                                            <td>{{ isset($empleo->conocimientos_especiales)?$empleo->conocimientos_especiales:''}}</td>
                                                            <td>-</td>
                                                        </tr> -->
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- <div class="observaciones pt-3">
                                        <div class="col px-0 text-justify">
                                            <h3>Observaciones</h3>
                                            <p> -->
                                                <!-- Máximo de 150 palabras -->
                                            <!-- Lorem ipsum dolor sit amet consectetur adipiscing elit nostra mi sociis, mattis habitant rhoncus orci tincidunt tortor tempus aliquet facilisi cubilia, quis potenti justo condimentum duis urna neque sollicitudin aenean. Taciti ridiculus ullamcorper leo erat vitae volutpat sagittis venenatis arcu etiam, dis ante consequat massa accumsan fringilla luctus phasellus odio quisque, congue nisi senectus sed nunc diam cursus turpis pellentesque. Est curae mus ut laoreet semper proin aptent viverra risus, mauris id dictumst commodo pretium himenaeos natoque per class eu, non egestas nisl feugiat inceptos platea litora ornare. Convallis eros varius elementum magnis purus nec sodales vel, ultricies conubia auctor faucibus eleifend iaculis vehicula integer interdum, enim lobortis velit cras augue metus sapien. Dictum nascetur aliquam imperdiet curabitur euismod suscipit tristique libero parturient habitasse, cum sociosqu dignissim in nam fames lacinia facilisis malesuada posuere, gravida praesent vulputate rutrum ac fermentum suspendisse molestie a. Tellus pulvinar lacus primis bibendum, ad pharetra. -->
                                            <!-- </p>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                        </div>
                    </article>
                </div>
            </div>
            
        </div>
    </section>

    <!-- Solicitud de empleo -->
    <section class="page-break">
        <div style="">
            <div>
                <article>
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Solicitud de empleo</h3>
                            </div>
                        </div>
                    </div>
                    <div id="informe-solicitud-empleo-0" class="">
                        <div class="">
                            <div class="">
                                <div class="general-title">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <h2 style="font-weight:300;">DATOS PERSONALES</h2>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-12 col-lg-6">
                                                <h4 style="color: #ff7a00!important;">{{$candidato->nombre}} {{$candidato->apellido}} {{$candidato->apellido_casada}}</h4>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="align-items-start datos-info">
                                    <div class="">
                                        <table class="table table-bordered tabla-datos-solicitados">
                                            <thead>
                                                <tr>
                                                    <th>Datos Solicitados</th>
                                                    <th>Información del candidato</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td><strong>Profesión</strong></td>
                                                    <td>{{$candidato->profesion}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Código</strong></td>
                                                    <td>{{isset($candidato->id)?$candidato->id:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Fecha de nacimiento</strong></td>
                                                    <td>{{isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->format('d-m-Y'):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Edad</strong></td>
                                                    <td>{{ isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age.' años':''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Lugar de nacimiento</strong></td>
                                                    <td>{{isset($candidato->lugar_nacimiento)?$candidato->lugar_nacimiento:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Municipio</strong></td>
                                                    <td>{{isset($candidato->municipio)?getDropdownValue($candidato->municipio):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Departamento</strong></td>
                                                    <td>{{isset($candidato->departamento)?getDropdownValue($candidato->departamento):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Estado Civil</strong></td>
                                                    <td>{{isset($candidato->estado_civil)?getDropdownValue($candidato->estado_civil):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Correo</strong></td>
                                                    <td>{{isset($candidato->email)?$candidato->email:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Celular</strong></td>
                                                    <td>{{isset($candidato->telefono_celular)?$candidato->telefono_celular:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Teléfono casa</strong></td>
                                                    <td>{{isset($candidato->telefono_fijo)?$candidato->telefono_fijo:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>DPI</strong></td>
                                                    <td>{{isset($candidato->dpi)?$candidato->dpi:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Afiliación IGSS</strong></td>
                                                    <td>{{isset($candidato->igss)?$candidato->igss:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>No. Licencia</strong></td>
                                                    <td>{{isset($candidato->licencia)?$candidato->licencia:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Nit</strong></td>
                                                    <td>{{isset($candidato->nit)?$candidato->nit:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Estudia</strong></td>
                                                    <td>{{isset($candidato->estudia)?getDropdownValue($candidato->estudia):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>¿Dónde?</strong></td>
                                                    <td>{{isset($candidato->establecimineto)?$candidato->establecimineto:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Carrera</strong></td>
                                                    <td>{{isset($candidato->carrera)?$candidato->carrera:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Dirección</strong></td>
                                                    <td>{{isset($candidato->direccion)?$candidato->direccion:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Esposo(a)/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_conyugue)?$candidato->datos_conyugue:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>No. de hijos/edades</strong></td>
                                                    <td>{{isset($candidato->hijos)?getDropdownValue($candidato->hijos):''}} / {{isset($candidato->edad_hijos)?$candidato->edad_hijos:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Padre/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_padre)?$candidato->datos_padre:''}} / {{isset($candidato->ocupacion_padre)?$candidato->ocupacion_padre:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Madre/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_madre)?$candidato->datos_madre:''}} / {{isset($candidato->ocupacion_madre)?$candidato->ocupacion_madre:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Hermano(a)s/edades/ocupaciones</strong></td>
                                                    <td>{{isset($candidato->hermanos)?getDropdownValue($candidato->hermanos):''}} / {{isset($candidato->info_hermanos)?$candidato->info_hermanos:''}}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>

    <!-- Datos Físicos, Datos Socioecocómicos & otros datos -->
    <section class="page-break">
        <div id="informe-solicitud-empleo-1" class="">
            <div class="py-3">
                <div class="">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">DATOS FÍSICOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start  datos-info">
                        <div class="">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Impedimento físico</strong></td>
                                        <td>{{isset($otros->impedimento_fisico)?getDropdownValue($otros->impedimento_fisico):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>¿Cuál es?</strong></td>
                                        <td>{{isset($otros->impedimento)?$otros->impedimento:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Toma medicamentos</strong></td>
                                        <td>{{isset($otros->toma_medicamentos)?getDropdownValue($otros->toma_medicamentos):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Ha estado enfermo de gravedad los últimos 2 años</strong></td>
                                        <td>{{isset($otros->enfermo_de_gravedad)?getDropdownValue($otros->enfermo_de_gravedad):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Estatura</strong></td>
                                        <td>{{isset($otros->estatura)?$otros->estatura:''}} mts</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Complexión</strong></td>
                                        <td>{{isset($otros->complexion_fisica)?getDropdownValue($otros->complexion_fisica):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Peso</strong></td>
                                        <td>{{isset($otros->peso)?$otros->peso:''}} lbs</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Bebe o fuma</strong></td>
                                        <td>{{isset($otros->bebe_fuma)?getDropdownValue($otros->bebe_fuma):''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <div class="">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">DATOS SOCIOECONÓMICOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start  datos-info">
                        <div class="">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Residencia</strong></td>
                                        @if($otros->casa_propia == 375)
                                        <td>Casa propia</td>
                                        @elseif($otros->alquila == 375)
                                        <td>Alquilada</td>
                                        @elseif($otros->casa_propia == 376)
                                        <td></td>
                                        @elseif($otros->alquila == 376)
                                        <td></td>
                                        @endif
                                    </tr>
                                    <tr>
                                        <td><strong>Tiempo de vivir</strong></td>
                                        <td>{{isset($otros->anios_viviendo)?$otros->anios_viviendo:''}} años</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Especifique</strong></td>
                                        <td>{{isset($otros->otros_especifiques)?$otros->otros_especifiques:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Posee otro ingreso</strong></td>
                                        <td>{{isset($otros->otros_ingresos)?getDropdownValue($otros->otros_ingresos):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Especifique</strong></td>
                                        <td>{{isset($otros->monto)?$otros->monto:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Posee vehículo</strong></td>
                                        <td>{{isset($otros->posee_vehiculo)?getDropdownValue($otros->posee_vehiculo):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Marca</strong></td>
                                        <td>{{isset($otros->marca)?$otros->marca:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Modelo</strong></td>
                                        <td>{{isset($otros->modelo)?$otros->modelo:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Tiene deudas</strong></td>
                                        <td>{{isset($otros->posee_deudas)?getDropdownValue($otros->posee_deudas):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>¿En qué?</strong></td>
                                        <td>{{isset($otros->posee_deudas_especifique)?$otros->posee_deudas_especifique:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Monto</strong></td>
                                        <td>Q {{isset($otros->monto_deuda)?$otros->monto_deuda:''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <div style="padding-top:25px;">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">OTROS DATOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start other-data">
                        <div class="table-otros-datos">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Actividades deportivas, religiosas o culturales: </strong></td>
                                        <td>{{isset($otros->actividades)?$otros->actividades:''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Referencias Laborales & Referencias Personales -->
    <section class="">
        <div class="pb-5">
            <div style="">
                <article>
                    <div id="informe-solicitud-empleo-2" class="">
                        <div class="">
                            <div class="">
                                <div class="general-title">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <h2 style="font-weight:300;">EXPERIENCIA LABORAL</h2>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="align-items-start other-data">
                                    <div class="table-experiencia-laboral">
                                        <div class="">
                                            <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        @if($experiencias->count() == 3)
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        <th class="text-center">Empresa 2</th>
                                                        <th class="text-center">Empresa 3</th>
                                                        @elseif($experiencias->count() == 2)
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        <th class="text-center">Empresa 2</th>
                                                        @else
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        @endif
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                <tr>
                                                        <td>Empresa</td>
                                                        @isset($experiencias[0])   
                                                        <td>{{isset($experiencias[0]->empresa)?$experiencias[0]->empresa:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])   
                                                        <td>{{isset($experiencias[1]->empresa)?$experiencias[1]->empresa:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->empresa)?$experiencias[2]->empresa:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Teléfono</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->telefono)?$experiencias[0]->telefono:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->telefono)?$experiencias[1]->telefono:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->telefono)?$experiencias[2]->telefono:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Último salario</td>
                                                        @isset($experiencias[0])
                                                        <td> Q {{isset($experiencias[0]->ultimo_salario)?number_format($experiencias[0]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td> Q {{isset($experiencias[1]->ultimo_salario)?number_format($experiencias[1]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td> Q {{isset($experiencias[2]->ultimo_salario)?number_format($experiencias[2]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Puesto</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->puesto)?$experiencias[0]->puesto:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->puesto)?$experiencias[1]->puesto:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->puesto)?$experiencias[2]->puesto:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Razón de retiro</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->razon_retiro)?$experiencias[0]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->razon_retiro)?$experiencias[1]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->razon_retiro)?$experiencias[2]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Tiempo laboral</td>
                                                        @isset($experiencias[0])
                                                        <td>{{intervaloFechas($experiencias[0]->inicio_labores, $experiencias[0]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{intervaloFechas($experiencias[1]->inicio_labores, $experiencias[1]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{intervaloFechas($experiencias[2]->inicio_labores, $experiencias[2]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Jefe</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->jefe_inmediato)?$experiencias[0]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->jefe_inmediato)?$experiencias[1]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->jefe_inmediato)?$experiencias[2]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Teléfono Jefe</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->telefono_jefe_inmediato)?$experiencias[0]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->telefono_jefe_inmediato)?$experiencias[1]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->telefono_jefe_inmediato)?$experiencias[2]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Atribuciones</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->funciones_principales)?$experiencias[0]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->funciones_principales)?$experiencias[1]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->funciones_principales)?$experiencias[2]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Pedir</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->contacto_supervisor)?getDropdownValue($experiencias[0]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->contacto_supervisor)?getDropdownValue($experiencias[1]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->contacto_supervisor)?getDropdownValue($experiencias[2]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>¿Por qué?</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->contacto_supervisor_especifique)?$experiencias[0]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->contacto_supervisor_especifique)?$experiencias[1]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->contacto_supervisor_especifique)?$experiencias[2]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="">
                            <div class="general-title">
                                <div class="">
                                    <div class="">
                                        <div class="">
                                            <h2 style="font-weight:300;">REFERENCIAS PERSONALES</h2>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="align-items-start other-data">
                                <div class="table-referencias-personales">
                                    <div class="">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Nombre de la empresa</th>
                                                    <th>Teléfonos</th>
                                                    <th>Cargo que desempeña</th>
                                                </tr>
                                            </thead>
                                            @isset($referencias)
                                            @foreach ($referencias as $referencia)
                                            <tbody>
                                                <tr>
                                                    <td>{{isset($referencia->nombre)?$referencia->nombre:''}}</td>
                                                    <td>{{isset($referencia->telefono)?$referencia->telefono:''}}</td>
                                                    <td>{{isset($referencia->cargo)?$referencia->cargo:''}}</td>
                                                </tr>
                                            </tbody>
                                            @endforeach
                                            @endisset
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                </article>
            </div>
        </div>
    </section>

    <div id='chart_div'></div>
    
</body>

@endsection

@section('footscripts')
@endsection