@extends('pruebas::layouts.master')

@section('content')

<style>
    @page {
        size: A4;
        margin-bottom: 0cm;
    }
    *{
        font-family: 'Montserrat'!important;
    }
    ol, ul{
        list-style: none;
    }
    .footer-informe .pbx *,
    .footer-informe .enlace-web *,
    .footer-informe .direccion *{
        font-weight: normal;
        word-break: normal;
    }
    .pdf-informe p,
    .pdf-informe li,
    .pdf-informe td,
    .pdf-informe td{
        font-size: 10pt;
        line-height: 1.1;
    }
    .pdf-informe p{
        margin-bottom: 0.5em;
    }
    li{
        margin-bottom: 0.5%;
    }
    .datos-info ul li {
        padding: 0.5% 0;
        margin-bottom: 0%;
    }
    .datos-info{
        line-height: 1.01;
    }
    table td,
    table th {
        border: 1px solid #f67929!important;
    }
    table th{
        background-color: #f67929!important;
        border: 1px solid #fff!important;
        color: #fff!important;
    }
    footer {
        position: fixed; 
        bottom: 0cm; 
        left: 0cm; 
        right: 0cm;
        height: 70px;
    }
    .page-break{
        page-break-after: always;
    }
    table *{
        line-height: 1.01;
    }
    table th,
    table td{
        padding: 7px 10px;
        vertical-align: middle !important;
    }
    .lista-entrevista li{
        line-height: 1.01;
    }
    .textos-psicometricos *{
        line-height: 1;
    }
    .textos-psicometricos h5{
        color: #0054c2 !important;
        line-height: 1 !important;
        font-weight: 600 !important;
    }
    .textos-psicometricos p{
        margin: 0 !important;
    }
    .table-psicom th,
    .table-psicom td{
        font-size: 12.5px !important;
        padding: 7px !important;
        vertical-align: middle !important;
    }
    .c-16-factores *{
        line-height: 1 !important;
    }
    .c-16-factores h5{
        color: #0054c2 !important;
    }
    .c-16-factores table th,
    .c-16-factores table td{
        font-size: 12.5px !important;
        padding: 7px !important;
        vertical-align: middle !important;
    }
    .tabla-datos-solicitados th,
    .tabla-datos-solicitados td{
        padding: 5px !important;
    }
    .table-psicometricas-caracteristicas * {
        line-height: 0.95 !important;
        font-size: 0.95em !important;
    }
</style>


<body>

    <section id="portada" style="position:relative;">
        <img style="width: 100%;
            height:auto;
            object-fit: cover!important;
            display:block;
            position:absolute!important;
            top:px;
            left:0;" 
            class="" 
            src="{{asset('img/Informe_plus.jpg')}}"
        >
        <div style="width: 250px;
            height: 250px;
            border-radius: 125px; 
            border: 2px solid #fff; 
            overflow: hidden;
            position:absolute!important;
            top:300px;
            left:225px;">
                <img style="width: 250px;
                    height:250px;
                    object-fit: contain!important;
                    display:block;" 
                    class="" 
                    src="{{asset('storage/uploads/images/'.$candidato->fotografia)}}"
                >
        </div>
        <strong style="color: #ff7a00!important;
            position:absolute!important;
            top:575px;
            left:225px;">
            <p>
                Informe de Evaluación del Candidato
            </p>
        </strong>

        <div class="pdf-informe" style="color: #ff7a00!important;
            position:absolute!important;
            top:600px;
            left:175px;"
            class="info-candidato portada-candidato"
        >

            <div class="justify-content-end">
                <div class="text-left text-lg-right">
                    <h1></h1>
                    <h1 style="color: #0054c2!important; font-weight:700; text-align:center;">{{$candidato->nombre}} {{$candidato->apellido}} {{ isset($candidato->apellido_casada)?$candidato->apellido_casada:''}}</h1>
                    <p style="color: #000!important; padding-left:60px;"><strong>Puesto: </strong>{{$empleo->plaza}}</p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Código: </strong>{{$candidato->id}}</p> 
                    <p style="color: #000!important; padding-left:60px;"><strong>Fecha: </strong><?php echo date('d-m-Y'); ?></p>
                </div>
            </div>
            <div class="ustify-content-end pb-5">
                <div class="text-left text-lg-right">
                    <p style="color: #000!important; padding-left:60px;"><strong>Salario de interés:</strong> Q{{ isset($candidato->pretension_salarial)?number_format($candidato->pretension_salarial,2):''}}</p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Cliente:</strong>&nbsp;{{$empleo->empresa}}</p>
                </div>
                <div class="text-left text-lg-right">
                    <p style="color: #000!important; padding-left:60px;"><strong>Envío:</strong>&nbsp;<?php echo date('d-m-Y'); ?></p>
                    <p style="color: #000!important; padding-left:60px;"><strong>Garantía:</strong>&nbsp; {{ isset($empleo_candidato->fecha_finalizo_garantia)?$empleo_candidato->fecha_finalizo_garantia->format('d-m-Y'):''}}</p>
                </div>
            </div>
            
        </div>
    </section>

    <section style="padding-top:7.5in!important;" id="page-base" class="m-0 pt-5 page-break" class="pdf-informe">
        <div class="">
            
            <!-- Portada -->
                <!--<div class="pb-5 page-break">
                <div class="pb-5">
                    <article>
                        <div id="informe-caratula" class="pb-5">
                            <div class=" pt-5">
                                <div class="portada-candidato">
                                    <div class="py-4">
                                        <div class="">
                                            <img style="width: 200px; height:75px; object-fit: contain!important; display:inline;" class="" src="{{asset('img/informe/Informe - re diseño-01 1.jpg')}}">
                                            <strong style="color: #ff7a00!important;">
                                                <p>
                                                    Informe de Evaluación del Candidato
                                                </p>
                                            </strong> 
                                            <div class="pt-5" style="padding-top:100px;">
                                                <!- <img style="width: 250px; height:250px; object-fit: cover!important;display:inline;padding-left: 250px;position:absolute;top:0; right:25px;" class="pt-5" src="{{asset('storage/uploads/images/'.$candidato->fotografia)}}">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="justify-content-center">
                                        <div class="">
                                            <div class="imagen-candidato">
                                                <!- <img style="width: 200px; height:75px; object-fit: contain!important; display:block;" class="texto-imagen-candidato" src="{{asset('img/informe/texto_miscorp.png')}}"> 
                                            </div>
                                        </div>
                                    </div>
                                    <!- <div class="justify-content-end">
                                        <div class="text-left text-lg-right">
                                            <h1></h1>
                                            <h1>{{$candidato->nombre}} {{$candidato->apellido}} {{ isset($candidato->apellido_casada)?$candidato->apellido_casada:''}}</h1>
                                            <p><strong>Puesto: </strong>{{$empleo->plaza}}</p>
                                            <p><strong>Código: </strong>{{$candidato->id}}</p> 
                                            <p><strong>Fecha: </strong><?php // echo date('d-m-Y'); ?></p>
                                        </div>
                                    </div>
                                    <div class="ustify-content-end pb-5">
                                        <div class="text-left text-lg-right">
                                            <p><strong>Salario de interés:</strong> Q{{ isset($candidato->pretension_salarial)?$candidato->pretension_salarial:''}}</p>
                                            <p><strong>Cliente:</strong>&nbsp;{{$empleo->empresa}}</p>
                                        </div>
                                        <div class="text-left text-lg-right">
                                            <p><strong>Envío:</strong>&nbsp;{{ isset($empleo_candidato->fecha_cita)?$empleo_candidato->fecha_cita->format('d-m-Y'):''}}</p>
                                            <p><strong>Garantía:</strong>&nbsp;{{ isset($empleo_candidato->fecha_inicio_garantia)?$empleo_candidato->fecha_inicio_garantia->format('d-m-Y'):''}}</p>
                                        </div>
                                    </div> 
                                </div>
                            </div>
                        </div>
                    </article>
                </div>
            </div> -->

            <!-- Perfil del candidato solicitado -->
            <div class="py-5">
                <div class="pt-5">
                    <article class="pt-5">
                        <div class="header-informe pt-5">
                            <div class="align-items-center pt-5">
                                <div class="logo pt-5"></div>
                                <div class="section-title pt-5">
                                    <h3>Perfil del candidato solicitado</h3>
                                </div>
                            </div>
                        </div>
                        <div id="informe-perfil-cadidato-solicitado" class="contenido-informe position-relative pt-3">
                            <div class="">
                                <div class="col px-0">
                                    <div class="">
                                        <div class="col px-0">
                                            <div class="">
                                                <table class="table table-bordered">
                                                    <thead>
                                                        <tr>
                                                            <th></th>
                                                            <th>Requerimientos de la&nbsp;<strong>empresa</strong></th>
                                                            <th>Perfil del&nbsp;<strong>Candidato</strong></th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <tr>
                                                            <td>Puesto</td>
                                                            <td>{{$empleo->plaza}}</td>
                                                            <td>{{$candidato->profesion}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Edad</td>
                                                            <td>{{$empleo->edad_rango}}</td>
                                                            <td>{{ isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age.' años':''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Sexo</td>
                                                            <td>{{$empleo->genero}}</td>
                                                            <td>{{ isset($candidato->genero)?getDropdownValue($candidato->genero):''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Estado civil</td>
                                                            <td>{{$empleo->estado_civil}}</td>
                                                            <td>{{ isset($candidato->estado_civil)?getDropdownValue($candidato->estado_civil):''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Grado académico</td>
                                                            <td>{{$empleo->estudios_carrera}}</td>
                                                            <td>{{$grado_academico}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Años de experiencia</td>
                                                            <td>{{$empleo->experiencia}}</td>
                                                            <td>{{ isset($candidato->anios_experiencia)?$candidato->anios_experiencia:''}}</td>
                                                        </tr>
                                                        <tr>
                                                            <td>Competencias requeridadas para el puesto</td>
                                                            <td>@foreach(explode(',',$empleo->competencias) as $competencia)
                                                                    {{getDropdownValue($competencia)}},
                                                                @endforeach</td>
                                                            <td>{{ isset($candidato->competencias)?$candidato->competencias:''}}</td>
                                                        </tr>
                                                        <!-- <tr>
                                                            <td>Conocimientos específicos del puesto</td>
                                                            <td>{{ isset($empleo->conocimientos_especiales)?$empleo->conocimientos_especiales:''}}</td>
                                                            <td>-</td>
                                                        </tr> -->
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="observaciones pt-3">
                                        <div class="col px-0 text-justify">
                                            <h3>Observaciones</h3>
                                            <p>
                                            {{isset($candidato->observaciones_informe)?$candidato->observaciones_informe:''}}
                                                <!-- Máximo de 150 palabras -->
                                            <!-- Lorem ipsum dolor sit amet consectetur adipiscing elit nostra mi sociis, mattis habitant rhoncus orci tincidunt tortor tempus aliquet facilisi cubilia, quis potenti justo condimentum duis urna neque sollicitudin aenean. Taciti ridiculus ullamcorper leo erat vitae volutpat sagittis venenatis arcu etiam, dis ante consequat massa accumsan fringilla luctus phasellus odio quisque, congue nisi senectus sed nunc diam cursus turpis pellentesque. Est curae mus ut laoreet semper proin aptent viverra risus, mauris id dictumst commodo pretium himenaeos natoque per class eu, non egestas nisl feugiat inceptos platea litora ornare. Convallis eros varius elementum magnis purus nec sodales vel, ultricies conubia auctor faucibus eleifend iaculis vehicula integer interdum, enim lobortis velit cras augue metus sapien. Dictum nascetur aliquam imperdiet curabitur euismod suscipit tristique libero parturient habitasse, cum sociosqu dignissim in nam fames lacinia facilisis malesuada posuere, gravida praesent vulputate rutrum ac fermentum suspendisse molestie a. Tellus pulvinar lacus primis bibendum, ad pharetra. -->
                                            </p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </article>
                </div>
            </div>
            
        </div>
    </section>

    <!-- Solicitud de empleo -->
    <section class="page-break">
        <div style="">
            <div>
                <article>
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Solicitud de empleo</h3>
                            </div>
                        </div>
                    </div>
                    <div id="informe-solicitud-empleo-0" class="">
                        <div class="">
                            <div class="">
                                <div class="general-title">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <h2 style="font-weight:300;">DATOS PERSONALES</h2>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-12 col-lg-6">
                                                <h4 style="color: #ff7a00!important;">{{$candidato->nombre}} {{$candidato->apellido}} {{$candidato->apellido_casada}}</h4>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="align-items-start datos-info">
                                    <div class="">
                                        <table class="table table-bordered tabla-datos-solicitados">
                                            <thead>
                                                <tr>
                                                    <th>Datos Solicitados</th>
                                                    <th>Información del candidato</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr>
                                                    <td><strong>Profesión</strong></td>
                                                    <td>{{$candidato->profesion}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Código</strong></td>
                                                    <td>{{isset($candidato->id)?$candidato->id:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Fecha de nacimiento</strong></td>
                                                    <td>{{isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->format('d-m-Y'):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Edad</strong></td>
                                                    <td>{{ isset($candidato->fecha_nacimiento)?$candidato->fecha_nacimiento->age.' años':''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Lugar de nacimiento</strong></td>
                                                    <td>{{isset($candidato->lugar_nacimiento)?$candidato->lugar_nacimiento:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Municipio</strong></td>
                                                    <td>{{isset($candidato->municipio)?getDropdownValue($candidato->municipio):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Departamento</strong></td>
                                                    <td>{{isset($candidato->departamento)?getDropdownValue($candidato->departamento):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Estado Civil</strong></td>
                                                    <td>{{isset($candidato->estado_civil)?getDropdownValue($candidato->estado_civil):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Correo</strong></td>
                                                    <td>{{isset($candidato->email)?$candidato->email:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Celular</strong></td>
                                                    <td>{{isset($candidato->telefono_celular)?$candidato->telefono_celular:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Teléfono casa</strong></td>
                                                    <td>{{isset($candidato->telefono_fijo)?$candidato->telefono_fijo:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>DPI</strong></td>
                                                    <td>{{isset($candidato->dpi)?$candidato->dpi:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Afiliación IGSS</strong></td>
                                                    <td>{{isset($candidato->igss)?$candidato->igss:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>No. Licencia</strong></td>
                                                    <td>{{isset($candidato->licencia)?$candidato->licencia:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Nit</strong></td>
                                                    <td>{{isset($candidato->nit)?$candidato->nit:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Estudia</strong></td>
                                                    <td>{{isset($candidato->estudia)?getDropdownValue($candidato->estudia):''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>¿Dónde?</strong></td>
                                                    <td>{{isset($candidato->establecimineto)?$candidato->establecimineto:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Carrera</strong></td>
                                                    <td>{{isset($candidato->carrera)?$candidato->carrera:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Dirección</strong></td>
                                                    <td>{{isset($candidato->direccion)?$candidato->direccion:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Esposo(a)/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_conyugue)?$candidato->datos_conyugue:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>No. de hijos/edades</strong></td>
                                                    <td>{{isset($candidato->hijos)?getDropdownValue($candidato->hijos):''}} / {{isset($candidato->edad_hijos)?$candidato->edad_hijos:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Padre/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_padre)?$candidato->datos_padre:''}} / {{isset($candidato->ocupacion_padre)?$candidato->ocupacion_padre:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Madre/edad/ocupación</strong></td>
                                                    <td>{{isset($candidato->datos_madre)?$candidato->datos_madre:''}} / {{isset($candidato->ocupacion_madre)?$candidato->ocupacion_madre:''}}</td>
                                                </tr>
                                                <tr>
                                                    <td><strong>Hermano(a)s/edades/ocupaciones</strong></td>
                                                    <td>{{isset($candidato->hermanos)?getDropdownValue($candidato->hermanos):''}} / {{isset($candidato->info_hermanos)?$candidato->info_hermanos:''}}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>

    <!-- Datos Físicos, Datos Socioecocómicos & otros datos -->
    <section class="page-break">
        <div id="informe-solicitud-empleo-1" class="">
            <div class="py-3">
                <div class="">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">DATOS FÍSICOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start  datos-info">
                        <div class="">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Impedimento físico</strong></td>
                                        <td>{{isset($otros->impedimento_fisico)?getDropdownValue($otros->impedimento_fisico):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>¿Cuál es?</strong></td>
                                        <td>{{isset($otros->impedimento)?$otros->impedimento:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Toma medicamentos</strong></td>
                                        <td>{{isset($otros->toma_medicamentos)?getDropdownValue($otros->toma_medicamentos):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Ha estado enfermo de gravedad los últimos 2 años</strong></td>
                                        <td>{{isset($otros->enfermo_de_gravedad)?getDropdownValue($otros->enfermo_de_gravedad):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Estatura</strong></td>
                                        <td>{{isset($otros->estatura)?$otros->estatura:''}} mts</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Complexión</strong></td>
                                        <td>{{isset($otros->complexion_fisica)?getDropdownValue($otros->complexion_fisica):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Peso</strong></td>
                                        <td>{{isset($otros->peso)?$otros->peso:''}} lbs</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Bebe o fuma</strong></td>
                                        <td>{{isset($otros->bebe_fuma)?getDropdownValue($otros->bebe_fuma):''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <div class="">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">DATOS SOCIOECONÓMICOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start  datos-info">
                        <div class="">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Residencia</strong></td>
                                        @if($otros->casa_propia == 375)
                                        <td>Casa propia</td>
                                        @elseif($otros->alquila == 375)
                                        <td>Alquilada</td>
                                        @elseif($otros->casa_propia == 376)
                                        <td></td>
                                        @elseif($otros->alquila == 376)
                                        <td></td>
                                        @endif
                                    </tr>
                                    <tr>
                                        <td><strong>Tiempo de vivir</strong></td>
                                        <td>{{isset($otros->anios_viviendo)?$otros->anios_viviendo:''}} años</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Especifique</strong></td>
                                        <td>{{isset($otros->otros_especifiques)?$otros->otros_especifiques:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Posee otro ingreso</strong></td>
                                        <td>{{isset($otros->otros_ingresos)?getDropdownValue($otros->otros_ingresos):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Especifique</strong></td>
                                        <td>{{isset($otros->monto)?$otros->monto:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Posee vehículo</strong></td>
                                        <td>{{isset($otros->posee_vehiculo)?getDropdownValue($otros->posee_vehiculo):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Marca</strong></td>
                                        <td>{{isset($otros->marca)?$otros->marca:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Modelo</strong></td>
                                        <td>{{isset($otros->modelo)?$otros->modelo:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Tiene deudas</strong></td>
                                        <td>{{isset($otros->posee_deudas)?getDropdownValue($otros->posee_deudas):''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>¿En qué?</strong></td>
                                        <td>{{isset($otros->posee_deudas_especifique)?$otros->posee_deudas_especifique:''}}</td>
                                    </tr>
                                    <tr>
                                        <td><strong>Monto</strong></td>
                                        <td>Q {{isset($otros->monto_deuda)?$otros->monto_deuda:''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <div class="">
                <div style="padding-top:25px;">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">OTROS DATOS</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start other-data">
                        <div class="table-otros-datos">
                            <table class="table table-bordered tabla-datos-solicitados">
                                <thead>
                                    <tr>
                                        <th>Datos Solicitados</th>
                                        <th>Información del candidato</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td><strong>Actividades deportivas, religiosas o culturales: </strong></td>
                                        <td>{{isset($otros->actividades)?$otros->actividades:''}}</td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Referencias Laborales & Referencias Personales -->
    <section class="page-break">
        <div class="pb-5">
            <div style="">
                <article>
                    <div id="informe-solicitud-empleo-2" class="">
                        <div class="">
                            <div class="">
                                <div class="general-title">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <h2 style="font-weight:300;">EXPERIENCIA LABORAL</h2>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="align-items-start other-data">
                                    <div class="table-experiencia-laboral">
                                        <div class="">
                                            <table class="table table-bordered">
                                                <thead>
                                                    <tr>
                                                        @if($experiencias->count() == 3)
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        <th class="text-center">Empresa 2</th>
                                                        <th class="text-center">Empresa 3</th>
                                                        @elseif($experiencias->count() == 2)
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        <th class="text-center">Empresa 2</th>
                                                        @else
                                                        <th></th>
                                                        <th class="text-center">Empresa 1</th>
                                                        @endif
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr>
                                                        <td>Empresa</td>
                                                        @isset($experiencias[0])   
                                                        <td>{{isset($experiencias[0]->empresa)?$experiencias[0]->empresa:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])   
                                                        <td>{{isset($experiencias[1]->empresa)?$experiencias[1]->empresa:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->empresa)?$experiencias[2]->empresa:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Teléfono</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->telefono)?$experiencias[0]->telefono:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->telefono)?$experiencias[1]->telefono:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->telefono)?$experiencias[2]->telefono:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Último salario</td>
                                                        @isset($experiencias[0])
                                                        <td> Q {{isset($experiencias[0]->ultimo_salario)?number_format($experiencias[0]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td> Q {{isset($experiencias[1]->ultimo_salario)?number_format($experiencias[1]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td> Q {{isset($experiencias[2]->ultimo_salario)?number_format($experiencias[2]->ultimo_salario,2):''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Puesto</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->puesto)?$experiencias[0]->puesto:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->puesto)?$experiencias[1]->puesto:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->puesto)?$experiencias[2]->puesto:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Razón de retiro</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->razon_retiro)?$experiencias[0]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->razon_retiro)?$experiencias[1]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->razon_retiro)?$experiencias[2]->razon_retiro:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Tiempo laboral</td>
                                                        @isset($experiencias[0])
                                                        <td>{{intervaloFechas($experiencias[0]->inicio_labores, $experiencias[0]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{intervaloFechas($experiencias[1]->inicio_labores, $experiencias[1]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{intervaloFechas($experiencias[2]->inicio_labores, $experiencias[2]->finalizo_labores)}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Jefe</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->jefe_inmediato)?$experiencias[0]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->jefe_inmediato)?$experiencias[1]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->jefe_inmediato)?$experiencias[2]->jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Teléfono Jefe</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->telefono_jefe_inmediato)?$experiencias[0]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->telefono_jefe_inmediato)?$experiencias[1]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->telefono_jefe_inmediato)?$experiencias[2]->telefono_jefe_inmediato:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Atribuciones</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->funciones_principales)?$experiencias[0]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->funciones_principales)?$experiencias[1]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->funciones_principales)?$experiencias[2]->funciones_principales:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>Pedir</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->contacto_supervisor)?getDropdownValue($experiencias[0]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->contacto_supervisor)?getDropdownValue($experiencias[1]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->contacto_supervisor)?getDropdownValue($experiencias[2]->contacto_supervisor):''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                    <tr>
                                                        <td>¿Por qué?</td>
                                                        @isset($experiencias[0])
                                                        <td>{{isset($experiencias[0]->contacto_supervisor_especifique)?$experiencias[0]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[1])
                                                        <td>{{isset($experiencias[1]->contacto_supervisor_especifique)?$experiencias[1]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @isset($experiencias[2])
                                                        <td>{{isset($experiencias[2]->contacto_supervisor_especifique)?$experiencias[2]->contacto_supervisor_especifique:''}}</td>
                                                        @endisset
                                                        @if($experiencias->count() == 0)   
                                                        <td></td>
                                                        @endif
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="">
                            <div class="general-title">
                                <div class="">
                                    <div class="">
                                        <div class="">
                                            <h2 style="font-weight:300;">REFERENCIAS PERSONALES</h2>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="align-items-start other-data">
                                <div class="table-referencias-personales">
                                    <div class="">
                                        <table class="table table-bordered">
                                            <thead>
                                                <tr>
                                                    <th>Nombre de la empresa</th>
                                                    <th>Teléfonos</th>
                                                    <th>Cargo que desempeña</th>
                                                </tr>
                                            </thead>
                                            @isset($referencias)
                                            @foreach ($referencias as $referencia)
                                            <tbody>
                                                <tr>
                                                    <td>{{isset($referencia->nombre)?$referencia->nombre:''}}</td>
                                                    <td>{{isset($referencia->telefono)?$referencia->telefono:''}}</td>
                                                    <td>{{isset($referencia->cargo)?$referencia->cargo:''}}</td>
                                                </tr>
                                            </tbody>
                                            @endforeach
                                            @endisset
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                </article>
            </div>
        </div>
    </section>

    <!-- Entrevista Personal -->
    <section class="page-break">
        <div class="pb-5">
            <div class="">
                <article>                
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Entrevista Personal</h3>
                            </div>
                        </div>
                    </div>
                    <div id="informe-entrevista-personal-0" class="">
                        <div class="lista-entrevista">
                            <div class="">
                                <ol>
                                    <li>
                                        <strong>
                                            <span>1.&nbsp;</span>Danos una breve descripción de tu perfil laboral, experiencia, conocimientos y profesión:
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta1)?$entrevista->pregunta1:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>2.&nbsp;</span>¿Qué puesto te interesa y por qué crees que eres la persona idónea para ocuparlo?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta2)?$entrevista->pregunta2:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>3.&nbsp;</span>¿Qué te gusta hacer en tu tiempo libre?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta3)?$entrevista->pregunta3:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>4.&nbsp;</span>¿Por qué quieres cambiar de empleo o por qué dejaste tu anterior empleo?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta4)?$entrevista->pregunta4:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>5.&nbsp;</span>¿Cómo describirías a tu Jefe Inmediato anterior?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta5)?$entrevista->pregunta5:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>6.&nbsp;</span>Describe una situación en la cual cometiste un error y ¿cómo lo solucionaste?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta6)?$entrevista->pregunta6:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>7.&nbsp;</span>¿Cuál fue tu último sueldo, como estaba integrado y cuál es tu pretensión actual?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta7)?$entrevista->pregunta7:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>8.&nbsp;</span>Indica 5 fortalezas personales, 5 debilidades o aspectos a mejorar sobre tu persona:
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta8)?$entrevista->pregunta8:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>9.&nbsp;</span>¿Cómo describirías a tu Jefe Ideal o tu futuro Jefe?
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta9)?$entrevista->pregunta9:''}}</li>
                                        </ul>
                                    </li>
                                    <li>
                                        <strong>
                                            <span>10.</span>&nbsp;Describe cómo te ves personal y profesionalmente en dos etapas de tu vida; a corto plazo (de 1 a 3 años) y a mediano plazo(de 4 a 5 años):
                                        </strong>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta10)?$entrevista->pregunta10:''}}</li>
                                        </ul>
                                    </li>
                                </ol>
                            </div>
                        </div>
                    </div>
                </article>
                
            </div>
        </div>
    </section>

    <!-- Continuación de Entrevista Personal -->
    <section class="page-break">
        <article>
            <div id="informe-entrevista-personal-1" class="">
                <div class="lista-entrevista">
                    <div class="">
                        <ol>
                            <li>
                                <strong>
                                    <span>11.&nbsp;</span>¿Por qué deberíamos contratarte?
                                </strong>
                                <ul>
                                    <li>{{isset($entrevista->pregunta11)?$entrevista->pregunta11:''}}</li>
                                </ul>
                            </li>
                            <li>
                                <strong>
                                    <span>12.&nbsp;</span>Describa su comportamiento, si usted fuera Luis, y se encontrara en la situación, que el siguiente caso describe:
                                </strong>
                                <ul>
                                    <li>Luis es un joven de 22 años, ha tenido la oportunidad de iniciar a trabajar en una empresa que se dedica a la venta de repuestos para vehículos, esta iniciando si segundo mes de trabajo.<br><br>Su jefe
                                        Antonio y compañero de trabajo Javier, están en su horario de almuerzo, él se encuentra solo y a cargo de la sala de ventas.<br><br>Al rededor de la 1:15 se presenta don Alfonzo Peña Fuerte, antiguo
                                        cliente, quien generalmente es una persona educada y respetuosa. Sin embargo, en está ocasión llega sumamente molesto, utilizando un tono de voz alto y agresivo, indicando que el repueso que se le
                                        vendió no es el correcto y que al colocarlo daño piezas importantes y costosas del motor de su carro.<br><br>A Luis le preocupa que por la avanzada edad de don Alfonzo Peña Fuerte pueda sufrir un
                                        problema de salud, se siente responsable por que él fue quien vendió el repuesto.<br><br><br><span><strong>¿Qué haría usted si fuera Luis?</strong><br></span>
                                        <ul>
                                            <li>{{isset($entrevista->pregunta12)?$entrevista->pregunta12:''}}</li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                        </ol>
                    </div>
                </div>
            </div>
        </article>
    </section>

    <!-- Resultados pruebas psicometricas -->
    <section class="page-break">
        <div class="">
            <div class="">
                <article class="">
                    <div class="header-informe ">
                        <div class="align-items-center ">
                            <div class="logo "></div>
                            <div class="section-title ">
                                <h3>Resultados pruebas psicometricas</h3>
                            </div>
                        </div>
                    </div>
                    <div id="informe-resultados-pruebas-psicometricas-0" class="">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <p>La impresión de las pruebas se describe a continuación:</p>
                                            </div>
                                        </div>
                                        <div class="">
                                            <div class="">
                                                <h5>a) Estilo de dirección y el crecimiento y desarrollo en la empresa</h5> 
                                            </div>
                                        </div>
                                        <div class="">
                                            <div class="col textos-psicometricos">
                                            @isset($resultadoA[0]->total_prueba)
                                            @if($resultadoA[0]->total_prueba == 'ENFJ')
                                                <p>Es tan responsivo como responsable. Por lo general se preocupa por los pensamientos y deseos de los demás,  trata las cosas dándole consideración a los sentimientos de los demás. Puede dar una presentación o dirigir un grupo en una discusión con facilidad y con tacto. Es sociable, popular y compasivo. Es sensible tanto a los halagos como a la critica.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ENFP')
                                                <p>Es entusiasta afectuoso (a), con mucho ánimo, ingenioso (a), e imaginativo (a). Logra llevar a cabo casi cualquier cosa que le interese. Resuelve problemas. Frecuentemente se deja guiar por su habilidad para improvisar en vez de prepararse de antemano. Casi siempre puede encontrar buenas razones para lograr lo que quiere.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ENTJ')
                                                <p>Es sincero (a), franco (a), decidido (a) y líder de actividades. Por lo general demuestra destreza en cualquier situación que requiera razonamiento y conversación de tipo intelectual, como por ejemplo, en la oratoria. Por lo general está bien informado (a) y le gusta adquirir más conocimientos.  A veces se siente demasiado seguro y confiado en si mismo, especialmente considerando la poca experiencia que haya tenido en la situación previamente.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ENTP')
                                                <p>Vivaz, ingenioso (a), con destrezas para muchas cosas. Resulta ser compañia estimulante para los demás, y es una persona alerta y franca. A veces discute de ambos lados de una discusión, sólo por diversión. Es ingenioso (a) al resolver problemas nuevos y difíciles, pero tiende a poner a un lado encargos rutinarios. Es capaz de cambiar constantemente de interés. Es diestro (a) para buscar las razones lógicas a lo que quieren lograr.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ESFJ')
                                                <p>Es afectuoso (a), hablador (a), popular, concienzudo (a), muy cooperativo (a) y es miembro activo en comités. Para el o ella es necesario la existencia de armonía y cuando no existe, la crea con destreza. Siempre esta haciendo algo placentero para los demás. Trabaja mejor cuando hay incentivos y alianzas. Tiene poco interés en pensamientos abstractos y en materias técnicas. Su interés principal son las que afectan la vida de los demás de una manera directa y visible.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ESFP')
                                                <p>Es sociable, acomodadizo (a), acepta bien las cosas, es amistoso (a), lo disfruta todo y se asegura de que los demás también lo están disfrutando, haciendo esfuerzos para hacerle màs divertidas las cosas a los demás. Gusta de los deportes al igual que construir cosas. Se entera de todo lo que está ocurriendo a su alrededor y se hace partidario (a) de ello con esmero. Le resulta más fácil acordarse de hechos que tratan de aprender teorías. Tiene mas destreza en situaciones donde es necesario tener sentido común y habilidad práctica tanto con personas como con objetos.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ESTJ')
                                                <p>Práctico (a), realista, con una inclinación mental hacia los negocios o la mecánica. No se interesa en materias que no tengan practicidad, pero es trabajador dedicado cuando tienen que serlo. Le gusta organizar y llevar a cabo actividades. Puede ser buena administrador (a) especialmente si se acuerdan de considerar los sentimientos y puntos de vista de los demás.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ESTP')
                                                <p>Casual, relajado, disfruta el momento. Tiene una tendencia a disfrutar objetos mecánicos y deportes, con amistades a su alrededor. Puede ser algo brusco (a) o insensitiva. Es adaptable, tolerante y por lo general, conservativo (a) en sus valores personales. No gusta de las explicaciones largas. Tiene más destreza con objetivos que se pueden trabajar, manipular, desarmar o armar.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'INFJ')
                                                <p>Logra el éxito a través de perseverancia, originalidad y el deseo de hacer lo que sea necesario o deseado. Dirige su mejor esfuerzo hacia su trabajo. Es poderoso (a), pero de una manera callada, es concienzudo (a) y se interesa por los demás, se gana el respeto de los demás a través de su firmeza de principios. Es posible que sea alabado y apoyado por aquellos que reconozcan la claridad de sus creencias de cómo asegurar el bienestar del mayor número de personas.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'INFP')
                                                <p>Lleno (a) de entusiasmo y lealtad, pero no comparte estos sentimientos con los demás sin antes haberlos llegado a conocer bien. Le importa el aprendizaje, las ideas, el lenguaje y proyectos que se pueden llevar a cabo  independientemente de los demás.  Tiene una tendencia a tratar de hacer demasiado, pero de alguna forma lo logran llevar a cabo. Es una persona amistosa, aunque a veces esta tan absorta en lo que está haciendo que le resulta dificil ser sociable. Le importa poco las posesiones materiales ni lo que les rodea.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'INTJ')
                                                <p>Por lo general piensa con originalidad y tiene gran determinación en cuanto a sus propias ideas y propósitos. En carreras de su agrado tiene gran destreza para organizar un trabajo y llevarlo a cabo con o sin la ayuda de los demás. Es una persona dudosa, critica, independiente, determinado (a) y frecuentemente testarudo (a). Tiene que aprender a ceder en los puntos menos importantes para poder lograr éxito con los de más importancia.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'INTP')
                                                <p>Callado (a), reservado (a), impersonal. Prefiere asuntos científicos y teóriticos. Sumamente lógico. Por lo general, muestra interés en ideas, dándole poca importancia a las fiestas o conversaciones triviales.  Tiende a tener sus intreses bien definidos.  Necesita carreras donde puedan usar provechosamente su profundo interés.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ISFJ')
                                                <p>Callado (a), ambicioso (a), responsable y concienzudo (a). Trabaja con devoción para llevar a cabo sus obligaciones. Le da estabilidad a cualquier proyecto o grupo. Es minucioso (a), cuidadoso (a) y preciso (a).  Es posible que se tenga que demorar un poco en aprender, son sujetos técnicos, ya que, por lo general, su interés no es técnico. Tiene paciencia con detalles y cosas rutinarias. Es leal, considerado (a) y se preocupa por los demás.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ISFP')
                                                <p>Persona reservada, callada y amistosa, sensitiva, generosa, modesta en cuanto se refiere a sus habilidades. Evita los desacuerdos, no trata de imponer sus opiniones o valores sobre los demás. Por lo general no prefiere ser líder,  pero si es partidario(a) de la lealtad. Frecuentemente se encuentra relajado(a) al llevar algo a cabo, porque disfruta el presente y no quiere estropearlo con apuros o con esfuerzos innecesarios.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ISTJ')
                                                <p>Serio (a), callado (a), logran el éxito a través de concentración y minuciosidad. Práctico (a), ordenado (a), casual, realista y confiable, está al tanto de que todo este bien organizado.   Acepta la responsabilidad.  Decide por su propia cuenta lo que tiene que hacer y trabaja, de manera decidida, en esa dirección, sin importarle protestas o distracciones.</p>
                                            @endif
                                            @if($resultadoA[0]->total_prueba == 'ISTP')
                                                <p>Espectador (a) tranquilo (a) callado (a), reservador (ra), observa y analiza la vida con curiosidad objetiva y a veces con humorismo original. Por lo general está más interesado en principios impersonales, causa efecto y el cómo y el por qué del funcionamiento de cosas u objetos mecànicos. Se esfuerza lo menos posible, porque el gastar energía es ineficiente.</p>
                                            @endif
                                            @endisset
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="">
                                    <div class="">
                                        <h5 class="py-3">b) Valores predominantes</h5>
                                        <div id="piechart" style="text-align: center;">
                                            @isset($chart)
                                            <img width="75%" style="margin:0; padding: 10px 0 0 0" src="{{$chart}}" alt=""> 
                                            @endisset
                                        </div>
                                    </div>
                                </div>
                                

                                <div class="table-psicometricas-caracteristicas">
                                    <table class="table table-bordered table-psicom">
                                        <tbody class="">
                                            <tr>
                                                <th style="">Valor</th>
                                                <th style="">Descripción</th>
                                                <th style="">Porcentaje de valor</th>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Benevolencia
                                                    </strong>
                                                </td>
                                                <td>Hacer cosas por los demás y compartirlas con ellos, ayudar a los poco afortunados, ser generosos.</td>
                                                <td>{{isset($porcentajesB[4])?$porcentajesB[4]:''}}%</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Conformidad
                                                    </strong>
                                                </td>
                                                <td>Hace lo que es socialmente correcto, siguiendo estrictamente las normas; hacer lo que es aceptado e idóneo, ser conformista.</td>
                                                <td>{{isset($porcentajesB[1])?$porcentajesB[1]:''}}%</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Estímulo
                                                    </strong>
                                                </td>
                                                <td>Espera ser tratado con comprensión, recibiendo apoyo por parte de los demás; ser tratado con amabilidad y consideración.</td>
                                                <td>{{isset($porcentajesB[0])?$porcentajesB[0]:''}}%</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Independencia
                                                    </strong>
                                                </td>
                                                <td>Tener derecho hacer lo que uno quiere hacer, ser libre para decidir sobre uno mismo, ser capaz de actuar sobre su propio criterio.</td>
                                                <td>{{isset($porcentajesB[3])?$porcentajesB[3]:''}}%</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Liderazgo
                                                    </strong>
                                                </td>
                                                <td>Estar a cargo de otras personas, teniendo autoridad sobre ellas, estar puestos de mando poder.</td>
                                                <td>{{isset($porcentajesB[5])?$porcentajesB[5]:''}}%</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong style="color: #0054c2!important;">
                                                        Reconocimiento
                                                    </strong>
                                                </td>
                                                <td>Ser bien visto y admirado, ser considerado como persona importante, llamar favorablemente la atención. Conseguir el reconocimiento de las demás personas.</td>
                                                <td>{{isset($porcentajesB[2])?$porcentajesB[2]:''}}%</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                                    
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>

    <!-- Resultados pruebas psicometricas 2 -->
    <section class="page-break">
        <div class="pb-5">
            <div class="">
                <article>
                    <div id="informe-resultados-pruebas-psicometricas-1" class="c-16-factores">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <div class="">
                                        <h5>c) Factores de personalidad</h5>
                                    </div>
                                </div>
                                <div class="">
                                    <div class="col px-0">
                                        <p>(FODA PERSONAL) Los picos indican: Fortalezas, oportunidades, debilidades o amenazas en el candidato. <strong>Los aspectos marcados en azul son factores relevantes de personalidad en el candidato. El rango es aceptable para cualquier puesto</strong>.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                        @isset($porcentajesC[0])
                        <div class=" pt-4 table-factores-personalidad">
                            <div class="">
                                <div class="">
                                    <table class="table table-bordered">
                                        <thead>
                                            <tr>
                                                <th></th>
                                                <th>Baja puntuación</th>
                                                <th>Valor</th>
                                                <th>Alta puntuación</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Reservado / Abierto
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[0] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[0] > 3 && $porcentajesC[0] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Persona que da pocas demostraciones de afecto, generalmente es retraída, fría. Le gusta más trabajar sola.</td>
                                                <td>{{$porcentajesC[0]}}</td>
                                                @if($porcentajesC[0] > 3 && $porcentajesC[0] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[0] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Persona afectuosa, participativa y colaboradora . Prefiere trabajar en grupos.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Rto. Concreto / Abstracto
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[1] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[1] > 3 && $porcentajesC[1] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Dificultad en el manejo de problemas a nivel abstracto, se inclina en hacerlo a nivel concreto. De juicio intelectual pobre.</td>
                                                <td>{{$porcentajesC[1]}}</td>
                                                @if($porcentajesC[1] > 3 && $porcentajesC[1] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[1] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Presenta alto nivel de razonamiento abstracto. Demuestra ser de rápida comprensión y aprendizaje de ideas.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Inestabilidad Emoc. / Estabilidad emocional
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[2] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[2] > 3 && $porcentajesC[2] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Demasiado afectada por los sentimientos cuando se frustra, inestable emocionalmente. Tiende a evadir responsabilidades.</td>
                                                <td>{{$porcentajesC[2]}}</td>
                                                @if($porcentajesC[2] > 3 && $porcentajesC[2] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[2] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona emocionalmente estable, madura y realista.  No deja que sus necesidades emocionales afecten la realidad de las situaciones.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Sumiso / Dominante
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[3] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[3] > 3 && $porcentajesC[3] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                La persona es sumisa, cede fácilmente ante los demás, es dócil y conformista. Es modesta, humilde y obediente.</td>
                                                <td>{{$porcentajesC[3]}}</td>
                                                @if($porcentajesC[3] > 3 && $porcentajesC[3] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[3] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona dominante, le gusta controlar las situaciones y las personas.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Prudente / Impulsivo
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[4] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[4] > 3 && $porcentajesC[4] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es prudente e instrospectiva. Reflexiva, presenta temor a cometer errores y tiene indecisión acerca de tomar riesgos</td>
                                                <td>{{$porcentajesC[4]}}</td>
                                                @if($porcentajesC[4] > 3 && $porcentajesC[4] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[4] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona impulsiva. Demasiado franca.  Responde con rapidez a los eventos que sean de su interés.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Despreocupado / Escrupuloso
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[5] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[5] > 3 && $porcentajesC[5] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                La persona suele ser inestable en sus propósitos. Demuestra alta despreocupación y muy poca consideración por las normas de la sociedad</td>
                                                <td>{{$porcentajesC[5]}}</td>
                                                @if($porcentajesC[5] > 3 && $porcentajesC[5] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[5] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Esta dominada por el sentido del deber, perseverante, responsable y organizada. Es escrupulosa y moralista.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Timido / Espontáneo
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[6] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[6] > 3 && $porcentajesC[6] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Suele ser tímida, muy retraída. Se muestra cohibida y con falta de confianza en si misma. Puede presentar sentimientos de inferioridad. Se retrae fácilmente ante el sexo apuesto</td>
                                                <td>{{$porcentajesC[6]}}</td>
                                                @if($porcentajesC[6] > 3 && $porcentajesC[6] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[6] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona sociable y espontánea. Dispuesta a intentar nuevas cosas, de numerosas respuestas emocionales. </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Racional / Emocional
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[7] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[7] > 3 && $porcentajesC[7] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es dura sentimentalmente. Actúa más basada en evidencias prácticas y lógicas. Es confiada de sí misma, acepta resopnsabilidades.  Espera poco de las personas</td>
                                                <td>{{$porcentajesC[7]}}</td>
                                                @if($porcentajesC[7] > 3 && $porcentajesC[7] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[7] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es afectada por los sentimientos,  bastante sensible. Se muestra inquieta, espera afecto y atención.  Es indulgente consigo y con los demás</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Confiado / Suspicaz
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[8] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[8] > 3 && $porcentajesC[8] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es una persona confiada, comprensiva, permisiva y tolerante. Cede ante los cambios, no parece preocupada por corregir a los demás. Se sobrepone con facilidad a las dificultades</td>
                                                <td>{{$porcentajesC[8]}}</td>
                                                @if($porcentajesC[8] > 3 && $porcentajesC[8] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[8] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona celosa, desconfiada de las situaciones y de la gente. Insiste en hacer comprender su opinión, busca y exige  que los demás reconozcan los errores que han cometido</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Practico / Soñador
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[9] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[9] > 3 && $porcentajesC[9] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es una persona preocupada por intereses y hechos inmediatos. Se muestra ansiosa por hacer cosas correctamente. Antenta los problemas prácticos y cercanos. </td>
                                                <td>{{$porcentajesC[9]}}</td>
                                                @if($porcentajesC[9] > 3 && $porcentajesC[9] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[9] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Persona muy imaginativa, se abstrae mucho en sus pensamientos. Se entusiasma rápidamente, cambia y abandona las ideas bruscamente. </td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Sencillo / Astuto
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[10] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[10] > 3 && $porcentajesC[10] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es sencilla, natrual y poco sofisticada. Se le satisface y se muestra contenta con lo que acontece, es sincera e ingenua.</td>
                                                <td>{{$porcentajesC[10]}}</td>
                                                @if($porcentajesC[10] > 3 && $porcentajesC[10] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[10] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es sumamente astuta, exacta y calculadora. Diplomática , calculadora,  se desenvuelve bien en grupo. Ambisiosa y perspicaz</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Seguro / Inseguro
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[11] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[11] > 3 && $porcentajesC[11] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Persona segura, tranquila, flexible y serana. Nio le preocupa la aprobación de los demás. No se culpa por acciones erradas, actúa libremente sin temores</td>
                                                <td>{{$porcentajesC[11]}}</td>
                                                @if($porcentajesC[11] > 3 && $porcentajesC[11] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[11] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona insegura, intranquila, preocupada y deprimida. Se culpa por sus acciones erradas. Se afecta con facilidad, es muy sensible a la aprobación de los demás</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Tradicionalista / Innovador
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[12] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[12] > 3 && $porcentajesC[12] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es conservadora, respetuosa de las ideas establecidas, tolerante de los defectos tradicionales. Es precavida y resistente a las nuevas ideas, postone los cambios, sigue la línea tradicional es convencionalista</td>
                                                <td>{{$porcentajesC[12]}}</td>
                                                @if($porcentajesC[12] > 3 && $porcentajesC[12] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[12] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Persona con interés por las nuevas ideas. Presenta actitudes de innovación y reacción ante lo establecido, prefiere sus propias decisiones. Analítico y autónomo en su forma de pensar</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Dependencia Del Grupo / Autosuficiencia
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[13] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[13] > 3 && $porcentajesC[13] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Dependiente del grupo. Prefiere estar en compañia y decide sobre lo correcto de su desempeño al compararse con otros más que confiar en su propio juicio. Se une fácil al grupo.</td>
                                                <td>{{$porcentajesC[13]}}</td>
                                                @if($porcentajesC[13] > 3 && $porcentajesC[13] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[13] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es autosuficiente, ingeniosa y llena de recursos, prefiere las propias decisiones. Busca resolver problemas por sí misma.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Desinhibido / Controlado
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[14] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[14] > 3 && $porcentajesC[14] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Da poca importancia a como la perciben los demás y suele hacer lo que desea. Tiene poco autocontrol. Mantiente poca congruencia entre su autoconcepto percibido y deseado.</td>
                                                <td>{{$porcentajesC[14]}}</td>
                                                @if($porcentajesC[14] > 3 && $porcentajesC[14] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[14] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Tiene signos de perfeccionista, con alta congruencia en el autoconcepto percibido y el deseado. Alto nivel de autocontrol.</td>
                                            </tr>
                                            <tr>
                                                <td>
                                                    <strong>
                                                        Tranquilo / Tensionado
                                                    </strong>
                                                </td>
                                                @if($porcentajesC[15] <= 3)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @elseif ($porcentajesC[15] > 3 && $porcentajesC[15] <= 6)
                                                <td>
                                                @else
                                                <td>
                                                @endif
                                                Es una persona callada, relajada, tranquila. Es algunas situaciones su estado de mucha satisfacción le puede llevar a la pereza y al bajo rendimiento.</td>
                                                <td>{{$porcentajesC[15]}}</td>
                                                @if($porcentajesC[15] > 3 && $porcentajesC[15] <= 6)
                                                <td>
                                                @elseif ($porcentajesC[15] > 6)
                                                <td class="active" style="background-color: #0054c2!important; color:#fff!important;">
                                                @else
                                                <td>
                                                @endif
                                                Es una persona con características de estar tensa, excitable e intranquila. Puede presentar bloqueos de ansiedad</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                        @endisset
                    </div>
                </article>
            </div>
        </div>
    </section>

    <!-- Referencias laborales -->
    <section class="">
        <div class="pb-5">
            <div class="">
                <article>
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Referencias laborales</h3>
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>
    

    @isset($experiencias)
    @foreach ($experiencias as $experiencia) 
    <section class="page-break">
        <div id="informe-referencias-laborales " class="">
            <div class="">
                <div class="">
                    <div class="general-title">
                        <div class="">
                            <div class="">
                                <div class="">
                                    <h2 style="font-weight:300;">EMPRESA</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="align-items-start other-data">
                        <div class="table-referencia-laborales">
                            <div class="">
                                <table class="table table-bordered">
                                    <tbody>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>1.&nbsp;</span>Nombre de la Empresa
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->empresa)?$experiencia->empresa:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>2.&nbsp;</span>Nombre de la persona que brinda las referencias y que puesto ocupa:
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->nombre_puesto_referencia)?$experiencia->nombre_puesto_referencia:''}} {{isset($experiencia->puesto)?$experiencia->puesto:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>3.&nbsp;</span>¿Puesto que ocupa jefe inmediato?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->puesto_jefe_inmediato_referencia)?$experiencia->puesto_jefe_inmediato_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>4.&nbsp;</span>¿Tiempo que laboró la persona en la empresa?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->tiempo_laboro_referencia)?$experiencia->tiempo_laboro_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>5.&nbsp;</span>Dentro de las fortalezas y deblidades que observó del candidato, ¿Cuáles me podría mencionar?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->fortalezas_debilidades_referencia)?$experiencia->fortalezas_debilidades_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>6.&nbsp;</span>¿Cómo era la actitud del candidato frente a sus compañeros y con sus superiores?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->actitud_candidato_referencia)?$experiencia->actitud_candidato_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>7.&nbsp;</span>Del 1 al 10 califique como eran las relacones interpersonales del candidato:
                                                    </strong>
                                                </td>
                                            <td>{{isset($experiencia->realciones_interpersonales_referencia)?$experiencia->realciones_interpersonales_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>8.&nbsp;</span>Lo contrataría de nuevo, sí, no y ¿por qué?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->contrataria_de_nuevo_referencia)?$experiencia->contrataria_de_nuevo_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>9.&nbsp;</span>¿Es confiable?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->confiable_referencia)?$experiencia->confiable_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>10.&nbsp;</span>¿Podría describir las funciones que realizaba?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->funciones_referencia)?$experiencia->funciones_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>11.&nbsp;</span>¿Del 1 al 10 como califica el desempeño laboral del candidato?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->desempeno_referencia)?$experiencia->desempeno_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>12.&nbsp;</span>¿Tuvo alguna llamada de atención por escrito, sí, no y por qué?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->llamada_atenciona_referencia)?$experiencia->llamada_atenciona_referencia:''}}</td>
                                        </tr>
                                        <tr>
                                            <td>
                                                <strong>
                                                    <span>13.&nbsp;</span>¿Desea realizar una observación?
                                                </strong>
                                            </td>
                                            <td>{{isset($experiencia->observacion_referencia)?$experiencia->observacion_referencia:''}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    @endforeach
    @endisset
    

    <!-- Referencias personales 2 -->
    <section>
        <div class="pb-5">
            <div class="">
                <article>
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Referencias personales</h3>
                            </div>
                        </div>
                    </div>
                    @isset($referencias)
                    @foreach ($referencias as $referencia)
                    <div id="informe-referencias-personales" class="">
                        <div class="pb-3">
                            <div class="">
                                <div class="general-title">
                                    <div class="">
                                        <div class="">
                                            <div class="">
                                                <h2 style="font-weight:300;">REFERENCIA</h2>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="align-items-start other-data">
                                    <div class="table-otros-datos">
                                        <div class="">
                                            <table class="table table-bordered">
                                                <tbody>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>1.&nbsp;</span>¿Nombre de la persona que proporciona la referencia?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->nombre)?$referencia->nombre:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>2.&nbsp;</span>¿Cuál es su relación con el refererido?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->relaciona_referencia)?$referencia->relaciona_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>3.&nbsp;</span>¿Dónde a trabajado el referido?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->donde_trabaja_referencia)?$referencia->donde_trabaja_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>4.&nbsp;</span>¿Con quién vive?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->con_quien_vive_referencia)?$referencia->con_quien_vive_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>5.&nbsp;</span>¿Con qué clase de personas se relaciona el referido?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->relaciona_referencia)?$referencia->relaciona_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>6.&nbsp;</span>¿Cómo es el vecindario donde vive?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->vecindario_referencia)?$referencia->vecindario_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>7.&nbsp;</span>¿Tiene algún vicio?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->vicio_referencia)?$referencia->vicio_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>8.&nbsp;</span>¿Desde hace cuanto tiempo le conoce?
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->tiempo_conocer_referencia)?$referencia->tiempo_conocer_referencia:''}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>
                                                            <strong>
                                                                <span>9.&nbsp;</span>Comentarios adicionales:
                                                            </strong>
                                                        </td>
                                                        <td>{{isset($referencia->comentarios_referencia)?$referencia->comentarios_referencia:''}}</td>
                                                    </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    @endforeach
                    @endisset
                </article>
            </div>
        </div>
    </section>

    <!-- Resultados y verificación de datos -->
    <section>
        <div class="pb-5">
            <div class="">
                <article>
                    <div class="header-informe">
                        <div class="align-items-center">
                            <div class="logo"></div>
                            <div class="section-title">
                                <h3>Resultados y verificación de datos</h3>
                            </div>
                        </div>
                    </div>
                    <div id="informe-resultados-verificacion-datos" class="">
                        <div class="text-justify  py-3">
                            <div class="">
                                <h3 style="color: #000!important;">Interpretación de resultados</h3>
                                <p>{{isset($candidato->interpretacion_informe)?$candidato->interpretacion_informe:''}}</p>
                            </div>
                        </div>
                        <div class="text-justify  py-3">
                            <div class="">
                                <h3 style="color: #000!important;">Verificación electrónica de datos</h3>
                                <p>{{isset($candidato->verificacion_informe)?$candidato->verificacion_informe:''}}</p> 
                            </div>
                        </div>
                    </div>
                </article>
            </div>
        </div>
    </section>


    <div id='chart_div'></div>
    
</body>

@endsection

@section('footscripts')
@endsection