<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('img/Miscorp_punto.svg')}}">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laravel') }} | @yield('title')</title>

    <link rel="stylesheet" href="{{asset('bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Abril+Fatface">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Buenard:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=DM+Serif+Display">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700">
    <link rel="stylesheet" href="{{asset('fonts/fontawesome-all.min.css')}}">
    <link rel="stylesheet" href="{{asset('fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{asset('fonts/fontawesome5-overrides.min.css')}}">
    <link rel="stylesheet" href="{{asset('css/styles.css')}}">
    <link rel="stylesheet" href="{{asset('css/styles-staff.css')}}">
    @yield('headlinks')

</head>

<body>
    <header>
        <nav class="navbar navbar-light navbar-expand-md fixed-top py-md-0" id="navbar-principal">
            <div class="container h-100">
                <a class="navbar-brand" href="{{route('public.home')}}">
                    <img class="img-fluid" src="{{asset('img/logo_2015.jpg')}}">
                </a>
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon">
                        <i class="fas fa-bars"></i>
                    </span>
                </button>
                <div class="collapse navbar-collapse h-100" id="navigation">
                    <ul class="nav navbar-nav h-100">
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['/','inicio'],'active')}}" href="{{route('public.home')}}">Inicio</a></li>
                        @if (Auth::check() && Auth::user()->hasRole('Base de datos'))
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link {{printIfRequestIs('database/*','active')}}" data-toggle="dropdown" aria-expanded="false" href="#">Base de datos</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item {{printIfRequestIs('database/perfil','active')}}" href="{{route('staff.database.index')}}">Perfil</a>
                                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                     @csrf
                                </form>
                            </div>
                        </li>
                        @endif    
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    @include('layouts.alerts')
    @yield('content')
    <footer id="footer" class="py-5">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 col-lg-5 contact-chanel">
                    <h4>¿Consulta rápida?</h4>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-phone-volume"></i></div>
                        <div class="col-10">
                            <a href="tel:2464-5700" target="_blank">
                                <span class="c-contact">Llamar al <strong>{{substr(getDropdownValue('512'),0,-4)}}-{{substr(getDropdownValue('512'),4)}}</strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-envelope-open-text"></i></div>
                        <div class="col-10">
                            <a href="mailto:info@miscorpsa.com" target="_blank">
                                <span class="c-contact"><strong>info@miscorpsa.com</strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fab fa-whatsapp"></i></div>
                        <div class="col-10">
                            <a href="https://api.whatsapp.com/send?phone=502{{getDropdownValue('511')}}" class="btn btn-success btn-block float-left" target="_blank">
                                whatsapp&nbsp;<strong>{{substr(getDropdownValue('511'),0,-4)}}-{{substr(getDropdownValue('511'),4)}}</strong>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-7 text-right adress pt-4 pt-md-0">
                    <div class="row align-items-center justify-content-center mb-3">
                        <div class="col-1 col-sm text-center text-md-right"><i class="fas fa-car"></i></div>
                        <div class="col-10 col-md-5 col-lg-3 llegar">
                            <a href="https://g.page/miscorpsa?share" style="text-decoration:none;" target="_black">
                                <span class="dress">¿Cómo llegar?<br></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center pb-3">
                        <div class="col-1 text-center text-md-right px-0"><i class="fas fa-map-marker-alt"></i></div>
                        <div class="col-10 col-md-11"><span class="dress">Avenida Reforma 12-01 Zona 10, Edificio Reforma Montúfar
                                Torre A Oficina 14-02, Guatemala ciudad<br></span></div>
                    </div>
                    <div class="row social-links">
                        <div class="col-12">
                            <ul>
                                <li><a target="_blank" href="https://www.linkedin.com/company/miscorpsa?originalSubdomain=gt"><i class="fab fa-linkedin-in"></i></a></li>
                                <li><a target="_blank" href="https://twitter.com/AgenciaMiscorp"><i class="fab fa-twitter"></i></a></li>
                                <li><a target="_blank" href="https://www.facebook.com/Miscorp/"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a target="_blank" href="https://www.instagram.com/miscorpsa/"><i class="fab fa-instagram"></i></a></li>
                                <li><a target="_blank" href="https://www.youtube.com/channel/UCzxhEvHg6keoJ0bafkqLKIA"><i class="fab fa-youtube"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @yield('footer')
    </footer>
    <script src="{{asset('js/jquery.min.js')}}"></script>
    <script src="{{asset('bootstrap/js/bootstrap.min.js')}}"></script>
    <script src="{{asset('js/popover-fun.js')}}"></script>
    @yield('footscripts')
</body>

</html>