@extends('layouts.public')

@section('title','Perfil - Empresa')

@section('headlinks')
@endsection

@section('content')
<main id="page-publicar-empleo">
    {!! Form::model($empleo, ['route' => ['staff.reclutamiento.empleos.update',$empleo->id], 'role' => 'form', 'method' => 'PATCH', 'enctype'=>'multipart/form-data']) !!} 
    @include('empleos::forms.publicar')
    {!! Form::close() !!}
</main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<script>
    $(function(){
        var pais = {{ old('pais') ? old('pais') : (($empleo->pais)??0) }};
        var departamento = {{ old('departamento') ? old('departamento') : (($empleo->departamento)??0)}};
        var municipio = {{ old('municipio') ? old('municipio') : (($empleo->municipio)??0) }};
        var zona = {{ old('zona') ? old('zona') : (($empleo->zona)??0) }};
        if(pais != ''){
            llenarDepartamentos(pais,departamento);
        }
        if(departamento != ''){
            llenarMunicipios(departamento,municipio);
        }
        if(municipio != ''){
            llenarZonas(municipio,zona);
        }
    });

    $('#pais').change( function(){ llenarDepartamentos(this.value); } );

    $('#departamento').change( function(){ llenarMunicipios(this.value); } );

    $('#municipio').change( function(){ llenarZonas(this.value); } );

    function llenarDepartamentos(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#departamento').empty();
                $('#departamento').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    var option = $('#departamento').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }

    function llenarMunicipios(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#municipio').empty();
                $('#municipio').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#municipio').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }
    function llenarZonas(parent_id,selected = null){
        $.ajax({
            url: '{{route('api.confi.hijos')}}',
            data: {parent_id: parent_id, selected: selected},
            success: function(response){
                $('#zona').empty();
                $('#zona').append(new Option('Seleccione Uno',''));
                $.each(response.data, function(i, item) {
                    $('#zona').append(new Option(item.value,item.key,item.selected,item.selected));
                });
            }
        } );
    }
</script>
@endsection
