@extends('layouts.public')

@section('title','Staff - Reclutamiento')

@section('headlinks')

<style>
    .cuadrado-2 {
        width: 200px; 
        height: 120px;
        border-radius: 3px;
        margin: 3px;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
    .cuadrado-2.default{
        border: 3px solid #555;
    }
    .cuadrado-2.active{
        border: 3px solid #65f629;
    }
    .cuadrado-2.danger{
        border: 3px solid #f62929;
    }

    table#tablaPlazas *{
        font-size: 9px!important;
    }

    .circulo {
        width: 15px;
        height: 15px;
        -moz-border-radius: 50%;
        -webkit-border-radius: 50%;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .circulo.active{
        border: 3px solid #5cb85c;
        background: #5cb85c;
    }

    .circulo.danger{
        border: 3px solid #f62929;
        background: #f62929;
    }

    .circulo.warning{
        border: 3px solid #fad201;
        background: #fad201;
    }
</style>

<!-- DataTables -->
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
<link rel="stylesheet" href="{{asset('plugins/select2/css/select2.css')}}">
@endsection

@section('content')
<main id="staff-reclutamiento-candidatos-aplica">
        <section id="title-section" class="titulo-view pb-5">
            <div class="container">
                <div class="row mensaje-gracias">
                    <div class="col text-center">
                        <h1><strong>STAFF/</strong>Reclutamiento</h1> 
                    </div>
                </div>
            </div>
        </section>

        <section id="indicadores-reclutamiento2" class="pb-5">
            <div class="container">
                <form action="" method="get">
                    <div class="table-responsive">
                        <table class="table" style="text-align:center;">
                            <tbody>
                                <tr>
                                    <td>Fecha Inicio:</td>
                                    <td><input type="date"  class="form-control"  id="fecha_inicio" name="fecha_inicio"></td>
                                    <td>Fecha Final:</td>
                                    <td><input type="date"  class="form-control"  id="fecha_fin" name="fecha_fin"></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </form>
                <div class="form-row justify-content-center align-items-center">
                    <div class="cuadrado-2 danger col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_solicitados">{{$informes_plus_solicitados}}</h2>
                            <p class="form-row justify-content-center align-items-center">Informes plus solicitados</p>
                            <form id="frmDescargar6" action="{{route('staff.admin.InformesSolicitados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio6">
                                <input type="hidden" name="fecha_fin" id="fecha_fin6">
                                <input type="hidden" name="reclutamiento" value="1">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar6()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 active col-12 col-lg-2">
                        <div>
                            <h2 class="form-row justify-content-center align-items-center" id="informes_plus_generados">{{$informes_plus_generados}}</h2>
                            <p class="form-row justify-content-center align-items-center">Informes plus terminados</p>
                            <form id="frmDescargar7" action="{{route('staff.admin.InformesTerminados')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio7">
                                <input type="hidden" name="fecha_fin" id="fecha_fin7">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar7()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Cantidad de PLAZAS asignadas al usuario logueado
                                 La fecha se filtra por el campo de fecha de creacion (empleos.created_at) -->
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_asignadas">{{$vacantes_asignadas}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes asignadas</p>
                            <form id="frmDescargar8" action="{{route('staff.admin.vacantesAsignadas')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio8">
                                <input type="hidden" name="fecha_fin" id="fecha_fin8">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar8()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Cantidad de candidatos que aplicaron a una plaza asignada al usuario logueado que no estan descartados (empleo_candidatos.aplica = 1) y que no
                            estan contratados (empleo_candidatos.contratado = 0) -->
                            <h2 class="form-row justify-content-center align-items-center" id="vacantes_revision">{{$vacantes_proceso}}</h2>
                            <a class="form-row justify-content-center align-items-center">Vacantes en proceso</p>
                            <form id="frmDescargar9" action="{{route('staff.admin.vacantesProceso')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio9">
                                <input type="hidden" name="fecha_fin" id="fecha_fin9">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar9()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                    <div class="cuadrado-2 default col-12 col-lg-2">
                        <div>
                            <!-- Cantidad de candidatos que aplicaron a una plaza asignada al usuario logueado que estan contratados (empleo_candidatos.contratado = 1) -->
                            <h2 class="form-row justify-content-center align-items-center" id="contrataciones_reclutamiento">{{$contrataciones}}</h2> 
                            <a class="form-row justify-content-center align-items-center">Vacantes contratadas</p>
                            <form id="frmDescargar10" action="{{route('staff.admin.Contrataciones')}}">
                                <input type="hidden" name="fecha_inicio" id="fecha_inicio10">
                                <input type="hidden" name="fecha_fin" id="fecha_fin10">
                                <a class="help-block form-row justify-content-center align-items-center" href="javascript:descargar10()"><small>Generar reporte</small></a>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section id="reclut-candidatos-table" class="pb-5">
            <div class="container titulo-view">
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-4 text-center text-lg-left">
                        <h1><strong>1. Lista de </strong>Empleos</h1>
                    </div>
                    <div class="col-12 col-lg-4 text-center text-lg-center">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Plaza</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="estado_vacantes_reclutamiento">
                                    <option value="" selected="selected">Todas</option>
                                    <option value="Vacantes asignadas">Vacantes asignadas</option>
                                    <option value="Vacantes en proceso">Vacantes en proceso</option>
                                    <option value="Vacantes contratadas">Vacantes contratadas</option> 
                                    <option value="Vacantes de otras empresas">Vacantes de otras empresas</option>
                                </select>  
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-lg-4 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-12 form-group"> <a href="{{route('private.empresas.empleos.create')}}" class="btn btn-primary">Publicar Vacante Nueva</a> </div> 
                        </div>
                    </div>
                </div>
                <div class="row table-procesos">
                    <div class="col">
                        <table class="table table-bordered" id="tablaPlazas">
                            <thead>
                                <tr>
                                    <th>No.</th>
                                    <th>Fecha asignada</th>
                                    <th>Empresa</th>
                                    <th>Plaza</th>
                                    <th>Fecha que se publicó</th>
                                    <th>Salario</th>
                                    <th class="w-25">Descripción</th>
                                    <th>Candidatos</th>
                                    <th data-toggle="tooltip" data-placement="bottom" title="Puede buscar en está columna con las palabras: Plazo vigente, Plazo intermedio y Plazo vencido.">Terna Enviada</th>
                                    <th>Entrevista</th>
                                    <th>Fecha contratado</th>
                                    <th>Opciones</th> 
                                    <th>Cuenta regresiva</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                </div>
        <br>

        <section id="vacantes-publicadas" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias pb-3">
                    <div class="col-12 col-lg-6 text-left">
                        <h1><strong>2. Informes </strong>Plus</h1>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Informes</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="estado_informes_reclutamiento">
                                    <option value="" selected="selected">Solicitados</option>
                                    <option value="En proceso">En proceso</option> 
                                    <option value="Generados">Generados</option> 
                                </select>  
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row table-procesos">
                        <div class="table-responsive">
                            <table id='InformesAsignadosReclutamiento'>
                                <thead>
                                    <tr>
                                        <th>Fecha solicitado</th>
                                        <th>No. candidato</th>
                                        <th>Nombre y apellido</th>
                                        <th>Plaza</th>
                                        <th>Salario</th>
                                        <th>Empresa que lo solicitó</th>
                                        <th>Etapa</th>
                                        <th>Días</th>
                                        <th>Estado</th>
                                        <th>Fecha generado</th>
                                        <th>Opciones</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                </div>
            </div>
        </section>

        <section id="generar-informe-plus">
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-12 text-center text-lg-left">
                        <h1><strong>3. Generar Informe </strong>Plus</h1>
                        <h2 style="color: #000000;"><p>Recuerda que el filtro de "Cliente" solamente es para generar informes de empresas externas que están 
                        registradas en nuestro sitio web. Si se desea realizar un informe interno de acuerdo a las plazas de Miscorp,
                         debes buscar nombre del empleo en el filtro de "Plaza"</p></h2>
                    </div>
                </div>
                <div class="row reclutamiento pb-3">
                    <div class="col-lg-4">
                        <label for="">Cliente: </label>
                        <select name="empresa_id" id="empresa_id" class="form-control"><option value=""></option></select>
                    </div>
                    <div class="col-lg-4">
                        <label for="">Plaza: </label>
                        <select name="empleo_id" id="empleo_id" class="form-control"><option value=""></option></select>
                    </div>
                    <div class="col-lg-4">
                        <label for="">Candidato: </label>
                        <select name="candidato_id" id="candidato_id" class="form-control"><option value=""></option></select>
                    </div>
                    <div class="col-lg-4">
                        <label for="">Salario: </label>
                        <input type="text" id="salario" readonly class="form-control">
                    </div>
                    <div class="col-lg-4">
                        <label for="">Fecha: </label>
                        <input type="text" id="fecha_contratacion" readonly class="form-control">
                    </div>
                    <div class="col-lg-4">
                        <label for="">Garantía: </label>
                        <input type="text" id="garantia" readonly class="form-control">
                    </div>
                    <div class="col-lg-12">
                        <div class="row" id="form-result"></div>
                        <div class="row" id="referenciasLaborales">

                        </div>
                        <div class="row" id="referenciasPersonales">

                        </div>
                        {{-- <div class="row" id="interpretacionResultados">

                        </div> --}}
                        <div class="row" id="interpretacionResultadosCandidato">

                        </div>
                    </div>
                </div>
            </section>    
                <!-- <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-12 text-center text-lg-left">
                        <h1><strong>3. Programar </strong>Cita</h1>
                        <div class="row reclutamiento pb-3" id="programarCita">
                        </div>
                    </div>
                </div> -->
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-12 text-center text-lg-left">
                        <h1><strong>4. </strong>Contratación</h1>
                        <div class="row reclutamiento pb-3" id="programarContratacion">
                        </div>
                    </div>
                </div>
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-12 text-center text-lg-left">
                        <h1><strong>5. </strong>Garantía</h1>
                        <div class="row reclutamiento pb-3" id="programarGarantia">
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection

@section('footer')
@endsection

@section('footscripts')
<!-- Select2 -->
<script src="{{asset('plugins/select2/js/select2.full.js')}}"></script>
<!-- DataTables -->
<script type="text/javascript" src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.0/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.6.0/js/buttons.html5.min.js"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    $(function () {
        var table = $('#tablaPlazas').DataTable({
            dom: 'Bfrtip', 
            buttons: [{
                extend: 'pageLength',
            }],
            "lengthMenu": [[50, 100, 150, 200, 250, -1],
                            [50, 100, 150, 200, 250, "Todo"]
                          ],
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('staff.reclutamiento.plazas.list') !!}',
                "data": function (d) {
                    d.rol = $('#rol').val();
                    d.estado_vacantes_reclutamiento = $('#estado_vacantes_reclutamiento').val();
                }
            },
            "paging": true,
            "pageLength": 50,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [{
                "targets": [0,9],
                "orderable": false,
            }],
            "language": {
                "lengthMenu": "Mostrando _MENU_ plazas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay plazas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total plazas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'id', name: 'id' },
                { data: 'fecha_asignada', name: 'fecha_asignada'},
                { data: 'empresa', name: 'empresa'},
                { data: 'plaza', name: 'plaza' },
                { data: 'fecha', name: 'fecha' }, 
                { data: 'sueldo', name: 'sueldo' },
                { data: 'descripcion', name: 'descripcion' },
                { data: 'candidatos', name: 'candidatos' },
                { data: 'terna', name: 'terna' },
                { data: 'fecha_entrevista', name: 'fecha_entrevista'},
                { data: 'fecha_contratado', name: 'fecha_contratado'},
                { data: 'opciones', name: 'opciones', orderable: false, searchable: false },
                { data: 'dias_restantes', name: 'dias_restantes' }
            ]
        });

        $(function () {
            table6 = $('#InformesAsignadosReclutamiento').DataTable({ 
                dom: 'Brtip', 
                buttons: [{
                    extend: 'pageLength',
                }],
                "lengthMenu": [[50, 100, 150, 200, 250, -1],
                                [50, 100, 150, 200, 250, "Todo"]
                            ],
                "processing": true,
                "serverSide": true,
                "ajax": {
                    "url": '{{ route("staff.informes_solicitados.list") }}',
                    "data": function (d) {
                        d.asignados = 2; 
                        d.estado_informes_reclutamiento = $('#estado_informes_reclutamiento').val();
                    }
                }, 
                "paging": true,
                "pageLength": 50,
                "lengthChange": false,
                "searching": true,
                "ordering": true,
                "info": true,
                "autoWidth": false,
                "columnDefs": [{
                    "targets": [2,10],
                    "orderable": false,
                }],
                "order": [[ 0, "desc" ]],
                "language": {
                    "lengthMenu": "Mostrando _MENU_ miembros por pagina",
                    "zeroRecords": "No se encontró nada - lo sentimos",
                    "info": "Mostrando pagina _PAGE_ de _PAGES_",
                    "infoEmpty": "No hay miembros disponibles",
                    "infoFiltered": "(filtrando de _MAX_ total miembros)",
                    "search": "Buscar:",
                    "paginate": {
                        "first": "Primero",
                        "last": "Ultimo",
                        "next": "Siguiente",
                        "previous": "Anterior"
                    },
                },
                columns: [
                    {data: 'fecha_solicitado', name: 'fecha_solicitado'},
                    {data: 'id_candidato', name: 'id_candidato'},
                    {data: 'candidato_info', name: 'candidato_info'},
                    {data: 'plaza', name: 'plaza'},
                    {data: 'sueldo_plaza', name: 'sueldo_plaza'},
                    {data: 'empresa', name: 'empresa'},
                    {data: 'etapa', name: 'etapa'},
                    {data: 'dias2', name: 'dias2'},
                    {data: 'estado', name: 'estado'},
                    {data: 'fecha_generacion', name: 'fecha_generacion'},
                    {data: 'opciones3', name: 'opciones3'}
                ]
            });
        }); 

        $('#rol').change( function() {
            table.draw();
        } );

        $('#estado_vacantes_reclutamiento').change( function() {
            table.draw();
        } );

        $('#estado_informes_reclutamiento').change( function() {
            table6.draw();
        } );

        $('#empresa_id').select2({
            tags: true,
            allowClear: true,
            placeholder: 'Seleccione una empresa',
            ajax:{
                dataType: 'json',
                url: '{{url("api/empresas")}}',
                delay: 250,
                data: function(params) {
                    return {
                        term: params.term
                    }
                },
                processResults: function (data, page) {
                    return {
                        results: data
                    };
                }
            }
        });
        $('#empleo_id').select2({
            tags: true,
            allowClear: true,
            placeholder: 'Seleccione un empleo',
            ajax:{
                dataType: 'json',
                url: '{{url("api/empleos")}}',
                delay: 250,
                data: function(params) {
                    return {
                        term: params.term,
                        empresa: $('#empresa_id').val()
                    }
                },
                processResults: function (data, page) {
                    return {
                        results: data
                    };
                }
            }
        });
        $('#candidato_id').select2({
            tags: true,
            allowClear: true,
            placeholder: 'Seleccione un candidato',
            ajax:{
                dataType: 'json',
                url: '{{url("api/candidatos")}}',
                delay: 250,
                data: function(params) {
                    return {
                        term: params.term,
                        empleo: $('#empleo_id').val()
                    }
                },
                processResults: function (data, page) {
                    return {
                        results: data
                    };
                }
            }
        });
    });
    $('#candidato_id').on('select2:select',function(e){
        var data = e.params.data;
        var request = $.ajax({
            url: '{{ url("api/candidato") }}',
            method: "GET",
            data: { id : data.id },
            dataType: "json"
        });
        request.done(function( msg ) {
            var value = msg.pretension_salarial;
            var salario = 'Q ' + value.toFixed(2).replace(/(\d)(?=(\d\d\d)+(?!\d))/g, "$1,");

            $('#salario').val(salario);
            //$('#fecha_contratacion').val(msg.fecha_nacimiento);
        });
        var request2 = $.ajax({
            url: '{{ url("api/candidato/referencias/laborales") }}',
            method: "GET",
            data: { id : data.id },
            dataType: "html"
        });
        request2.done(function( html ) {
            $('#referenciasLaborales').html(html);
        });

        var request3 = $.ajax({
            url: '{{ url("api/candidato/referencias/personales") }}',
            method: "GET",
            data: { id : data.id },
            dataType: "html"
        });
        request3.done(function( html ) {
            $('#referenciasPersonales').html(html);
        });

        var request4 = $.ajax({
            url: '{{ url("api/candidato/interpretacion") }}',
            method: "GET",
            data: { id : data.id, empleo_id: $('#empleo_id').val() },
            dataType: "html"
        });
        request4.done(function( html ) {
            $('#interpretacionResultadosCandidato').html(html);
        });
        /*var request4 = $.ajax({
            url: '{{ url("api/empleos/interpretacion") }}',
            method: "GET",
            data: { candidato_id : data.id, empleo_id: $('#empleo_id').val() },
            dataType: "html"
        });
        request4.done(function( html ) {
            $('#interpretacionResultados').html(html);
        });
        /*var request4 = $.ajax({
            url: '{{ url("api/empleos/cita") }}',
            method: "GET",
            data: { candidato_id : data.id, empleo_id: $('#empleo_id').val() },
            dataType: "html"
        });
        request4.done(function( html ) {
            $('#programarCita').html(html);
        });*/ 

        var request5 = $.ajax({
            url: '{{ url("api/empleos/contratacion") }}',
            method: "GET",
            data: { candidato_id : data.id, empleo_id: $('#empleo_id').val() },
            dataType: "json"
        });
        request5.done(function( response ) {
            $('#programarContratacion').html(response.html);
            $('#fecha_contratacion').val(response.fecha_contratacion);
            $('#garantia').val(response.fecha_garantia);
        });

        var request6 = $.ajax({
            url: '{{ url("api/empleos/garantia") }}',
            method: "GET",
            data: { candidato_id : data.id, empleo_id: $('#empleo_id').val() },
            dataType: "html"
        });
        request6.done(function( html ) {
            $('#programarGarantia').html(html);
        });
    });
    function guardarReferencia(id){
        var form = $('#referencia-'+id);
        $.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            dataType: 'html',
            data: form.serialize(),
            success: function(result) {
                var json = $.parseJSON(result);
                $('#form-result').html(json.mensaje);
            }
        });
    }
    function guardarPersonal(id){
        var form = $('#personal-'+id);
        $.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            dataType: 'html',
            data: form.serialize(),
            success: function(result) {
                var json = $.parseJSON(result);
                $('#form-result').html(json.mensaje);
            }
        });
    }
    function guardarCandidato(form_id){
        var form = $('#'+form_id);
        $.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            dataType: 'html',
            data: form.serialize(),
            success: function(result) {
                var json = $.parseJSON(result);
                $('#result-'+form_id).html(json.mensaje);
            }
        });
    }
    function guardarEmpleoCandidato(form_id){
        var form = $('#'+form_id);
        $.ajax({
            url: form.attr('action'),
            type: form.attr('method'),
            dataType: 'html',
            data: form.serialize(),
            success: function(result) {
                var json = $.parseJSON(result);
                $('#result-'+form_id).html(json.mensaje);
            }
        });
    }

    $('#fecha_inicio, #fecha_fin').on('change',function(){
        $.ajax({
            method: "POST",
            url: '{{route("indicadores.staff.reclutamiento")}}',
            data: {fecha_inicio: $("#fecha_inicio").val(), fecha_fin: $("#fecha_fin").val(), _token:'{{ csrf_token() }}'},
            dataType: 'json',
            success: function(respuesta) {
                $('#vacantes_asignadas').html(respuesta.vacantes_asignadas);
                $('#vacantes_revision').html(respuesta.vacantes_revision);
                $('#contrataciones_reclutamiento').html(respuesta.contrataciones_reclutamiento);
                $('#informes_plus_solicitados').html(respuesta.informes_plus_solicitados);
                $('#informes_plus_generados').html(respuesta.informes_plus_generados);
            },
            error: function() {
                console.log("No se ha podido obtener la información");
            }
        });
    });

    function descargar6() {
        $('#fecha_inicio6').val($('#fecha_inicio').val());
        $('#fecha_fin6').val($('#fecha_fin').val());
        $('#frmDescargar6').submit();
    }

    function descargar7() {
        $('#fecha_inicio7').val($('#fecha_inicio').val());
        $('#fecha_fin7').val($('#fecha_fin').val());
        $('#frmDescargar7').submit();
    }

    function descargar8() {
        $('#fecha_inicio8').val($('#fecha_inicio').val());
        $('#fecha_fin8').val($('#fecha_fin').val());
        $('#frmDescargar8').submit();
    }
    
    function descargar9() {
        $('#fecha_inicio9').val($('#fecha_inicio').val());
        $('#fecha_fin9').val($('#fecha_fin').val());
        $('#frmDescargar9').submit();
    }

    function descargar10() {
        $('#fecha_inicio10').val($('#fecha_inicio').val());
        $('#fecha_fin10').val($('#fecha_fin').val());
        $('#frmDescargar10').submit();
    }

    $(function(){
        $('.modal_terna').select2({
            placeholder: "Seleccione uno o varios candidatos",
            allowClear: true
        });
    });

</script>
@endsection