@php
$edit = isset($empleo->terna);

$candidatos_terna = [];
if($edit){
    foreach ($empleo->candidatos()->get() as $candidato) {
        if(in_array($candidato->nombre_completo,explode(',',$empleo->terna->candidatos))){
                $candidatos_terna[] = $candidato->nombre_completo;
        }
    }
}
@endphp


<!-- Modal Terna Enviada-->
<div class="modal fade" id="terna-empleo-{{$empleo->id}}" tabindex="-1" role="dialog" aria-labelledby="exampleModalCitaLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header" style="padding: 0.5rem 1rem; border-bottom: none;">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            @if($edit)
                {{ Form::model($empleo->terna->id, ['route' => ['staff.reclutamiento.terna.update', $empleo->terna->id], 'role' => 'form', 'method' => 'PATCH']) }}
            @else
                {!! Form::open(['route' => 'staff.reclutamiento.terna.store', 'role' => 'form', 'id' => 'form-terna']) !!} 
            @endif
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12" >
                            <h3 style="text-align:center;">Terna enviada</h3>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="row justify-content-center prog-cita">
                                <div class="col-12">
                                    <div class="form-cita">
                                        {{-- <label class="control-label" for="candidato_terna">Candidatos</label>
                                        <select id="" multiple="multiple" name="candidato_terna[]" class="form-control modal_terna {{($errors->has('candidato_terna') ? ' is-invalid' : '')}}">
                                        @foreach($empleo->candidatos()->get() as $key => $candidato)
                                            <option value="{{$candidato->nombre_completo}}" @if( in_array($candidato->nombre_completo, $candidatos_terna) )selected="selected"@endif>{{$candidato->nombre_completo}}</option>
                                        @endforeach
                                        </select>
                                        @if ($errors->has('candidato_terna'))
                                        <span class="has-error">{{ $errors->first('candidato_terna') }}</span>
                                        @endif --}}

                                        <div class="form-group row">
                                            <div class="col-12 col-md-3">
                                                <div class="row">
                                                    <label for="fecha_terna" class="col-auto col-form-label">Fecha. <span id="prueba"></span></label>
                                                    <div class="col">
                                                        {!! Form::date('fecha_terna', ($edit ? $empleo->terna->fecha_terna : null), ['class' => 'form-control'.($errors->has('fecha') ? 'is-invalid' : ''), 'required' => true ]) !!}   
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group row pb-3">
                                            <label for="no_candidato_terna[]" class="col-auto col-form-label">Candidato 1</label>
                                            <div class="col">
                                                {!! Form::select('no_candidato_terna[]', $empleo_candidatos->get()->pluck('candidato_id','candidato_id') , null, ['class' => 'form-control'.($errors->has('candidato_id') ? 'is-invalid' : ''), 'placeholder' => 'No. de Candidato' , 'required' => false, 'id' => 'candidato_id' ]) !!}
                                            </div>
                                            <div class="col">
                                                {!! Form::select('nombre_candidato_terna[]', $empleo_candidatos->get()->pluck('nombre','nombre'), null, ['class' => 'form-control'.($errors->has('nombre_candidato_terna') ? 'is-invalid' : ''), 'placeholder' => 'Nombres y Apellidos', 'required' => false, 'id' => 'nombre_candidato_terna' ]) !!}
                                            </div>
                                            <div class="col-1">
                                                <a class="delete_candidato btn btn-danger btn-sm rounded btn-block"><i class="fas fa-minus"></i></a>
                                            </div>
                                        </div>     
                                        <div class="row justify-content-end py-3" id="form_imputs">
                                            <div class="col-2">
                                                <a class="btn btn-success btn-sm rounded btn-block"  id="agregar_candidato">Agregar <i class="fas fa-plus"></i></a>
                                            <div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row justify-content-end py-3">
                                <div class="col-5 col-md-3">
                                    {!! Form::hidden('empleo_id',$empleo->id) !!}
                                    {!! Form::submit('Guardar', ['class' => 'btn btn-warning btn-sm rounded btn-block']) !!} 
                                </div>
                                <div class="col-5 col-md-3">
                                    <button type="button" class="btn btn-secondary btn-sm rounded btn-block" data-dismiss="modal">Cancelar</button>
                                </div>
                            </div>
                        </div>
                    </div>     
                </div>
            {!! Form::hidden('id', null) !!}
            {!! Form::close() !!}
            </div>
        </div>
    </div>
</div>