@extends('layouts.app')

@section('title','Usuarios')

@section('headlinks')

<!-- DataTables -->
<link rel="stylesheet" href="{{asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')}}">
@endsection

@section('content')
<div class="row">
    <div class="col-12">

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-10">
                        <h3 class="card-title">Usuarios</h3>
                    </div>
                    <div class="col-md-2">
                        <a href="{{route('dashboard.usuarios.create')}}" class="btn btn-block btn-primary">Crear Usuario</a>
                    </div>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table class="table table-bordered table-striped" cellspacing="5" cellpadding="5">
                    <tbody>
                        <tr>
                            <td>Rol:</td>
                            <td>
                                {!! Form::select('rol', $roles->pluck('name','name')->toArray(), isset($rol) ? $rol : null, [
                                    'class' => 'form-control select2 '.($errors->has('rol') ? ' is-invalid' : ''),
                                    'placeholder' => 'Todos',
                                    'id'=>'rol'
                                ]) !!}
                            </td>
                        </tr>
                    </tbody>
                </table>
                <table id="tablaUsuarios" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>Nombre</th>
                            <th>Email</th>
                            <th>Activo</th>
                            <th>Último Inicio de Sesión</th>
                            <th class="no-sort" style="width: 10%"></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>Nombre</th>
                            <th>Email</th>
                            <th>Activo</th>
                            <th>Último Inicio de Sesión</th>
                            <th class="no-sort"  style="width: 10%"></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
<!-- /.row -->
@endsection


@section('footscripts')

<!-- DataTables -->
<script src="{{asset('plugins/datatables/jquery.dataTables.js')}}"></script>
<script src="{{asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')}}"></script>
<script>
    $(function () {
        var table = $('#tablaUsuarios').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '{!! route('dashboard.usuarios.list') !!}',
                "data": function (d) {
                    d.rol = $('#rol').val();
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ usuarios por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay usuarios disponibles",
                "infoFiltered": "(filtrando de _MAX_ total usuarios)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'nombre', name: 'nombre' },
                { data: 'email', name: 'email' },
                { data: 'estado', name: 'estado' },
                { data: 'logged_at', name: 'logged_at' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });

        $('#rol').change( function() {
            table.draw();
        } );
    });

</script>
@endsection
