<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Carbon\Carbon;
use Modules\Empleos\Entities\Empleo;
use Modules\Candidatos\Entities\Candidato;
use Modules\Candidatos\Emails\BoletinPlazasEmail;
use Illuminate\Support\Facades\Mail;

class BoletinPlazas extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'plazas:boletin';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Comando para enviar correo con las plazas nuevas semanalmente';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //$fecha_actual = Carbon::now();
        //$semana_pasada = Carbon::now()->subWeek();

        //$empleos = Empleo::select('empleos.*')->whereBetween('empleos.created_at',[$semana_pasada,$fecha_actual])->where('empleos.activo',1)->get();
        $empleos = Empleo::select('empleos.*')->where('empleos.activo',1)->get();
        $candidatos = Candidato::where('boletin_semanal', 1)->get();

        foreach($candidatos as $candidato){

            Mail::to($candidato->email)->send(new BoletinPlazasEmail($candidato, $empleos));

        }

        foreach($empleos as $empleo){
            $this->info(date('Y-m-d H:i:s').' Info boletin semanal: Id:'.$empleo->id." Empresa: ".$empleo->empresa." Plaza: ".$empleo->plaza." Fecha de publicacion: ".
            $empleo->fecha_publicacion->format('d-m-Y')." Fecha de creacion: ".$empleo->created_at->format('d-m-Y'));
        } 
        
    }
}