<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Carbon\Carbon;
use Modules\Empleos\Entities\Empleo;

class DesactivarPlazas extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'plazas:desactivar';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Comando para desactivar plazas dependiendo de la duracion del empleo (15 o 30 dias)';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $currentTime = Carbon::now();
        $empleos = Empleo::all();

        foreach($empleos as $empleo){ 
            if(($empleo->fecha_publicacion->addDays(getDropdownValue($empleo->duracion))) <= $currentTime){

                Empleo::where('id',$empleo->id)->where('activo',1)->update(['activo' => 0]);
                $this->info(date('Y-m-d H:i:s').' Info plaza desactivada: ID:'.$empleo->id." Empresa: ".$empleo->empresa." Plaza: ".$empleo->plaza." Fecha de publicacion: ".
                $empleo->fecha_publicacion->format('d-m-Y')." Duracion: ".getDropdownValue($empleo->duracion)); 

            }
        }
        
    }
}
