<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use Carbon\Carbon;
use Modules\Empresas\Entities\Empresa;

class ServiciosInformes extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'servicios:informes';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Comando para deshabilitar los servicios plus o standard de la empresas que ya cumplieron 30 días';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $fecha_actual = Carbon::now();
        $empresas = Empresa::whereNotNull('fecha_habilitacion_servicio')->get();

        foreach($empresas as $empresa){ 

            $fecha_fin = $empresa->fecha_habilitacion_servicio->addMonth();

            $dias = $fecha_fin->diffInDays($fecha_actual);

            if($dias == 0){

                $fecha_servicio = $empresa->fecha_habilitacion_servicio->format('d-m-Y');
                
                $empresa->update(['fecha_habilitacion_servicio' => null, 'informe' => 0]);
                $this->info(date('Y-m-d H:i:s').' Info servicios deshabilitados: Empresa Id:'.$empresa->id." Empresa: ".$empresa->nombre." Servicio: ".$empresa->informe." Fecha de habilitación de servicio: ".
                $fecha_servicio." Fecha finalización de servicio: ".$fecha_actual->format('d-m-Y')); 

            }
        }
        
    }
}