<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;

class Kernel extends ConsoleKernel
{
    /**
     * The Artisan commands provided by your application.
     *
     * @var array
     */
    protected $commands = [
        //
    ];

    /**
     * Define the application's command schedule.
     *
     * @param  \Illuminate\Console\Scheduling\Schedule  $schedule
     * @return void
     */
    protected function schedule(Schedule $schedule)
    {
        // $schedule->command('inspire')
        //          ->hourly();

        $schedule->command('plazas:desactivar')->daily()->appendOutputTo(storage_path('logs/plazas_desactivadas.txt'));
        $schedule->command('plazas:boletin')->weekly()->appendOutputTo(storage_path('logs/boletin_plazas.txt'));
        $schedule->command('perfil:incompleto')->weekly()->appendOutputTo(storage_path('logs/perfil_incompleto.txt'));
        $schedule->command('servicios:informes')->daily()->appendOutputTo(storage_path('logs/servicios_informes.txt'));
        $schedule->command('boletin:bajas')->monthly()->appendOutputTo(storage_path('logs/boletin_bajas.txt'));
    }

    /**
     * Register the commands for the application.
     *
     * @return void
     */
    protected function commands()
    {
        $this->load(__DIR__.'/Commands');

        require base_path('routes/console.php');
    }
}
