<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Support\Facades\Auth;

class RedirectIfAuthenticated
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @param  string|null  $guard
     * @return mixed
     */
    public function handle($request, Closure $next, $guard = null)
    {
        if (Auth::guard($guard)->check()) {
            if(Auth::user()->hasRole('Super Admin')){
                return redirect('/admin/dashboard');
            }elseif(Auth::user()->hasRole('Candidato')){
                return redirect()->route('private.candidatos.perfil');
            }elseif(Auth::user()->hasRole('Empresa')){
                return redirect()->route('private.empresas.perfil'); 
            }elseif(Auth::user()->hasRole('Admin')){
                return redirect()->route('staff.admin.index');
            }elseif(Auth::user()->hasRole('Reclutamiento')){
                return redirect()->route('staff.reclutamiento.index');
            }elseif(Auth::user()->hasRole('Ventas')){
                return redirect()->route('staff.ventas.index');
            }
            return redirect('/inicio');
        }

        return $next($request);
    }
}
