<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="{{asset('img/Miscorp_punto.svg')}}">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'Laravel') }} | @yield('title')</title>

    <style>
        @media screen and (max-height: 575px){
        #rc-imageselect, .g-recaptcha {transform:scale(0.77);-webkit-transform:scale(0.77);transform-origin:0 0;-webkit-transform-origin:0 0;}
        }
    </style>

    <link rel="stylesheet" href="{{asset('bootstrap/css/bootstrap.min.css')}}">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Abril+Fatface">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Buenard:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=DM+Serif+Display">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700">
    <link rel="stylesheet" href="{{asset('fonts/fontawesome-all.min.css')}}">
    <link rel="stylesheet" href="{{asset('fonts/font-awesome.min.css')}}">
    <link rel="stylesheet" href="{{asset('fonts/fontawesome5-overrides.min.css')}}">
    <link rel="stylesheet" href="{{asset('css/styles.css')}}">
    <link rel="stylesheet" href="{{asset('css/styles-staff.css')}}">

    <!-- Select2 -->
    <link rel="stylesheet" href="{{asset('plugins/select2/css/select2.min.css')}}">
    <link rel="stylesheet" href="{{asset('plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css')}}">
    @yield('headlinks')

    <!-- Global site tag (gtag.js) - Google Analytics --> 
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-165745022-1"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
    gtag('config', 'UA-165745022-1');
    </script>
    
    <!-- Google Recapcha v2 -->
    {!! htmlScriptTagJsApi() !!}

</head>

<body>
    <header>
        <nav class="navbar navbar-light navbar-expand-md fixed-top py-md-0" id="navbar-principal">
            <div class="container h-100">
                <a class="navbar-brand" href="{{route('public.home')}}">
                    <img class="img-fluid" src="{{asset('img/logo_2015.jpg')}}">
                </a>
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon">
                        <i class="fas fa-bars"></i>
                    </span>
                </button>
                <div class="collapse navbar-collapse h-100" id="navigation">
                    <ul class="nav navbar-nav h-100 font-weight-bold">
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['/','inicio'],'active')}}" href="{{route('public.home')}}">Inicio</a></li>
                        @if (Auth::check() && Auth::user()->hasRole('Base de datos'))
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link {{printIfRequestIs('database/*','active')}}" data-toggle="dropdown" aria-expanded="false" href="#">Base de datos</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item {{printIfRequestIs('database/perfil','active')}}" href="{{route('staff.database.index')}}">Perfil</a>
                                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                     @csrf
                                </form>
                            </div>
                        </li>
                        @endif    
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link {{printIfRequestIs('servicios/*','active')}}" data-toggle="dropdown" aria-expanded="false" href="#">Servicios</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item {{printIfRequestIs('servicios/outsourcing','active')}}" role="presentation" href="{{route('public.servicios.outsourcing')}}#cotizar-servicio">OUTSOURCING</a> 
                                <a class="dropdown-item {{printIfRequestIs('servicios/reclutamiento','active')}}" role="presentation" href="{{route('public.servicios.reclutamiento')}}#cotizar-servicio">RECLUTAMIENTO Y SELECCIÓN</a>
                                <a class="dropdown-item {{printIfRequestIs('servicios/prefiltrado','active')}}" role="presentation" href="{{route('public.servicios.prefiltrado')}}#cotizar-servicio">PREFILTRADO/SERVICIO AVANZADO</a>
                                <a class="dropdown-item {{printIfRequestIs('servicios/planillas','active')}}" role="presentation" href="{{route('public.servicios.planillas')}}#cotizar-servicio">ADMINISTRACIÓN DE PLANILLAS</a>
                                <a class="dropdown-item {{printIfRequestIs('servicios/riesgos','active')}}" role="presentation" href="{{route('public.servicios.riesgos')}}#cotizar-servicio">MINIMIZACIÓN DE RIESGOS</a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="dropdown-toggle nav-link {{printIfRequestIn(['empleos','registro/candidato','candidatos/*'],'active')}}" data-toggle="dropdown" aria-expanded="false" href="#">Candidatos</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item {{printIfRequestIs('empleos','active')}}" role="presentation" href="{{route('public.empleos.index')}}#empleos-candidato">Empleos</a> 
                                @if (Auth::check() && Auth::user()->hasRole('Candidato'))
                                <a class="dropdown-item  {{printIfRequestIs('candidatos/perfil','active')}}" href="{{route('private.candidatos.perfil')}}">Perfil</a>
                                <a class="dropdown-item {{printIfRequestIs('candidatos/portafolio*','active')}}" role="presentation" href="{{route('private.candidatos.portafolio')}}">Portafolio</a>
                                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                    @csrf
                                </form>
                                @elseif(!Auth::check())
                                <a class="dropdown-item" role="presentation" href="{{route('public.empleos.index')}}">Iniciar Sesión</a>
                                <a class="dropdown-item {{printIfRequestIs('registro/candidato','active')}}" role="presentation" href="{{route('public.registro.candidato')}}">Registrarme</a>
                                @endif
                            </div>
                        </li>
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link {{printIfRequestIn(['servicios','empresas/*'],'active')}}" data-toggle="dropdown" aria-expanded="false" href="#">Reclutador</a>
                            <div class="dropdown-menu" role="menu">
                                {{-- <a class="dropdown-item {{printIfRequestIs('servicios','active')}}" role="presentation" href="{{route('public.servicios.outsourcing')}}">Información de Servicios</a> --}}
                                <a class="dropdown-item" role="presentation" href="{{route('public.servicios.outsourcing')}}#cotizar-servicio">Cotizar en Línea</a>
                                <a class="dropdown-item" role="presentation" href="{{route('public.empresas.index2')}}">Publicar Empleo</a>
                                @if (Auth::check() && Auth::user()->hasRole('Empresa'))
                                <a class="dropdown-item {{printIfRequestIs('empresas/perfil','active')}}" href="{{route('private.empresas.perfil')}}">Perfil</a>
                                <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                     @csrf
                                </form>
                                @elseif(!Auth::check())
                                <a class="dropdown-item {{printIfRequestIs('registro/empresa','active')}}" role="presentation" href="{{route('public.registro.empresa')}}">Registrarme</a>
                                <a class="dropdown-item" role="presentation" href="{{route('public.empresas.index2')}}">Iniciar Sesión</a>
                                {{-- <a class="dropdown-item {{printIfRequestIs('empresas/perfil','active')}}" href="{{route('private.empresas.perfil')}}">Perfil</a> --}}
                                @endif
                                
                                {{-- @elseif (Auth::check() && Auth::user()->hasRole('Reclutamiento')) --}}
                                {{-- <a class="dropdown-item {{printIfRequestIs('reclutamiento/perfil','active')}}" href="{{route('staff.reclutamiento.index')}}">Perfil</a> --}}
                                {{-- <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a> --}}
                                {{-- <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;"> --}}
                                {{--    @csrf --}}
                                {{-- </form> --}}
                                {{-- @endif --}}
                                {{-- <a class="dropdown-item" role="presentation" href="{{route('loginReclutamiento')}}">Iniciar Sesión</a>  --}}
                                {{-- <a class="dropdown-item" role="presentation" href="{{route('public.registro.empresa')}}">Registrarme</a> --}}
                            </div>
                        </li>
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['noticias'],'active')}}" href="{{route('public.noticias')}}">Consejos, Noticias y +</a></li>
                        @if (Auth::check() && Auth::user()->hasRole('Admin'))
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['/','inicio'],'active')}}" href="{{route('staff.admin.index')}}">Regresar al perfil</a></li>
                        @elseif (Auth::check() && Auth::user()->hasRole('Reclutamiento'))
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['/','inicio'],'active')}}" href="{{route('staff.reclutamiento.index')}}">Regresar al perfil</a></li>
                        @elseif (Auth::check() && Auth::user()->hasRole('Ventas'))
                        <li class="nav-item" role="presentation"><a class="nav-link {{printIfRequestIn(['/','inicio'],'active')}}" href="{{route('staff.ventas.index')}}">Regresar al perfil</a></li>
                        @endif
                                <li class="nav-item" role="presentation">
                                @if (Auth::check() && Auth::user()->hasRole('Reclutamiento|Ventas|Admin'))
                                <a class="nav-link" href="{{ route('logout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesión </a>
                                <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                @csrf
                                </form>
                                @endif
                                </li>
                            {{--<li class="nav-item" role="presentation">
                                <!-- <a class="nav-link" role="presentation" href="{{route('public.registro.empresa')}}">Registrarme</a> -->
                            </li> --}}
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    @include('layouts.alerts')
    @yield('content')
    <footer id="footer" class="py-5">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 col-lg-5 contact-chanel">
                    <h4>¿Consulta rápida?</h4>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-phone-volume"></i></div>
                        <div class="col-10">
                            <a href="tel:2464-5700" target="_blank">
                                <span class="c-contact">Llamar al <strong>{{substr(getDropdownValue('512'),0,-4)}}-{{substr(getDropdownValue('512'),4)}}</strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-envelope-open-text"></i></div>
                        <div class="col-10">
                            <a href="mailto:info@miscorpsa.com" target="_blank">
                                <span class="c-contact"><strong>info@miscorpsa.com</strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fab fa-whatsapp"></i></div>
                        <div class="col-10">
                            <a href="https://api.whatsapp.com/send?phone=502{{getDropdownValue('511')}}" class="btn btn-success btn-block float-left" target="_blank">
                                whatsapp&nbsp;<strong>{{substr(getDropdownValue('511'),0,-4)}}-{{substr(getDropdownValue('511'),4)}}</strong>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-7 text-right adress pt-4 pt-md-0">
                    <div class="row align-items-center justify-content-center mb-3">
                        <div class="col-1 col-sm text-center text-md-right"><i class="fas fa-car"></i></div>
                        <div class="col-10 col-md-5 col-lg-3 llegar">
                            <a href="https://g.page/miscorpsa?share" style="text-decoration:none;" target="_black">
                                <span class="dress">¿Cómo llegar?<br></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center pb-3">
                        <div class="col-1 text-center text-md-right px-0"><i class="fas fa-map-marker-alt"></i></div>
                        <div class="col-10 col-md-11"><span class="dress">Avenida Reforma 12-01 Zona 10, Edificio Reforma Montúfar
                                Torre A Oficina 14-02, Guatemala ciudad<br></span></div>
                    </div>
                    <div class="row social-links">
                        <div class="col-12">
                            <ul>
                                <li><a target="_blank" href="https://www.linkedin.com/company/miscorpsa?originalSubdomain=gt"><i class="fab fa-linkedin-in"></i></a></li>
                                <li><a target="_blank" href="https://twitter.com/AgenciaMiscorp"><i class="fab fa-twitter"></i></a></li>
                                <li><a target="_blank" href="https://www.facebook.com/Miscorp/"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a target="_blank" href="https://www.instagram.com/miscorpsa/"><i class="fab fa-instagram"></i></a></li>
                                <li><a target="_blank" href="https://www.youtube.com/channel/UCzxhEvHg6keoJ0bafkqLKIA"><i class="fab fa-youtube"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        @yield('footer')
    </footer>
    <!-- jQuery -->
    <script src="{{asset('plugins/jquery/jquery.min.js')}}"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="{{asset('plugins/jquery-ui/jquery-ui.min.js')}}"></script>
    <!-- Bootstrap 4 -->
    <script src="{{asset('plugins/bootstrap/js/bootstrap.bundle.min.js')}}"></script>
    <script src="{{asset('js/popover-fun.js')}}"></script>
    <!-- Select2 -->
    <script src="{{asset('plugins/select2/js/select2.full.min.js')}}"></script>
    <script src="{{asset('js/popover-fun.js')}}"></script>
    @yield('footscripts')
</body>

</html>