<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/','\Modules\Autenticacion\Http\Controllers\Auth\LoginController@showLoginForm');


Route::group(['middleware' => ['web']], function() {

    Route::middleware(['auth:acceso','role:Super Admin|Admin'])->prefix('admin')->group(function()
    {
        Route::get('/dashboard', 'HomeController@index')->name('admin.dashboard');
    });
});

Route::get('/resultados',                        '\Modules\Pruebas\Http\Controllers\Empresas\PruebasController@index')->name('candidatos.export.resultados');
Route::get('/',                                  '\Modules\Paginas\Http\Controllers\DisplayController@inicio');
Route::get('/login',                             '\Modules\Autenticacion\Http\Controllers\Auth\LoginController@showLoginForm');
Route::get('/inicio',                            '\Modules\Paginas\Http\Controllers\DisplayController@inicio')->name('public.home');
Route::get('/noticias',                          '\Modules\Paginas\Http\Controllers\DisplayController@noticias')->name('public.noticias');
Route::get('/registro/candidato',                '\Modules\Paginas\Http\Controllers\DisplayController@registroCandidato')->name('public.registro.candidato');
Route::get('/registro/empresa',                  '\Modules\Paginas\Http\Controllers\DisplayController@registroEmpresa')->name('public.registro.empresa');
Route::get('/gracias',                           '\Modules\Paginas\Http\Controllers\DisplayController@gracias')->name('public.gracias');
// Route::get('/empleos',                        '\Modules\Paginas\Http\Controllers\DisplayController@empleos')->name('public.empleos');
Route::get('/servicios/outsourcing',             '\Modules\Paginas\Http\Controllers\DisplayController@serviciosOutsourcing')->name('public.servicios.outsourcing');
Route::get('/servicios/reclutamiento',           '\Modules\Paginas\Http\Controllers\DisplayController@serviciosReclutamiento')->name('public.servicios.reclutamiento');
Route::get('/servicios/prefiltrado',             '\Modules\Paginas\Http\Controllers\DisplayController@serviciosPrefiltrado')->name('public.servicios.prefiltrado'); 
Route::get('/servicios/planillas',               '\Modules\Paginas\Http\Controllers\DisplayController@serviciosPlanillas')->name('public.servicios.planillas');
Route::get('/servicios/riesgos',                 '\Modules\Paginas\Http\Controllers\DisplayController@serviciosRiesgos')->name('public.servicios.riesgos');
Route::get('/perfildelpuesto/{servicio}',        '\Modules\Paginas\Http\Controllers\ServiciosController@perfilpuestoEdit')->name('public.perfilpuesto.edit'); 
Route::patch('/perfildelpuesto/{perfilpuesto}',  '\Modules\Paginas\Http\Controllers\ServiciosController@perfilpuestoUpdate')->name('public.perfilpuesto.update');
Route::get('/servicios',                         '\Modules\Paginas\Http\Controllers\DisplayController@servicios')->name('public.servicios');
// Route::get('/publicar',                       '\Modules\Paginas\Http\Controllers\DisplayController@publicar')->name('public.publicar');
// Route::get('{slug}',                          '\Modules\Paginas\Http\Controllers\DisplayController@show')->name('cajaverde.paginas.display'); 
Route::post('/servicios/outsourcing',            '\Modules\Paginas\Http\Controllers\ServiciosController@store')->name('public.cotizaciones.store');