<?php
$edit = isset($pagina);
?>

<div class="card-body">
    <div class="form-group">
        <label for="nombre">Página</label>
        <?php echo Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Página', 'required' => true, 'id' => 'nombre' ]); ?>

        <?php if($errors->has('nombre')): ?>
        <span class="has-error"><?php echo e($errors->first('nombre')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="slug">Slug</label>
        <?php echo Form::text('slug', null, ['class' => 'form-control'.($errors->has('slug') ? ' is-invalid' : ''), 'placeholder' => 'Slug', 'required' => true , 'id' => 'slug']); ?>

        <span class="text-muted small">Las slugs, URL semánticas o URL amigables son aquellas URL que son, dentro de lo que cabe, entendibles para el usuario.  Las URL semánticas deben ser en letra minúscula, sin espacios, utilizando solo letras del alfabeto inglés (sin tildes ni ñ), números, y guiones. <br>
            <button type="button" class="btn btn-secondary btn-oval btn-sm" id="regenerar-slug">Regenerar Slug <i class="fa fa-refresh"></i></button>
            <a href="https://es.wikipedia.org/wiki/URL_sem%C3%A1ntica" target="_blank" title="https://es.wikipedia.org/wiki/URL_semántica">Ver referencia.<i class="fa fa-external-link"></i></a>
        </span>
        <?php if($errors->has('slug')): ?>
        <span class="has-error"><?php echo e($errors->first('slug')); ?></span>
        <?php endif; ?>
    </div>

    <div class="form-group">
        <label class="control-label" for="descripcion">Descripción</label>
        <?php echo Form::text('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''), 'placeholder' => 'Descripción']); ?>

        <?php if($errors->has('descripcion')): ?>
        <span class="has-error"><?php echo e($errors->first('descripcion')); ?></span>
        <?php endif; ?>
    </div>

    <div class="form-group">
        <label class="control-label" for="contenido">Contenido</label>
        <?php echo Form::textarea('contenido', null, ['class' => 'form-control textarea'.($errors->has('contenido') ? ' is-invalid' : ''), 'placeholder' => 'Contenido']); ?>

        <?php if($errors->has('contenido')): ?>
        <span class="has-error"><?php echo e($errors->first('contenido')); ?></span>
        <?php endif; ?>
    </div>


    
    <div class="form-group">
        <label class="control-label" for="contenido">Nivel</label>
        <?php echo Form::select('parent_id', getPaginasnestedTreeList(($edit)?$pagina->id:false), null, ['class' => 'form-control boxed', 'placeholder' => '-- nivel superior --']); ?>

        <span class="text-muted small">Los niveles de las páginas, determinan su jerarquía. Por ejemplo, en la estructura Animales > Felinos > Tigres, la página Felinos es "hija" de Animales, pero "padre" de Tigres. Las páginas que comparten un mismo padre, se denominan hermanas.</span>
        <?php if($errors->has('parent_id')): ?>
        <span class="has-error"><?php echo e($errors->first('parent_id')); ?></span>
        <?php endif; ?>
    </div>

    
    <div class="form-group<?php echo e($errors->has('activa') ? ' has-error' : ''); ?>">
        <div>
            <label>
                <?php echo Form::radio('activa', 1, ($edit ? null : 1), ['class' => 'radio squared']); ?>

                <span>Activa</span>
            </label>
            <label>
                <?php echo Form::radio('activa', 0, null, ['class' => 'radio squared']); ?>

                <span>Inactiva</span>
            </label>
        </div>
        <?php if($errors->has('activa')): ?>
        <span class="has-error"><?php echo e($errors->first('activa')); ?></span>
        <?php endif; ?>
    </div>
    <?php echo Form::hidden('id', null); ?>

</div>
<!-- /.card-body -->
<?php /**PATH /var/www/html/miscorp/website/Modules/Paginas/Resources/views/paginas/form.blade.php ENDPATH**/ ?>