<?php $__env->startSection('title','Politicas'); ?>

<?php $__env->startSection('headlinks'); ?>

<!-- DataTables -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row">
    <div class="col-12">

        <div class="card">
            <div class="card-header">
                <div class="row">
                    <div class="col-md-10">
                        <h3 class="card-title">Políticas</h3>
                    </div>
                    <div class="col-md-2">
                        
                    </div>
                </div>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <table id="tablaPoliticas" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>No. </th>
                            <th>Descripción</th>
                            <th class="no-sort" style="width: 10%"></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>No. </th>
                            <th>Descripción</th>
                            <th class="no-sort"  style="width: 10%"></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.col -->
</div>
<!-- /.row -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
    <!-- Modal -->
<div id="crearPolitica" class="modal fade" tabindex="-1"  role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Crear Politica</h4>
            </div>
            <div class="modal-body">
                <?php echo Form::open(['route' => 'admin.politicas.store', 'role' => 'form', 'enctype' => 'multipart/form-data']); ?>


                <div class="form-group">
                    <label for="value">Descripción</label>
                    <?php echo Form::text('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'descripcion' ]); ?>

                    <?php if($errors->has('descripcion')): ?>
                    <span class="has-error"><?php echo e($errors->first('descripcion')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <label class="control-label" for="description">PDF</label>
                    <?php echo Form::file('archivo', ['class' => 'form-control'.($errors->has('archivo') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'archivo']); ?>

                    <?php if($errors->has('archivo')): ?>
                    <span class="has-error"><?php echo e($errors->first('archivo')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Guardar</button> 
                </div>
                <?php echo Form::close(); ?>

            </div>
        </div>

    </div>
</div>
<div id="politica-edit" class="modal fade" tabindex="-1"  role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title">Editar Política</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <?php echo Form::open(['route' => 'admin.politicas.store', 'role' => 'form', 'id' => 'editarForm', 'enctype' => 'multipart/form-data'  ]); ?>

                <?php echo Form::hidden('_method', 'PATCH'); ?>

                <div class="form-group">
                    <label for="descripcion">Descripción</label>
                    <?php echo Form::text('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'descripcion_politica' ]); ?>

                    <?php if($errors->has('descripcion')): ?>
                    <span class="has-error"><?php echo e($errors->first('descripcion')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <label class="control-label" for="archivo">PDF</label>
                    <?php echo Form::file('archivo', ['class' => 'form-control'.($errors->has('archivo') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'id' => 'archivo']); ?>

                    <?php if($errors->has('archivo')): ?>
                    <span class="has-error"><?php echo e($errors->first('archivo')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="card-footer">
                    <button type="submit" class="btn btn-primary">Guardar</button>
                </div>
                <?php echo Form::close(); ?>

            </div>
        </div>

    </div>
</div>

<div id="politica-destroy"  tabindex="-1" class="modal fade" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title">
                    <i class="fa fa-warning"></i> Confirmar acción </h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true"><i class="fa fa-close"></i></span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>¿Eliminar política <strong id="value"></strong>?</p>
                </div>
                <div class="modal-footer">
                    <form method="post" id="borrarPolitica" action="">
                        <?php echo Form::hidden('_method', 'DELETE',); ?>

                        <?php echo csrf_field(); ?>
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-primary">Sí, eliminar</button>
                    </form>
                </div>
        </div>

    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footscripts'); ?>

<!-- DataTables -->
<script src="<?php echo e(asset('plugins/datatables/jquery.dataTables.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')); ?>"></script>
<script>
    function borrarPolitica(id,descripcion) {
        $('#value').html(descripcion);
        $('#borrarPolitica').attr('action', '<?php echo e(route('admin.politicas.index')); ?>/'+id);
        $('#politica-destroy').modal();
    }
    function editarPolitica(id,descripcion) {
        $('#descripcion_politica').val(descripcion);
        $('#editarForm').attr('action', '<?php echo e(route('admin.politicas.index')); ?>/'+id);
        $('#politica-edit').modal();
    }
    $(function () {
        $('#tablaPoliticas').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '<?php echo route('admin.politicas.list'); ?>',
                "data": function (d) {
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "order": [[ 0, "asc" ]],
            "language": {
                "lengthMenu": "Mostrando _MENU_ politicas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay politicas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total politicas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'id', name: 'id' },
                { data: 'descripcion', name: 'descripcion' },
                { data: 'action', name: 'action', orderable: false, searchable: false }
            ]
        });
    });

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Configuracion/Resources/views/politicas/index.blade.php ENDPATH**/ ?>