<?php
$edit = isset($empleo->terna);

$candidatos_terna = [];
if($edit){
    foreach ($empleo->candidatos()->get() as $candidato) {
        if(in_array($candidato->nombre_completo,explode(',',$empleo->terna->candidatos))){
                $candidatos_terna[] = $candidato->nombre_completo;
        }
    }
}
?>


<!-- Modal Terna Enviada-->
<div class="modal fade" id="terna-enviada-<?php echo e($empleo->id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCitaLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header" style="padding: 0.5rem 1rem; border-bottom: none;">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
            <?php if($edit): ?>
                <?php echo e(Form::model($empleo->terna->id, ['route' => ['staff.reclutamiento.terna.update', $empleo->terna->id], 'role' => 'form', 'method' => 'PATCH'])); ?>

            <?php else: ?>
                <?php echo Form::open(['route' => 'staff.reclutamiento.terna.store', 'role' => 'form', 'id' => 'form-terna']); ?>

            <?php endif; ?>
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12" >
                            <h3 style="text-align:center;">Terna enviada</h3>
                        </div>
                    </div>
                    <div class="row info-cita py-2">
                        <div class="col-12">
                            <div class="form-group row">
                                <div class="col-12 col-md-3">
                                    <div class="row">
                                        <label for="fecha_terna" class="col-auto col-form-label">Fecha. <span id="prueba"></span></label>
                                        <div class="col">
                                            <?php echo Form::date('fecha_terna', ($edit ? $empleo->terna->fecha_terna : null), ['class' => 'form-control'.($errors->has('fecha') ? 'is-invalid' : ''), 'required' => true ]); ?>   
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <div class="row justify-content-center prog-cita">
                                <div class="col-12">
                                    <div class="form-cita">
                                        <label class="control-label" for="candidato_terna">Candidatos</label>
                                        <select id="" multiple="multiple" name="candidato_terna[]" class="form-control modal_terna <?php echo e(($errors->has('candidato_terna') ? ' is-invalid' : '')); ?>">
                                        <?php $__currentLoopData = $empleo->candidatos()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $candidato): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($candidato->nombre_completo); ?>" <?php if( in_array($candidato->nombre_completo, $candidatos_terna) ): ?>selected="selected"<?php endif; ?>><?php echo e($candidato->nombre_completo); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('candidato_terna')): ?>
                                        <span class="has-error"><?php echo e($errors->first('candidato_terna')); ?></span>
                                        <?php endif; ?>

                                        
                                    </div>
                                </div>
                            </div>
                            <div class="row justify-content-end py-3">
                                <div class="col-5 col-md-3">
                                    <?php echo Form::hidden('empleo_id',$empleo->id); ?>

                                    <?php echo Form::submit('Guardar', ['class' => 'btn btn-warning btn-sm rounded btn-block']); ?> 
                                </div>
                                <div class="col-5 col-md-3">
                                    <button type="button" class="btn btn-secondary btn-sm rounded btn-block" data-dismiss="modal">Cancelar</button>
                                </div>
                            </div>
                        </div>
                    </div>     
                </div>
            <?php echo Form::hidden('id', null); ?>

            <?php echo Form::close(); ?>

            </div>
        </div>
    </div>
</div><?php /**PATH /var/www/html/miscorp/website/Modules/Staff/Resources/views/reclutamiento/terna_modal.blade.php ENDPATH**/ ?>