<?php $__env->startSection('title','Ver Empleo'); ?>

<?php $__env->startSection('headlinks'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<main id="page-show-job-login">
    <section id="page-base">
        <div class="container">
            <div class="row justify-content-end">
                <div class="col-12 col-lg-2 pb-4 text-right"> 
                    <?php if(Auth::check() && Auth::user()->hasRole('Candidato')): ?> 
                    <a class="btn btn-light" role="button" href="<?php echo e(route('private.candidatos.portafolio')); ?>">Regresar</a>
                    <?php else: ?>
                    <a class="btn btn-light" role="button" href="<?php echo e(route('public.empleos.index')); ?>#empleos-candidato">Regresar</a>
                    <?php endif; ?>
                </div>
            </div>


            <div class="row job-info">
                <div class="col-12 col-lg-3">
                    <?php if($empleo->logo_visible): ?>
                    <img class="img-fluid" src="<?php echo e(isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')); ?>">
                    <?php else: ?>
                    <img class="img-fluid" src="<?php echo e(asset('img/imagen-vacia.jpg')); ?>">
                    <?php endif; ?>
                </div>
                <div class="col-12 col-lg-9">
                    <div class="row pb-4">
                        <div class="col-12 col-md-6 empresa-job-cash py-3">
                            <h3><?php echo e(isset($empleo->plaza)?$empleo->plaza:''); ?></h3>
                            <?php if($empleo->empleo_confidencial == 0): ?>
                            <p>Empresa: <?php echo e(isset($empleo->empresa)?$empleo->empresa:''); ?></p>
                            <?php endif; ?><span>Sueldo Q<?php echo e(isset($empleo->sueldo)?number_format($empleo->sueldo,2):''); ?></span></div>
                        <div class="col-12 col-md-6 localidad">
                            <div class="row justify-content-center align-items-center h-100">
                                <div class="col">
                                    <ul>
                                        <li><span>País</span>&nbsp;<?php echo e(getDropdownValue($empleo->pais)); ?></li>
                                        <li><span>Departamento</span>&nbsp;<?php echo e(getDropdownValue($empleo->departamento)); ?></li>
                                        <li><span>Municipio</span>&nbsp;<?php echo e(getDropdownValue($empleo->municipio)); ?></li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12 col-md-6 requisitos-offer"><span>Requerimos</span>
                            <div class="row">
                                <div class="col pb-5 px-5 pt-3 pb-md-3">
                                    <p>
                                        <strong>Descripción del puesto:</strong>
                                        <?php echo e(isset($empleo->descripcion)?($empleo->descripcion):''); ?>

                                    </p>
                                    <p>
                                        <strong>Conocimientos especiales:</strong>
                                        <?php echo e(isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''); ?>

                                    </p>
                                    <p>
                                        <strong>Competencias:</strong>
                                        <?php $__currentLoopData = explode(',',$empleo->competencias); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $competencia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php echo e(getDropdownValue($competencia)); ?>,
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </p>
                                    <p>
                                        <strong>Profesión:</strong>
                                        <?php echo e(isset($empleo->profesion)?($empleo->profesion):''); ?>

                                    </p>
                                    <p>
                                        <strong>Estudios/carrera:</strong>
                                        <?php echo e(isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''); ?>

                                    </p>
                                    <p>
                                        <strong>Edad/rango:</strong>
                                        <?php echo e(isset($empleo->edad_rango)?($empleo->edad_rango):''); ?>

                                    </p>
                                    <p>
                                        <strong>Género:</strong>
                                        <?php echo e(isset($empleo->genero)?$empleo->genero:''); ?>

                                    </p>
                                    <p>
                                        <strong>Años de experiencia:</strong>
                                        <?php echo e(isset($empleo->experiencia)?($empleo->experiencia):''); ?>

                                    </p>
                                    <p>
                                        <strong>Idioma:</strong>
                                        <?php echo e(isset($empleo->idioma)?getDropdownValue($empleo->idioma):''); ?>

                                    </p>
                                    <p>
                                        <strong>Licencia:</strong>
                                        <?php echo e(isset($empleo->licencia)?getDropdownValue($empleo->licencia):''); ?>

                                    </p>
                                    <p>
                                        <strong>Vehículo:</strong>
                                        <?php echo e(isset($empleo->vehiculo)?getDropdownValue($empleo->vehiculo):''); ?>

                                    </p>
                                    <p>
                                        <strong>Software:</strong>
                                        <?php echo e(isset($empleo->software)?$empleo->software:''); ?>

                                    </p>
                                    <p>
                                        <strong>Disponibilidad para viajar:</strong>
                                        <?php echo e(isset($empleo->viajar)?getDropdownValue($empleo->viajar):''); ?>

                                    </p>
                                </div>
                            </div>
                        </div>
                        <div class="col-12 col-md-6 requisitos-offer"><span>Ofrecemos</span>
                            <div class="row">
                                <div class="col pb-4 px-5 pt-3 pb-md-3 offer"><span>Q<?php echo e(isset($empleo->sueldo)?number_format($empleo->sueldo,2):''); ?></span>
                                    <p>
                                        <strong>Contratación:</strong>
                                        <?php echo e(isset($empleo->tipo_contrato)?getDropdownValue($empleo->tipo_contrato):''); ?>

                                    </p>
                                    <p>
                                        <strong>Jornada:</strong>
                                        <?php echo e(isset($empleo->jornada)?getDropdownValue($empleo->jornada):''); ?>

                                    </p>
                                    <p>
                                        <strong>Incentivos:</strong>
                                        <?php echo e(isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''); ?>

                                    </p>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="row justify-content-center justify-content-md-end align-items-center pt-3">
                                <?php if(auth()->guard()->check()): ?>
                                <?php if(auth()->check() && auth()->user()->hasRole('Candidato')): ?>
                                    <?php if($empleo->hacer_preguntas == 1 || ($empleo->pregunta_1 == null && $empleo->pregunta_2 == null && 
                                    $empleo->pregunta_3 == null && $empleo->pregunta_4 == null && $empleo->pregunta_5 == null 
                                    && $empleo->pregunta_6 == null) ): ?>
                                        <div class="col-10 col-lg-4">
                                            <?php if($empleo->candidatos()->where('candidato_id',Auth::user()->candidato->id)->count() == 0): ?>
                                                <?php echo Form::open(['route' => 'public.empleos.apply']); ?>

                                                <?php echo Form::hidden('empleo_id', $empleo->id); ?>

                                                <?php echo Form::submit('Aplicar', ['class' => 'btn btn-success btn-block']); ?>

                                                <?php echo Form::close(); ?>

                                            <?php else: ?>
                                                <button class="btn btn-success btn-block">Aplicaste a este trabajo!</button>
                                            <?php endif; ?>
                                        </div>
                                    <?php else: ?>
                                        <div class="col-10 col-lg-4">
                                            <?php if($empleo->candidatos()->where('candidato_id',Auth::user()->candidato->id)->count() == 0): ?>
                                                <a class="btn btn-success btn-block" href="#" data-toggle="modal" data-target="#modal-preguntas" type="button">Aplicar</a>
                                            <?php else: ?>
                                                <button class="btn btn-success btn-block">Aplicaste a este trabajo!</button>
                                            <?php endif; ?>
                                        </div>
                                    <?php endif; ?>
                                <?php endif; ?>
                                <?php else: ?>
                                <div class="col-10 col-lg-3 pb-3 pb-md-0"><a class="btn btn-warning btn-block" role="button" href="<?php echo e(route('public.registro.candidato')); ?>">Registrarme</a></div>
                                <div class="col-10 col-lg-4"><a class="btn btn-primary btn-block" role="button" href="<?php echo e(route('public.empleos.index')); ?>">Iniciar sesión para aplicar</a></div> 
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

<!-- modal preguntas --> 
<div class="modal fade" id="modal-preguntas"> 
    <div class="modal-dialog modal-lg modal-dialog-centered" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <!-- <h4 class="modal-title"></h4> -->
                <button type="button" class="close pr-4 pt-4" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true"><i class="fas fa-close"></i></span>
                </button>
            </div>
            <div class="modal-body">
            <?php echo Form::open(['route' => 'public.empleos.apply']); ?>

            <div class="row justify-content-center">
                <div class="col-10">
                    <div class="row pt-5">
                        <div class="col-12 col-md-6" style="text-align: justify;">
                            <p>¡Gracias por aplicar a la plaza!</p>
                            <p>A continuación es importante que responda las siguientes preguntas para continuar en el proceso
                                de selección.</p>
                            <p>Esto con el objetivo de que el reclutador conozca más sobre usted y su experiencia. Al
                                responderlas el reclutador recibirá a su correo
                                las respuestas de las mismas.</p>
                            <p>¡Por favor estar atento a su portafolio por cualquier respuesta, esperamos que en poco tiempo
                                encuentre el trabajo ideal para usted!</p>
                        </div>
                        <div class="col-12 col-md-6">
                            <h3 style="text-align: center;">
                                <stron>Plaza: <?php echo e($empleo->plaza); ?></stron>
                            </h3>
                            <div class="">
                                <?php if($empleo->pregunta_1): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_1); ?></label>
                                    <?php echo Form::textarea('respuesta_1',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta1' ]); ?>

                                </div>
                                <?php endif; ?>
                                <?php if($empleo->pregunta_2): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_2); ?></label>
                                    <?php echo Form::textarea('respuesta_2',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta2' ]); ?>

                                </div>
                                <?php endif; ?>
                                <?php if($empleo->pregunta_3): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_3); ?></label>
                                    <?php echo Form::textarea('respuesta_3',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta3' ]); ?>

                                </div>
                                <?php endif; ?>
                                <?php if($empleo->pregunta_4): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_4); ?></label>
                                    <?php echo Form::textarea('respuesta_4',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta4' ]); ?>

                                </div>
                                <?php endif; ?>
                                <?php if($empleo->pregunta_5): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_5); ?></label>
                                    <?php echo Form::textarea('respuesta_5',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta5' ]); ?>

                                </div>
                                <?php endif; ?>
                                <?php if($empleo->pregunta_6): ?>
                                <div class="form-group row">
                                    <label for="" class="col-auto col-form-label"><?php echo e($empleo->pregunta_6); ?></label>
                                    <?php echo Form::textarea('respuesta_6',null, ['class' => 'form-control'.($errors->has('respuesta1') ? 'is-invalid' : ''), 'placeholder' => '' , 'required' => $empleo->preguntas_obligatorias?true:false, 'id' => 'respuesta6' ]); ?>

                                </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-warning btn-block btn-sm" data-dismiss="modal">Regresar</button>
                        <button type="submit" class="btn btn-warning btn-block btn-sm">Enviar</button>
                    </div>
                </div>
            </div>
            <?php echo Form::hidden('empleo_id', $empleo->id); ?>

            <?php echo Form::close(); ?>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footscripts'); ?>
<script type="application/ld+json">
    {
        "@context" : "https://schema.org/",
        "@type" : "JobPosting",
        "title" : "<?php echo e($empleo->plaza); ?>",
        "description" : "<p><?php echo e($empleo->descripcion); ?></p>",
        "jobBenefits": "<?php echo e(isset($empleo->incentivos_adicionales)?($empleo->incentivos_adicionales):''); ?>",
        "educationRequirements": "<?php echo e(isset($empleo->estudios_carrera)?$empleo->estudios_carrera:''); ?>",
        "experienceRequirements": "<?php echo e(isset($empleo->experiencia)?($empleo->experiencia):''); ?> años",
        "industry": "<?php echo e(isset($empleo->profesion)?($empleo->profesion):''); ?>",
        "identifier": {
            "@type": "PropertyValue",
            "name": "Miscorpsa, S.A.",
            "value": ""
        },
        "datePosted" : "<?php echo e($empleo->fecha_publicacion); ?>",
        "validThrough" : "<?php echo e($empleo->fecha_publicacion->addDays(getDropdownValue($empleo->duracion))->format('d-m-Y')); ?>",
        "employmentType" : "FULL_TIME",
        "hiringOrganization" : {
            "@type" : "Organization",
            "name" : "<?php echo e(isset($empleo->empresa)?$empleo->empresa:''); ?>",
            "sameAs" : "",
            "logo" : "<?php echo e(isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')); ?>"
        },
        "jobLocation": {
        "@type": "Place",
            "address": {
            "@type": "PostalAddress",
            "streetAddress": "<?php echo e(getDropdownValue($empleo->zona)); ?>",
            "addressLocality": "<?php echo e(getDropdownValue($empleo->pais)); ?>, <?php echo e(getDropdownValue($empleo->departamento)); ?>",
            "addressRegion": "<?php echo e(getDropdownValue($empleo->pais)); ?>",
            "postalCode": "",
            "addressCountry": "<?php echo e(getDropdownValue($empleo->pais)); ?>"
            }
        },
        "qualifications": "<?php $__currentLoopData = explode(',',$empleo->competencias); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $competencia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php echo e(getDropdownValue($competencia)); ?>,
                           <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>",
        "skills": "<?php echo e(isset($empleo->conocimientos_especiales)?($empleo->conocimientos_especiales):''); ?>",
        "baseSalary": {
            "@type": "MonetaryAmount",
            "currency": "GTQ",
            "value": {
            "@type": "QuantitativeValue",
            "value": "<?php echo e($empleo->sueldo); ?>",
            "unitText": "MONTH"
            }
        }
    }
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.public', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Empleos/Resources/views/empleos/show.blade.php ENDPATH**/ ?>