<!-- Modal Programar Cita-->
<div class="modal fade modal-programar-cita" id="exampleModalCita-<?php echo e($candidato->empleo_candidatos_id); ?>" tabindex="-1" role="dialog" aria-labelledby="exampleModalCitaLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header" style="padding: 0.5rem 1rem; border-bottom: none;">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            <h3>Programar <strong>Cita</strong></h3>
                        </div>
                    </div>
                    <div class="row info-cita py-2">
                        <div class="col-12">
    
                            <div class="form-group row">
                                <div class="col-12 col-md-3">
                                    <div class="row">
                                        <label for="candidato" class="col-auto col-form-label">Candidato No.</label>
                                        <div class="col text-center">
                                            <input type="text" class="form-control" id="candidato" value="<?php echo e($candidato->id); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-5">
                                    <div class="row">
                                        <label for="cliente" class="col-auto col-form-label">Cliente</label>
                                        <div class="col text-center">
                                            <input type="text" class="form-control" id="cliente" value="<?php echo e($empresa->nombre ?? ''); ?>">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-12 col-md-4">
                                    <div class="row">
                                        <label for="puesto" class="col-auto col-form-label">Puesto</label>
                                        <div class="col text-center">
                                            <input type="text" class="form-control" id="puesto" value="<?php echo e($vacante->plaza); ?>">
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                        <?php echo e(Form::model($candidato, ['route' => ['staff.empresa.candidato.empleo_candidato', $candidato->empleo_candidatos_id], 'role' => 'form', 'method' => 'PATCH', 'id' => "form-cita"])); ?>

                            <div class="row justify-content-center prog-cita">
                                <div class="col-12">
                                    <div class="form-cita">
                                        <div class="form-group row pb-3">
                                            <div class="col-12 col-md-6">
                                                <div class="row">
                                                    <label for="fecha_cita" class="col-auto col-form-label">Fecha</label>
                                                    <div class="col">
                                                        <?php echo Form::date('fecha_cita', $candidato->fecha_cita_candidato?Carbon\Carbon::parse($candidato->fecha_cita_candidato)->format('Y-m-d'):'', ['class' => 'form-control', 'required' => true ]); ?>

                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-12 col-md-6">
                                                <div class="row">
                                                    <label for="hora_cita" class="col-auto col-form-label">Hora</label>
                                                    <div class="col">
                                                        <?php echo Form::time('hora_cita', $candidato->hora_cita_candidato?\Carbon\Carbon::createFromFormat('H:i:s',$candidato->hora_cita_candidato)->format('h:i'):'', ['class' => 'form-control', 'required' => true ]); ?>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group row pb-3">
                                            <label for="direccion_cita" class="col-auto col-form-label">Dirección</label>
                                            <div class="col">
                                                <?php echo Form::text('direccion_cita', $candidato->direccion_cita_candidato?$candidato->direccion_cita_candidato:'', ['class' => 'form-control', 'required' => true ]); ?>

                                            </div>
                                        </div>
                                        <div class="form-group row pb-3">
                                            <label for="persona_entrevista_cita" class="col-auto col-form-label">Persona que entrevista</label>
                                            <div class="col">
                                                <?php echo Form::text('persona_entrevista_cita',  $candidato->persona_entrevista_cita_candidato?$candidato->persona_entrevista_cita_candidato:'', ['class' => 'form-control', 'required' => true ]); ?>

                                            </div>
                                        </div>                         
                                        <div class="col-12 col-md-12">
                                            <div class="row">
                                                <label for="correo_cita[]" class="col-auto col-form-label">Correo Candidato</label>
                                                <div class="col">
                                                    <?php echo Form::email('correo_cita[]', $candidato->email, ['class' => 'form-control', 'required' => true]); ?>

                                                </div>
                                            </div>
                                            <a class="btn btn-success" id="add_email_<?php echo e($candidato->id); ?>"><i class="fas fa-plus"></i></a>
                                        </div>                                          
                                    </div>
                                </div>
                            </div>
                            <div class="row justify-content-end py-3">
                                <div class="col-5 col-md-3">
                                    <button class="btn btn-warning btn-sm rounded btn-block">Programar Cita</button>
                                </div>
                            </div>
                        <?php echo Form::hidden('candidato_id',$candidato->id); ?>

                        <?php echo Form::hidden('empleo_id',$vacante->id); ?>

                        <?php echo Form::hidden('id', null); ?>

                        <?php echo Form::close(); ?>

                        </div>
                    </div>      
                </div>
                
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
$(document).ready(function() {
    $("#add_email_<?php echo e($candidato->id); ?>").click(function(){
        var contador = $("input[type='email']").length;

        $(this).before('<div class="col-12 col-md-12"><div class="row"><label for="correo_cita_'+ contador +
        '" class="col-auto col-form-label">Correo '+ contador +'</label><div class="col"><input type="email" id="correo_cita_'+ contador +
        '" name="correo_cita[]" class="form-control" required="true"/></div><a class="delete_email btn btn-danger"><i class="fas fa-minus"></i></a></div></div>');
    });

    $(document).on('click', '.delete_email', function(){
        $(this).parent().remove();
    });
});
</script><?php /**PATH /var/www/html/miscorp/website/Modules/Empresas/Resources/views/perfil/programar-cita.blade.php ENDPATH**/ ?>