<?php $__env->startSection('title','Preguntas - Ver'); ?>


<?php $__env->startSection('headlinks'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<!-- Default box -->
<div class="card">
    <div class="card-header">
        <h3 class="card-title"> Pregunta </h3>
        <div class="card-tools">
            <button type="button" class="btn btn-tool" data-card-widget="collapse" data-toggle="tooltip"
                title="Collapse"><i class="fas fa-minus"></i></button>
        </div>
    </div>
    <div class="card-body">
        <div class="card">
            <div class="card-header">
                <div class="row">

                    <div class="col-md-10">
                    </div>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('Editar Preguntas')): ?>
                    <div class="col-md-2">
                        <a class="btn btn-info btn-sm" href="<?php echo e(route('dashboard.pruebas.preguntas.edit',$pregunta->id)); ?>">
                            <i class="fas fa-pencil-alt">
                            </i>
                            Editar
                        </a>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <div class="card-body">
                    <?php echo e($pregunta->pregunta); ?>

            </div>
            <!-- /.card-header -->
            <div class="card-body p-0">
                <table class="table">
                    <tbody>
                        <tr>
                            <td>Activa</td>
                            <td> <?php echo ($pregunta->estado) ? '<span class="badge badge-success">Si</span>':'<span class="badge badge-danger">No</span>'; ?> </td>
                        </tr>
                        <tr>
                            <td>Orden</td>
                            <td> <?php echo e($pregunta->orden); ?> </td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <!-- /.card-body -->
        </div>
        <!-- /.card -->
    </div>
    <!-- /.card-body -->
</div>
<div class="card">
    <div class="card card-primary">
        <div class="card-header">
            <h3 class="card-title">Respuestas</h3>
        </div>
        <div class="card-body">
            <!-- form start -->
            <div class="row">
                <div class="col-md-6">
                    <?php echo Form::open(['route' => 'dashboard.pruebas.preguntas.respuesta.store', 'role' => 'form']); ?>

                        <div class="card-body">
                            <div class="form-group">
                                <label class="control-label" for="respuesta">Respuesta</label>
                                <?php echo Form::text('respuesta', null, ['class' => 'form-control'.($errors->has('respuesta') ? ' is-invalid' : ''), 'placeholder' => 'Respuesta', 'required' => true,'id'=>'respuesta']); ?>

                                <?php if($errors->has('respuesta')): ?>
                                <span class="has-error"><?php echo e($errors->first('respuesta')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="valor">Valor</label>
                                <?php echo Form::text('valor', null, ['class' => 'form-control'.($errors->has('valor') ? ' is-invalid' : ''), 'placeholder' => 'Valor', 'required' => true, 'id' => 'valor' ]); ?>

                                <?php if($errors->has('valor')): ?>
                                <span class="has-error"><?php echo e($errors->first('valor')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="letra">Letra</label>
                                <?php echo Form::text('letra', null, ['class' => 'form-control'.($errors->has('letra') ? ' is-invalid' : ''), 'placeholder' => 'Letra', 'required' => false, 'id' => 'letra' ]); ?>

                                <?php if($errors->has('letra')): ?>
                                <span class="has-error"><?php echo e($errors->first('letra')); ?></span>
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <div class="form-check">
                                    <?php echo Form::radio('estado', 1, true, ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

                                    <label class="form-check-label" for="activeCheck1">Activo</label>
                                </div>
                                <div class="form-check">
                                    <?php echo Form::radio('estado', 0, null, ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

                                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                                </div>
                                <?php if($errors->has('estado')): ?>
                                <span class="has-error"><?php echo e($errors->first('estado')); ?></span>
                                <?php endif; ?>
                            </div>
                            <?php echo Form::hidden('pregunta_id', $pregunta->id); ?>

                            <?php echo Form::hidden('id', null,['id' => 'respuesta_id']); ?>

                        </div>
                        <div class="card-footer">
                            <button type="submit" class="btn btn-primary">Guardar</button>
                        </div>
                    <?php echo Form::close(); ?>

                </div>
                <div class="col-md-6">
                    <table class="table">
                        <caption>Lista de Preguntas</caption>
                        <thead>
                            <th>Pregunta</th>
                            <th>Respuesta</th>
                            <th>Letra</th>
                            <th>Activa</th>
                            <th></th>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $pregunta->respuestas()->get(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $respuesta): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td> <?php echo e($respuesta->respuesta); ?> </td>
                                <td> <?php echo e($respuesta->valor); ?> </td>
                                <td> <?php echo e($respuesta->letra); ?> </td>
                                <td> <?php echo ($respuesta->estado) ? '<span class="badge badge-success">Si</span>':'<span class="badge badge-danger">No</span>'; ?> </td>
                                <td> 
                                    <a class="btn btn-info btn-sm" href="javascript:editarRespuesta(<?php echo e($respuesta->id); ?>,'<?php echo e($respuesta->respuesta); ?>','<?php echo e($respuesta->valor); ?>',<?php echo e(($respuesta->estado)?1:0); ?>);"><i class="fas fa-pencil-alt"></i></a></td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
            
        </div>
        <!-- /.card-header -->
    </div>
</div>
<!-- /.card -->
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footscripts'); ?>
<script>
    function editarRespuesta(id,respuesta,valor,estado,letra) {
        $('#respuesta_id').val(id);
        $('#respuesta').val(respuesta);
        $('#valor').val(valor);
        $('#letra').val(letra);
        if(estado == 1){
            $('#activeCheck1').prop('checked',true);
            $('#activeCheck2').prop('checked',false);
        }else{
            $('#activeCheck2').prop('checked',true);
            $('#activeCheck1').prop('checked',false);
        }
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Pruebas/Resources/views/admin/preguntas/show.blade.php ENDPATH**/ ?>