<?php $__env->startSection('title','Portafolio - Candidato'); ?>

<?php $__env->startSection('headlinks'); ?>
<link rel="stylesheet" href="<?php echo e(asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<main id="page-portafolio-aplicaciones-reporte-entrevista">
    <section id="page-base">
        <div class="container">
            <div class="row">
                <div class="col-12 col-lg-12">
                    <h3><strong>Mi portafolio /</strong> Plazas aplicadas</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-12 pt-5">
                    <h4>Reporte de entrevista</h4>
                </div>
            </div>
            <div class="row">
                <div class="col-12 col-lg-12 pt-3">
                    <p>A continuación debes responder las siguinetes preguntas. Si tienes alguna duda sobre la respuesta que tienes que dar, puedes apoyarte en la esquina superior de cada pregunta con el siguiente simbolo&nbsp;<i class="fas fa-question"></i>&nbsp;
                        y obtener una nota como apoyo que te ayude a responder.</p>
                </div>
            </div>
        </div>
    </section>
    <section id="form-reporte-entrevista">
        <div class="container">
            <div class="row">
                <div class="col">
                    <?php if(isset($candidato->entrevista)): ?>
                    <?php echo e(Form::model($candidato->entrevista()->first(), ['route' => ['private.candidatos.entrevista.edit', $candidato->id], 'role' => 'form', 'method' => 'PATCH'])); ?>

                    <?php else: ?>
                    <?php echo Form::open(['route' => 'private.candidatos.entrevista.store', 'role' => 'form']); ?> 
                    <?php endif; ?>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>1. </strong>Danos una breve descripción de tu perfil laboral, experiencia, conocimientos y profesión:</label>
                                    <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: Expresa clara y abiertamente información sobre tu yo profesional, evita en este sección información personal, enfócate en tu perfil laboral, tus puntos fuertes y tu buena actitud."><i class="fas fa-question"></i>
                                    </button>
                                    <?php echo Form::textarea('pregunta1', null, ['class' => 'form-control'.($errors->has('pregunta1') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta1')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta1')); ?></span>
                                    <?php endif; ?>
                            </div>
                            <div class="col-12 col-lg-6 form-group"><label><strong>2. </strong>¿Qué puesto te interesa y por qué crees que eres la persona idónea para ocuparlo?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left"
                                    title="NOTA: Destaca las cualidades que te hacen ideal para el puesto, qué puedes aportar que otros candidatos no ofrecen para esta posición."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta2', null, ['class' => 'form-control'.($errors->has('pregunta2') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta2')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta2')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>3. </strong>¿Qué te gusta hacer en tu tiempo libre?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: Se los mas claro posible, queremos saber sobre tus hobbies, como deportes, aficiones, hábitos y actividades que realizas, como voluntariados, cursos libres o estudios etc."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta3', null, ['class' => 'form-control'.($errors->has('pregunta3') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta3')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta3')); ?></span>
                                    <?php endif; ?>
                                </div>
                            <div class="col-12 col-lg-6 form-group"><label><strong>4. </strong>¿Por qué quieres cambiar de empleo o por qué dejaste tu anterior empleo?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: Indica la respuesta a cualquiera de las dos preguntas anteriores, la que se adapte mejor a tu situación, no importa si hace mucho que saliste de tu último empleo, queremos saber cual fue tu experiencia y la razón de retiro."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta4', null, ['class' => 'form-control'.($errors->has('pregunta4') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta4')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta4')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>5. </strong>¿Como describirías a tu Jefe inmedidato anterior?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: Describe tus experiencias, positivas o negativas, indica lo que aprendiste y lo que mejorarías de estar en su lugar."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta5', null, ['class' => 'form-control'.($errors->has('pregunta5') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta5')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta5')); ?></span>
                                    <?php endif; ?>
                                    </div>
                            <div class="col-12 col-lg-6 form-group"><label><strong>6. </strong>Describe una situación en la cual cometiste un error y ¿cómo lo solucionaste?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left"
                                    title="NOTA: Todos hemos cometido errores en el trabajo, lo importante es que describas como superaste la situación, si en tu caso no has tenido experiencia laboral puedes incluir una experiencia personal, recuerda debes enfocarte en como lo solucionaste."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta6', null, ['class' => 'form-control'.($errors->has('pregunta6') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta6')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta6')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>7. </strong>¿Cuál fue tu último sueldo, cómo estaba integrado y cuál es tu pretensión actual?</label
                            ><button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left"
                                    title="NOTA: Incluye la integración de tus ingresos anteriores como sueldo base, bonificación incentivo, prestaciones de ley, bonos adicionales por desempeño, comisiones sobre ventas, viáticos, depreciación, combustible, incentivos adicionales, etc."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta7', null, ['class' => 'form-control'.($errors->has('pregunta7') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta7')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta7')); ?></span>
                                    <?php endif; ?>
                                    </div>
                            <div class="col-12 col-lg-6 form-group"><label><strong>8. </strong>Indica 5 fortalezas personales, 5 debilidades o aspectos a mejorar sobre tu persona:</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left"
                                    title="NOTA: Nos interesa conocerte, y saber que te conoces a ti mismo, y que tan honesto puedes ser al responder, también como estas trabajando en los aspectos a mejorar."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta8', null, ['class' => 'form-control'.($errors->has('pregunta8') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta8')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta8')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>9. </strong>¿Cómo describirías a tu Jefe Ideal o tu futuro Jefe?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: indica que cualidades te gustaría que tuviera como, flexible, comunicativo, educador, etc. en esencia lo que esperas de el en una relación laboral a largo plazo."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta9', null, ['class' => 'form-control'.($errors->has('pregunta9') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta9')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta9')); ?></span>
                                    <?php endif; ?>
                                    </div>
                            <div class="col-12 col-lg-6 form-group"><label><strong>10. </strong>Describe cómo te ves personal y profesionalmente en dos etapas de tu vida a corto plazo (1 a 3 años) y a mediano plazo (4 a 5 años):</label><button class="btn btn-primary btn-sm help-form" type="button"
                                    data-toggle="tooltip" data-placement="left" title="NOTA	:  Lo más importante es que puedas indicarnos, como tu carrera profesional se une con tu vida personal y si en este trabajo podrás lograr un equilibrio, no te preocupes si no tienes un panorama 100% claro, lo más importante es que seas honesto."><i class="fas fa-question"></i>
                                    </button>
                                    <?php echo Form::textarea('pregunta10', null, ['class' => 'form-control'.($errors->has('pregunta10') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta10')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta10')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end">
                            <div class="col-12 col-lg-6 form-group"><label><strong>11. </strong>¿Por qué deberíamos contratarte?</label>
                            <button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="NOTA: Describe cualidades que puedas ofrecer, que cualidades posees para realizar el trabajo. Revisa el perfil de la vacante a la que estas aplicando antes de responder esta pregunta, esto te ayudará a descubrir que cualidades posees que el contratante busca."><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta11', null, ['class' => 'form-control'.($errors->has('pregunta11') ? 'is-invalid' : ''), 'placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta11')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta11')); ?></span>
                                    <?php endif; ?>
                                    </div>
                        </div>
                        <div class="form-row align-items-end comportamiento-situacion">
                            <div class="col-12 col-lg-12 form-group">
                                <h4>CASOS A RESOLVER</h4><label><strong>12. </strong>Describa su comportamiento, si usted fuera Luis, y se encontrara en la situación, que el siguiente caso describe</label>
                                <p>Luis es un <strong>joven de 22 años,&nbsp;</strong>ha tenido la oportunidad de iniciar a trabajar en una empresa que se dedica a la venta de repuestos para vehículos, esta <strong>iniciando su segundo mes de trabajo</strong>.<br><br>Su
                                    jefe Antonio y compañero de trabajo Javier, están en su horario de almuerzo, él se encuentra solo y cargo de la sala de ventas.<br><br>Al rededor de la 1:15 se presenta don Alfonzo Peña Fuerte, antiguo cliente, quien
                                    generalmente es una persona educada y respetuosa. Sin embargo en está ocasión llega sumamente molesto, utilizando un tono de voz alto y agresivo, indicando que el repuesto que se le vendió no es el correcto y que
                                    al colocarlo daño piezas importantes y costosas del motor de su carro.<br><br>A Luis le preocupa que por la avanzada edad de don Alfonzo Peña Fuerte pueda sufrir un problema de salud, <strong>se siente responsable por que él fue quien vendió el repuesto.</strong></p>
                                <p
                                    class="do-situacion">¿Qué haría usted su fuera Luis?</p><button class="btn btn-primary btn-sm help-form" type="button" data-toggle="tooltip" data-placement="left" title="Texto de ayuda"><i class="fas fa-question"></i></button>
                                    <?php echo Form::textarea('pregunta12', null, ['class' => 'form-control'.($errors->has('pregunta12') ? 'is-invalid' : ''), 'rows' => '7','placeholder' => '', 'required' => true, 'maxlength' => '250' ]); ?>

                                    <?php if($errors->has('pregunta12')): ?>
                                    <span class="has-error"><?php echo e($errors->first('pregunta12')); ?></span>
                                    <?php endif; ?>
                            </div>
                        </div>
                        <div class="form-row justify-content-end">
                            <div class="col-6 col-lg-2"><button class="btn btn-warning btn-block" role="button" type="submit" >Guardar</button></div>
                    <?php echo Form::hidden('candidato_id',$candidato->id); ?>    
                    <?php echo Form::close(); ?>  
                            <div class="col-6 col-lg-2"><a class="btn btn-primary btn-block" role="button" type="submit" href="<?php echo e(route('private.candidatos.portafolio')); ?>" >Cancelar</a></div>
                        </div>
                </div>
            </div>
        </div>
    </section>
</main>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footscripts'); ?>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.public', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Pruebas/Resources/views/candidatos/entrevista/entrevista.blade.php ENDPATH**/ ?>