<?php
    $categorias = [];
    foreach (getDropdown('Categorías Empleos') as $key => $value) {
        if(isset($empleo->categorias)){
            if(in_array($key, explode(',',$empleo->categorias))){
                $categorias[] = $key;
            }
        }
    }
?>
<section id="page-base" class="h-100 position-relative info-principal">
    <div class="container">
        <div class="row">
            <div class="col">
                <h3>PUBLICAR <strong>EMPLEO</strong></h3>
            </div>
            <?php if(auth()->check() && auth()->user()->hasRole('Reclutamiento')): ?>
            <div class="col-12 col-lg-2">
                <a class="btn btn-light" role="button" href="<?php echo e(route('staff.reclutamiento.index')); ?>">Regresar</a>
            </div>
            <?php endif; ?>
            <?php if(auth()->check() && auth()->user()->hasRole('Admin')): ?>
            <div class="col-12 col-lg-2">
                <a class="btn btn-light" role="button" href="<?php echo e(route('staff.admin.index')); ?>">Regresar</a>
            </div>
            <?php endif; ?>
            <?php if(auth()->check() && auth()->user()->hasRole('Empresa')): ?>
            <div class="col-12 col-lg-2">
                <a class="btn btn-light" role="button" href="<?php echo e(route('private.empresas.perfil')); ?>">Regresar</a>
            </div>
            <?php endif; ?>
        </div>
        <div class="row">
            <div class="col">
                <div class="row">
                <?php if(Auth::user()->hasRole('Admin|Reclutamiento')): ?>
                    <div class="col-12 col-lg-3 text-center logo-empresa">
                    <img class="img-fluid border rounded-circle" id='imagen_nueva' src="<?php echo e(isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('img/imagen-vacia.jpg')); ?>">
                    <?php echo Form::file('imagen', ['class' => 'form-control'.($errors->has('imagen') ? ' is-invalid' : ''), 'id' => 'imagen', 'required' => false, 'hidden']); ?>

                            <?php if($errors->has('imagen')): ?>
                            <span class="has-error"><?php echo e($errors->first('imagen')); ?></span>
                            <?php endif; ?>
                            <label for="imagen" class="text-danger">Cambiar imagen</label> 
                    </div>
                <?php else: ?>
                    <div class="col-12 col-lg-3 text-center logo-empresa">
                    <img class="img-fluid border rounded-circle" id='imagen_nueva' src="<?php echo e(isset($empleo->imagen)?asset('storage/uploads/images/'.$empleo->imagen):asset('storage/uploads/images/'.$empresa->logotipo)); ?>">
                    <?php echo Form::file('imagen', ['class' => 'form-control'.($errors->has('imagen') ? ' is-invalid' : ''), 'id' => 'imagen', 'required' => false, 'hidden']); ?>

                            <?php if($errors->has('imagen')): ?>
                            <span class="has-error"><?php echo e($errors->first('imagen')); ?></span>
                            <?php endif; ?>
                            <label for="imagen" class="text-danger">Cambiar imagen</label> 
                    </div>
                <?php endif; ?>
                  
                    <div class="col-12 col-lg-9">
                            <div class="form-row">
                                
                                <div class="col-12 form-group"><label><span>*&nbsp;</span>Nombre de la empresa</label><?php echo Form::text('empresa', (isset($empresa)?$empresa->nombre:null), ['class' => 'form-control'.($errors->has('empresa') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                            </div>
                            <div class="form-row">
                                <div class="col-12 form-group"><label><span>*&nbsp;</span>Nombre de la plaza</label><?php echo Form::text('plaza', null, ['class' => 'form-control'.($errors->has('plaza') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                            </div>
                            <div class="form-row">
                                <div class="col-12 form-group"><label><span>*&nbsp;</span>Fecha de publicación</label><?php echo Form::date('fecha_publicacion', (isset($empleo->fecha_publicacion)?$empleo->fecha_publicacion->format('Y-m-d'):null), ['class' => 'form-control'.($errors->has('fecha_publicacion') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                            </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col">
                            <div class="form-row">
                                <div class="col-12 form-group"><label><span>*&nbsp;</span>Descripción del puesto</label><?php echo Form::textarea('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section id="secction-form-pub" class="mt-4">
    <div class="container">
        <div class="row texto-desc">
            <div class="col-12">
                <h4>Campos obligatorios</h4>
                <p>Recuerda que los campos obligatorios están marcados con (*)</p>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-lg-6">
                    <div class="form-row"> 
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>Profesión</label><?php echo Form::text('profesion', (isset($profesion)?$profesion->nombre:null), ['class' => 'form-control'.($errors->has('profesion') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>Estudios / carrera</label><?php echo Form::text('estudios_carrera', (isset($estudios_carrera)?$estudios_carrera->nombre:null), ['class' => 'form-control'.($errors->has('estudios_carrera') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Edad / rango</label><?php echo Form::text('edad_rango', null, ['class' => 'form-control'.($errors->has('edad_rango') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Estado Civil</label><?php echo Form::text('estado_civil', null, ['class' => 'form-control'.($errors->has('estado_civil') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'min' => 0 ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Género</label><?php echo Form::text('genero', (isset($genero)?$genero->nombre:null), ['class' => 'form-control'.($errors->has('genero') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Experiencia</label><?php echo Form::number('experiencia', null, ['class' => 'form-control'.($errors->has('experiencia') ? ' is-invalid' : ''), 'placeholder' => '0', 'required' => true, 'min' => 0 ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Idioma</label><?php echo Form::select('idioma', getDropdown('Idiomas'), null, ['class' => 'form-control custom-select'.($errors->has('idioma') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group">
                            <p>Si usted selecciono otro idioma que no es el español</p><label><span>*&nbsp;</span>&nbsp;Indicar porcentaje del idioma</label><?php echo Form::select('porcentaje_idioma', getDropdown('Porcentaje Idioma'), null, ['class' => 'form-control custom-select'.($errors->has('porcentaje_idioma') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Conocimientos especiales</label><?php echo Form::textarea('conocimientos_especiales', null, ['class' => 'form-control'.($errors->has('conocimientos_especiales') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Sofware</label><?php echo Form::text('software', null, ['class' => 'form-control'.($errors->has('software') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true, 'min' => 0 ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Licencia</label><?php echo Form::select('licencia', getDropdown('Tipo Licencia'), null, ['class' => 'form-control custom-select'.($errors->has('licencia') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Vehículo</label><?php echo Form::select('vehiculo', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('vehiculo') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Disponibilidad para viajar</label><?php echo Form::select('viajar', getDropdown('Si/No'), null, ['class' => 'form-control custom-select'.($errors->has('viajar') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Competencias</label>
                        
                            <div class="table-container table-responsive">
                            <table>
                            <?php $__currentLoopData = $competencias->chunk(2); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $competencia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                
                                    <?php $__currentLoopData = $competencia; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <?php if(isset($competencias_seleccionadas)): ?>
                                    <td><?php echo e(Form::checkbox( 'competencias[]', $item->id, in_array($item->id,explode(',',$competencias_seleccionadas)) )); ?> <?php echo e($item->value); ?></td>
                                    <?php else: ?>
                                    <td><?php echo e(Form::checkbox( 'competencias[]', $item->id, false )); ?> <?php echo e($item->value); ?></td>
                                    <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </table>
                            </div>
                            </div>
                        
                    </div>
            </div>
            <div class="col-12 col-lg-6">
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>Sueldo</label><?php echo Form::number('sueldo', null, ['class' => 'form-control custom-select'.($errors->has('sueldo') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => '', 'min' => getDropdownValue('488')  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Adicionales</label><?php echo Form::select('adicionales', getDropdown('Adicionales'), null, ['class' => 'form-control custom-select'.($errors->has('adicionales') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Tipo de contrato</label><?php echo Form::select('tipo_contrato', getDropdown('Tipo de Contrato'), null, ['class' => 'form-control custom-select'.($errors->has('tipo_contrato') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Jornada</label><?php echo Form::select('jornada', getDropdown('Jornada'), null, ['class' => 'form-control custom-select'.($errors->has('jornada') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => ''  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Incentivos adicionales</label><?php echo Form::textarea('incentivos_adicionales', null, ['class' => 'form-control'.($errors->has('incentivos_adicionales') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => true ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;País</label><?php echo Form::select('pais', getDropdown('Ubicaciones'), null, ['class' => 'form-control custom-select'.($errors->has('pais') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => '', 'id' => 'pais'  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>&nbsp;Departamento</label><?php echo Form::select('departamento', [], null, ['class' => 'form-control custom-select'.($errors->has('departamento') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => '', 'id' => 'departamento'  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>Municipio</label><?php echo Form::select('municipio', [], null, ['class' => 'form-control custom-select'.($errors->has('municipio') ? ' is-invalid' : ''), 'required' => true, 'placeholder' => '', 'id' => 'municipio'  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label>Zona</label><?php echo Form::number('zona', null, ['class' => 'form-control'.($errors->has('zona') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'zona', 'min' => 0, 'max' => 25  ]); ?></div>
                    </div>
                    <div class="form-row">
                        <div class="col-12 col-lg-10 form-group"><label><span>*&nbsp;</span>Categoría</label>
                            <label class="control-label" for="categorias">Categorías</label>
                            <select multiple="multiple" name="categorias[]" id="categorias" class="form-control select2-multi <?php echo e(($errors->has('categorias') ? ' is-invalid' : '')); ?>" required="true">
                            <?php $__currentLoopData = getDropdown('Categorías Empleos'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $categoria): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php if( in_array($key, $categorias) ): ?>selected="selected"<?php endif; ?>><?php echo e($categoria); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('categorias')): ?>
                            <span class="has-error"><?php echo e($errors->first('categorias')); ?></span>
                            <?php endif; ?> 
                        </div>
                    </div>
            </div>
        </div>
    </div>
</section>
<section id="secction-form-questions" class="mt-4">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <h4>Preguntas</h4>
                <div class="row">
                    <div class="col-12 col-lg-5">
                        <p>Preguntas directas por si desea ser más específico.&nbsp;</p>
                    </div>
                    <div class="col-12 col-lg-7">
                        <form class="form-inline">
                            <div class="form-group"><label>¿Deben ser obligatorias?&nbsp;</label>
                                <div class="form-check pl-3"><?php echo Form::radio('preguntas_obligatorias', 1, null, ['class' => 'form-check-input'.($errors->has('preguntas_obligatorias') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-11' ]); ?><label class="form-check-label" for="formCheck-11">Si</label></div>
                                <div class="form-check pl-3"><?php echo Form::radio('preguntas_obligatorias', 0, null, ['class' => 'form-check-input'.($errors->has('preguntas_obligatorias') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-12' ]); ?><label class="form-check-label" for="formCheck-12">No</label></div>
                            </div>
                            <div class="form-group pl-3">
                                <div class="form-check"><?php echo Form::checkbox('hacer_preguntas', 1, null, ['class' => 'form-check-input'.($errors->has('preguntas_obligatorias') ? ' is-invalid' : ''), 'required' => false, 'id' => 'formCheck-2' ]); ?><label class="form-check-label" for="formCheck-2">No deseo hacer preguntas directas</label></div>
                            </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-lg-12">
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">1.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_1', null, ['class' => 'form-control'.($errors->has('pregunta_1') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">2.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_2', null, ['class' => 'form-control'.($errors->has('pregunta_2') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">3.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_3', null, ['class' => 'form-control'.($errors->has('pregunta_3') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">4.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_4', null, ['class' => 'form-control'.($errors->has('pregunta_4') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">5.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_5', null, ['class' => 'form-control'.($errors->has('pregunta_5') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
                    <div class="form-row direct-quets">
                        <div class="col form-group number-quest"><label class="col-form-label">6.</label></div>
                        <div class="col form-group"><?php echo Form::text('pregunta_6', null, ['class' => 'form-control'.($errors->has('pregunta_6') ? ' is-invalid' : ''), 'placeholder' => '', 'required' => false ]); ?></div>
                    </div>
            </div>
        </div>
        <div class="row pt-4">
            <div class="col-12 col-lg-3"><label><span>*&nbsp;</span>&nbsp;¿El empleo es confidencial?</label>
                <div class="form-group">
                    <div class="custom-control custom-control-inline custom-radio pr-4"><?php echo Form::radio('empleo_confidencial', 1, null, ['class' => 'form-check-input'.($errors->has('empleo_confidencial') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-31' ]); ?><label class="" for="formCheck-31">Sí</label></div>
                    <div class="custom-control custom-control-inline custom-radio"><?php echo Form::radio('empleo_confidencial', 0, null, ['class' => 'form-check-input'.($errors->has('empleo_confidencial') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-32' ]); ?><label class="" for="formCheck-32">No</label></div>
                </div>
            </div>
            <div class="col-12 col-lg-6"><label><span>*&nbsp;</span>&nbsp;¿Desea que su <strong>logotipo</strong>&nbsp;sea visible al publicar el empleo?</label>
                <div class="form-group">
                    <div class="custom-control custom-control-inline custom-radio pr-4"><?php echo Form::radio('logo_visible', 1, null, ['class' => 'form-check-input'.($errors->has('logo_visible') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-41' ]); ?><label class="" for="formCheck-41">Con logo</label></div>
                    <div class="custom-control custom-control-inline custom-radio"><?php echo Form::radio('logo_visible', 0, null, ['class' => 'form-check-input'.($errors->has('logo_visible') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-42' ]); ?><label class="" for="formCheck-42">Sin logo</label></div>
                </div>
            </div>
            <div class="col-12 col-lg-3"><label><span>*&nbsp;</span>&nbsp;Duración de la publicación</label>
                <div class="form-group">

                    <?php $__currentLoopData = getDropdown('Duración de la Publicación'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="custom-control custom-control-inline custom-radio pr-4"><?php echo Form::radio('duracion', $key, null, ['class' => 'form-check-input'.($errors->has('duracion') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-5'.$key ]); ?><label class="" for="formCheck-5<?php echo e($key); ?>"><?php echo e($item); ?> días</label></div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
        <div class="row pt-4">
            <div class="col-12 col-lg-3"><label><span>*&nbsp;</span>&nbsp;¿Promocionar en redes sociales?</label>
                <div class="form-group">
                    <div class="custom-control custom-control-inline custom-radio pr-4"><?php echo Form::radio('promocionar', 1, null, ['class' => 'form-check-input'.($errors->has('promocionar') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-61' ]); ?><label class="" for="formCheck-61">Sí</label></div>
                    <div class="custom-control custom-control-inline custom-radio"><?php echo Form::radio('promocionar', 0, null, ['class' => 'form-check-input'.($errors->has('promocionar') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-62' ]); ?><label class="" for="formCheck-62">No</label></div>
                </div>
            </div>
        <?php if(Auth::user()->hasRole('Admin')): ?>    
            <div class="col-12 col-lg-6"><label>Asignar Reclutador</label>
                <div class="form-group">
                    <div class="col-12 col-lg-6 form-group"><?php echo Form::select('usuario_id', $reclutadores->pluck('nombre','id')->toArray(), null, ['class' => 'form-control custom-select'.($errors->has('usuario_id') ? ' is-invalid' : ''), 'required' => false, 'placeholder' => ''  ]); ?></div>
                </div>
            </div>
            <div class="col-12 col-lg-3"><label>Aprobada</label>
                <div class="form-group">
                    <div class="custom-control custom-control-inline custom-radio pr-4"><?php echo Form::radio('activo', 1, null, ['class' => 'form-check-input'.($errors->has('activo') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-62' ]); ?><label class="" for="formCheck-62">Sí</label></div>
                    <div class="custom-control custom-control-inline custom-radio"><?php echo Form::radio('activo', 0, null, ['class' => 'form-check-input'.($errors->has('activo') ? ' is-invalid' : ''), 'required' => true, 'id' => 'formCheck-63' ]); ?><label class="" for="formCheck-63">No</label></div>
                </div>
            </div>
        <?php endif; ?>    
            <div class="col-12 col-lg-9">
                <p><strong>NOTA</strong>&nbsp;Esta posición será revisada por nuestro equipo de colaboradores y publicada en un periodo de 24 horas.</p>
            </div>
        </div>
        <div class="row justify-content-end">
            <?php if(Auth::user()->hasRole('Empresa')): ?> 
            <div class="col-6 col-lg-2"><a class="btn btn-primary btn-block" href="<?php echo e(route('private.empresas.perfil')); ?>">Cancelar</a></div>
            <?php elseif(Auth::user()->hasRole('Admin')): ?>
            <div class="col-6 col-lg-2"><a class="btn btn-primary btn-block" href="<?php echo e(route('staff.admin.index')); ?>">Cancelar</a></div>
            <?php else: ?>
            <div class="col-6 col-lg-2"><a class="btn btn-primary btn-block" href="/">Cancelar</a></div>
            <?php endif; ?>
            <div class="col-6 col-lg-2"><?php echo Form::submit('Publicar Empleo', ['class' => 'btn btn-warning btn-block']); ?></div> 
        </div>
    </div>
</section>

<?php echo Form::hidden('id', null); ?>

<?php echo Form::hidden('empresa_id', isset($empresa)?$empresa->id:null); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Empleos/Resources/views/forms/publicar.blade.php ENDPATH**/ ?>