<?php
$edit = isset($candidato);

?>

<div class="card-body">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <?php echo Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]); ?>

                <?php if($errors->has('nombre')): ?>
                <span class="has-error"><?php echo e($errors->first('nombre')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="apellido">Apellido</label>
                <?php echo Form::text('apellido', null, ['class' => 'form-control'.($errors->has('apellido') ? ' is-invalid' : ''), 'placeholder' => 'Apellido', 'required' => true ]); ?>

                <?php if($errors->has('apellido')): ?>
                <span class="has-error"><?php echo e($errors->first('apellido')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="email">Correo electrónico</label>
                <?php echo Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]); ?>

                <?php if($errors->has('email')): ?>
                <span class="has-error"><?php echo e($errors->first('email')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password">Contraseña</label>
                <?php echo Form::password('password', [
                    'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Contraseña',
                    'required' => ($edit ? false : true) ,
                    ]); ?>

                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                <?php if($errors->has('password')): ?>
                <span class="has-error"><?php echo e($errors->first('password')); ?></span>
                <?php endif; ?> 
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password_confirmation">Confirmar contraseña</label>
                <?php echo Form::password('password_confirmation', [
                    'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Confirmar contraseña',
                    'required' => ($edit ? false : true)
                    ]); ?>

                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                <?php if($errors->has('password_confirmation')): ?>
                <span class="has-error"><?php echo e($errors->first('password_confirmation')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <?php if(auth()->check() && auth()->user()->hasRole('Super Admin')): ?>
            <div class="form-group">
                <div class="form-check">
                    <?php echo Form::radio('activo', 1, ($edit ? $candidato->usuario->activo : null), ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

                    <label class="form-check-label" for="activeCheck1">Activo</label>
                </div>
                <div class="form-check">
                    <?php echo Form::radio('activo', 0, ($edit ? !$candidato->usuario->activo : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                </div>
                <?php if($errors->has('activo')): ?>
                <span class="has-error"><?php echo e($errors->first('activo')); ?></span>
                <?php endif; ?>
            </div>
            <?php endif; ?>
        </div>
    </div>
    <?php echo Form::hidden('id', null); ?>

    <?php echo Form::hidden('usuario_id', null); ?>

</div>
<!-- /.card-body -->
<?php /**PATH /var/www/html/miscorp/website/Modules/Candidatos/Resources/views/admin/candidatos/form.blade.php ENDPATH**/ ?>