<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="<?php echo e(asset('img/Miscorp_punto.svg')); ?>">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e(config('app.name', 'Laravel')); ?> | <?php echo $__env->yieldContent('title'); ?></title>

    <link rel="stylesheet" href="<?php echo e(asset('bootstrap/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Abril+Fatface">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Buenard:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=DM+Serif+Display">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/fontawesome5-overrides.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/styles.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/styles-staff.css')); ?>">
    <?php echo $__env->yieldContent('headlinks'); ?>

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-165745022-1"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
    gtag('config', 'UA-165745022-1');
    </script>

</head>

<body>
    <header>
        <nav class="navbar navbar-light navbar-expand-md fixed-top py-md-0" id="navbar-principal">
            <div class="container h-100">
                <a class="navbar-brand" href="<?php echo e(route('public.home')); ?>">
                    <img class="img-fluid" src="<?php echo e(asset('img/logo_2015.jpg')); ?>">
                </a>
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon">
                        <i class="fas fa-bars"></i>
                    </span>
                </button>
                <div class="collapse navbar-collapse h-100" id="navigation">
                    <ul class="nav navbar-nav h-100">
                        <li class="nav-item" role="presentation"><a class="nav-link <?php echo e(printIfRequestIn(['/','inicio'],'active')); ?>" href="<?php echo e(route('public.home')); ?>">Inicio</a></li>
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link <?php echo e(printIfRequestIs('servicios/*','active')); ?>" data-toggle="dropdown" aria-expanded="false" href="#">Servicios</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item <?php echo e(printIfRequestIs('servicios/outsourcing','active')); ?>" role="presentation" href="<?php echo e(route('public.servicios.outsourcing')); ?>">Outsourcing</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('servicios/reclutamiento','active')); ?>" role="presentation" href="<?php echo e(route('public.servicios.reclutamiento')); ?>">Reclutamiento y Selección</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('servicios/prefiltrado','active')); ?>" role="presentation" href="<?php echo e(route('public.servicios.prefiltrado')); ?>">Prefiltrado/Servicio avanzado</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('servicios/planillas','active')); ?>" role="presentation" href="<?php echo e(route('public.servicios.planillas')); ?>">Administración de Planillas</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('servicios/riesgos','active')); ?>" role="presentation" href="<?php echo e(route('public.servicios.riesgos')); ?>">Minimización de Riesgos</a>
                            </div>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="dropdown-toggle nav-link <?php echo e(printIfRequestIn(['empleos','registro/candidato','candidatos/*'],'active')); ?>" data-toggle="dropdown" aria-expanded="false" href="#">Candidatos</a>
                            <div class="dropdown-menu" role="menu">
                                <a class="dropdown-item <?php echo e(printIfRequestIs('empleos','active')); ?>" role="presentation" href="<?php echo e(route('public.empleos.index')); ?>#empleos-candidato">Empleos</a> 
                                <?php if(Auth::check() && Auth::user()->hasRole('Candidato')): ?>
                                <a class="dropdown-item  <?php echo e(printIfRequestIs('candidatos/perfil','active')); ?>" href="<?php echo e(route('private.candidatos.perfil')); ?>">Perfil</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('candidatos/portafolio*','active')); ?>" role="presentation" href="<?php echo e(route('private.candidatos.portafolio')); ?>">Portafolio</a>
                                <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesion </a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                    <?php echo csrf_field(); ?>
                                </form>
                                <?php elseif(!Auth::check()): ?>
                                <a class="dropdown-item" role="presentation" href="<?php echo e(route('public.empleos.index')); ?>">Iniciar Sesión</a>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('registro/candidato','active')); ?>" role="presentation" href="<?php echo e(route('public.registro.candidato')); ?>">Registrarme</a>
                                <?php endif; ?>
                            </div>
                        </li>
                        <li class="nav-item dropdown"><a class="dropdown-toggle nav-link <?php echo e(printIfRequestIn(['servicios','empresas/*'],'active')); ?>" data-toggle="dropdown" aria-expanded="false" href="#">Reclutador</a>
                            <div class="dropdown-menu" role="menu">
                                
                                
                                
                                <?php if(Auth::check() && Auth::user()->hasRole('Empresa')): ?>
                                <a class="dropdown-item" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesion </a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                     <?php echo csrf_field(); ?>
                                </form>
                                <?php elseif(!Auth::check()): ?>
                                <a class="dropdown-item <?php echo e(printIfRequestIs('registro/empresa','active')); ?>" role="presentation" href="<?php echo e(route('public.registro.empresa')); ?>">Registrarme</a>
                                <a class="dropdown-item" role="presentation" href="<?php echo e(route('public.empresas.index2')); ?>">Iniciar Sesión</a>
                                
                                <?php endif; ?>
                                
                                
                                
                                
                                
                                
                                
                                
                                
                                
                            </div>
                        </li>
                                <li class="nav-item" role="presentation">
                                <?php if(Auth::check() && Auth::user()->hasRole('Reclutamiento|Ventas|Admin')): ?>
                                <a class="nav-link" href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">Cerrar Sesion </a>
                                <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" style="display: none;">
                                <?php echo csrf_field(); ?>
                                </form>
                                <?php endif; ?>
                                </li>
                            
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <?php echo $__env->make('layouts.alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent('content'); ?>
    <footer id="footer" class="py-5">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 col-lg-5 contact-chanel">
                    <h4>¿Consulta rápida?</h4>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-phone-volume"></i></div>
                        <div class="col-10">
                            <a href="tel:2464-5700" target="_blank">
                                <span class="c-contact">Llamar al <strong><?php echo e(substr(getDropdownValue('512'),0,-4)); ?>-<?php echo e(substr(getDropdownValue('512'),4)); ?></strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-envelope-open-text"></i></div>
                        <div class="col-10">
                            <a href="mailto:info@miscorpsa.com" target="_blank">
                                <span class="c-contact"><strong>info@miscorpsa.com</strong></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fab fa-whatsapp"></i></div>
                        <div class="col-10">
                            <a href="https://api.whatsapp.com/send?phone=502<?php echo e(getDropdownValue('511')); ?>" class="btn btn-success float-left" target="_blank">
                                whatsapp&nbsp;<strong><?php echo e(substr(getDropdownValue('511'),0,-4)); ?>-<?php echo e(substr(getDropdownValue('511'),4)); ?></strong>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-7 text-right adress">
                    <div class="row align-items-center mb-3">
                        <div class="col text-right"><i class="fas fa-car"></i></div>
                        <div class="col-5 col-lg-3">
                            <a href="https://g.page/miscorpsa?share" style="text-decoration:none;" target="_black">
                                <span class="dress">¿Cómo llegar?<br></span>
                            </a>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center pb-3">
                        <div class="col-1 text-right px-0"><i class="fas fa-map-marker-alt"></i></div>
                        <div class="col-11"><span class="dress">Avenida Reforma 12-01 Zona 10, Edificio Reforma Montúfar
                                Torre A Oficina 14-02, Guatemala ciudad<br></span></div>
                    </div>
                    <div class="row social-links">
                        <div class="col-12">
                            <ul>
                                <li><a target="_blank" href="https://www.linkedin.com/company/miscorpsa?originalSubdomain=gt"><i class="fab fa-linkedin-in"></i></a></li>
                                <li><a target="_blank" href="https://twitter.com/AgenciaMiscorp"><i class="fab fa-twitter"></i></a></li>
                                <li><a target="_blank" href="https://www.facebook.com/Miscorp/"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a target="_blank" href="https://www.instagram.com/miscorpsa/"><i class="fab fa-instagram"></i></a></li>
                                <li><a target="_blank" href="https://www.youtube.com/channel/UCzxhEvHg6keoJ0bafkqLKIA"><i class="fab fa-youtube"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php echo $__env->yieldContent('footer'); ?>
    </footer>
    <script src="<?php echo e(asset('js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bootstrap/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/popover-fun.js')); ?>"></script>
    <?php echo $__env->yieldContent('footscripts'); ?>
</body>

</html><?php /**PATH /var/www/html/miscorp/website/Modules/Autenticacion/Providers/../Resources/views/layouts/app.blade.php ENDPATH**/ ?>