<?php
$edit = isset($usuario);
$rol = null;
if($edit){
    foreach ($roles->get() as $value) {
        if(in_array($value->name, $usuario->getRoleNames()->toArray())){
            $rol = $value->id;
            break;
        }
    }
}
$permiso = [];
if($edit){
    foreach ($permisos->get() as $value) {
        if(in_array($value->name, $usuario->getPermissionNames()->toArray())){
            $permiso[] = $value->id;
        }
    }
}
?>

<div class="card-body">
    <div class="form-group">
        <label for="nombre">Nombre</label>
        <?php echo Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]); ?>

        <?php if($errors->has('nombre')): ?>
        <span class="has-error"><?php echo e($errors->first('nombre')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="apellido">Apellido</label>
        <?php echo Form::text('apellido', null, ['class' => 'form-control'.($errors->has('apellido') ? ' is-invalid' : ''), 'placeholder' => 'Apellido', 'required' => true ]); ?>

        <?php if($errors->has('apellido')): ?>
        <span class="has-error"><?php echo e($errors->first('apellido')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="email">Correo electrónico</label>
        <?php echo Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]); ?>

        <?php if($errors->has('email')): ?>
        <span class="has-error"><?php echo e($errors->first('email')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="fecha_inicio_labores">Fecha de inicio de labores</label>
        <?php echo Form::date('fecha_inicio_labores', (isset($usuario->fecha_inicio_labores)?$usuario->fecha_inicio_labores->format('Y-m-d'):null), ['class' => 'form-control'.($errors->has('fecha_inicio_labores') ? ' is-invalid' : ''), 'placeholder' => 'fecha_inicio_labores', 'required' => false ]); ?>

        <?php if($errors->has('fecha_inicio_labores')): ?>
        <span class="has-error"><?php echo e($errors->first('fecha_inicio_labores')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="jefe_inmediato">Jefe inmediato</label>
        <?php echo Form::text('jefe_inmediato', null, ['class' => 'form-control'.($errors->has('jefe_inmediato') ? ' is-invalid' : ''), 'placeholder' => 'Jefe inmediato', 'required' => true ]); ?>

        <?php if($errors->has('jefe_inmediato')): ?>
        <span class="has-error"><?php echo e($errors->first('jefe_inmediato')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="dpi">DPI</label>
        <?php echo Form::text('dpi', null, ['class' => 'form-control'.($errors->has('dpi') ? ' is-invalid' : ''), 'placeholder' => 'DPI', 'required' => true ]); ?>

        <?php if($errors->has('dpi')): ?>
        <span class="has-error"><?php echo e($errors->first('dpi')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="dpi">Fotografía</label>
        <div class="form-row justify-content-between align-items-end w-50">
            <div class="col-6 upload-img-usuario">
                <img class="img-fluid" id='fotografia_staff_nueva' src="<?php echo e(isset($usuario->fotografia)?asset('storage/uploads/images/'.$usuario->fotografia):asset('img/imagen-vacia.jpg')); ?>">
                <div class="custom-file">
                    <label class="custom-file-label" for="fotografia_staff">Añadir foto de colaborador
                        <?php echo Form::file('fotografia', ['class' => ''.($errors->has('fotografia') ? ' is-invalid' : ''), 'required' => false, 'id' => 'fotografia_staff', 'hidden' ]); ?>

                        <?php if($errors->has('fotografia')): ?>
                        <span class="has-error"><?php echo e($errors->first('fotografia')); ?></span>
                        <?php endif; ?>
                        </strong>
                    </label>
                </div>
            </div>
        </div>
    </div>
    <div class="form-group">
        <label for="password">Contraseña</label>
        <?php echo Form::password('password', [
            'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
            'placeholder' =>
            'Contraseña',
            'required' => ($edit ? false : true) ,
            ]); ?>

        <span class="text-muted small">Entre 8 y 32 caratceres</span>
        <?php if($errors->has('password')): ?>
        <span class="has-error"><?php echo e($errors->first('password')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="password_confirmation">Confirmar contraseña</label>
        <?php echo Form::password('password_confirmation', [
            'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
            'placeholder' =>
            'Confirmar contraseña',
            'required' => ($edit ? false : true)
            ]); ?>

        <span class="text-muted small">Entre 8 y 32 caratceres</span>
        <?php if($errors->has('password_confirmation')): ?>
        <span class="has-error"><?php echo e($errors->first('password_confirmation')); ?></span>
        <?php endif; ?>
    </div>

    <div class="form-group">
        <label class="control-label" for="descripcion">Descripción</label>
        <?php echo Form::textarea('descripcion', null, ['class' => 'form-control'.($errors->has('descripcion') ? ' is-invalid' : ''), 'placeholder' => 'Descripción']); ?>

        <?php if($errors->has('descripcion')): ?>
        <span class="has-error"><?php echo e($errors->first('descripcion')); ?></span>
        <?php endif; ?>
    </div>

    <?php if(auth()->check() && auth()->user()->hasRole('Super Admin')): ?>
    <div class="form-group">
        <div class="form-check">
            <?php echo Form::radio('activo', 1, null, ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

            <label class="form-check-label" for="activeCheck1">Activo</label>
        </div>
        <div class="form-check">
            <?php echo Form::radio('activo', 0, ($edit ? null : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

            <label class="form-check-label" for="activeCheck2">Inactivo</label>
        </div>
        <?php if($errors->has('activo')): ?>
        <span class="has-error"><?php echo e($errors->first('activo')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label class="control-label" for="rol">Rol</label>
        <?php echo Form::select('rol', $roles->pluck('name','id')->toArray(), ($edit) ? $rol : null, [
            'class' => 'form-control select2 '.($errors->has('rol') ? ' is-invalid' : ''),
            'placeholder' => ''
        ]); ?>

        <?php if($errors->has('rol')): ?>
        <span class="has-error"><?php echo e($errors->first('rol')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label class="control-label" for="permisos">Permisos</label>
        <select multiple="multiple" name="permisos[]" id="permisos" class="form-control select22 <?php echo e(($errors->has('permisos') ? ' is-invalid' : '')); ?>">
        <?php $__currentLoopData = $permisos->pluck('name','id')->toArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($key); ?>" <?php if( in_array($key, $permiso) ): ?>selected="selected"<?php endif; ?>><?php echo e($value); ?></option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </select>
        <?php if($errors->has('permisos')): ?>
        <span class="has-error"><?php echo e($errors->first('permisos')); ?></span>
        <?php endif; ?> 
    </div>
    <?php endif; ?>
    <?php echo Form::hidden('id', null); ?>

</div>
<!-- /.card-body -->
<?php /**PATH /var/www/html/miscorp/website/Modules/Usuarios/Providers/../Resources/views/usuarios/form.blade.php ENDPATH**/ ?>