<?php
$edit = isset($usuario);
?>

<div class="card-body">
    <div class="form-group">
        <label for="pregunta_id">Prueba</label>
        <?php echo Form::select('prueba_id', $pruebas->pluck('nombre','id')->toArray(), null, [
            'class' => 'form-control',
            'placeholder' => '',
            'id'=>'prueba',
            'required' => true
        ]); ?>

        <?php if($errors->has('pregunta_id')): ?>
        <span class="has-error"><?php echo e($errors->first('pregunta_id')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label class="control-label" for="pregunta">Pregunta</label>
        <?php echo Form::textarea('pregunta', null, ['class' => 'form-control'.($errors->has('pregunta') ? ' is-invalid' : ''), 'placeholder' => 'Pregunta', 'required' => true]); ?>

        <?php if($errors->has('pregunta')): ?>
        <span class="has-error"><?php echo e($errors->first('pregunta')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <label for="orden">Orden</label>
        <?php echo Form::number('orden', null, ['class' => 'form-control'.($errors->has('orden') ? ' is-invalid' : ''), 'placeholder' => '0', 'required' => true, 'min' => 0 ]); ?>

        <?php if($errors->has('orden')): ?>
        <span class="has-error"><?php echo e($errors->first('orden')); ?></span>
        <?php endif; ?>
    </div>
    <div class="form-group">
        <div class="form-check">
            <?php echo Form::radio('estado', 1, null, ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

            <label class="form-check-label" for="activeCheck1">Activo</label>
        </div>
        <div class="form-check">
            <?php echo Form::radio('estado', 0, ($edit ? null : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

            <label class="form-check-label" for="activeCheck2">Inactivo</label>
        </div>
        <?php if($errors->has('estado')): ?>
        <span class="has-error"><?php echo e($errors->first('estado')); ?></span>
        <?php endif; ?>
    </div>
    <label class="control-label" for="multiple">Es de respuesta multiple:</label>
    <div class="form-group">
        <div class="form-check">
            <?php echo Form::radio('multiple', 1, null, ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

            <label class="form-check-label" for="activeCheck1">Si</label>
        </div>
        <div class="form-check">
            <?php echo Form::radio('multiple', 0, ($edit ? null : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

            <label class="form-check-label" for="activeCheck2">No</label>
        </div>
        <?php if($errors->has('multiple')): ?>
        <span class="has-error"><?php echo e($errors->first('multiple')); ?></span>
        <?php endif; ?>
    </div>

    <?php echo Form::hidden('id', null); ?>

</div>
<!-- /.card-body -->
<?php /**PATH /var/www/html/miscorp/website/Modules/Pruebas/Resources/views/admin/preguntas/form.blade.php ENDPATH**/ ?>