<?php
$edit = isset($empresa);

?>

<div class="card-body">
    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="nombre">Nombre</label>
                <?php echo Form::text('nombre', null, ['class' => 'form-control'.($errors->has('nombre') ? ' is-invalid' : ''), 'placeholder' => 'Nombre', 'required' => true ]); ?>

                <?php if($errors->has('nombre')): ?>
                <span class="has-error"><?php echo e($errors->first('nombre')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="nit">Nit</label>
                <?php echo Form::text('nit', null, ['class' => 'form-control'.($errors->has('nit') ? ' is-invalid' : ''), 'placeholder' => 'Nit', 'required' => true ]); ?>

                <?php if($errors->has('nit')): ?>
                <span class="has-error"><?php echo e($errors->first('nit')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="email">Correo electrónico</label>
                <?php echo Form::email('email', null, ['class' => 'form-control'.($errors->has('email') ? ' is-invalid' : ''), 'placeholder' => 'Correo electrónico', 'required' => true ]); ?>

                <?php if($errors->has('email')): ?>
                <span class="has-error"><?php echo e($errors->first('email')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password">Contraseña</label>
                <?php echo Form::password('password', [
                    'class' => 'form-control'.($errors->has('password') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Contraseña',
                    'required' => ($edit ? false : true) ,
                    ]); ?>

                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                <?php if($errors->has('password')): ?>
                <span class="has-error"><?php echo e($errors->first('password')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label for="password_confirmation">Confirmar contraseña</label>
                <?php echo Form::password('password_confirmation', [
                    'class' => 'form-control'.($errors->has('password_confirmation') ? ' is-invalid' : ''),
                    'placeholder' =>
                    'Confirmar contraseña',
                    'required' => ($edit ? false : true)
                    ]); ?>

                <span class="text-muted small">Entre 8 y 32 caratceres</span>
                <?php if($errors->has('password_confirmation')): ?>
                <span class="has-error"><?php echo e($errors->first('password_confirmation')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <?php if(auth()->check() && auth()->user()->hasRole('Super Admin|Admin')): ?>
            <label for="activo">Empresa</label>
            <div class="form-group">
                <div class="form-check">
                    <?php echo Form::radio('activo', 1, ($edit ? $empresa->usuario->activo : null), ['class' => 'form-check-input', 'id' => 'activeCheck1']); ?>

                    <label class="form-check-label" for="activeCheck1">Activo</label>
                </div>
                <div class="form-check">
                    <?php echo Form::radio('activo', 0, ($edit ? !$empresa->usuario->activo : 1), ['class' => 'form-check-input', 'id' => 'activeCheck2']); ?>

                    <label class="form-check-label" for="activeCheck2">Inactivo</label>
                </div>
                <?php if($errors->has('activo')): ?>
                <span class="has-error"><?php echo e($errors->first('activo')); ?></span>
                <?php endif; ?>
            </div>
            <label for="informe">Informe</label>
            <div class="form-group">
                <div class="form-check">
                    <?php echo Form::radio('informe', 1, ($edit ? $empresa->informe : null), ['class' => 'form-check-input', 'id' => 'activeCheck3']); ?>

                    <label class="form-check-label" for="activeCheck3">Standard</label>
                </div>
                <div class="form-check">
                    <?php echo Form::radio('informe', 2, ($edit ? !$empresa->informe : 1), ['class' => 'form-check-input', 'id' => 'activeCheck4']); ?>

                    <label class="form-check-label" for="activeCheck4">Plus</label>
                </div>
                <div class="form-check">
                    <?php echo Form::radio('informe', 0, ($edit ? !$empresa->informe : 1), ['class' => 'form-check-input', 'id' => 'activeCheck5']); ?>

                    <label class="form-check-label" for="activeCheck5">Ninguno</label>
                </div>
                <?php if($errors->has('informe')): ?>
                <span class="has-error"><?php echo e($errors->first('informe')); ?></span>
                <?php endif; ?>
            </div>
            <?php endif; ?>
        </div>
    </div>

    <div class="row">
        <div class="col-md-4">
            <div class="form-group">
                <label for="categoria">Categoría</label>
                <?php echo Form::text('categoria', null, ['class' => 'form-control'.($errors->has('categoria') ? ' is-invalid' : ''), 'required' => true ]); ?>

                <?php if($errors->has('categoria')): ?>
                <span class="has-error"><?php echo e($errors->first('categoria')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Persona de Contacto</label>
                <?php echo Form::text('persona_contacto', null, ['class' => 'form-control'.($errors->has('persona_contacto') ? ' is-invalid' : ''), 'required' => true ]); ?>

                <?php if($errors->has('persona_contacto')): ?>
                <span class="has-error"><?php echo e($errors->first('persona_contacto')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Puesto que Ocupa&nbsp;</label>
                <?php echo Form::text('puesto_contacto', null, ['class' => 'form-control'.($errors->has('puesto_contacto') ? ' is-invalid' : ''), 'required' => true ]); ?>

                <?php if($errors->has('puesto_contacto')): ?>
                <span class="has-error"><?php echo e($errors->first('puesto_contacto')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Teléfono directo</label>
                <?php echo Form::text('telefono_contacto', null, ['class' => 'form-control'.($errors->has('telefono_contacto') ? ' is-invalid' : ''), 'required' => true ]); ?>

                <?php if($errors->has('telefono_contacto')): ?>
                <span class="has-error"><?php echo e($errors->first('telefono_contacto')); ?></span>
                <?php endif; ?>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Teléfono de la empresa</label>
                <div class="">
                    <?php echo Form::text('telefono', null, ['class' => 'form-control'.($errors->has('telefono') ? ' is-invalid' : ''), 'required' => true ]); ?>

                    <?php if($errors->has('telefono')): ?>
                    <span class="has-error"><?php echo e($errors->first('telefono')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>Página Web</label>
                <div class="">
                    <?php echo Form::text('pagina_web', null, ['class' => 'form-control'.($errors->has('pagina_web') ? ' is-invalid' : ''), 'required' => false ]); ?>

                    <?php if($errors->has('pagina_web')): ?>
                    <span class="has-error"><?php echo e($errors->first('pagina_web')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Calle / Avenida</label>
                <div class="">
                    <?php echo Form::text('calle_avenida', null, ['class' => 'form-control'.($errors->has('calle_avenida') ? ' is-invalid' : ''),'placeholder' => '0 calle / 0 avenida', 'required' => true ]); ?>

                    <?php if($errors->has('calle_avenida')): ?>
                    <span class="has-error"><?php echo e($errors->first('calle_avenida')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Casa No.</label>
                <div class="">
                    <?php echo Form::text('no_casa', null, ['class' => 'form-control'.($errors->has('no_casa') ? ' is-invalid' : ''),'placeholder' => '0-00', 'required' => true ]); ?>

                    <?php if($errors->has('no_casa')): ?>
                    <span class="has-error"><?php echo e($errors->first('no_casa')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Zona&nbsp;</label>
                <div class="">
                    <?php echo Form::number('zona', null, ['class' => 'form-control'.($errors->has('zona') ? ' is-invalid' : ''), 'required' => true, 'min' => 0 ]); ?>

                    <?php if($errors->has('zona')): ?>
                    <span class="has-error"><?php echo e($errors->first('zona')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>Colonia</label>
                <div class="">
                    <?php echo Form::text('colonia', null, ['class' => 'form-control'.($errors->has('colonia') ? ' is-invalid' : ''), 'required' => false ]); ?>

                    <?php if($errors->has('colonia')): ?>
                    <span class="has-error"><?php echo e($errors->first('colonia')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*País&nbsp;</label>
                <div class="">
                    <?php echo Form::select('pais', getDropdown('Ubicaciones'), null, ['class' => 'form-control'.($errors->has('pais') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'pais'  ]); ?>

                    <?php if($errors->has('pais')): ?>
                    <span class="has-error"><?php echo e($errors->first('pais')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Departamento&nbsp;</label>
                <div class="">
                    <?php echo Form::select('departamento', [], null, ['class' => 'form-control'.($errors->has('departamento') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'departamento'  ]); ?>

                    <?php if($errors->has('departamento')): ?>
                    <span class="has-error"><?php echo e($errors->first('departamento')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Municipio&nbsp;</label>
                <div class="">
                    <?php echo Form::select('municipio', [], null, ['class' => 'form-control'.($errors->has('municipio') ? '
                    is-invalid' : ''), 'required' => false, 'placeholder' => '', 'id' => 'municipio'  ]); ?>

                    <?php if($errors->has('municipio')): ?>
                    <span class="has-error"><?php echo e($errors->first('municipio')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Descripción de la empresa</label>
                <div class="">
                    <?php echo Form::textarea('direccion', null, ['class' => 'form-control'.($errors->has('direccion') ? ' is-invalid' : ''), 'required' => false ]); ?>

                    <?php if($errors->has('direccion')): ?>
                    <span class="has-error"><?php echo e($errors->first('direccion')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*Logotipo</label>
                <div class="">
                    <?php echo Form::file('logotipo', ['class' => ''.($errors->has('logotipo') ? ' is-invalid' : ''), 'required' => false ]); ?>

                    <?php if($errors->has('logotipo')): ?>
                    <span class="has-error"><?php echo e($errors->first('logotipo')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="form-group">
                <label>*RTU</label>
                <div class="">
                    <?php echo Form::file('rtu', ['class' => ''.($errors->has('rtu') ? ' is-invalid' : ''), 'required' => false ]); ?>

                    <?php if($errors->has('rtu')): ?>
                    <span class="has-error"><?php echo e($errors->first('rtu')); ?></span>
                    <?php endif; ?>
                </div>
            </div>
        </div>

    </div>

    <?php echo Form::hidden('id', null); ?>

    <?php echo Form::hidden('usuario_id', null); ?>

</div>
<!-- /.card-body -->
<?php /**PATH /var/www/html/miscorp/website/Modules/Empresas/Resources/views/admin/empresas/form.blade.php ENDPATH**/ ?>