<?php $__env->startSection('title','Empleos'); ?>

<?php $__env->startSection('headlinks'); ?>
<!-- DataTables -->
<link rel="stylesheet" href="<?php echo e(asset('plugins/datatables-bs4/css/dataTables.bootstrap4.css')); ?>">
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<main id="staff-reclutamiento-candidatos-aplica">
        <section id="title-section" class="titulo-view pb-5">
            <div class="container">
                <div class="col-12">
                <div class="row justify-content-end">
                    <a class="btn btn-light" role="button" href="<?php echo e(route('private.empresas.perfil')); ?>">Regresar</a>
                </div>
                </div>
                <div class="row mensaje-gracias pt-4">
                    <div class="col text-center">
                        <h3>MIS&nbsp;<strong>CANDIDATOS</strong></h3>
                    </div>
                </div>
            </div>
        </section>
        <section id="reclut-candidatos-table" class="pb-5">
            <div class="container">
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-6 text-center text-lg-left pb-3 pb-md-0">
                        <h4>Candidatos</h4>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <div class="form-row w-100">
                            <div class="col-2 form-group"><label class="col-form-label">Plaza</label></div>
                            <div class="col-10 form-group">
                                <select class="form-control w-100" id="empleo">
                                    <?php $__currentLoopData = $empleos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $emp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($emp->id); ?>" <?php echo e(($emp->id == $empleo->id)?'selected':''); ?>><?php echo e($emp->plaza); ?></option> 
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select> 
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row table-candidatos reclutamiento pb-3">
                    <div class="col">
                        <div class="table-responsive table-bordered">
                            <table class="table table-bordered" id="tablaCandidatos" style="width:100%"> 
                                <thead>
                                    <tr>
                                        <th class="no-sort" style="width: 20%">Nombre y edad</th>
                                        <th>Profesión</th>
                                        <th>Información</th>
                                        <th>Pretensión salarial</th>
                                        <th class="no-sort" style="width: 40%">Opciones</th> 
                                    </tr>
                                </thead>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <section id="reclut-apica-table">
            <div class="container">
                <div class="row mensaje-gracias pb-4">
                    <div class="col-12 col-lg-6 text-center text-lg-left pb-3 pb-md-0">
                        <h4>Aplica</h4>
                    </div>
                    <div class="col-12 col-lg-6 text-center text-lg-right">
                        <form class="form-inline">
                            <div class="form-row w-100">
                                <div class="col-2 form-group"><label class="col-form-label">Plaza</label></div>
                                <div class="col-10 form-group">
                                    <select class="form-control w-100" id="empleo">
                                        <?php $__currentLoopData = $empleos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $emp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($emp->id); ?>" <?php echo e(($emp->id == $empleo->id)?'selected':''); ?>><?php echo e($emp->plaza); ?></option> 
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select> 
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-12 col-lg-12 text-center text-lg-center">
                    <div class="col-20 form-group">
                        <div class="form-row w-100">
                            <div class="col-4">
                                <input type="checkbox" name="free" value="0" id="check_contratados"> Contratados
                            </div>
                            <div class="col-4">
                                <input type="checkbox" name="free" value="0" id="check_en_proceso"> En proceso
                            </div>
                            <div class="col-4">
                                <input type="checkbox" name="free" value="1" id="check_descartados"> Descartados
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row table-candidatos aplica pb-3">
                    <div class="col-12">
                        <div class="table-responsive table-bordered">
                            <table class="table table-bordered"  id="tablaCandidatosActivos">
                                <thead>
                                    <tr>
                                        <th>Nombre y edad</th>
                                        <th class="no-sort" style="width: 30%">Proceso</th>
                                        <th class="no-sort" style="width: 40%" colspan="2">Opciones</th>
                                    </tr>
                                </thead>
                                
                            </table>
                        </div>
                    </div>
                </div>
                
            </div>
        </section>
    </main>
    
<?php $__env->stopSection(); ?>

<?php $__env->startSection('footer'); ?>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('footscripts'); ?>
<!-- DataTables -->
<script src="<?php echo e(asset('plugins/datatables/jquery.dataTables.js')); ?>"></script>
<script src="<?php echo e(asset('plugins/datatables-bs4/js/dataTables.bootstrap4.js')); ?>"></script>

<script>
    var table;
    var table2;
    $(function () {
        table = $('#tablaCandidatos').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '<?php echo route('empresa.candidatos.list'); ?>',
                "data": function (d) {
                    d.empleo = $('#empleo').val();
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ plazas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay plazas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total plazas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'candidato_info', name: 'candidato_info' },
                { data: 'profesion', name: 'profesion' },
                { data: 'descripcion', name: 'descripcion' },
                { data: 'pretension_salarial', name: 'pretension_salarial' },
                { data: 'opciones', name: 'opciones', orderable: false, searchable: false }
            ]
        });
        table2 = $('#tablaCandidatosActivos').DataTable({
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": '<?php echo route('staff.reclutamiento.candidatos.list'); ?>', 
                "data": function (d) {
                    var checked_contratados = $('#check_contratados').is(':checked');
                    var checked_en_proceso = $('#check_en_proceso').is(':checked');
                    var checked_descartados = $('#check_descartados').is(':checked');
                    d.empleo = $('#empleo').val(); 
                    d.aplica = 1;
                    if(checked_contratados){
                        d.check_contratados = $('#check_contratados').val();
                    }
                    if(checked_en_proceso){
                        d.check_en_proceso = $('#check_en_proceso').val();
                    }
                    if(checked_descartados){
                        d.check_descartados = $('#check_descartados').val();
                    }
                }
            },
            "paging": true,
            "lengthChange": false,
            "searching": true,
            "ordering": true,
            "info": true,
            "autoWidth": false,
            "columnDefs": [ {
                "targets": 'no-sort',
                "orderable": false,
            } ],
            "language": {
                "lengthMenu": "Mostrando _MENU_ plazas por pagina",
                "zeroRecords": "No se encontró nada - lo sentimos",
                "info": "Mostrando pagina _PAGE_ de _PAGES_",
                "infoEmpty": "No hay plazas disponibles",
                "infoFiltered": "(filtrando de _MAX_ total plazas)",
                "search":         "Buscar:",
                "paginate": {
                    "first":      "Primero",
                    "last":       "Ultimo",
                    "next":       "Siguiente",
                    "previous":   "Anterior"
                },
            },columns: [
                { data: 'candidato_info', name: 'candidato_info' },
                { data: 'proceso', name: 'proceso', class: 'proceso-indicadores' },
                { data: 'opciones4', name: 'opciones4', orderable: false, searchable: false },
                { data: 'opciones3', name: 'opciones3', orderable: false, searchable: false }
            ]
        });
        $('#empleo').change( function() {
            table.draw();
            table2.draw();
        } );
        $('#check_contratados').change( function() {
            table2.draw();
        } );
        $('#check_descartados').change( function() {
            table2.draw();
        } );
        $('#check_en_proceso').change( function() {
            table2.draw();
        } );
    });

    function aplica(candidato,empleo,aplica) { 
        
        var request = $.ajax({
            url: '<?php echo e(route("staff.reclutamiento.candidatos.aplica")); ?>',
            method: "GET",
            data: { candidato_id : candidato, empleo_id: empleo, aplica: aplica },
            dataType: "html"
        });
        request.done(function( msg ) {
            table.draw();
            table2.draw();
        }); 
    }

</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.public', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/miscorp/website/Modules/Empresas/Resources/views/perfil/candidatos.blade.php ENDPATH**/ ?>