<!doctype html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" type="image/png" href="<?php echo e(asset('img/Miscorp_punto.svg')); ?>">
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e(config('app.name', 'Laravel')); ?> | <?php echo $__env->yieldContent('title'); ?></title>

    <style>
        @media  screen and (max-height: 575px){
        #rc-imageselect, .g-recaptcha {transform:scale(0.77);-webkit-transform:scale(0.77);transform-origin:0 0;-webkit-transform-origin:0 0;}
        }
    </style>

    <link rel="stylesheet" href="<?php echo e(asset('bootstrap/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Abril+Fatface">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Buenard:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=DM+Serif+Display">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,700">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/fontawesome-all.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('fonts/fontawesome5-overrides.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/styles.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(asset('css/styles-staff.css')); ?>">
    <?php echo $__env->yieldContent('headlinks'); ?>

    <!-- Global site tag (gtag.js) - Google Analytics --> 
    <script async src="https://www.googletagmanager.com/gtag/js?id=UA-165745022-1"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
    gtag('config', 'UA-165745022-1');
    </script>

</head>

<body>
    <header>
        <nav class="navbar navbar-light navbar-expand-md fixed-top py-md-0" id="navbar-principal">
            <div class="container h-100">
                <a class="navbar-brand">
                    <img class="img-fluid" src="<?php echo e(asset('img/logo_2015.jpg')); ?>">
                </a>
                <button data-toggle="collapse" class="navbar-toggler" data-target="#navigation">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="navbar-toggler-icon">
                        <i class="fas fa-bars"></i>
                    </span>
                </button>
                <div class="collapse navbar-collapse h-100" id="navigation">
                </div>
            </div>
        </nav>
    </header>
    <?php echo $__env->make('layouts.alerts', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->yieldContent('content'); ?>
    <footer id="footer" class="py-5">
        <div class="container">
            <div class="row text-center">
                <div class="col-12 col-lg-5 contact-chanel">
                    <h4>¿Consulta rápida?</h4>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-phone-volume"></i></div>
                        <div class="col-10">
                                <span class="c-contact">Llamar al <strong><?php echo e(substr(getDropdownValue('512'),0,-4)); ?>-<?php echo e(substr(getDropdownValue('512'),4)); ?></strong></span>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fas fa-envelope-open-text"></i></div>
                        <div class="col-10">
                                <span class="c-contact"><strong>info@miscorpsa.com</strong></span>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center">
                        <div class="col-1 text-center"><i class="fab fa-whatsapp"></i></div>
                        <div class="col-10">
                            <span class="btn btn-success btn-block float-left">
                                whatsapp&nbsp;<strong><?php echo e(substr(getDropdownValue('511'),0,-4)); ?>-<?php echo e(substr(getDropdownValue('511'),4)); ?></strong>
                            </span>
                        </div>
                    </div>
                </div>
                <div class="col-12 col-lg-7 text-right adress pt-4 pt-md-0">
                    <div class="row align-items-center justify-content-center mb-3">
                        <div class="col-1 col-sm text-center text-md-right"><i class="fas fa-car"></i></div>
                        <div class="col-10 col-md-5 col-lg-3 llegar">
                                <span class="dress">¿Cómo llegar?<br></span>
                        </div>
                    </div>
                    <div class="row justify-content-center align-items-center pb-3">
                        <div class="col-1 text-center text-md-right px-0"><i class="fas fa-map-marker-alt"></i></div>
                        <div class="col-10 col-md-11"><span class="dress">Avenida Reforma 12-01 Zona 10, Edificio Reforma Montúfar
                                Torre A Oficina 14-02, Guatemala ciudad<br></span></div>
                    </div>
                    <div class="row social-links">
                        <div class="col-12">
                            <ul>
                                <li><a><i class="fab fa-linkedin-in"></i></a></li>
                                <li><a><i class="fab fa-twitter"></i></a></li>
                                <li><a><i class="fab fa-facebook-f"></i></a></li>
                                <li><a><i class="fab fa-instagram"></i></a></li>
                                <li><a><i class="fab fa-youtube"></i></a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php echo $__env->yieldContent('footer'); ?>
    </footer>
    <script src="<?php echo e(asset('js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('bootstrap/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/popover-fun.js')); ?>"></script>
    <?php echo $__env->yieldContent('footscripts'); ?>
</body>

</html><?php /**PATH /var/www/html/miscorp/website/resources/views/layouts/pruebas.blade.php ENDPATH**/ ?>